ALTER TABLE `tb_dictionary_item` ADD COLUMN  `remark` varchar(200) DEFAULT NULL COMMENT '备注';

## 创建 耗材管理表
CREATE TABLE tb_repair_materials
(
  id   BIGINT(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `org_id` int(11) DEFAULT NULL COMMENT '项目ID',
  `material_name`        VARCHAR(20) COMMENT '材料名称',
  `description` varchar(500) DEFAULT NULL COMMENT '描述',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `creator_id` varchar(20) DEFAULT '' COMMENT '创建人',
  `modifier` int(11) DEFAULT NULL COMMENT '修改人',
  `modify_time` datetime DEFAULT NULL COMMENT '修改时间',
  `enabled` int(11) DEFAULT 1,
  PRIMARY KEY (id)
)ENGINE=INNODB DEFAULT CHARSET=utf8 COMMENT='维修耗材管理';

##创建 维修地址管理表
CREATE TABLE IF NOT EXISTS tb_repair_address (
                                               id BIGINT (20) NOT NULL AUTO_INCREMENT COMMENT 'id',
                                               `org_id` INT (11) DEFAULT NULL COMMENT '项目ID',
                                               `address` VARCHAR (500) COMMENT '地址',
                                               `order_no` INT (11) DEFAULT NULL COMMENT '排序编号越小优先级越大',
                                               `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                               `creator_id` VARCHAR (20) DEFAULT '' COMMENT '创建人',
                                               `enabled` INT (11) DEFAULT 1,
                                               PRIMARY KEY (id)
) ENGINE = INNODB DEFAULT CHARSET = utf8 COMMENT = '维修地址管理';
## 新增字段
ALTER TABLE `tb_repair_bill_materials` ADD COLUMN  `materials_id` BIGINT DEFAULT NULL COMMENT '维修耗材管理表id';


ALTER TABLE `tb_repair_config` ADD COLUMN  `check_floor` int(11) DEFAULT 0 COMMENT '楼栋是否必填 0：非必填 1：必填';

