CREATE TABLE `tb_lingling_currentset` (
	`id` INT ( 10 ) NOT NULL AUTO_INCREMENT,
	`orgId` INT ( 10 ) DEFAULT NULL COMMENT '项目id',
	`isLinglingAudit` TINYINT ( 3 ) DEFAULT 0 COMMENT '访客无需审核:0-默认关闭；1-开启',
	`visitedCompType` TINYINT ( 3 ) DEFAULT 1 COMMENT '被访人公司:1-必填；2-选填；3-不展示；',
	`visitedMobileType` TINYINT ( 3 ) DEFAULT 1 COMMENT '被访人手机号:1-必填；2-选填；3-不展示；',
	`visitCompType` TINYINT ( 3 ) DEFAULT 1 COMMENT '访客公司:1-必填；2-选填；3-不展示；',
	`visitNameType` TINYINT ( 3 ) DEFAULT 1 COMMENT '访客姓名:1-必填；2-选填；3-不展示；',
	`creator` INT ( 10 ) DEFAULT NULL COMMENT '创建人',
	`createTime` datetime DEFAULT NULL COMMENT '创建时间',
	`modifier` INT ( 10 ) DEFAULT NULL COMMENT '修改人',
	`modifyTime` datetime DEFAULT NULL COMMENT '修改时间',
	`isEnabled` TINYINT ( 3 ) DEFAULT 1 COMMENT '是否有效',
PRIMARY KEY ( `ID` )
) ENGINE = INNODB DEFAULT CHARSET = utf8;

alter table tb_lingling_log add index index_ling_log_linglingId (lingLingId);
alter table tb_lingling_log add index index_ling_log_qrcodeKey (qrcodeKey);

alter table tb_organization add `isLinglingAudit` tinyint(3) DEFAULT 0 COMMENT '访客无需审核:0-默认关闭；1-开启';