

-- ----  公告记录用户信息表
CREATE TABLE `tb_app_notice_record`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `n_id` int(11) NULL DEFAULT NULL COMMENT '公告id',
  `department` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门',
  `userId` int(11) NULL DEFAULT NULL COMMENT '用户id',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `telephone` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '电话',
  `type` tinyint(3) NULL DEFAULT 0 COMMENT '类型  默认0未读 ，1已读',
  `orgId` int(11) NULL DEFAULT NULL,
  `publicObj` tinyint(3) NULL DEFAULT NULL COMMENT '公众号发布对象:1-公众号所有用户；2-项目所有用户；3-部分用户；4-部门分组发送；',
  `createTime` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  openId  varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL ,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;


-- ----  公告催收记录表
CREATE TABLE `tb_app_notice_reminder_record`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `n_id` int(11) NULL DEFAULT NULL COMMENT '公告id',
  `content` varchar(600) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '内容',
  `createTime` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

