package com.palmnest.application.dto.input;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author xc
 * @since 2023/8/9 10:04
 */
@Data
public class ConditionerAddTimeOrderUpdateParam implements Serializable {
    private static final long serialVersionUID = 1309632156649001152L;
    private List<Integer> roomIds;
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date useStartTime;
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date useEndTime;
    private String orderNo;
    private Long orderId;
    private String remark;
    private Integer modificationDisabled = 0;
}
