package com.palmnest.application.dto.output;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author xc
 * @since 2023/8/9 20:22
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AirConditionerAddTimeHistoryRecord {
    private String roomNames;// 申请位置
    private String applyArea;// 申请面积
    private String useDisplayTime;// 使用时间
    private BigDecimal useLengthTime;// 使用时长
    private String priceDisplay;// 单价
    private String freeDetail;// 费用明细
    private BigDecimal freeTotal;// 费用总计
    private BigDecimal monthlyFree;// 月结费用
}
