package com.palmnest.dao.airconditioner;

import java.util.Map;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.airconditioner.AirRule;

public interface AirRuleDao extends GenericDao<AirRule, Long> {


	public Page findPageBy(Map<String, Object> params, int pageSize, int pageNo);


	/**
	 * @param applicationType 应用模块(1预定会议室\2空调加时
	 * @param dataType        日期类型(1工作日\2休息日3节假日
	 * @param startTime       开始时间
	 * @param endTime         结束时间
	 */
	public java.util.List<AirRule> getAirRule(Integer organizationId, Integer applicationType, Integer meetingOrAirAddTime, Integer dataType, String startTime, String endTime);
	
	public AirRule getRuleByOrgId(Long orgId);
}
