package com.palmnest.dao.dinner;

import java.util.List;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.dinner.RechargeRecord;

public interface RechargeRecordDao extends GenericDao<RechargeRecord, Long> {
	/**
	 * 根据项目获取充值记录
	 *
	 * @param orgId
	 * @return
	 */
	List<RechargeRecord> findByOrgId(String orgId);
}
