package com.palmnest.dao.estateserve;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.PushBill;

/**
 * 账单推送接口
 *
 * @author longmeihzhen
 */
public interface PushBillDao extends GenericDao<PushBill, Integer> {
	/**
	 * 获取推送账单列表
	 *
	 * @param map
	 * @return
	 */
	public List<Map<String, Object>> getPushBillList(Map<String, Object> map) throws Exception;

	/**
	 * 新增推送账单S
	 *
	 * @param push
	 * @return
	 * @throws Exception
	 */
	public PushBill addPushBill(PushBill push) throws Exception;

	public Page queryBillPushList(String proId, String beginTime, String endTime, String billType, String orgId, String floorIds, String virName, int pageNo, int pageSize) throws Exception;

	public List<Map<String, Object>> getWechatPushBillList(String openId) throws Exception;

}
