package com.palmnest.dao.notice;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.notice.AppNoticeContentModel;
import com.palmnest.model.notice.ArticleCensusModel;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 组织架构L1 - ArticleCensusDao
 *
 * @author: jiangyong
 * @email: jiangyong@avic-s.com
 * @date: 2019/12/14 14:31
 */
public interface ArticleCensusDao extends GenericDao<ArticleCensusModel,Integer> {
    Integer getTotal(Map<String, Object> map);

    List<ArticleCensusModel> getListByParam(Map<String, Object> param);
}
