package com.palmnest.dao.notice;

import java.util.List;
import java.util.Map;

import com.palmnest.application.dto.input.ApprovalTypeDto;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.notice.NoticeApprovalTypeModel;

public interface NoticeApprovalTypeDao extends GenericDao<NoticeApprovalTypeModel, Integer>{

	/**
	 * 根据审核开启记录查询审核类型
	 * @param setId
	 * @return
	 */
	List<NoticeApprovalTypeModel> getTypeListBySetId(Integer enabled,Integer setId);
	
	/**
	 * 根据项目获取该项目下所有的审核类型
	 * @param orgId
	 * @return
	 */
	List<Map<String,Object>> getTypeByOrgId(Integer orgId);
}
