package com.palmnest.dao.notice;

import java.util.List;
import java.util.Map;

import com.palmnest.application.bean.Page;
import com.palmnest.application.dto.WxtemplateUserDto;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.notice.WxtemplateMessageTypeModel;

public interface WxtemplateMessageTypeDao extends GenericDao<WxtemplateMessageTypeModel, Integer> {
	public Page getTemplateMessageTypeList(String orgIds, int wechatAccountId, int pageSize, int pageNo) throws Exception;

	WxtemplateMessageTypeModel findBy(String templateid);
	
	/**
	 * 获取该项目该公众号下所有的用户
	 * @param orgId
	 * @param developId
	 * @return
	 */
	List<Map<String,Object>> findByOrgIdAndDevelopId(Integer orgId,String developId);
}
