package com.palmnest.service.appVersion;

import com.palmnest.application.dto.input.AppUseVersionDto;
import com.palmnest.application.dto.output.AppUseVersionOutPutDto;

import java.util.List;

public interface AppUseVersionService {

    /**
     * 保存app版本管理
     *
     * @param dto    app打包版本记录信息
     * @param userId 操作人
     * @return
     */
    String saveAppVersion(AppUseVersionDto dto, String userId) throws Exception;

    /**
     * 获取最新一条版本记录
     *
     * @param type    1安卓2ios
     * @param useCode 应用编码
     * @return
     */
    AppUseVersionOutPutDto getLatestRecode(String useCode, String type) throws Exception;

    List<AppUseVersionOutPutDto> getByRecode(String useCode, String type);
}
