package com.palmnest.service.dinner.manager;

import com.palmnest.application.dto.RechargeRecordDto;
import com.palmnest.model.dinner.RechargeRecord;
import com.palmnest.service.GenericManager;

import java.util.List;

public interface RechargeRecordManager extends GenericManager<RechargeRecord, Long> {
	/**
	 * 根据项目获取充值记录
	 *
	 * @param orgId
	 * @return
	 */
	List<RechargeRecordDto> findByOrgId(String orgId);
}
