package com.palmnest.service.dinner.manager;

import com.palmnest.model.dinner.RechargeSet;
import com.palmnest.service.GenericManager;

public interface RechargeSetManager extends GenericManager<RechargeSet, Long> {
	/**
	 * 根据项目获取该项目下积分充值设置
	 *
	 * @param orgId
	 * @return
	 */
	RechargeSet findByOrgId(String orgId);

	/**
	 * 保存或修改自动积分设置
	 *
	 * @param reSet
	 * @return
	 */
	RechargeSet saveAndUpdateReSet(RechargeSet reSet);
}
