package com.palmnest.service.dorm.manager;

import com.palmnest.model.dorm.DormReleaseInfo;
import com.palmnest.service.GenericManager;

/**
 * 放行退宿申请manager类
 *
 * @author longmeizhen
 */
public interface DormReleaseInfoManager extends GenericManager<DormReleaseInfo, Long> {
	/**
	 * 根据退宿申请单获取放行操作
	 *
	 * @param checkId
	 * @return
	 */
	public DormReleaseInfo getReleaseInfoByCheckId(Long checkId);
}
