package com.palmnest.service.estateserve.airconditioner;

import com.palmnest.application.bean.Page;
import com.palmnest.model.airconditioner.AirRule;
import com.palmnest.service.GenericManager;

import java.util.List;
import java.util.Map;

public interface AirRuleManager extends GenericManager<AirRule, Long> {


	public Page findPageBy(Map<String, Object> params, int pageSize, int pageNo);

	/**
	 * @param applicationType 应用模块(1预定会议室\2空调加时
	 * @param dataType        日期类型(1工作日\2休息日3节假日
	 * @param startTime       开始时间
	 * @param endTime         结束时间
	 */
	public List<AirRule> getAirRule(Integer organizationId, Integer applicationType, Integer meetingOrAirAddTime, Integer dataType, String startTime, String endTime);

	
	public AirRule getRuleByOrgId(Long orgId);
}
