package com.palmnest.service.estateserve.airconditioner;

import com.palmnest.application.bean.AppResultDto;
import com.palmnest.application.dto.input.ProjectConfigInputDto;
import com.palmnest.application.dto.output.ProjectConfigOutDto;
import com.palmnest.model.airconditioner.ProjectConfig;

import javax.servlet.http.HttpServletRequest;

public interface ProjectConfigService {

	/**
	 * 保存项目配置信息
	 */
	public AppResultDto saveProjectConfig(ProjectConfigInputDto dto, HttpServletRequest request);

	/**
	 * 获得项目配置信息
	 */
	public AppResultDto getProjectConfig(HttpServletRequest request);


	public ProjectConfigOutDto convert(ProjectConfig projectConfig) throws Exception;

}
