package com.palmnest.service.estateserve.airconditioner.impl;

import com.palmnest.dao.airconditioner.ProjectConfigDao;
import com.palmnest.model.airconditioner.ProjectConfig;
import com.palmnest.service.estateserve.ProjectConfigManager;
import com.palmnest.service.impl.GenericManagerImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service("conditionerAddTimeManager")
public class ProjectConfigManagerImpl extends GenericManagerImpl<ProjectConfig, Long> implements ProjectConfigManager {


	private ProjectConfigDao projectConfigDao;

	@Autowired
	public void setProjectConfigDao(ProjectConfigDao projectConfigDao) {
		this.projectConfigDao = projectConfigDao;
		this.dao = projectConfigDao;
	}

	@Override
	public ProjectConfig getProjectConfigByOrganizationId(Long organizationId) {
		return projectConfigDao.getProjectConfigByOrganizationId(organizationId);
	}
}
