package com.palmnest.service.estateserve.release.impl;

import com.palmnest.dao.release.GoodsDetailDao;
import com.palmnest.model.release.GoodsDetail;
import com.palmnest.service.estateserve.release.GoodsDetailManager;
import com.palmnest.service.impl.GenericManagerImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author HIAPAD
 * @Description TODO
 * @Date 2018/9/14 13:58
 **/
@Service("goodsDetailManager")
public class GoodsDetailManagerImpl extends GenericManagerImpl<GoodsDetail, Long> implements GoodsDetailManager {

	@Autowired
	private GoodsDetailDao goodsDetailDao;

	@Autowired
	public void GoodsDetailDao(GoodsDetailDao goodsDetailDao) {
		this.goodsDetailDao = goodsDetailDao;
		this.dao = goodsDetailDao;
	}

	@Override
	public List<GoodsDetail> getGoodsDetailByBillId(Long billId) {
		return goodsDetailDao.getGoodsDetailByBillId(billId);
	}
}
