package com.palmnest.service.estateserve.release.impl;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.release.RenovationManageDao;
import com.palmnest.model.release.RenovationManage;
import com.palmnest.service.estateserve.release.RenovationManageManager;
import com.palmnest.service.impl.GenericManagerImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;


@Service("renovationManageManager")
public class RenovationManageManagerImpl extends GenericManagerImpl<RenovationManage, Long> implements RenovationManageManager {


	private RenovationManageDao renovationManageDao;

	// TODO 这样写真的没问题?
//	@Autowired
//	public void RenovationManageDao(RenovationManageDao renovationManageDao) {
//		this.renovationManageDao = renovationManageDao;
//		this.dao = renovationManageDao;
//	}


	@Autowired
	public void setRenovationManageDao(RenovationManageDao renovationManageDao) {
		this.renovationManageDao = renovationManageDao;
		this.dao = renovationManageDao;
	}


	@Override
	public Page findPageBy(Map<String, Object> params, int pageSize, int pageNo) {

		return renovationManageDao.findPageBy(params, pageSize, pageNo);
	}

}
