package com.palmnest.service.mealCard;

import com.palmnest.model.mealcard.MealCardUser;
import com.palmnest.service.GenericManager;

/**
 * @Author hxt
 * @Description 企业内购模块
 * @Date 2018/12/21 15:24
 **/
public interface MealCardManager extends GenericManager<MealCardUser, Long> {

	/**
	 * 根据openId和developId查询企业购用户登录信息
	 *
	 * @param openId
	 * @param developId
	 * @return
	 */
	public MealCardUser getMealCardUser(String openId, String developId, String mobile);


	/**
	 * 根据用户手机号查询用户
	 *
	 * @param userMobile
	 * @return
	 */
	MealCardUser getMealCardUser(String userMobile);
}
