package com.palmnest.service.mealCard.impl;

import com.palmnest.dao.mealCard.MealCardDao;
import com.palmnest.model.mealcard.MealCardUser;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.mealCard.MealCardManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author wangxz
 * <p>
 * 2019年6月15日
 */
@Service(value = "mealCardManager")
public class MealCardManagerImpl extends GenericManagerImpl<MealCardUser, Long> implements MealCardManager {

	private MealCardDao mealCardDao;

	@Autowired
	public void setMealCardDao(MealCardDao mealCardDao) {
		this.mealCardDao = mealCardDao;
		dao = mealCardDao;
	}

	@Override
	public MealCardUser getMealCardUser(String openId, String developId, String mobile) {
		return mealCardDao.getMealCardUser(openId, developId, mobile);
	}

	@Override
	public MealCardUser getMealCardUser(String userMobile) {
		return mealCardDao.getMealCardUser(userMobile);
	}

}
