package com.palmnest.service.notice;

import com.palmnest.application.bean.AppResultDto;
import com.palmnest.application.bean.Page;
import com.palmnest.application.dto.AppNoticeRecordVo;
import com.palmnest.application.dto.DeptUserVo;
import com.palmnest.application.dto.NoticeRecordVo;
import com.palmnest.model.notice.AppNoticeModel;
import com.palmnest.model.notice.AppNoticeRecordModel;
import com.palmnest.service.GenericManager;

import java.util.List;
import java.util.Map;

public interface AppNoticeRecordManager  extends GenericManager<AppNoticeRecordModel, Integer> {
    public AppNoticeRecordVo getRecordList(Map<String, Object> map, int pageNo, int pageSize) throws Exception;

    public AppResultDto exportReportList(Map<String, Object> params) throws Exception;

    public AppResultDto updateRecord(Map<String, Object> params) throws Exception;

    public AppResultDto recordNotice(Map<String, Object> params) throws Exception;


    public void saveOrUpdateAppNoticeRecordModel(List<NoticeRecordVo> list,Integer id,Integer publicObj);



}
