package com.palmnest.service.notice;

import com.palmnest.application.bean.AppResultDto;
import com.palmnest.application.bean.Page;
import com.palmnest.application.dto.AppNoticeRecordVo;
import com.palmnest.model.notice.AppNoticeReminderDetailModel;
import com.palmnest.service.GenericManager;

import java.util.Map;

public interface AppNoticeReminderRecordManager extends GenericManager<AppNoticeReminderDetailModel, Integer> {


    public Page getReminderRecord(Integer id, int pageNo, int pageSize) throws Exception;

    public AppResultDto addReminderRecord(Map<String, Object> params) throws Exception;
}
