package com.palmnest.service.notice;

import com.palmnest.application.bean.Page;
import com.palmnest.model.notice.ArticleCensusModel;
import com.palmnest.service.GenericManager;

import java.util.Map;

/**
 * 组织架构L1 - ArticleCensusManager
 *
 * @author: jiangyong
 * @email: jiangyong@avic-s.com
 * @date: 2019/12/14 14:21
 */
public interface ArticleCensusManager extends GenericManager<ArticleCensusModel, Integer> {
	Page getDataList(Map<String, Object> map, int pageNo, int pageSize) throws Exception;

	Integer getTotal(Map<String, Object> map);

	void saveOrUpdate(Integer id, String orgIds);

}
