package com.palmnest.service.notice;

import java.util.List;

import com.palmnest.application.dto.DeptGroupDto;
import com.palmnest.model.notice.NoticeSubGroupModel;
import com.palmnest.service.GenericManager;

public interface NoticeSubGroupManager  extends GenericManager<NoticeSubGroupModel, Integer>{
	
	/**
	 * 保存公告与分组的关系
	 * @param type 
	 * @param sourceId
	 * @param dtoList
	 * @param createBy
	 */
	void saveByDeptGroup(Integer type,Integer sourceId,List<DeptGroupDto> dtoList,Integer createBy);
	
	List<DeptGroupDto> getDeptGroupDto(Integer type,Integer sourceId);
	
	List<NoticeSubGroupModel> findBySourceId(Integer type,Integer sourceId);

}
