package com.palmnest.service.notice.impl;

import com.palmnest.dao.notice.AppNoticeDetailDao;
import com.palmnest.model.notice.AppNoticeDetailModel;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.notice.AppNoticeDetailManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("appNoticeDetailManager")
public class AppNoticeDetailManagerImpl extends GenericManagerImpl<AppNoticeDetailModel, Integer> implements AppNoticeDetailManager {

	private AppNoticeDetailDao appNoticeDetailDao;

	@Autowired
	public void setAppNoticeDetailDao(AppNoticeDetailDao appNoticeDetailDao) {
		this.appNoticeDetailDao = appNoticeDetailDao;
		this.dao = appNoticeDetailDao;
	}

	@Override
	public List<AppNoticeDetailModel> getNoticeDetail(Integer noticeId) {
		return appNoticeDetailDao.getNoticeDetail(noticeId);
	}


}
