package com.palmnest.service.repair.impl;

import com.palmnest.dao.repair.RepairOperateRecordDao;
import com.palmnest.model.repair.RepairOperateRecord;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.repair.RepairOperateRecordManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("repairOperateRecordManager")
public class RepairOperateRecordManagerImpl extends GenericManagerImpl<RepairOperateRecord, Long> implements RepairOperateRecordManager {


	private RepairOperateRecordDao repairOperateRecordDao;

	@Autowired
	public void setRepairOperateRecordDao(RepairOperateRecordDao repairOperateRecordDao) {
		this.repairOperateRecordDao = repairOperateRecordDao;
		this.dao = repairOperateRecordDao;
	}

	@Override
	public RepairOperateRecord findBy(Long billId, Integer operateType) {
		return repairOperateRecordDao.findBy(billId, operateType);
	}

	@Override
	public List<RepairOperateRecord> findBy(Long billId) {
		return repairOperateRecordDao.findBy(billId);
	}
}
