package com.palmnest.service.repair.impl;

import com.palmnest.dao.repair.RepairReturnVisitDao;
import com.palmnest.model.repair.RepairReturnVisit;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.repair.RepairReturnVisitManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("repairReturnVisitManager")
public class RepairReturnVisitManagerImpl extends GenericManagerImpl<RepairReturnVisit, Long> implements RepairReturnVisitManager {

	private RepairReturnVisitDao repairReturnVisitDao;

	@Autowired
	public void setRepairReturnVisitDao(RepairReturnVisitDao repairReturnVisitDao) {
		this.repairReturnVisitDao = repairReturnVisitDao;
		this.dao = repairReturnVisitDao;
	}

	@Override
	public RepairReturnVisit findBy(Long billId) {
		return repairReturnVisitDao.findBy(billId);
	}

}
