package com.palmnest.service.repair.impl;

import com.palmnest.dao.repair.RepairAddressDao;
import com.palmnest.model.repair.RepairAddress;
import com.palmnest.model.repair.RepairService;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.repair.RepairAddressManager;
import com.palmnest.service.repair.RepairServiceManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 服务之窗1L- RerpairAddressManagerImpl
 *
 * @Description TODO
 * @author: jiangyong
 * @since: 2020/8/13 16:24
 */
@Service("repairAddressManager")
public class RerpairAddressManagerImpl  extends GenericManagerImpl<RepairAddress, Long> implements RepairAddressManager {

    RepairAddressDao repairAddressDao;

    @Autowired
    public void setRepairAddressDao(RepairAddressDao repairAddressDao) {
        this.repairAddressDao = repairAddressDao;
        this.dao = repairAddressDao;
    }

    @Override
    public List<RepairAddress> getListByOrgId(Integer orgId) {
        return repairAddressDao.findByOrgId(orgId);
    }
}
