package com.palmnest.service.virtProject;

import com.palmnest.application.bean.AppResultDto;
import com.palmnest.model.estateserve.VirtualAccount;

import java.util.List;

public interface VirtualAccountService {

	/**
	 * 根据账号及密码查找账号
	 *
	 * @param account
	 * @param password
	 * @return
	 */
	public List<VirtualAccount> getVirAccountByAccount(String orgId, String account, String password);

	/**
	 * 修改企业帐号密码
	 *
	 * @param account
	 * @param oldPassword
	 * @param newPassword
	 * @return
	 */
	public AppResultDto updateVirAccount(String orgId, String account, String oldPassword, String newPassword, String openId);

	public VirtualAccount findById(Long id);

	/**
	 * 会议室发送客服消息接口
	 *
	 * @param openIds
	 * @param url
	 * @param content
	 * @return
	 */
	void sendMeetingMessage(String openIds, String url, String content) throws Exception;
}
