package com.palmnest.service.wechat.impl;

import com.palmnest.dao.wxpay.MerchantDetailDao;
import com.palmnest.model.wxpay.MerchantDetail;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.wechat.MerchantDetailManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service("merchantDetailManager")
public class MerchantDetailManagerImpl extends GenericManagerImpl<MerchantDetail, Long> implements MerchantDetailManager {

	private MerchantDetailDao merchantDetailDao;

	@Autowired
	public void setMerchantDetailDao(MerchantDetailDao merchantDetailDao) {
		this.merchantDetailDao = merchantDetailDao;
		this.dao = merchantDetailDao;
	}

	@Override
	public List<MerchantDetail> findBy(Map<String, String> params) {
		return merchantDetailDao.findBy(params);
	}

}
