<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
	<title> 用户信息 </title>
	<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
	<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
	<link media="screen" type="text/css" href="<c:url value='/scripts/lib/ueditor/themes/default/css/ueditor.min.css'/>"
	 rel="stylesheet" />
	<link href="<c:url value='/scripts/zTree/css/zTreeStyle/zTreeStyle.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.core-3.5.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.excheck-3.5.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.exedit-3.5.js'/>"></script>

	<link href="<c:url value='/styles/notice/tradeAreaBanner.css'/>" rel="stylesheet" type="text/css" />
	<style>
		.layui-table-body{
			overflow: hidden;
		}
	</style>
</head>

<body>
	<input type="hidden" value="${ctx}" id="contextPath">
	<div class="content app-func">
		<div class="layui-tab layui-tab-card">
			<ul class="layui-tab-title listMenu">
				<li class="layui-this" data-is="0">
					<a href="javascript:void(0)">PC端</a>
				</li>
				<li data-is="1">
					<a href="javascript:void(0)">app端</a>
				</li>
			</ul>
			<div class="form_content">
				<div class="layui-form-item">
					<div class="layui-inline">
						<label class="layui-form-label txt_brown fs14">功能名称</label>
						<div class="layui-input-block">
							<input type="text" name="title" id="title" autocomplete="off" class="layui-input" placeholder="请输入功能名称">
						</div>
					</div>
					<div class="layui-inline changeBtn">
						<button class="bl_yellow fs16" id="searchUser">查询</button>
					</div>
				</div>
				<div class="btnList">
					<ul>
						<li class="btn1">+ 新增一级功能</li>
					</ul>
				</div>
				<ul id="tree" class="ztree" style="display: none"></ul>
				<div class="tables" id="tables">
					<table class="layui-hide" id="table_user_info" lay-filter="user"></table>
				</div>
			</div>
		</div>
		<!-- 新增一级功能 -->
		<div class="alertAdd alert1">
			<div class="mask"></div>
			<div class="alert-con">
				<div class="title-wp"><span>新增一级功能</span><span class="close-btn"></span></div>
				<div class="dialog-email-wp">
					<div class="d-email-wrapper-top">
						<div class="email-item">
							<span class="tips">功能名称</span>
							<input type="text" class="e-item-text funcName" placeholder="请输入功能名称">
						</div>
						<div class="email-item">
							<span class="tips">排 序</span>
							<input type="text" class="e-item-text sortNum" placeholder="请输入排序">
						</div>
						<div class="email-item">
							<span class="tips">功能权限</span>
							<input type="text" class="e-item-text power" placeholder="请输入功能权限">
						</div>
						<div class="line"></div>
						<div class="d-email-btns">
							<button class="cancel btn-red bt_blue_middle">取消</button>
							<button class="certain btn-red bl_yellow_big sure">确认</button>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- 修改、新增二级功能 -->
		<div class="alertAdd alert2">
			<div class="mask"></div>
			<div class="alert-con">
				<div class="title-wp"><span>新增二级功能</span><span class="close-btn"></span></div>
				<div class="dialog-email-wp">
					<div class="d-email-wrapper-top">
						<div class="email-item">
							<span class="tips">功能名称</span>
							<input type="text" class="e-item-text funcName" placeholder="请输入功能名称">
						</div>
						<div class="email-item">
							<span class="tips">排 序</span>
							<input type="text" class="e-item-text sortNum" placeholder="请输入排序">
						</div>
						<div class="email-item">
							<span class="tips">U R L</span>
							<input type="text" class="e-item-text urlLink" placeholder="请输入URL">
						</div>
						<div class="email-item">
							<span class="tips">功能权限</span>
							<input type="text" class="e-item-text power" placeholder="请输入功能权限">
						</div>
						<div class="line"></div>
						<div class="d-email-btns">
							<button class="cancel btn-red bt_blue_middle">取消</button>
							<button class="certain btn-red bl_yellow_big">确认</button>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- 三级功能 -->
		<div class="alertAdd alert3">
			<div class="mask"></div>
			<div class="alert-con">
				<div class="title-wp"><span>新增三级功能</span><span class="close-btn"></span></div>
				<div class="dialog-email-wp">
					<div class="d-email-wrapper-top">
						<div class="email-item">
							<span class="tips">功能名称</span>
							<input type="text" class="e-item-text funcName" placeholder="请输入功能名称">
						</div>
						<div class="email-item">
							<span class="tips">功能编码</span>
							<input type="text" class="e-item-text codeNum" placeholder="请输入功能编码">
						</div>
						<div class="email-item">
							<span class="tips">功能权限</span>
							<input type="text" class="e-item-text power" placeholder="请输入功能权限">
						</div>
						<div class="line"></div>
						<div class="d-email-btns">
							<button class="cancel btn-red bt_blue_middle">取消</button>
							<button class="certain btn-red bl_yellow_big">确认</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<script type="text/javascript" src="<c:url value='/scripts/admin/appFuncList.js'/>"></script>
</body>

</html>