<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>企业签约记录</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>" rel="stylesheet" type="text/css" />
<link href='<c:url value='/styles/lib/ionicons.min.css' />' rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<script src="${ctx }/scripts/lib/jquery-1.8.2.min.js"></script>
<script type="text/javascript" src="<c:url value='/plugin/layer/layer.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/bootstrap.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/businessRecord.js'/>"></script>
</head>
</head>
<body>
	<input type="hidden" id="funcid" value="${funcid}">
	<input type="hidden" value="${ctx}" id="contextPath">
	<input type="hidden" value="${virtualArchitectureId}" id="virtualId_">
	<section class="content">
		<div class="row">
			<div class="col-xs-12">
				<div class="boxlist">
					<!-- /.box-header -->
					<div class="box-body table-responsive">
						<form:form id="conditionform" action="${ctx}/admin/contract/businessRecordPage?funcid=${funcid}" method="POST">
							<input type="hidden" id="pageNo" name="pageNo" />
							<input type="hidden" id="funcid" value="${funcid}">
							<div class="form-group">
								<label>校区名称</label>
								<select name="organizationId" id="organizationId"  style="width:160px;">
									<option value="">请选择校区</option>
									<c:forEach items="${organizationList }" var="obj">
										<c:choose>
											<c:when test="${obj.id==organizationId }">
											<option value="${obj.id }" selected="selected">${obj.name }</option>
											</c:when>
											<c:otherwise>
											<option value="${obj.id }">${obj.name }</option>
											</c:otherwise>
										</c:choose>
									</c:forEach>
								</select>~
								<select name="virtualId" id="virtualId" style="width:160px;">
									<option value="">请选择企业</option>
								</select>
							</div>
							
							<span style="float:right; margin-bottom: 2px;"> 
								<a class="btn btn-default" href="javaScript:void(0);" id='btn-search'>查询</a>
								<c:if test="${addAct =='1' }">
                               		<a class="btn btn-success" href="javaScript:void(0);" onclick="addContractInfomation()">新增</a>
                               	</c:if>
							</span>
						</form:form>

						<table id="example2" class="table table-bordered table-hover">
							<thead>
								<tr>
									<th>序号</th>
									<th>企业名称</th>
									<th>企业号码</th>
									<th>所属校区</th>
									<th>是否签约</th>
									<th>签约服务</th>
									<th>企业地址</th>
									<th>企业编号</th>
									<th>操作</th>
								</tr>
							</thead>
							<tbody>
								<c:forEach items="${page.items }" var="model" varStatus="status">
									<tr>
										<td>${ (page.currentPage-1)*page.pageSize+(status.index+1)}</td>
										<td>${model.virtualarchitectureName }</td>
										<td>${model.phone }</td>
										<td>${model.organizationName }</td>
										<td>
											<c:forEach items="${contractStatusGroup }" var="obj">
												<c:if test="${obj.itemcode==model.status }">
													${obj.itemname }
												</c:if>
											</c:forEach>
										</td>
										<td>
										${model.typeName}
										</td>
										<td>
										<c:choose>
											<c:when test="${fn:length(model.address)>10}">
												 ${fn:substring(model.address,0,10)}...  
											</c:when>
											<c:otherwise>
												${model.address }
											</c:otherwise>
										</c:choose>
							            </td>
										<td>
											${model.customerNumber }
										</td>
										<td>
	                                   		<c:if test="${updateAct =='1' }">
											<a href="javascript:void(0);" title="详情" class="btn btn-back" onclick="eidtContractInfomation('${model.id }','${model.organizationId}','${model.virtualArchitectureId }','${model.type }')">
												<span>编辑</span>
	                                   		</a>
	                                   		</c:if>
	                                   		<a href="javascript:void(0);" title="详情" class="btn btn-default" onclick="deailsContractInfomation('${model.id}')">
												<span>详情</span>
	                                   		</a>
	                                   		<c:if test="${deleteAct =='1' }">
	                                   		<a href="javascript:void(0);" title="详情" class="btn btn-danger" onclick="deleteContractIinformation('${model.id}','${model.virtualarchitectureName }')">
												<span>删除</span>
	                                   		</a>
	                                   		</c:if>
										</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
						<div class="btn-page">
		                    <!-- 页码 -->
		                    <div align="center" class="pages clearfix">
		                           <c:forEach items="${page.iterPages }" var="pageNo">
									<c:choose>
										<c:when test="${pageNo == page.currentPage }">
											<span class='current'>${pageNo }</span>
										</c:when>
										<c:when test="${pageNo != null}">
											<a href="javascript:void(0);" onclick='goPage(${pageNo});'>${pageNo}</a>
										</c:when>
										<c:otherwise>
											<em>...</em>
										</c:otherwise>
									</c:choose>
								</c:forEach>
								<strong>共<span style="color:black;font-weight:bold;font-size:16px;">${page.totalCount}</span>条</strong>
								<strong>跳转到第</strong><input type="text" id="gopage" style="width: 40px;" onkeyup="this.value=this.value.replace(/\D/g,'')" onkeypress="this.value=this.value.replace(/\D/g,'')"/><strong>页</strong>
								<a class="btn-sm  btn-primary" href="javascript:goPage('gopage');" id='bindBtn'>确定</a>
		                	</div>
			            </div>
					</div>
					<!-- /.box-body -->
				</div>
			</div>
		</div>
	</section>
	
	<div class="modal fade" id="saveModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
							&times;
						</button>
						<h4 class="modal-title" id="myModalLabel">
						</h4>
					</div>
					<div class="modal-body">
						<form class="form-horizontal" role="form">
							<input type="hidden" id="id" />
							<div class="form-group"> 
								<label for="formOrganizationId" class="col-sm-2 control-label">所属校区:</label>
								<div class="col-sm-10">
	           						<select id="formOrganizationId" class="form-control" onchange="initVirtualForm(this.value)">
	                                 <option value="">请选择校区</option>
										<c:forEach items="${organizationList }" var="obj">
												<option value="${obj.id }">${obj.name }</option>
										</c:forEach>
	                              </select>
	       						</div>
	       					</div>
	       					<div class="form-group"> 
								<label for="formvirtualId" class="col-sm-2 control-label">所属企业:</label>
								<div class="col-sm-10">
	           						<select id="formvirtualId" class="form-control">
                                 			<option value="">请选择企业</option>
                              		</select>
	       						</div>
	       					</div>
	       					<div class="form-group">
                         	<label class="col-sm-2 control-label" for="type">签约服务:</label>
                     		
                         	<div class="col-sm-10" id="checkbox">    
	                         	 <c:forEach items="${signingServiceGroup }" var="obj">
	                         	 	<div class="checkbox" style="float: left;margin-left: 30px;">
										<label>
											<input type="checkbox" name="type" value="${obj.itemcode }">${obj.itemname }
										</label>
									</div>
	                         	 </c:forEach>
                           </div>
                        </div>
						</form>
          				
          				<div id="dealtis">
          					<fieldset>
                         	<legend>校区信息</legend>
                         	</fieldset>
                         	<div class="row">
                         		<label class="col-sm-2 control-label" for="dealtisOrganizationName">校区名称:</label>
                         		
                         		<div class="col-sm-10" id="dealtisOrganizationName">    
	                         		ssss
                           		</div>
                         	</div>
                         	<br />
                         	<fieldset>
                         	<legend>企业信息</legend>
                         	</fieldset>
                         	<div class="row">
                         		<label class="col-sm-2 control-label" for="dealtisVname">企业名称:</label>
                         		
                         		<div class="col-sm-4" id="dealtisVname">    
	                         		ssss
                           		</div>
                           		<label class="col-sm-2 control-label" for="dealtisVphone">企业电话:</label>
                         		
                         		<div class="col-sm-4" id="dealtisVphone">    
	                         		ssss
                           		</div>
                         	</div>
                         	<div class="row">
                         		<label class="col-sm-2 control-label" for="dealtisCustomer">企业编号:</label>
                         		
                         		<div class="col-sm-4" id="dealtisCustomer">    
	                         		ssss
                           		</div>
                           		<label class="col-sm-2 control-label" for="dealtisCreateTime">签约时间:</label>
                         		
                         		<div class="col-sm-4" id="dealtisCreateTime">    
	                         		ssss
                           		</div>
                         	</div>
                         	<div class="row">
                         		<label class="col-sm-2 control-label" for="dealtisAddress">企业地址:</label>
                         		
                         		<div class="col-sm-10" id="dealtisAddress">    
	                         		ssss
                           		</div>
                         	</div>
                         	<br />
                         	<fieldset>
                         	<legend>服务信息</legend>
                         	</fieldset>
                         	<div class="row">
                         		<label class="col-sm-2 control-label" for="dealtisTypeName">签约服务:</label>
                         		
                         		<div class="col-sm-10" id="dealtisTypeName">    
	                         		ssss
                           		</div>
                         	</div>
          				</div>
			         </div>
					<div class="modal-footer">
						<a href="javascript:void(0);" title="关闭" data-dismiss="modal" class="btn btn-info" style="float: right;"><span>关闭</span></a>
						<a href="javascript:void(0);" title="提交修改" class="btn btn-success" style="float: right;margin-right: 10px;" id="save" onclick="saveUpdateContractInfomation()"><span>提交修改</span></a>
					</div>
				</div><!-- /.modal-content -->
			</div><!-- /.modal -->
	</div>
</body>
</html>