<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>部门管理</title>
<meta
	content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no'
	name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />'
	rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link
	href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />"
	rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/zTree/css/zTreeStyle/zTreeStyle.css'/>" rel="stylesheet"  type="text/css" />

<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.core-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.excheck-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.exedit-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/organizationform.js'/>"></script>
</head>
<body>
	<input type="hidden" value="${ctx}" id="contextPath">
	<input type="hidden" value="${totalcount}" id="totalcount">
	<input type="hidden" value="${comObj.id}" id="compId">
	<input type="hidden" value="${comObj.compName}" id="compName">
	<section class="content">
		<div class="row">
			<div class="col-md-6" style="float:left;width:45%;">
				<div class="box box-warning" style="height:450px;overflow:auto;">
					<div class="box-header" style="width:92%;">
						<h3 class="box-title">部门管理</h3>
					</div>
					<div class="box-body">
						<ul id="depttree" class="ztree">
						</ul>
					</div>
				</div>
			</div>
			
			<div class="col-md-6" style="float:left;width:45%;">
				<!-- general form elements disabled -->
				<div class="box box-warning" style="height:450px;">
					<div class="box-header" style="width:92%;">
						<h3 class="box-title">编辑部门基本信息 &nbsp;&nbsp; <strong font-color="red">${errormsg}</strong></h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						<form action="" id="conditionform" >
							<div class="form-group">
								<label>部门名称</label>
								<input class="form-control" id="deptname" readonly="readonly" />
							</div>
							<div class="form-group">
								<label>部门描述</label>
								<input class="form-control" id="description" />
							</div>
							<div class="form-group">
								<label>备注</label>
								<input class="form-control" id="remark" />
							</div>
							<div align="absmiddle" class="anniu">
								<a class="btn btn-primary" href="#" id='btn-save'>保存</a> 
								<a class="btn btn-back" href="<c:url value='/admin/organization/companylist?funcid=${funcid}' />">返回</a>
							</div>
						</form>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
		</div>
	</section>
</body>
</html>
