<%@ page language="java" 	pageEncoding="utf-8"%>
<%@ include file="/common/taglibs.jsp"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<!DOCTYPE html>
<html>
<head>
<title>邮箱配置</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />


<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/emailSetting/emailSetting.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js'/>"></script>

</head>
<body>
<div class="bread-wp">
		系统管理  > 邮箱配置
</div>

<%-- 因为js中无法直接调用自定义的权限校验标签 --%>
<%-- 判断当前用户是否有相应权限,如果有权限则在JSP页面新增隐藏input标签,方便js代码调用 --%>

<%-- 是否有修改权限 --%>
<perm:hasPermission permCode="pc:basics:email:edit">
	<input type="hidden" value="1" id="perm-edit" />
</perm:hasPermission>
<%-- 是否有删除权限 --%>
<perm:hasPermission permCode="pc:basics:email:delete">
	<input type="hidden" value="1" id="perm-delete" />
</perm:hasPermission>


	<div class="right-content">
	<input type="hidden" value="${ctx}" id="contextPath">
	
	<input type="hidden" value="${orgs}" id="orgList">
		
		<div class="main-content-mode-wp clearfloat email-publish-wp ">

		<form:form  id="conditionform"  class="clearfloat">
		<c:if test="${fn:length(orgs) > 1}">
			<div class="part-wp">
			<span class="search-tips">请选择校区</span>
				<input class="default-select orgId" name="orgId"  placeholder="请选择校区" autocomplete="off"/>
		        <span class="select_wrap _hide"></span>
<!-- 			<select class="orgId default-select" name="orgId" >
				<option value="">请选择校区</option>
				<c:forEach items="${orgs }" var="org">
				<option value="${org.id }">${org.name }</option>
				</c:forEach>
			</select> -->
			</div>
			<button class="search-btn btn-red" type="button">查询</button>
		</c:if>
			<c:if test="${fn:length(orgs) == 1}">
				<input type="hidden" id="orgId" name="orgId" value="${orgs[0].id}" org__id="${orgs[0].id}">
			</c:if>
		</form:form>
		 <div class="main-operate-wp">
			 <perm:hasPermission permCode="pc:basics:email:add">
	 			<button class="btn-add-blue add-temp-btn" type="button">添加邮箱</button>
			 </perm:hasPermission>
		 </div>
      
      	 
	 	 <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>  
		</div>
	</div>
<script type="text/html" id="indexTpl">
    {{d.LAY_TABLE_INDEX+1}}
</script>
<script type="text/javascript" src="<c:url value='/scripts/admin/emailSetting/emailSetting.js?2019-10-9'/>"></script>
</body>
</html>