<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	<%@ include file="/common/taglibs.jsp"%>
		<!DOCTYPE html>
		<html>

		<head>
			<title> 企业入驻申请管理 </title>
			<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
			<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
			<link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
			<link href="<c:url value='/styles/enter/entryApplication.css'/>" rel="stylesheet" type="text/css" />

			<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
			<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
			<script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js'/>"></script>
		</head>

		<body>
		<%-- 因为js中无法直接调用自定义的权限校验标签 --%>
		<%-- 判断当前用户是否有相应权限,如果有权限则在JSP页面新增隐藏input标签,方便js代码调用 --%>

		<%-- 是否有审核权限 --%>
		<perm:hasPermission permCode="pc:enter:list:approve">
			<input type="hidden" value="1" id="perm-approve" />
		</perm:hasPermission>

			<input type="hidden" value="${ctx}" id="contextPath">
			<!-- <div class="bread-wp">
					企业入驻 > 企业入驻申请管理
			</div> -->
			<div class="content">
				<div class="layui-tab layui-tab-card">
					<div class="form_content layui-form">
						<div class="layui-form-item order_select">
							<div class="layui-inline">
								<c:if test="${fn:length(orgs) > 1}">
									<div class="part-wp">
										<label class="search-tips layui-form-label txt_brown fs14">请选择校区</label>
										<div class="layui-input-inline">
											<input class="orgId default-select layui-input" name="orgId" id="slectOrgid" placeholder="请选择校区" autocomplete="off" />
		              						<span class="select_wrap _hide"></span>
			<!-- 								<select class="orgId default-select" name="orgId" id="slectOrgid">
												<option value="">请选择校区</option>
												<c:forEach items="${orgs }" var="org">
													<option value="${org.id }">${org.name }</option>
												</c:forEach>
											</select> -->
										</div>
									</div>
								</c:if>
								<c:if test="${fn:length(orgs) == 1}">
									<input type="hidden" id="orgId" name="orgId" value="${orgs[0].id}">
								</c:if>
							</div>
							<div class="layui-inline">
								<label class="layui-form-label txt_brown fs14">企业名称</label>
								<div class="layui-input-inline">
									<input type="text" name="virName" autocomplete="off" class="layui-input" placeholder="">
								</div>
							</div>
							<div class="layui-inline">
								<label class="layui-form-label txt_brown fs14">申请人</label>
								<div class="layui-input-inline">
									<input type="text" name="applyName" autocomplete="off" class="layui-input" placeholder="">
								</div>
							</div>
							<div class="layui-inline">
								<label class="layui-form-label txt_brown fs14">状态</label>
								<div class="layui-input-inline">
									<select name="status" lay-verify="required" lay-search="" id="status">
										<option value=""></option>
										<option value="1">待审核</option>
										<option value="2">已通过</option>
										<option value="3">已拒绝</option>
										<option value="">全部</option>
									</select>
								</div>
							</div>
							<div class="layui-inline">
								<label class="layui-form-label txt_brown fs14">申请时间</label>
								<div class="layui-input-block">
									<input type="text" name="date1" id="date1" autocomplete="off" class="layui-input" placeholder="选择时间">
									<i class="dateImg"></i>
								</div>
							</div>
							<div class="layui-inline changeBtn">
								<button class="bl_yellow fs16" id="searchUser">查询</button>
								<button class="bt_blue fs16 resetBtn" id="resetSearch">重置</button>
							</div>
						</div>
						<div class="tables">
							<table class="layui-hide" id="table_user_info" lay-filter="order"></table>
							
						</div>
					</div>
				</div>
				<!-- 审核 -->
				<div class="alert alert2">
					<div class="alert_con">
						<h2>企业入驻审核
							<div class="changeBtn">
								<button class="cancelBtn"></button>
							</div>
						</h2>
						<div class="applyStep">
							<div class="order_number_q">
								<i></i>
								<span class="txt_gray">入驻单号：
									<span class="orderEnter">346283746</span>
								</span>
								<span class="txt_gray fr order_status">未处理</span>
							</div>
							<ul class="stepList">
								<li>
									<i>企业名称：</i>
									<label></label>
								</li>
								<li>
									<i>楼 宇：</i>
									<label></label>
								</li>
								<li>
									<i>楼 层：</i>
									<label></label>
								</li>
								<li>
									<i>房 间 号：</i>
									<label></label>
								</li>
								<li>
									<i>地 址：</i>
									<label></label>
								</li>
								<li>
									<i>申 请 人：</i>
									<label></label>
								</li>
								<li>
									<i>联系电话：</i>
									<label></label>
								</li>
								<li>
									<i>邮 箱：</i>
									<label></label>
								</li>
								<li>
									<i>申请时间：</i>
									<label></label>
								</li>
							</ul>
							<form class="layui-form" action="">
								<div class="layui-form-item" style="margin-top: 10px">
									<label class="layui-form-label txt_br" style="width: 111px;"><span style="color: red">*</span>签约时间：</label>
									<div class="layui-input-block">
										<input type="text" name="signingTime" id="signingTime" autocomplete="off" class="date-input">
									</div>
								</div>
								<div class="layui-form-item">
									<label class="layui-form-label txt_br" style="width: 111px;"><span style="color: red">*</span>合同到期时间：</label>
									<div class="layui-input-block">
										<input type="text" name="contExpireTime" id="contExpireTime" autocomplete="off" class="date-input">
									</div>
								</div>
								<div class="layui-form-item">
									<label class="layui-form-label txt_br">审核结果：</label>
									<div class="layui-input-block">
										<input type="radio" name="agree" value="2" title="通过" checked="">
										<input type="radio" name="agree" value="3" title="不通过">
									</div>
								</div>
								<div class="layui-form-item layui-form-text">
									<label class="layui-form-label txt_br">审核意见：</label>
									<div class="layui-input-block">
										<textarea placeholder="请输入审核意见" class="layui-textarea"></textarea>
									</div>
								</div>
							</form>
							<div class="btns">
								<div class="certainBtn">确认</div>
							</div>
						</div>
					</div>
				</div>
				<!-- 详 情 -->
				<div class="alert alert3">
					<div class="alert_con">
						<h2>企业入驻详情
							<div class="changeBtn">
								<button class="cancelBtn"></button>
							</div>
						</h2>
						<div class="applyStep">
							<div class="order_number_q">
								<i></i>
								<span class="txt_gray">入驻单号：
									<span>346283746</span>
								</span>
								<span class="txt_gray fr order_status">未处理</span>
							</div>
							<ul class="stepList list1">
								<li>
									<i>企业名称：</i>
									<label></label>
								</li>
								<li>
									<i>楼 宇：</i>
									<label></label>
								</li>
								<li>
									<i>楼 层：</i>
									<label></label>
								</li>
								<li>
									<i>房 间 号：</i>
									<label></label>
								</li>
								<li>
									<i>地 址：</i>
									<label></label>
								</li>
								<li>
									<i>签约时间：</i>
									<label></label>
								</li>
								<li>
									<i style="width: 105px;">合同到期时间：</i>
									<label></label>
								</li>
								<li>
									<i>申 请 人：</i>
									<label></label>
								</li>
								<li>
									<i>联系电话：</i>
									<label></label>
								</li>
								<li>
									<i>邮 箱：</i>
									<label></label>
								</li>
								<li>
									<i>申请时间：</i>
									<label></label>
								</li>
							</ul>
							<ul class="stepList list2">
								<li>
									<i>审核人：</i>
									<label></label>
								</li>
								<li>
									<i>审核时间：</i>
									<label></label>
								</li>
								<li>
									<i>审核结果：</i>
									<label></label>
								</li>
								<li>
									<i>审核意见：</i>
									<label></label>
								</li>
							</ul>
						</div>
					</div>
				</div>
			</div>
	<script type="text/html" id="indexTpl">
    {{d.LAY_TABLE_INDEX+1}}
</script>
			<script type="text/javascript" src="<c:url value='/scripts/admin/enter/entryApplication.js'/>"></script>
		</body>

		</html>