<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
	<title>员工通行</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<!-- bootstrap 3.0.2 -->

	<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/AdminLTE.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/scripts/zTree/css/zTreeStyle/zTreeStyle.css'/>" rel="stylesheet" 
	type="text/css" />
	<link href="<c:url value='/styles/orderDinner/accountManage.css?2020-3-25'/>" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
	<script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
	<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.core.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.excheck-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.exhide-3.5.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/fuzzySearch.js'/>"></script>
	<script type="text/javascript" src="${ctx }/scripts/admin/lingling/employeePass.js?2020-3-30"></script>
	<script type="text/javascript" src="<c:url value='/scripts/mobileBUGFix.mini.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/lrz.bundle.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js'/>"></script>
</head>
<style>
.line{
	border-top: none;
}
</style>
<body>

	<input type="hidden" value="${ctx}" id="contextPath" />

	<div class="bread-wp">
		通行管理 > 权限设置
	</div>
	<div class="right-content">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
			<form:form id="conditionform" class="clearfloat">

				<c:if test="${fn:length(orgs) > 1}">
					<div class=" part-wp">
						<span class="search-tips">校区</span>
						<input class="default-select" name="orgId" id="orgId" org__id="${orgs[0].id}" autocomplete="off" value="${orgs[0].name}"/>
		              	<span class="select_wrap _hide"></span>
<!-- 						<select class="default-select" name="orgId" id="orgId">
							<c:forEach items="${orgs }" var="org">
								<option value="${org.id }">${org.name }</option>
							</c:forEach>
						</select> -->
					</div>
				</c:if>
				<c:if test="${fn:length(orgs) == 1}">
					<input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" org__id="${orgs[0].id}" class="single-orgid">
				</c:if>
				<div class=" part-wp">
					<span class="search-tips">企业</span>
					<select class="default-select" name="companyId" id="companyId">
						<option value="">请选择企业</option>
					</select>
				</div>
				<div class=" part-wp">
					<span class="search-tips">权限组</span>
					<select class="default-select" name="hasPermGroup" id="hasPermGroup">
						<option value="">全部</option>
						<option value="1">已分配</option>
						<option value="0">未分配</option>
					</select>
				</div>
				<div class="part-wp">
					<span class="search-tips">手机号码</span>
					<input class="small-input loginName" type="text" placeholder="请输入手机号码" />
				</div>
				<div class="part-wp">
					<span class="search-tips">姓名</span>
					<input class="small-input userName" type="text" placeholder="请输入姓名" />
				</div>
				<div class="part-wp">
					<button class="search-btn btn-red" type="button">查询</button>
					<button style="margin-left: 15px;" class="set-btn btn-white" type="button">重置</button>
					<!-- <button style="margin-left: 15px;" class="btn-white" id="setPermissions" type="button">设置通行权限</button> -->
					<button style="margin-left: 15px;" class="btn-white setPermiss" id="setPermissions" type="button">设置通行权限</button>
				</div>
			</form:form>

			<table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>
		</div>
	</div>
	<div class="alert-bo" onclick="closeAlert()">
		<div class="boost-bo">
			<img src="" alt="">
		</div>
	</div>
	<script type="text/html" id="indexTpl">
		{{d.LAY_TABLE_INDEX+1}}
	</script>
</body>

</html>