<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title>通行记录</title>
	<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/AdminLTE.css?2019-1-3'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/orderDinner/accountManage.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/lingling/deviceList.css'/>" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
	<script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/admin/lingling/passHistory.js?2019-1-3"></script>
	<script type="text/javascript" src="<c:url value='/scripts/mobileBUGFix.mini.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/lrz.bundle.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js'/>"></script>

</head>

<body>
	<input type="hidden" value="${ctx}" id="contextPath" />

	<div class="bread-wp">
		通行管理 > 通行记录
	</div>
	<div class="right-content device-list">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
			<form:form id="conditionform" class="clearfloat">
				<c:if test="${fn:length(organizationList) > 1}">
					<div class=" part-wp">
						<span class="search-tips">校区</span>
						<input class="default-select" name="orgId" id="orgId" autocomplete="off"/>
		              	<span class="select_wrap _hide"></span>
	<!-- 					<select class="default-select" name="orgId" id="orgId">
							<option value="">请选择校区</option>
							<c:forEach items="${organizationList }" var="org">
								<option value="${org.id }">${org.name }</option>
							</c:forEach>
						</select> -->
					</div>
				</c:if>
				<c:if test="${fn:length(organizationList) == 1}">
					<input type="hidden" name="orgId" id="orgId" value="${organizationList[0].id}" org__id="${organizationList[0].id}" class="single-orgid">
				</c:if>
				<div class="part-wp">
					<span class="search-tips">类型</span>
					<select class="default-select deviceType">
						<option value="">请选择类型</option>
						<option value="1">闸机</option>
						<option value="2">梯控</option>
						<option value="3">门禁</option>
					</select>
				</div>
				<div class="part-wp">
					<span class="search-tips">设备ID</span>
					<input class="small-input deviceId" type="text" placeholder="请输入设备ID" />
				</div>
				<div class="part-wp">
					<span class="search-tips">手机号码</span>
					<input class="small-input mobile" type="text" placeholder="请输入手机号码" />
				</div>
				<div class="part-wp">
					<span class="search-tips">用户类型</span>
					<select class="default-select userType">
						<option value="">用户类型</option>
						<option value="1">员工</option>
						<option value="2">访客</option>
						<option value="3">员工</option>
					</select>
				</div>
				<div class="part-wp" style="margin-right: 0;">
					<div class="part-wp layui-inline" style="margin-right: 5px;">
						<label class="layui-form-label txt_brown fs14">添加时间</label>
						<div class="layui-input-block">
							<input type="text" name="date1" id="date1" autocomplete="off" class="layui-input" placeholder="开始时间" style="display: inline-block"><span
							 style="display: inline-block;margin-left: 5px;">~</span>
						</div>
					</div>
					<div class="layui-input-block part-wp">
						<input type="text" name="date2" id="date2" autocomplete="off" class="layui-input" placeholder="结束时间">
					</div>
				</div>
				<div class="part-wp">
					<span class="search-tips">实体卡号</span>
					<input class="small-input cardCode" type="text" placeholder="请输入实体卡号" />
				</div>
			</form:form>
			<div class="part-wp">
				<button class="search-btn bl_yellow fs16" type="button">查询</button>
				<button class="set-btn bt_blue fs16" type="button">重置</button>
			</div>
			<table class="layui-hide" id="LAY_table_user" lay-filter="test"></table>
		</div>
	</div>
	<div class="alert-bo" onclick="closeAlert()">
		<div class="boost-bo">
			<img src="" alt="">
		</div>
	</div>
	<script type="text/html" id="indexTpl">
		{{d.LAY_TABLE_INDEX+1}}
	</script>
</body>

</html>