<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>导入Excel新增或更新数据</title>
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>" rel="stylesheet" type="text/css" />
<link href='<c:url value='/styles/lib/ionicons.min.css' />' rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<script src="${ctx }/scripts/lib/jquery-1.8.2.min.js"></script>
<script type="text/javascript" src="<c:url value='/scripts/loading/jquery.blockUI.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/loading/loading.js'/>"></script>
<script type="text/javascript">
	function confirmImport(){
		showBlock();
		window.location.href="confirmImportUser?funcid=${funcid}&dataSessionUid=${dataSessionUid}";
	}
</script>
</head>
<body>
	<input type="hidden" value="${ctx}" id="contextPath">
	<div class="col-md-6" style="width:100%;" align="center">
		<div class="box box-warning">
			<div class="box-header" style="width:90%;">
				<h3 class="box-title">导入Excel新增或更新数据</strong></h3>
			</div>
			<div class="box-body">
				<div class="form-group">
					*分析结果
				</div>
			</div>
			<div class="box-body">
				<div class="form-group">
					可成功导入<em>${okCount }</em>条，无法导入<span>${bugCount }</span>条
				</div>
				<div class="form-group">
						<a class="btn btn-primary" href="#" id='btn-save' onclick="confirmImport()">保存</a>
						<a class="btn btn-back" href="<c:url value='/member/userlist?funcid=${funcid}' />">返回</a>
				</div>
			</div>
			<div class="box-body">
					<table class="table table-bordered table-hover" id="dataareaid">
							<thead>
								<tr>
									<th>职员代码</th>
									<th>姓名</th>
									<th>所属公司</th>
									<th>所属部门</th>
									<th>岗位名称</th>
									<th>入司时间</th>
									<th>移动电话</th>
									<th>所属校区</th>
								</tr>
							</thead>
							<tbody>
								<c:forEach items="${data }" var="model">
								<tr>
									<td>${model.userNumber }</td>
									<td>${model.userName }</td>
									<td>${model.virtualArchName }</td>
									<td>${model.departmentName }</td>
									<td>${model.positionName }</td>
									<td><fmt:formatDate value="${model.enteringTime }" pattern="yyyy-MM-dd"/></td>
									<td>${model.userMobile }</td>
									<td>${model.organizationName }</td>
								</tr>
								</c:forEach>
							</tbody>
						</table>
					</div>
					<div class="box-body">
				<c:if test="${not empty bugStr}">
				<div class="form-group">
					失败原因：<em>${bugStr }</em>
				</div>
				</c:if>
			</div>
		</div>
	</div>
</body>
</html>
