<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>发布短信</title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />

<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/notice/noticeMsgPublish.css'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
<%-- <script type="text/javascript" src="<c:url value='/scripts/lib/layDate/laydate.dev.js'/>"></script> --%>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>

</head>
<body>
<div class="bread-wp">
			公告通知 >  发布公告消息  > 短信消息
</div>
	<div class="right-content">
	<input type="hidden" value="${ctx}" id="contextPath">
		<ul class="third-tabs">
	          <li class="third-tab ">
	            <a href="noticeAppPublish">公告</a>
	          </li>
	          <li class="third-tab ">
	            <a href="wxPublish">微信模板消息</a>
	          </li>
	          <li class="third-tab active">
	            <a href="msgPublish">短信消息</a>
	          </li>
	          <li class="third-tab">
	            <a href="emailPublish">邮件消息</a>
	          </li>
        </ul>
		<div class="main-content-mode-wp clearfloat">
			<div class="message-mask">
				<div class="message-tip-con">
					<div class="msg-title">温馨提示</div>
					<div class="msg-img"></div>
					<div class="msg-tip">如需使用发送短信消息功能，需先开通短信服务，具体开通事宜请联系：177 8603 0154</div>
				</div>
			</div>
			<c:if test="${fn:length(orgs) > 1}">
				<select class="select-width180 org-list" name="orgId" id="orgId" >
					<option value="">请选择校区</option>
					<c:forEach items="${orgs }"  var="org">
						<option value="${org.id }">${org.name }</option>
					</c:forEach>
				</select>
			</c:if>
			<c:if test="${fn:length(orgs) == 1}">
				<input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}">
			</c:if>
		 	<div class="msg-mobile-wp clearfloat">
		 		<span class="m-tips">目标号码<br><span class="m-tips-kuo">(每行一个)</span></span>
		 		<div class="msg-wp">
		 			<textarea class="mobile-list"></textarea>
		 			
		 			<div class="m-white-btns">
		 				<button class="filter-btn btn-white-width90">重号过滤</button>
		 				<button class="clear-btn btn-white-width90">清空</button>
		 			</div>
		 			<div class="m-red-btns">
		 				<!-- <button class="choose-btn btn-red-width90">选择群组</button> -->
		 				<button class="export-btn btn-red-width90">导入</button>
		 			</div>
		 		</div>
		 	</div>
		 	<div class="msg-con-wp clearfloat">
		 		<span class="m-tips">短信内容</span>
		 		<div class="con-wp">
		 			<div class="message-con-wp">
		 				<textarea class="message-con"></textarea>
		 				<div class="msg-num-wp">
		 					<span class="num">6</span>字
		 					<span class="msg-num">1</span>条
		 				</div>
		 			</div>
		 			<div class="msg-btm-wp">
		 				<span class="msg-suffix-wp">
		 					<%--短信后缀:<span class="suffix-name">【】</span>--%>
		 				</span>
		 				<div class="msg-btm-right">
		 					<button class="con-sure-btn btn-red-width90">确定发送</button>
		 					<button class="con-clear-btn btn-white-width90">清空</button>
		 				</div>
		 			</div>
		 			
		 		</div>
		 	</div>
		</div>
	</div>
<script type="text/javascript" src="<c:url value='/scripts/admin/notice/noticeMsgPublish.js'/>"></script>
</body>
</html>