<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>操作日志</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- bootstrap 3.0.2 -->

<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/orderDinner/operationLog.js"></script>

</head>
<body>
	
	<input type="hidden" value="${ctx}" id="contextPath" />
	
	<div class="bread-wp">
		系统管理  > 操作日志
	</div>
	<div class="right-content">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
		<form:form  id="conditionform"  class="clearfloat">
			
	            <c:if test="${fn:length(orgs) > 1}">
	             <div class=" part-wp">
		              <span class="search-tips">校区</span>
		              <select class="default-select" name="orgId" id="orgId" >
		                <option value="">请选择校区</option>
		                <c:forEach items="${orgs }"  var="org">
		                  <option value="${org.id }">${org.name }</option>
		                </c:forEach>
		              </select>
	              </div>
	            </c:if>
	            <c:if test="${fn:length(orgs) == 1}">
	              <input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" class="single-orgid"> 
	            </c:if>
            <div class="part-wp">
				<span class="search-tips">操作类型</span>
				<select class="default-select opType" >
					<option value="0">全部</option>	
					<option value="1">充值</option>
					<option value="2">修改</option>
					<option value="3">订餐</option>
					<option value="4">转换到福利商城</option>
				</select>
			</div>
			<div class="part-wp">
				<span class="search-tips">操作人</span>
				<input class="small-input opName" type="text" placeholder="请输入操作人"/>
			</div>
			
			<div class=" part-wp">
              <span class="search-tips">操作时间</span>
              <input type="text" class="small-input  beginTime" id="beginTime" placeholder="开始时间" name="beginTime" readonly> ~
              <input type="text" placeholder="结束时间"  name="endTime" class="small-input endTime" id="endTime" readonly>
            </div>
			
			<button class="search-btn btn-red" type="button">查询</button>
			<button class="set-btn btn-white" type="button">重置</button>
		</form:form>
		 <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>  
	</div>
	</div>
	<script type="text/html" id="indexTpl">
    {{d.LAY_TABLE_INDEX+1}}
	</script>
</body>
</html>