<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
    <link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
    <link href="<c:url value='/styles/orgSettingList.css'/>" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
    <script src="${ctx }/scripts/lib/jquery-1.8.2.min.js"></script>

</head>

<body>
    <input type="hidden" value="${ctx}" id="contextPath">
    <%-- 是否admin,值为 true或false --%>
    <input type="hidden" value="${isAdmin}">
    <%-- 校区信息 --%>
    <input type="hidden" value="${org.id}">
    <input type="hidden" value="${org.name}">
    <div class="content">
        <div class="layui-tab layui-tab-card">
            <div class="form_content">
                <div class="layui-form-item" id="conditionform">
                    <c:if test="${isAdmin == true}">
                        <div class="layui-inline">
                            <label class="layui-form-label txt_brown fs14">校区</label>
                            <div class="layui-input-inline" style="width: 200px">
                                <input class="default-select orgId layui-input" name="orgId" id="orgId" autocomplete="off" placeholder="请选择校区"  value="${org.name}" org__id="${org.id}"/>
                                <span class="select_wrap _hide"></span>
                                <div class="people layui-form-select">
                                    <i class="layui-edge" onclick=""></i>
                                </div>
                            </div>
                        </div>
                    </c:if>
                    <c:if test="${!isAdmin}">
                        <input type="hidden" id="orgId" name="orgId" value="${org.name}" org__id="${org.id}">
                    </c:if>
                    <div class="layui-inline">
                        <label class="layui-form-label txt_brown fs14">名称</label>
                        <div class="layui-input-inline">
                            <input class="default-select company-id layui-input" id="companyId" autocomplete="off"
                                placeholder="请选择企业" />
                        </div>
                    </div>
                    <div class="layui-inline">
                        <label class="layui-form-label txt_brown fs14">所属功能</label>
                        <div class="layui-input-inline">
                            <select class="layui-input default-select" name="apartId" id="apartId">
                                <option value="">请选择功能</option>
                            </select>
                            <div class="people layui-form-select">
                                <i class="layui-edge"></i>
                            </div>
                        </div>
                    </div>
                    <div class="layui-inline changeBtn">
                        <button class="bl_yellow fs16 search-btn">查询</button>
                        <!-- <button class="bt_blue fs16 set-btn">重置</button> -->
                    </div>
                </div>
                <div class="tables">
                    <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>
                </div>
            </div>
        </div>
    </div>
    <script type="text/html" id="indexTpl">
        {{d.LAY_TABLE_INDEX+1}}
	</script>
    <script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/admin/orgSettingList.js'/>"></script>

</body>

</html>