<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>校区信息审核</title>
<meta
	content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no'
	name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />'
	rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />"
	rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/zTree/css/zTreeStyle/zTreeStyle.css'/>" rel="stylesheet"  type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript">
	$(function(){
		var dealFlag=$("#dealFlag").val();
		if(dealFlag!=""&&dealFlag!=null){
			if("success"==dealFlag){
				alert("处理成功！");
				window.close();
			}
			else{
				alert("处理失败，请联系管理员！");
			}
		}
		
		$("#btn-save").bind("click",function(){
			var viewStatus=$("#viewStatus").val();
			if(viewStatus==""||viewStatus=="0"){
				alert("请选择状态");
				return;
			}
			$("#conditionform").submit();
		});
	});

</script>
</head>
<body>
	<input type="hidden" value="${ctx}" id="contextPath">
	<input type="hidden" value="${result}" id="dealFlag">
	<section class="content">
		<div class="row">
			<div class="box-header" style="width:92%;padding-left:20px;">
				<h3 class="box-title">校区信息审核管理&nbsp;&nbsp; <strong font-color="red">${errormsg}</strong></h3>
			</div>
			<form action="${ctx}/busi/property/propertyViewForm" method="post" id="conditionform">
				<input type="hidden" name="actType" value="save">
				<input type="hidden" name="organizationId" value="${organization.id}">
				<div class="col-md-12">
				    <div class="form-group">
				        <label class="col-sm-3 control-label">校区名称：</label>
				        <div class="col-sm-9">
				            <input type="text" name="name" id="name" class="form-control" value="${organization.name }" readonly="readonly">
				        </div>
				    </div>
				    <div class="form-group">
				        <label class="col-sm-3 control-label">详细地址：</label>
				        <div class="col-sm-9">
				            <input type="text" name="address" id="address" class="form-control" value="${organization.address}" readonly="readonly"> 
				        </div>
				    </div>
				    <div class="form-group">
				        <label class="col-sm-3 control-label">申请人姓名：</label>
				        <div class="col-sm-9">
				            <input type="text" class="form-control" value="${organization.applicantName}" readonly="readonly">
				        </div>
				    </div>
				    <div class="form-group">
				        <label class="col-sm-3 control-label">申请人电话：</label>
				        <div class="col-sm-9">
				            <input type="text" class="form-control" value="${organization.applicantPhone}" readonly="readonly" >
				        </div>
				    </div>
				    <div class="form-group">
				        <label class="col-sm-3 control-label">申请人身份：</label>
				        <div class="col-sm-9">
				        	<c:choose>
				        		<c:when test="${empty organization.applicantIdentity || organization.applicantIdentity =='' }">
				        			暂无
				        		</c:when>
				        		<c:otherwise>
				        			 <c:forEach items="${identityGroup }" var="temp">
										<c:if test="${temp.itemcode==organization.applicantIdentity }">
											 <input type="text" class="form-control" value="${temp.itemname}"  readonly="readonly">
										</c:if>
									</c:forEach>
				        		</c:otherwise>
				        	</c:choose>
				        </div>
				    </div>
				    <div class="form-group">
				        <label class="col-sm-3 control-label">审核状态：</label>
				        <div class="col-sm-9">
				            <select class="form-control" name="status" id="viewStatus">
				            	<c:forEach items="${reviewStatusGroup }" var="obj">
									<c:choose>
										<c:when test="${obj.itemcode==organization.status }">
										<option value="${obj.itemcode }" selected="selected">${obj.itemname }</option>
										</c:when>
										<c:otherwise>
										<option value="${obj.itemcode }">${obj.itemname }</option>
										</c:otherwise>
									</c:choose>
								</c:forEach>
				            </select>
				        </div>
				    </div>
				    <div class="form-group">
				        <label class="col-sm-3 control-label">审批说明：</label>
				        <div class="col-sm-9">
				            <textarea name="reviewRemark" id="reviewRemark" rows="3" cols="84" >${organization.reviewRemark }</textarea>
				        </div>
				    </div>
				</div>
				<div align="absmiddle" class="anniu" style="text-align: center;">
					<a class="btn btn-primary" href="javascript:void();" id='btn-save'>保存</a> 
					<a class="btn btn-back" href="javascript:window.close();">关闭</a>
				</div>
			</form>
		</div>
	</section>
</body>
</html>
