<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title> 报修订单详情</title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>

<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/lib/bootstrap-grid.min.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/lib/zoomify/zoomify.css'/>" rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/repairService/serviceOrderDetail.css'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script> 
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/zoomify/zoomify.js'/>"></script>
<%-- <script type="text/javascript" src="<c:url value='/scripts/lib/layDate/laydate.dev.js'/>"></script> --%>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
</head>
<body>

<%-- 因为js中无法直接调用自定义的权限校验标签 --%>
<%-- 判断当前用户是否有相应权限,如果有权限则在JSP页面新增隐藏input标签,方便js代码调用 --%>

<%-- 是否有审核权限 --%>  
<perm:hasPermission permCode="pc:repairService:detail:audit">
	<input type="hidden" value="1" id="perm-approve" />
</perm:hasPermission>

<div class="bread-wp">
			报修管理   >  维修订单详情
 </div>
	<div class="right-content engineering-repair-wp">
	    <input type="hidden" value="${ctx}" id="contextPath" >
		<div class="main-content-mode-wp">
		  <form:form  id="conditionform"  class="clearfloat" onsubmit="return false;">
		  	  <div class="part-wp">
		  	  	 <span class="search-tips">报修时间</span>
			   	  <input type="text" class="small-input " id="c_startTime"  placeholder="开始时间"  readonly> ~
			   	  <input type="text" placeholder="结束时间"  class="small-input" id="c_endTime" readonly>
		  	  </div>
		  	
		  	 <div class="part-wp">
		  	  	<span class="search-tips">报修人姓名</span>
		  	  	<input type="text" class="input-black-width180 username" placeholder="报修人姓名"/>
		  	 </div> 
		  	 <div class="part-wp">
		  	  	<span class="search-tips">报修人手机</span>
		  	  	<input type="text" class="input-black-width180 mobilephone" placeholder="请输入手机号"/>
		  	 </div> 
		  	 
		  	 <div class="part-wp">
		  	  	<span class="search-tips">选择维修状态</span>
		  	  	<select class="default-select repair-status">
		  	  		<option value="">全部</option>
		  	  		<option value="0">待处理</option>
		  	  		<option value="1">已处理</option>
		  	  	
		  	  	</select>
		  	 </div>
		 
		  	 <div class="part-wp">
		  	  	<span class="search-tips">维修单编号</span>
		  	  	<input type="text" class="input-black-width420 repair-code" placeholder="请输入维修单编号"/>
		  	 </div> 
		   	  <button class="searcher-btn btn-red" type="button">查询</button>
		      <button class="set-btn btn-white" type="button">重置</button>
	      </form:form>
	       <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>  
		</div>	
	</div>
<script type="text/html" id="indexTpl">
	{{d.LAY_TABLE_INDEX+1}}
</script> 
<script type="text/javascript" src="<c:url value='/scripts/admin/repairService/serviceOrderDetail.js?v=1.1'/>"></script>
</body>
</html>