<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/foodconfig/home.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/deptList.css'/>" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/visitor/exif.js'/>"></script>
	<script src="${ctx }/scripts/lib/jquery-1.8.2.min.js"></script>

</head>

<body>
	<input type="hidden" value="${virAccountInfo}" id="virAccountInfo">
	<input type="hidden" value="${ctx}" id="contextPath">
	<%-- 如果isAdmin为true,该用户为admin,对应多个校区,页面展示校区搜索框 --%>
	<perm:hasPermission permCode="pc:virfood:foodconfig">
	<input type="hidden" value="1" id="perm-approve" />
</perm:hasPermission>

	<div class="content">
		<div class="layui-tab layui-tab-card">
			<div class="form_content">
				<div class="layui-form-item" id="conditionform">
							<div class="layui-inline">
								<div class="layui-input-block" style="margin-left:20px">
					                <span class="search-tips">卡组</span>
					                 <select name="sendQueueChannel" id="sendQueueChannel" lay-verify="required" class="selectCard" lay-search>
                                      <option value=""></option>
                                      </select>
				                </div>
							</div>
						<div class="layui-inline changeBtn">
						<button class="bl_yellow fs16 search-btn">查询</button>
					</div>
				</div>
       <div class="table">  
        <h2 class="table-caption search-tip" >明星商户</h2>  
        <div class="table-column-group">  
            <div class="table-column"></div>  
            <div class="table-column"></div>  
            <div class="table-column"></div>  
             <div class="table-column"></div>
        </div>  
        <div class="table-header-group">  
            <ul class="table-row">  
                <li class="table-cell">序号</li>  
                <li class="table-cell">商户名称</li>  
                <li class="table-cell">折扣(折)</li> 
                 <li class="table-cell">LOGO</li>  
            </ul>  
        </div>  
        <div class="table-row-group">  
            <ul class="table-row">  
                <li class="table-cell">
                <div class="table-title-name">展示1</div>
                </li>  
                <li >
                <div class="input-content">
               	<div class="table-title-name">
                <input class="default-select"  id="merchant_name1" name="merchant_name1">
                </div>
                </div>
                </li>  
                <li class="table-cell">
                <div class="table-title-name">
               	<input class="default-select "  id="discount1" name="discount1">
                </div>
                </li> 
                <li class="table-cell">
                <div class="repair-item" style="display: block;">
					<div class="r-item-img-list">
					</div>
					<div class="r-img-file-wp">
						<input class="r-img-file" type="file"/>
					</div>
				</div>
				<div class="repair-item-img" style="display: none;">
					<img alt="" id="firstImgUrl" src="http://120.79.80.138/avicfile/super/2019/06/10/b8921413-3be5-43a0-ba47-e061b7ddc4db.jpg">
					<span class="imgdel-btn1"></span>
				</div>
                </li> 
            </ul>  
            <ul class="table-row">  
                <li class="table-cell">
                <div class="table-title-name">展示2</div>
                </li>  
                <li class="table-cell">
                  <div class="table-title-name">
               	<input class="default-select "  id="merchant_name2" name="merchant_name2">
                </div>
                </li>  
                <li class="table-cell">
                 <div class="table-title-name">
                 <input class="default-select "  id="discount2" name="discount2">
                </div>
                </li> 
                <li class="table-cell">
               <div class="repair-item2" style="display: block;">
					<div class="r-item-img-list1">
					</div>
					<div class="r-img-file-wp1">
						<input class="r-img-file1" type="file"/>
					</div>
				</div>
				<div class="repair-item-img2" style="display: none;">
					<img alt="" id="twoImgUrl" src="http://120.79.80.138/avicfile/super/2019/06/10/b8921413-3be5-43a0-ba47-e061b7ddc4db.jpg">
					<span class="imgdel-btn2"></span>
				</div>
                </li>  
            </ul>  
            <ul class="table-row">  
               <li class="table-cell">
                <div class="table-title-name">展示3</div>
                </li> 
                <li class="table-cell">
                 <div class="table-title-name">
                 <input class="default-select "  id="merchant_name3" name="merchant_name3">
                </div>
                </li>  
                <li class="table-cell">
                <div class="table-title-name">
                 <input class="default-select "  id="discount3" name="discount3">
                </div>
                </li> 
                <li class="table-cell">
                <div class="repair-item3">
					<div class="r-item-img-list2">
					</div>
					<div class="r-img-file-wp2">
						<input class="r-img-file2" type="file"/>
					</div>
				</div>
				<div class="repair-item-img3" style="display: none;">
					<img alt="" id="threeImgUrl" src="http://120.79.80.138/avicfile/super/2019/06/10/b8921413-3be5-43a0-ba47-e061b7ddc4db.jpg">
					<span class="imgdel-btn3"></span>
				</div>
                </li> 
            </ul>  
             <ul class="table-row">  
               <li class="table-cell">
                <div class="table-title-name">展示4</div>
                </li>   
                <li class="table-cell">
                 <div class="table-title-name">
                <input class="default-select "  id="merchant_name4" name="merchant_name4">
                </div>
                </li>  
                <li class="table-cell">
                <div class="table-title-name">
               <input class="default-select "  id="discount4" name="discount4">
                </div>
                </li> 
                <li class="table-cell">
                <div class="repair-item4" style="display: block;">
					<div class="r-item-img-list3">
					</div>
					<div class="r-img-file-wp3">
						<input class="r-img-file3" type="file"/>
					</div>
				</div>
				<div class="repair-item-img4" style="display: none;">
					<img alt="" id="fourImgUrl" src="http://120.79.80.138/avicfile/super/2019/06/10/b8921413-3be5-43a0-ba47-e061b7ddc4db.jpg">
					<span class="imgdel-btn4"></span>
				</div>
                </li>  
            </ul> 
        </div>  
    </div>
              <div class="layui-inline">
				<label class="layui-form-label txt_brown fs14 linkurl">外链地址</label>
				<div class="layui-input-inline">
				<input class="default-select  layui-input "  id="out_url" name="out_url"  style="width:400px">
				</div>
			 </div>
			 
			 <div class="layui-inline btsure">
				<button class="bl_yellow " id="saveFoodConfig">保存</button>
			 </div>
            </div>
          </div>
				</div>
			</div>
		</div>
	</div>
	<script type="text/html" id="indexTpl">
		{{d.LAY_TABLE_INDEX+1}}
</script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js?2019-1-15'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/foodManger/foodconfig.js?2019-3'/>"></script>

</body>

</html>