<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,height=device-height, user-scalable=no,initial-scale=1, minimum-scale=1, maximum-scale=1,target-densitydpi=device-dpi "> 
	<title>流量充值</title>
    <link rel="stylesheet" type="text/css" href="${ctx }/styles/wechat/onlineRecharge.css?ver=1.211111111111" />
    <link rel="stylesheet" href="${ctx }/styles/visitor/layer.css" type="text/css">
	<script type="text/javascript" src="${ctx }/scripts/common/jquery-1.11.3.min.js"></script>
	<script type="text/javascript" src="https://res.wx.qq.com/open/js/jweixin-1.0.0.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/common/shareAppMessage.js?ver=4.0"></script>
	<script type="text/javascript" src="${ctx }/scripts/visitor/layer.js?v=4.0"></script>
	<script type="text/javascript" src="${ctx }/scripts/wechat/flowRecharge.js?ver=4.0"></script>
</head>
<body>
	<input id="contextPath" value="${ctx}" type="hidden" />
	<input id="tradeType" value="${tradeType}" type="hidden" />
	<input id="payWay" value="${payWay}" type="hidden" />
	<input id="openId" value="${openId}" type="hidden" />
	<input id="operationType" value="${operationType }" type="hidden" />
	<input id="developId" value="${developId}" type="hidden" />
	<input id="webUrl" value="${webUrl }" type="hidden">
	<input id="channelCode" value="${channelCode }" type="hidden">
	
	<form action="" class="background_view">
		<div class="photoText_view">
			<input type="number" class="photo_input" id="mobile" name="mobile"
				placeholder="请输入手机号码" maxlength="11" pattern="\d*" />
			<div class="photoText_view_name" name="photoText_view_name">中国移动</div>
		</div>
		<div class="btn_view_product" style="display: none;"></div>
		<div class="btn_view">
			<a href="javascript:void(0)">
				<div class="left_net">
					<div class="left_num">150M</div>
					<div class="left_money">售价15.60元</div>
				</div>
			</a> <a href="javascript:void(0)">
				<div class="left_net">
					<div class="left_num">500M</div>
					<div class="left_money">售价23.40元</div>
				</div>
			</a> <a href="javascript:void(0)">
				<div class="left_net">
					<div class="left_num">1G</div>
					<div class="left_money">售价35.00元</div>
				</div>
			</a> <a href="javascript:void(0)">
				<div class="left_net">
					<div class="left_num">2G</div>
					<div class="left_money">售价49.00元</div>
				</div>
			</a> <a href="javascript:void(0)">
				<div class="left_net">
					<div class="left_num">3G</div>
					<div class="left_money">售价70.00元</div>
				</div>
			</a> <a href="javascript:void(0)">
				<div class="left_net">
					<div class="left_num">4G</div>
					<div class="left_money">售价91.00元</div>
				</div>
			</a>
		</div>
		<!-- 详细数量 -->
		<div class="total_View clearfix">
			<span class="total_View_left"></span> <span class="total_View_right"></span>
			<br>
			<div class="total_View_div" style="display: none">全国可用,立即生效,月底失效</div>
		</div>

		<!-- 微信支付 -->
		<a href="javascript:void(0)" class="paymentButton"
			id="recharge_disabled">立即充值</a> <a href="javascript:void(0)"
			class="paymentButton" id="recharge" style="display: none">立即充值</a>
		<div style="font-size: 12px; margin-top: 1rem; color: #666;">
			<ul style="text-align: left; margin: 0 auto; width: 90%;">
				<li style="margin-bottom: 0.1rem;"><span
					style="font-weight: bold;">1、中国移动：</span>月末两天不支持充值；</li>
				<li style="margin-bottom: 0.1rem;"><span
					style="font-weight: bold;">2、中国联通：</span>每月第一天和最后一天不支持充值；</li>
				<li style="margin-bottom: 0.1rem;"><span
					style="font-weight: bold;">3、中国电信：</span>月末最后一天不支持充值。</li>
			</ul>
		</div>
		<div  class="bottom_head_flow">下滑关注充值状态<span>
		<img src="${ctx }/images/bottom_icon.png" class="bottom_head_img_flow"></span></div>
		<img src="${ctx }/images/recharge_ewm.png" alt="" class="image_bottom_flow">
		<!-- 充值记录 -->
		<div class="rechargeRecord">
			<div class="jump clearfix">
				<a href="javaScript:void(0)" onclick="rechargeRecord()">充值记录</a> <a
					href="javaScript:void(0)" onclick="redirectUrl()">话费充值</a>
			</div>
		</div>
	</form>
</body>
</html>