<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
<title>详情</title>
<link rel="stylesheet" type="text/css" href="${ctx }/styles/common/reset.css?v=1.0" />
<link rel="stylesheet" type="text/css" href="${ctx }/styles/common/notice_details.css?v=1.0" />
<link rel="stylesheet" type="text/css" href="${ctx }/plugin/swiper/swiper_css/swiper-3.4.1.min.css" />

<script type="text/javascript" src="${ctx }/scripts/common/jquery-1.11.3.min.js"></script>
<script type="text/javascript" src="${ctx }/plugin/swiper/swiper_js/swiper-3.4.1.min.js"></script>
<script type="text/javascript" src="${ctx }/scripts/common/common.js"></script>
<script type="text/javascript" src="${ctx }/scripts/common/details_swiper.js"></script>
</head>
<body>
	<input type="hidden" value="${ctx}" id="contextPath">
	<input type="hidden" value="${type}" id="type">
	<input type="hidden" value="${infoId}" id="infoId">
	<input type="hidden" value="${userId}" id="userId">
	<input type="hidden" value="${openId}" id="openId">
	<input type="hidden" value="${developId}" id="developId">
	
	<!-- 展示图片 -->
	<c:if test="${images!= null && fn:length(images) > 0}">
	<div class="pics-wrap">
		<!-- swiper控件 -->
		<div class="swiper-container">
			<div class="swiper-wrapper">
				<c:forEach items="${images}" var="image">
				<div class="swiper-slide">
					<em style="background: url('${visitPrefix}${image}') center center no-repeat; background-size: 100% auto;"></em>
				</div>
				</c:forEach>
			</div>
			<!-- 如果需要分页器 -->
			<c:if test="${images != null && fn:length(images) > 1}">
            	<div class="swiper-pagination swiper-pages"></div>
            </c:if>
		</div>
	</div>
	</c:if>
	
	<div class="content_details">
		<div class="content_title">
			<h3 class="notice_tile">${model.title }</h3>
			<div class="notice_remark clearfix">
				<div class="notice_type">
					<!-- <i class="icon_head"></i> -->
					<span class="notice_text" style="margin-right: 3%;">
						<fmt:formatDate value="${model.createTime}" pattern="yyyy年MM月dd日" />
					</span>
					<c:if test="${type=='1' }">
					<span class="notice_text" >超级前台</span>
					</c:if>
					<c:if test="${type=='2' }">
						<span class="notice_text" >${createUserName}</span>
					</c:if>
				</div>
			</div>
		</div>
		<hr class="line">
		<c:if test="${type=='2' }">
		<div class="activity-info">
			<c:if test="${!empty model.handleSide}">
            <p>
                <span>主办方:</span>
                <em>${model.handleSide }</em>
            </p>
            </c:if>
            <c:if test="${!empty model.address}">
            <p>
               	<span>活动地点:</span>
                <em>${model.address}</em>
            </p>
            </c:if>
            <c:if test="${!empty model.bgTime}">
            <p>
                <span>活动时间:</span>
                <em><fmt:formatDate value="${model.bgTime}" pattern="yyyy年MM月dd日HH:mm" />-<fmt:formatDate value="${model.endTime}" pattern="MM月dd日HH:mm" /></em>
            </p>
            </c:if>
            <p><span>活动内容:</span></p>
        </div>
        </c:if>
		<div type="text" name="notice_content" class="notice_content">
			${model.details }
		</div>
	</div>
	
	<div class="details_read" style="border: 0;">
		<div class="read_count">
			<label class="text_read">阅读:</label> <span
				class="count_read js_number" num="${model.readerNum }">${model.readerNum }</span>
		</div>
	</div>
</body>
</html>