<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width,height=device-height, user-scalable=no,initial-scale=1, minimum-scale=1, maximum-scale=1,target-densitydpi=device-dpi ">
    <title>修改个人信息</title>
    <link rel="stylesheet" href="${ctx }/styles/common/reset.css?ver=5.2" type="text/css">
    <link rel="stylesheet" href="${ctx }/styles/visitor/layer.css" type="text/css">
    <script type="text/javascript" src="${ctx}/plugin/vconsole/vconsole.min.js"></script>
    <script>
      // init vConsole
      // var vConsole = new VConsole();
      //console.log('Hello world');
    </script>
    <style>
        .section,.address{
            width: 70%;
            height: 45px;
            line-height: 45px;
            appearance:none;
            -moz-appearance:none;
            -webkit-appearance:none;
            border: 0;
            background-color: #fff
        }
        .layui-form-item{
            background: #ffffff;
            border-bottom: 1px solid #e6e6e6;
            line-height: 45px;
        }
        .layui-form-item label{
            width: 25%;
            display: inline-block;
            text-align: right;
            padding-right: 5px;
            float: left;
        }
        .layui-form-item span{
        	color: red;
        }
        .certain-modify{
            width: 90%;
            margin: 0 auto;
            text-align: center;
            background: #FF9400;
            border-radius: 4px;
            height: 45px;
            line-height: 45px;
            font-size: 15px;
            color: #FFFFFF;
            margin-top: 50px;
        }
        .address_p{
            display: inline-block;
            height: 100%;
            width: 73%;
            float: left;
        }
        /*图片上传*/
        .photo-btn {
            background: url(../../images/admin/add_icon.svg) no-repeat center center;
        }
        .photo-item, .photo-btn {
            width: 86px;
            height: 86px;
            position: relative;
            float: left;
        }
        .photo-list {
            float: left;
        }
        .photo-file {
            position: absolute;
            width: 100%;
            height: 100%;
            opacity: 0;
        }
        .photo-item .del-btn {
            position: absolute;
            right: 3px;
            top: 3px;
            width: 22px;
            height: 22px;
            background: url(../../images/admin/del_icon.svg) no-repeat center center;
            cursor: pointer;
        }
        .item-con {
            width: 73%;
            float: left;
            line-height: 36px;
            position: relative;
            padding-top: 5px;
            padding-bottom: 5px;
        }
        .photo-item .photo-item-img {
            width: 100%;
            height: 100%;
            background-repeat: no-repeat;
            background-position: center center;
            background-size: contain;
        }
    </style>
</head>

<body>
    <input type="hidden" value="${ctx}" id="contextPath" />
    <input type="hidden" value="${oldUrl}" id="oldUrl" />
    <input type="hidden" value="${wechatUrl}" id="wechatUrl" />
    <input type="hidden" id="openId" value="${openId }" />
    <input type="hidden" id="organizationId" value="${organizationId}" />
    <input type="hidden" id="developId" value="${developId }" />

    <div class="modify-info">
        <div class="layui-form-item">
            <label><span>* </span> 姓&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;名 : </label>
            <input class="userName" type="text">
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label"><span>&nbsp; </span> 部&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;门 : </label>
            <!-- <div class="layui-input-block"> -->
            <select name="section" class="section">
                <option value="">请选择部门</option>
            </select>
            <!-- </div> -->
        </div>
        <div class="layui-form-item clearfix">
            <label class="layui-form-label"><span>&nbsp; </span>地&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;址 : </label>
            <p class="address_p"></p>
        </div>
        <div class="layui-form-item clearfix">
            <label class="layui-form-label"><span>&nbsp; </span>人脸图片: </label>
            <div class="item-con">
            </div>
        </div>
        <div class="certain-modify">确认修改</div>
    </div>
    <script type="text/javascript" src="${ctx}/scripts/common/jquery-1.11.3.min.js"></script>
    <script type="text/javascript" src="${ctx }/plugin/layer/mobile/layer.js?v=4.0"></script>
    <!-- <script type="text/javascript" src="<c:url value='/scripts/admin/lrz.bundle.js'/>"></script> -->
    <script type="text/javascript" src="<c:url value='/scripts/admin/lrz.all.bundle.js'/>"></script>
    <script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
    <script type="text/javascript" src="${ctx}/plugin/vconsole/vconsole.min.js"></script>
    <script type="text/javascript" src="<c:url value='/scripts/wechat/modifyInfo.js?2019-4-4'/>"></script>
</body>

</html>