<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,height=device-height, user-scalable=no,initial-scale=1, minimum-scale=1, maximum-scale=1,target-densitydpi=device-dpi "> 
	<title>我的</title>
    <link rel="stylesheet" type="text/css" href="${ctx }/styles/common/reset.css?v=2.11102222222" />
    <link rel="stylesheet" type="text/css" href="${ctx }/styles/userset/information.css?v=2.11102222222" />
	<script type="text/javascript" src="${ctx }/scripts/common/jquery-1.11.3.min.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/common/common.js?v=2.11102222222"></script>
	<script type="text/javascript" src="${ctx }/scripts/wechat/controlOptionMenu.js"></script>
	<script type="text/javascript" src="${ctx }/plugin/layer/mobile/layer.js?v=4.0"></script>

</head>
<body>
	<input type="hidden" value="${ctx}" id="contextPath" />
	<input type="hidden" id="openId" value="${openId }">
	<input type="hidden" id="developId" value="${developId }">
	<input type="hidden" id="userId" value="${appUser.id  }">
	<input type="hidden" id="status" value="${appUser.status  }">
	<input type="hidden" id="organizationId" value="${appUser.organizationId  }">
    <div class="wx-index-wp">
        <div class="wx-index-con">
            <div class="pagetoplogo"></div>
            <div class="pagebottomlogo"></div>
            <h3 class="subtit clearfix">
                <span>个人信息</span>
                <em>*照片只有解绑公司后才能修改</em>
            </h3>
            <ul class="info-lists">
                <li>
                    <a href="${ctx}/wechat/appUser/toModifyUser?actType=1&userId=${appUser.id }&developId=${developId}&openId=${openId}&organizationId=${organization.id}" class="auth-entry">
                        <label>姓名</label>
                        <span class="righttext">
                        <em>${appUser.userName }</em>
                        <i class="iconarrow"></i>
                    </span>
                    </a>
                </li>
                <li>
                    <a href="${ctx}/wechat/appUser/toModifyUser?actType=2&userId=${appUser.id }&developId=${developId}&openId=${openId}&organizationId=${organization.id}" class="auth-entry">
                        <label>手机号</label>
                        <span class="righttext">
                        <em>${appUser.userMobile }</em>
                        <i class="iconarrow"></i>
                    </span>
                    </a>
                </li>
                <!-- <li class="photoinfo clearfix">
                <label>个人照片</label>
                <c:if test="${empty userImageInfo }">
                	<div class="showphoto">
                    <img src="${ctx }/images/userlogin/noimg.png" onclick="updateUserInfo()"  alt="" />
               		</div>
                </c:if>
                 <c:if test="${not empty userImageInfo }">
                	<div class="showphoto">
                    <img src="${visitPrefix }${userImageInfo.imageUrl }" onclick="updateUserInfo()"  alt="" />
               		</div>
                </c:if>
            </li> -->
                <!-- <li class="photoinfo clearfix">
                <label>证件照片</label>
                <c:if test="${empty appUser.imageUrl01 &&  empty appUser.imageUrl02 && empty appUser.imageUrl03}">
	                <div class="showphoto">
	                    <img src="${ctx }/images/userlogin/noimg.png" onclick="updateUserInfo()"  alt="" />
	                </div>
                </c:if>
                <c:if test="${not empty appUser.imageUrl01}">
                <div class="showphoto">
                    <img src="${visitPrefix }${appUser.imageUrl01 }" onclick="updateUserInfo()"  alt="" />
                </div>
                </c:if>
                <c:if test="${not empty appUser.imageUrl02}">
                <div class="showphoto">
                    <img src="${visitPrefix }${appUser.imageUrl02 }" onclick="updateUserInfo()"  alt="" />
                </div>
                </c:if>
                <c:if test="${not empty appUser.imageUrl03}">
                <div class="showphoto">
                    <img src="${visitPrefix }${appUser.imageUrl03 }" onclick="updateUserInfo()"  alt="" />
                </div>
                </c:if>
            </li>
             -->
            </ul>

            <c:if test="${not empty virList}">
                <h3 class="subtit clearfix">
                    <span>公司信息</span>
                    <c:if test="${appUser.status==1 &&appUser.isResponsible==0}">
                        <a href="javascript: void(0);" title="解绑" class="status" onclick="unbundling()">解绑</a>
                    </c:if>
                    <c:if test="${appUser.status==0 }">
                        <strong class="examine"><i></i>待审核</strong>
                        <a href="javascript: void(0);" title="修改" class="status" onclick="updateUserInfo()">修改</a>
                    </c:if>
                    <c:if test="${appUser.status==2 }">
                        <strong class="examine"><i></i>不通过</strong>
                        <a href="javascript: void(0);" title="修改" class="status" onclick="updateUserInfo()">修改</a>
                    </c:if>
                </h3>
                <ul class="info-lists info-company">
                    <li class="auth-entry">
                        <label>楼宇</label>
                        <span class="righttext">
                    <em class="ellipsis">${organization.name }</em>
                </span>
                    </li>
                    <c:forEach items="${virList }" var="obj">
                        <li class="auth-entry">
                            <label>公司名称</label>
                            <span class="righttext">
                    <em class="ellipsis">${obj.name }</em>
                </span>
                        </li>
                    </c:forEach>
                    <!-- <li class="auth-entry">
                <label>地址</label>
                <span class="righttext">
                    <em class="ellipsis">${virtualArchitecture.address }</em>
                </span>
            </li> -->
                </ul>
            </c:if>
            <c:if test="${appUser.roleType==1 && appUser.status==1 }">
                <h3 class="subtit clearfix"><span>企业员工管理</span></h3>
                <ul class="info-lists">
                    <li>
                        <a href="${ctx }/wechat/memberManage/memberManageList?userId=${appUser.id}&openId=${openId}&developId=${developId}" class="auth-entry">
                            <label>员工管理</label>
                            <span class="righttext">
	                        <em>
	                            <c:if test="${noCheckCount==0 }">${count }人</c:if>
	                            <c:if test="${noCheckCount>0}"><i class="tipround"></i>待审核${noCheckCount }人</c:if>
	                        </em>
	                        <i class="iconarrow"></i>
	                    </span>
                        </a>
                    </li>
                </ul>
            </c:if>
            <!-- 未加入企业信息 -->
            <c:if test="${empty virList}">
                <div class="nocompany">
                    <i class="houseicon"></i>
                    <span>您暂未加入企业信息</span>
                    <a href="${ctx }/wechat/appUser/uauthentication?userId=${appUser.id}&openId=${openId}&developId=${developId}&organizationId=${appUser.organizationId}" title="去加入>">去加入></a>
                </div>
            </c:if>
        </div>
        <div class="nav-wp">
            <a  href="javascript:void(0)" class="nav-btn home ">
                <span class="icon"></span>
                <div class="name">首页</div>

            </a>
            <a  href="javascript:void(0)" class="nav-btn service">
                <span class="icon"></span>
                <div class="name">服务</div>

            </a>
            <a  href="javascript:void(0)" class="nav-btn mine active" >
                <span class="icon"></span>
                <div class="name">我的</div>
            </a>
        </div>
    </div>
    <script type="text/javascript" src="${ctx }/scripts/wechat/uInfo.js?v=2.1110222222222"></script>
</body>
</html>