<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title>便民服务</title>
	<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/orderDinner/accountManage.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/lingling/deviceList.css'/>" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
  <script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
  <script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/admin/aboutUs/aboutUsList.js?v=2022.03.21.2"></script>
	<script type="text/javascript" src="<c:url value='/scripts/mobileBUGFix.mini.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/admin/lrz.bundle.js'/>"></script>
	<link href="<c:url value='/styles/notice/noticeAppPublish.css'/>" rel="stylesheet" type="text/css" />
	<style type="text/css">
		.docs-tooltip {
			width: 76px;
			height: 40px;
			border: 1px solid #34A0FE;
			border-radius: 4px;
			color: #ffffff;
			background: #34A0FE;
			box-sizing: border-box;
			line-height: 27px;
			font-size: 16px;
		}

		#graphic {
			display: block;
		}

		.cropper-container.cropper-bg {
			margin-top: 18%;
		}

		.cancel-btn {
			margin-right: 30px;
			color: #158DF6;
			background: #ffffff;
			border: 1px solid #158DF6;
		}

		.notice-detail-top {
			background: url(../../images/admin/about_preview.png) no-repeat center/contain;
		}
		.head-title {
			width: 100%;
			height: 64px;
			line-height: 80px;
			text-align: center;
			font-weight: 600;
			font-size: 15px;
		}
		.notice-detail-wp .notice-title-and-date{
			border: 0;
		}
		.not-allowed {
			cursor: not-allowed;
		}
	</style>
</head>

<body>
	<input type="hidden" value="${ctx}" id="contextPath" />
	<div class="bread-wp">
		组织架构 > 项目组织信息管理 > 便民服务
	</div>
	<div class="right-content device-list">
		<input type="hidden" value="${userType}" id="userType">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
			<form:form id="conditionform" class="clearfloat">
				<c:if test="${userType=='1'||userType=='2'||userType=='6'}">
					<div class=" part-wp">
						<span class="search-tips">运营中心</span>
						<input ${userType=='6'?'disabled':''} class="${userType=='6'?'default-select not-allowed':'default-select'}" name="comdId" id="comdId" autocomplete="off"  placeholder="请选择运营中心"/>
						<span class="select_wrap _hide" style="width: 240px;"></span>
					</div>
				</c:if>
				<div class=" part-wp">
					<span class="search-tips">选择项目</span>
					<input class="default-select" name="orgId" id="orgId" autocomplete="off"  placeholder="请选择项目"/>
					<span class="select_wrap _hide" style="width: 240px;"></span>
				</div>
				<div class="part-wp">
					<span class="search-tips">标题</span>
					<input class="small-input title" type="text" placeholder="请输入标题" />
        </div>
        <div class="part-wp">
					<span class="search-tips">类型</span>
          <select name="type" id="type" class="small-input">
            <option value="">全部</option>
            <option value="1">服务热线</option>
            <option value="2">资料文件</option>
          </select>
				</div>
				<div class="part-wp" style="margin-right: 0;">
					<div class="part-wp layui-inline" style="margin-right: 5px;">
						<label class="layui-form-label txt_brown fs14">发布时间</label>
						<div class="layui-input-block">
							<input type="text" name="date1" id="date1" autocomplete="off" class="layui-input" placeholder="开始时间" style="display: inline-block"><span
							 style="display: inline-block;margin-left: 5px;">~</span>
						</div>
					</div>
					<div class="layui-input-block part-wp">
						<input type="text" name="date2" id="date2" autocomplete="off" class="layui-input" placeholder="结束时间">
					</div>
					<div class="part-wp">
						<button class="search-btn bl_yellow fs16" type="button">查询</button>
						<button class="set-btn bt_blue fs16" type="button">重置</button>
						<button style="margin-left: 15px;" class="add-ele-btn bt_blue fs16" type="button">+新增</button>
					</div>
				</div>
			</form:form>

			<table class="layui-hide" id="LAY_table_user" lay-filter="test"></table>
		</div>
	</div>
	<div class="alert-bo" onclick="closeAlert()">
		<div class="boost-bo">
			<img src="" alt="">
		</div>
	</div>
	<script type="text/html" id="indexTpl">
		{{d.LAY_TABLE_INDEX+1}}
	</script>
</body>

</html>
