<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
	<title>申请管理</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<!-- bootstrap 3.0.2 -->

	<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/AdminLTE.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/release/releaseApprove.css?v=1.0'/>" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
	<script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/admin/applyRelease/manage.js?v=3.5"></script>
	<script type="text/javascript" src="<c:url value='/scripts/mobileBUGFix.mini.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/lrz.bundle.js'/>"></script>
	<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js?2019-3-1"></script>
</head>
<style>
	.del-select-btn{
		border-radius: 5px;
		padding: 5px;
	}
	.del-select-btn:hover{
		background: #E8EFF4;
		cursor: pointer;
	}
	.del{
		display: inline-block;
		padding-left: 5px;
		color: #fff;
		border-radius: 5px;
		margin-left: 5px;
		height: 10px;
		width: 10px;
		background: url(../images/fx.png) no-repeat center center!important;
	}
	.layui-layer-close1{
		position: relative;
		top: 1px;
		cursor: pointer;
		float: right;
		width: 38px;
		height: 38px;
		background: url(../images/icons/delete_white_icon.png) no-repeat center center!important;
	}
	.layui-layer-title {
		cursor: move;
		background: #34A0FE!important;
		color: #fff!important;
		font-size: 21px!important;
	}
	.layui-layer-setwin{
		top: 5px;
	}
</style>
<body>
	<input type="hidden" value="${virAccountInfo}" id="virAccountInfo">
	<input type="hidden" value="${ctx}" id="contextPath" />

	<div class="bread-wp">
		 电子通行证 > 申请管理
	</div>
	<div class="right-content">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
			<form:form id="conditionform" class="clearfloat">

				<c:if test="${fn:length(orgs) > 1}">
					<div class=" part-wp">
						<span class="search-tips">项目</span>
						<input class="default-select" name="orgId" id="orgId"  autocomplete="off" placeholder="请输入项目名称" />
		        		<span class="select_wrap _hide"></span>
					</div>
				</c:if>
				<c:if test="${fn:length(orgs) == 1}">
					<input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" class="single-orgid default-select" org__id="${orgs[0].id}">
				</c:if>
				<c:if test="${not empty virAccountInfo}">
					<div class="part-wp">
						<span class="search-tips">企业</span>
						<input class="default-select" disabled name="companyId" id="companyId" autocomplete="off" value="${virAccountInfo.virName}" com__id="${virAccountInfo.virId}"/>
					</div>
				</c:if>
				<c:if test="${fn:length(virAccountInfo) == 0}">
					<div class=" part-wp">
						<span class="search-tips">企业</span>
						<input class="default-select" name="companyId" id="companyId"  autocomplete="off" placeholder="请输入企业名称"/>
						<span class="select_wrap _hide"></span>
					</div>
				</c:if>


				<div class="part-wp">
					<span class="search-tips">申请人</span>
					<input class="small-input loginName" type="text" placeholder="请输入申请人" />
				</div>
				<div class="part-wp">
					<span class="search-tips">状态</span>
					<select class="default-select releaseStatus">
						<option value="">请选择状态</option>
						<option value="1">待放行</option>
						<option value="5">已放行</option>
						<option value="10">审核中</option>
						<option value="15">提拒绝</option>
					</select>
				</div>
				<div class="part-wp">
					<span class="search-tips">申请时间</span>
					<input type="text" name="date1" id="date1" autocomplete="off" class="date-input small-input" placeholder="开始时间">
					<span style="display: inline-block;margin-left: 5px;">~</span>
					<input type="text" name="date2" id="date2" autocomplete="off" class="date-input small-input" placeholder="结束时间">
	      		</div>
				<div class="part-wp">
					<button class="search-btn btn-red" type="button">查询</button>
					<button class="set-btn btn-white" type="button">重置</button>
				</div>
			</form:form>
			<div class="main-operate-wp">
				<button class="btn-download-white" id="importTemplate" type="button">导出</button>
				<button id="operate" class="search-btn btn-red" style="background: #34A0FE!important;border:none;" type="button">配置流程</button>
			</div>
			<table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>
		</div>
	</div>
	<div id="block_1" style="display:none;">
	<div style="margin: 10px;">
		<div style="margin: 10px;">
			<c:if test="${fn:length(org) > 1}">
				<div class=" part-wp">
					<span class="search-tips">设置审核角色：</span>
			          <input class="default-select" name="orgId" id="orgId" org__id="${org[0].id}" autocomplete="off" value="${org[0].name}"/>
			          <span class="select_wrap _hide"></span>
				</div>
			</c:if>
			<c:if test="${fn:length(org) == 1}">
				<span class="search-tips">设置审核角色：</span>
				<input type="hidden" disabled name="orgId" id="orgId" value="${org[0].id}" class="single-orgid default-select" org__id="${org[0].id}">
				<input disabled name="orgId" value="${org[0].name}" class="single-orgid default-select">
			</c:if>
		</div>
		<table border="1" cellspacing="0" width="100%" style="border: 1px solid #DDDDDD;border-radius: 4px;">
			<tr style="height: 60px;">
				<th style="height: 40px;"></th>
				<th style="height: 40px;">审核角色</th>
			</tr>
			<tr style="height: 60px;">
				<td rowspan="2" style="width: 150px;padding: 10px;">
					<label class="checkbox-con">公司审核</label>
				</td>
				<td style="padding: 10px;">
					<select class="default-select" id="virPerm">
					</select>
					<button style="background: #158DF6!important;border: 1px solid #158DF6;" class="search-btn btn-red" type="button" id="addVirPerm">添加</button>
				</td>
			</tr>
			<tr style="height: 60px;">
				<td style="padding: 10px;">
					<div id="showVirPerm" style="line-height: 30px;">

					</div>
				</td>
			</tr>
			<tr style="height: 60px;">
				<td  rowspan="2" style="width: 150px;padding: 10px;">
					<label class="checkbox-con">物业审核</label>
				</td>
				<td style="padding: 10px;">
					<select class="default-select" id="role">
					</select>
					<button style="background: #158DF6!important;border: 1px solid #158DF6;" class="search-btn btn-red" type="button" id="addRole">添加</button>
				</td>
			</tr>
			<tr style="height: 60px;">
				<td style="padding: 10px;">
					<div id="showRole" style="line-height: 30px;">
					</div>
				</td>
			</tr>
		</table>
		<div class="part-wp" style="width: 100%;margin-top: 30px;padding-top: 21px;border-top: 1px solid #EEEEEE;text-align: center;">
			<button class="cancel-btn btn-white" style="margin-right: 20px;">取消</button>
			<button class="search-btn btn-red" type="button" style="background: #34A0FE!important;border:none;" id="sure">确定</button>
		</div>
	</div>
</div>
	<script type="text/html" id="indexTpl">
		{{d.LAY_TABLE_INDEX+1}}
	</script>
</body>

</html>
