<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>批量导入企业资料信息</title>
<link type="text/css" rel="stylesheet" href="<c:url value='/styles/admin/import.css'/>" />
<script type="text/javascript"
	src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/loading/jquery.blockUI.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/loading/loading.js'/>"></script>
<script type="text/javascript">
	function fileChange(){
		var fileName=$("#excelFile").val();
		var extension=fileName.substring(fileName.lastIndexOf(".")+1,fileName.length);
		if(extension=="xlsx"){
			showBlock();
			$("#fileUploadForm").submit();
		}
		else{
			alert("请上传xlsx格式的文件");
		}
	}
</script>
</head>
<body style="background-color: #f9f9f9;">
	<input type="hidden" value="${ctx}" id="contextPath">
	<div class="uf-nav">
		<div class="uf-up">
			<a href="propertyList?funcid=${funcid}" title="返回"></a>
		</div>
		<h1>批量导入企业资料信息</h1>
	</div>
	<div class="uf-main clearfix">
		<span class="step-one"></span>
		<p class="uf-text">您将通过上传的Excel文件，批量追加表格数据</p>
		
		<form id="fileUploadForm" name="form" action="${ctx}/busi/property/batchImportVirtualArch" 
			method="POST" enctype="multipart/form-data">
			<input type="hidden" name="funcid" value="${funcid }">
			<input type="hidden" name="organizationId" value="${organizationId }">
			<!-- 选择文件 并上传-->
			<div class="upload">
				<label for="ufUpload"><em>选择文件</em> 
				<input type="file" id="excelFile" name="excelFile" onchange="fileChange()" />
				</label>
				<p>支持Excel文件</p>
			</div>
		</form>
	</div>
</body>
</html>
