<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>企业签约协议记录明细</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>" rel="stylesheet" type="text/css" />
<link href='<c:url value='/styles/lib/ionicons.min.css' />' rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<script src="${ctx }/scripts/lib/jquery-1.8.2.min.js"></script>
<script type="text/javascript" src="<c:url value='/scripts/bootstrap.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/plugin/layer/layer.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/signcontactList.js?ver=12'/>"></script>
<style type="text/css">
.row{padding-top:25px;text-align: center;}
</style>
</head>
</head>
<body>
	<input type="hidden"  id="funcid" value="${funcid}">
	<input type="hidden" value="${ctx}" id="contextPath">
	<input type="hidden" value="${virtualId}" id=virtualId>
	<input type="hidden"  id="signId">
		<input type="hidden"  id="type">
	<section class="content">
		<div class="row">
			<div class="col-xs-12">
				<div class="boxlist">
					<!-- /.box-header -->
					<div class="box-body table-responsive">
						<span style="float:right; margin-bottom: 2px;"> 
							<!-- <a class="btn btn-success" href="javaScript:void(0);" onclick="addContractInfomation()">
								<span>新增/编辑</span>
							</a> -->
							<a href="javascript:void(0);" title="发票管理" class="btn btn-default" onclick="showAddUpdateInvoiceBill()">
								<span>发票管理</span>
                            </a>
                            <a class="btn  btn-primary" href="${ctx}/admin/virtualArch/list?funcid=${funcid}" >
                            	<span>返回</span>
                        	</a>
						</span>
						<label><span style="font-size: 16px;">${virtualArchitecture.name }_${virtualArchitecture.customerNumber }</span> 签约协议记录明细下：</label>						
						<table id="example2" class="table table-bordered table-hover">
							<thead>
								<tr>
									<th>服务名称</th>
									<th>协议状态</th>
									<th>协议开始时间</th>
									<th>协议结束时间</th>
									<th>协议生效时间</th>
									<th>结算方式</th>
									<th>预付费金额</th>
									<th>签约员工</th>
									<th>客户签名</th>
									<th>创建时间</th>
									<th>操作</th>
								</tr>
							</thead>
							<tbody>
								<c:forEach items="${list }" var="model" varStatus="status">
									<tr>
										<td>${model.serviceName }</td>
										<td>
											<c:forEach items="${signContactStatusGroup }" var="obj">
												<c:if test="${obj.itemcode==model.status }">
													${obj.itemname }
												</c:if>
											</c:forEach>
										</td>
										<td><fmt:formatDate value="${model.startTime}" pattern="yyyy-MM-dd" /></td>
										<td><fmt:formatDate value="${model.endTime}" pattern="yyyy-MM-dd" /></td>
										<td><fmt:formatDate value="${model.effectiveTime}" pattern="yyyy-MM-dd" /></td>
										<td>
											<c:forEach items="${paymentTypeGroup }" var="obj">
												<c:if test="${obj.itemcode==model.paymentMethod }">
													${obj.itemname }
												</c:if>
											</c:forEach>
										</td>
										<td>${model.prepayment }</td>
										<td>${model.staffName }</td>
										<td>
											<img alt="" src="${imageServer}${model.autograph}" style="width:60px;height:60px;">
										</td>
										<td>${model.createTime }</td>
										<td>
											<a href="javascript:void(0);" title="押金管理" class="btn btn-back" onclick="showAddUpdateDeposit('${model.ID }','${model.serviceTypeInfoId }')">
												<span>押金管理</span>
	                                   		</a>
	                                   		<a href="javascript:void(0);"  title="意向商品" class="btn btn-danger" onclick="showServicePackDetails('${model.ID}')">
												<span>意向商品</span>
	                                   		</a>
										</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
					</div>
					<!-- /.box-body -->
				</div>
			</div>
		</div>
	</section>
	
	<div class="modal fade" id="saveUpdateDepositModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
						&times;
					</button>
					<h4 class="modal-title" id="myDepositModalLable">
						押金明细信息（总共120.00）
					</h4>
				</div>
				<div class="modal-body">
					<input type="hidden" id="serviceTypeInfoId" />
					<form class="form-horizontal" role="form" id="depositForm">
					
					</form>
		        </div>
		        <div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
				</div>
			</div>
		</div>
	</div>
	<div class="modal fade" id="saveUpdateInvoiceBillModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
						&times;
					</button>
					<h4 class="modal-title" id="myInvoiceBillModalable">
						发票信息管理
					</h4>
				</div>
				<div class="modal-body" style="text-align: center;">
					<div class="row" style="font-size: 18px;">
						<a href="javaScript:void(0)" onclick="addUpdateInvoiceBillTab(1)">
							 <div class="col-sm-5" id="generalTicket">
							 普票
							</div>
						</a>
						 <div class="col-sm-2">
						 	|
						</div>
						<a href="javaScript:void(0)" onclick="addUpdateInvoiceBillTab(2)">
							<div class="col-sm-5" id="specialTicket">
							 专票 
							</div>
						</a>
					</div>
					<form class="form-horizontal" role="form" style="display: none;" id="tabForm1">
					<div class="form-group" style="background-color:white;padding-top: 20px;">
						 <label class="col-sm-4 control-label" for="raises" style="padding-top:0px;">发票抬头：</label>
                          <div class="col-sm-8" style="padding-left:10px;">
                             <input class="form-control" id="raises" type="text" placeholder="请输入发票抬头"/>
                          </div>
					</div>
					<div class="form-group" style="background-color:white;padding-top: 20px;">
						 <label class="col-sm-4 control-label" for="identificationNumbers" style="padding-top:0px;">纳税人识别号：</label>
                          <div class="col-sm-8" style="padding-left:10px;">
                             <input class="form-control" id="identificationNumbers" type="text" placeholder="请输入纳税人识别号"/>
                          </div>
					</div>
					</form>
					<form class="form-horizontal" role="form" id="tabForm2">
					<div class="form-group" style="background-color:white;padding-top: 20px;">
						 <label class="col-sm-4 control-label" for="raise" style="padding-top:0px;">发票抬头：</label>
                          <div class="col-sm-8" style="padding-left:10px;">
                             <input class="form-control" id="raise" type="text" placeholder="请输入发票抬头"/>
                          </div>
					</div>
					<div class="form-group" style="background-color:white;padding-top: 20px;">
						 <label class="col-sm-4 control-label" for="identificationNumber" style="padding-top:0px;">纳税人识别号：</label>
                          <div class="col-sm-8" style="padding-left:10px;">
                             <input class="form-control" id="identificationNumber" type="text" placeholder="请输入纳税人识别号"/>
                          </div>
					</div>
					<div class="form-group" style="background-color:white;padding-top: 20px;">
						 <label class="col-sm-4 control-label" for="address" style="padding-top:0px;">地址：</label>
                          <div class="col-sm-8" style="padding-left:10px;">
                             <input class="form-control" id="address" type="text" placeholder="请输入地址"/>
                          </div>
					</div>
					<div class="form-group" style="background-color:white;padding-top: 20px;">
						 <label class="col-sm-4 control-label" for="mobile" style="padding-top:0px;">电话：</label>
                          <div class="col-sm-8" style="padding-left:10px;">
                             <input class="form-control" id="mobile" type="text" placeholder="请输入电话"/>
                          </div>
					</div>
					<div class="form-group" style="background-color:white;padding-top: 20px;">
						 <label class="col-sm-4 control-label" for="bank" style="padding-top:0px;">开户银行：</label>
                          <div class="col-sm-8" style="padding-left:10px;">
                             <input class="form-control" id="bank" type="text" placeholder="请输入开会银行"/>
                          </div>
					</div>
					<div class="form-group" style="background-color:white;padding-top: 20px;">
						 <label class="col-sm-4 control-label" for="bankCard" style="padding-top:0px;">开户账号：</label>
                          <div class="col-sm-8" style="padding-left:10px;">
                             <input class="form-control" id="bankCard" type="text" placeholder="请输入开户账号"/>
                          </div>
					</div>
					</form>
		        </div>
		        <div class="modal-footer">
		        	<button type="button" class="btn btn-danger" data-dismiss="modal" style="float: right;">关闭</button>
		        	<input type="button" class="btn btn-back"  style="float: right;margin-right: 10px;" value="编辑" onclick="eidtInvoiceBillTab()" id="update"/>
		        	<input type="button" class="btn btn-default" style="float: right;margin-right: 10px;display: none;" onclick="saveUpdateInvoiceBillTab()" value="保存"  id="save"/>
				</div>
			</div>
		</div>
	</div>
	
	<div class="modal fade" id="servicePackDetails" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal" aria-hidden="true">
							&times;
						</button>
						<h4 class="modal-title">
							意向购买商品明细信息
						</h4>
					</div>
					<div class="modal-body">
						<section class="content">
								<div class="row" style="padding-top:0px;">
									<div class="col-xs-12">
										<div class="boxlist">
											<div class="box-body table-responsive">
												<table id="example2" class="table table-bordered table-hover">
													<thead>
														<tr>
															<th>商品名称</th>
															<th>价格</th>	
														</tr>
													</thead>
													<tbody id="tbody">
														
													</tbody>
												</table>
											</div>
										</div>
									</div>
								</div>
						</section>
			        </div>
					<div class="modal-footer">
						<a href="javascript:void(0);" title="关闭" data-dismiss="modal" class="btn btn-info" style="float: right;"><span>关闭</span></a>
					</div>
				</div><!-- /.modal-content -->
			</div><!-- /.modal -->
	</div>
</body>
</html>