<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>平台统计</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- bootstrap 3.0.2 -->

<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/AdminLTE.css?2018-12-28'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/dataStatistic/platformStatistic.css?2018-12-28'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/echarts/echarts.common.min.js'/>"></script>
<script type="text/javascript" src="${ctx }/scripts/common/enlarge.js"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/dataStatistic/platformStatistic.js?2019-1-17"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js?2019-1-17"></script>

</head>
<body>
	
	<input type="hidden" value="${ctx}" id="contextPath" />
	<div class="bread-wp">
			统计数据  > 平台概况
	</div>
	<div class="right-content">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
		<form:form  id="conditionform"  class="clearfloat">
	            <c:if test="${fn:length(orgs) > 1}">
		            <div class=" part-wp">
		              <span class="search-tips">项目</span>
		              <input class="default-select" name="orgId" id="orgId"  autocomplete="off"/>
		              <span class="select_wrap _hide"></span>
	              	</div>
	            </c:if>
	            <c:if test="${fn:length(orgs) == 1}">
	              <input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" org__id="${orgs[0].id}" class="single-orgid default-select">
	            </c:if>
			<div class="part-wp">
				<span class="search-tips">统计周期</span>
				<select class="default-select status" >
					<option value="1">年</option>
					<option value="2">季度</option>
					<option value="3">月</option>
					<option value="4">日</option>
				</select>
			</div>
			<div class=" part-wp">
              <span class="search-tips">统计时间</span>
              <input type="text" class="small-input beginTimeClass" id="beginTime_1" placeholder="年份" name="beginTime" readonly> 
              <div class="jidu_div _hide">
              	<input type="text" class="small-input beginTimeClass _hide" id="beginTime_2" placeholder="季度" name="beginTime" jidu__Data=‘’ autocomplete="off" readonly> 
              	<span class="jidu_wrap _hide">
              	
              	</span>
              </div>
              <input type="text" class="small-input beginTimeClass _hide" id="beginTime_3" placeholder="月份" name="beginTime" readonly> 
              <input type="text" class="small-input beginTimeClass _hide" id="beginTime_4" placeholder="开始时间" name="beginTime" readonly> 

              <span class="endTime_wrap _hide">
              	<span class="zhi">至</span>	
              	<input type="text" placeholder="结束时间"  name="endTime" class="small-input" id="endTime" readonly>
          		</span>
              
            </div>
			<button class="search-btn btn-red" type="button">查询</button>
			<button class="set-btn btn-white" type="button">重置</button>
	 		<c:if test="${fn:length(orgs) > 1}">
					<button class="btn-export-white export-wp export-btn" type="button" id="excelFile">导出 </button>
			</c:if>
			<c:if test="${fn:length(orgs) == 1}">
				<button class="btn-export-white export-wp export-wp-no" type="button" id="excelFile">导出 
				</button>
			</c:if>
		</form:form>
	 		
		 <div id='echarts_wrap'>
		 	<select class="default-select optionSelect">
		 			<option value="total">平台活跃数</option>
		 			<option value="virtSumCount">企业总数</option>
		 			<option value="virtCount">新增企业</option>
		 			<option value="activeCount">用户活跃</option>
		 			<option value="activeCountRate">用户活跃率</option>
					<option value="userSumCount">总用户数</option>	
					<option value="userCount">新增用户数</option>
					<option value="dcfw">订餐服务活跃数</option>
					<option value="dinnerCount">订餐服务使用数</option>
					<option value="hys">预定会议室活跃数</option>
					<option value="meetCount">预定会议室使用数</option>
					<option value="zhfk">通行管理活跃数</option>
					<option value="lingCount">通行管理使用数</option>
					<option value="dzfxt">电子放行条活跃数</option>
					<option value="goodsCount">电子放行条使用数</option>
					<option value="ktjs">空调加时活跃数</option>
					<option value="airAddTimeCount">空调加时使用次数</option>
					<option value="qyrz">企业入驻活跃数</option>
					<option value="enterCount">企业入驻使用数</option>
					<option value="qyqc">企业迁出活跃数</option>
					<option value="emigCount">企业迁出使用数</option>
					<option value="ggzx">公告咨询活跃数</option>
					<option value="repairUseCount">工程维修使用数</option>
					<option value="gcwx">工程维修活跃数</option>
			</select>
		 	 <div id="echarts">
		 	 </div>
		 </div>
	 	 <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>  
		</div>
	</div>
	<script type="text/html" id="indexTpl">
    {{d.LAY_TABLE_INDEX+1}}
	</script>
</body>
</html>