<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>房间号设置</title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/lib/bootstrap-grid.min.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/lib/zoomify/zoomify.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/manage/enterprise.css'/>" rel="stylesheet" type="text/css" /> 
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/zoomify/zoomify.js'/>"></script>
<script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
<script type="text/javascript" src="<c:url value='/scripts/visitor/exif.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
</head>
<body>

<%-- 因为js中无法直接调用自定义的权限校验标签 --%>
<%-- 判断当前用户是否有相应权限,如果有权限则在JSP页面新增隐藏input标签,方便js代码调用 --%>

<%-- 是否有修改权限 --%>
<perm:hasPermission permCode="pc:organization:enterprise:edit">
	<input type="hidden" value="1" id="perm-edit" />
</perm:hasPermission>
<%-- 是否有删除权限 --%>
<perm:hasPermission permCode="pc:organization:enterprise:delete">
	<input type="hidden" value="1" id="perm-delete" />
</perm:hasPermission>


<div class="bread-wp">
		系统管理  >  企业管理
</div>
	<div class="right-content">
		<div class="main-content-mode-wp">
			<input type="hidden" value="${ctx}" id="contextPath">
			<form:form class="clearfloat" id="conditionform"  onsubmit="return false;">
				<input id="pageNo" name="pageNo" type="hidden"/>
				<input id="pageNo" name="pageSize" value="10" type="hidden"/>
				<div class="part-wp">
		  	  	  <span class="search-tips">楼层</span>
			   	  <select class="default-select floor-select" name="floorId" >
					<option value="">选择楼层</option>
				 </select>
		  	   </div>	
				<div class="part-wp">
		  	  	  <span class="search-tips">房间号</span>
			   	  <select class="default-select room-select" name="roomId">
					<option value="">选择房间号</option>
				</select>
		  	   </div>	
				<div class="part-wp">
		  	  	  <span class="search-tips">在租状态</span>
			   	 <select class="default-select zu-status-select" name="isZuStatus">
					<option value="">选择在租状态</option>
					<option value="1" >在租</option>
					<option value="0">已迁出</option>
				 </select>
		  	   </div>	
				<div class="part-wp">
		  	  	  <span class="search-tips">公司名</span>
			   	  <input name="virName" class="middle-black-input virname-text" type="text"  value="" placeholder="请输入公司名"/>
		  	   </div>	
				<button class="btn-red search-btn " type="button">查询</button>
				<button class="btn-white reset-btn" type="button">重置</button>
			</form:form>
			<div class="template-operate">

				<perm:hasPermission permCode="pc:organization:enterprise:add">
					<button class="btn-white add-enterprise-btn">添加企业</button>
				</perm:hasPermission>

				<form id="fileUploadForm" name="form" class="import-enterprise-btn" action="${ctx }/admin/virtual/importVirtualArchData"
									method="POST" enctype="multipart/form-data">
							<%-- <input type="hidden" name="funcid" value="${funcid }"> --%>
							<button class="btn-red ">导入</button>
							<input type="file" id="excelFile" name="excelFile" />
							
				</form>
				
					
				
				<button class="download-btn" >下载模板</button>
			</div>
			<table class="layui-hide" id="LAY_table_user" lay-filter="user"></table> 
			<%-- <div class="table-wrapper">
				<table class="table table-hover">
					<thead>
						<tr>
							<!-- <th>
								<span class="checkbox-input">
									<input type="checkbox" id="checkAll" class="check-all" />
									<span class="checkbox-inner"></span>
								</span>	
							</th> -->
							<th>
								<div >楼宇</div>
							</th>
							<th>
								<div >楼层</div>
							</th>
							<th>
								<div >房间号</div>
							</th>
							<th>
								<div >企业编号</div>
							</th>
							<th>
								<div>公司名</div>
							</th>
							<th>
								<div >账单推送</div>
							</th>
							<th>
								<div >在租状态</div>
							</th>
							<th>
								<div>负责人1姓名</div>
							</th>
							<th>
								<div>负责人1手机</div>
							</th>
							<th>
								<div>负责人1邮箱</div>
							</th>
							<th>
								<div>负责人1放行权限</div>
							</th>
							<th>
								<div>负责人1推送权限</div>
							</th>
							<th>
								<div>负责人2姓名</div>
							</th>
							<th>
								<div>负责人2手机</div>
							</th>
							<th>
								<div>负责人2邮箱</div>
							</th>
							<th>
								<div>负责人2放行权限</div>
							</th>
							<th>
								<div>负责人2推送权限</div>
							</th>
							<th>
								<div>备注</div>
							</th>
							<th>
								<div>证件</div>
							</th>
							<th>
								<div>操作</div>
							</th>
						</tr>
					</thead>
					<tbody>
						<c:forEach items="${list}" var="item">
						
							<tr>
								<!-- <td>
								    <span class="checkbox-input">
									    <input type="checkbox" name="chkBtn"
										value="" class="check-item">
										<span class="checkbox-inner"></span>
								    </span>		
								</td> -->
								<td>${item.orgName}</td>
								<td>${item.floorNames}</td>
								<td>${item.roomNames}</td>
								<td>${item.customerNumber}</td>
								<td>${item.virName}</td>
								<td>
									<c:if test="${item.isEmail==1 }">
										邮件
									</c:if>
									<c:if test="${item.isWechat==1 }">
										微信
									</c:if>
									<c:if test="${item.isMessage==1 }">
										短信
									</c:if>
								</td>
								<td>
									<c:choose>
										<c:when test="${item.leaseStatus==0 }">
											已迁出
										</c:when>
										<c:otherwise>
											在租
										</c:otherwise>
									</c:choose>
								</td>
								<td>${item.userName1}</td>
								<td>${item.userTel1}</td>
								<td>${item.userEmail1}</td>
								
								<td>
									<c:if test="${not empty item.userName1}"> 
										<c:choose>
											<c:when test="${item.isReleasePower1==1 }">
												有权限
											</c:when>
											<c:otherwise>
												无权限
											</c:otherwise>
										</c:choose>
									</c:if>	
								</td>
								<td>
								 <c:if test="${not empty item.userName1}"> 
								 	<c:choose>
										<c:when test="${item.isPushPower1==1 }">
											有权限
										</c:when>
										<c:otherwise>
											无权限
										</c:otherwise>
									</c:choose>
								 </c:if>
									
								</td>
								<td>${item.userName2}</td>
								<td>${item.userTel2}</td>
								<td>${item.userEmail2}</td>
								
								<td>
									<c:if test="${not empty item.userName2}"> 
										<c:choose>
											<c:when test="${item.isReleasePower2==1 }">
												有权限
											</c:when>
											<c:otherwise>
												无权限
											</c:otherwise>
										</c:choose>
									</c:if>	
								</td>
								<td>
									<c:if test="${not empty item.userName2}"> 
										<c:choose>
											<c:when test="${item.isPushPower2==1 }">
												有权限
											</c:when>
											<c:otherwise>
												无权限
											</c:otherwise>
										</c:choose>
									</c:if>	
								</td>
								<td>${item.remark}</td>
								<td>
									<span  class="check-btn" data-id="${item.id}">查看</span>
								</td>
								<td>
									<span class="edit-btn" data-id="${item.id}">编辑</span>
									<span class="del-btn" data-id="${item.id}">删除</span>
								</td>
							</tr>
						</c:forEach>
						
					</tbody>
				</table>
			</div> --%>
			<%-- <div class="enterprise-btm-wp">
			<!-- 	<button class="btn-white del-enterprise-btn">删除</button>
				<button class="btn-red export-enterprise-btn">导出</button> -->
				<div class="btn-page">
                    <!-- 页码 -->
                    <div align="center" class="pages clearfix">
                           <c:forEach items="${page.iterPages }" var="pageNo">
							<c:choose>
								<c:when test="${pageNo == page.currentPage }">
									<span class='current'>${pageNo }</span>
								</c:when>
								<c:when test="${pageNo != null}">
									<a href="javascript:void(0);" onclick='goPage(${pageNo});'>${pageNo}</a>
								</c:when>
								<c:otherwise>
									<em>...</em>
								</c:otherwise>
							</c:choose>
						</c:forEach>
						<strong>共<span style="color:black;font-weight:bold;font-size:16px;">${page.totalCount}</span>条</strong>
						<strong>跳转到第</strong><input type="text" id="gopage" style="width: 40px;" onkeyup="this.value=this.value.replace(/\D/g,'')" onkeypress="this.value=this.value.replace(/\D/g,'')"/><strong>页</strong>
						<a class="btn btn-red jump-btn" href="javascript:goPage('gopage');" >确定</a>
                	</div> 
	            </div>
			</div> --%>
		</div>
	</div>	

<script type="text/javascript" src="<c:url value='/scripts/admin/manage/enterprise.js'/>"></script>
</body>
</html>