<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
	<title>账号管理</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<!-- bootstrap 3.0.2 -->

	<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/AdminLTE.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/orderDinner/accountManage.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
	<link media="screen" type="text/css" href="<c:url value='/scripts/lib/ueditor/themes/default/css/ueditor.min.css'/>" rel="stylesheet"/>
	<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
	<script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/admin/orderDinner/accountManage.js?2021-02-24"></script>
	<script type="text/javascript" src="<c:url value='/scripts/mobileBUGFix.mini.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/lrz.bundle.js'/>"></script>
	<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js?2019-3-1"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/ueditor/ueditor.config.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/ueditor/ueditor.all.js'/>"></script>
</head>

<body>
	<input type="hidden" value="${virAccountInfo}" id="virAccountInfo">
	<input type="hidden" value="${ctx}" id="contextPath" />

	<div class="bread-wp">
		组织架构 > 企业人员信息管理
	</div>
	<div class="right-content">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
			<form:form id="conditionform" class="clearfloat">

				<c:if test="${fn:length(orgs) > 1}">
					<div class=" part-wp">
						<span class="search-tips">项目</span>
						<input class="default-select" name="orgId" id="orgId"  autocomplete="off" placeholder="请输入项目名称" />
		        <span class="select_wrap _hide"></span>
<!-- 						<select class="default-select" name="orgId" id="orgId">
							<c:forEach items="${orgs }" var="org">
								<option value="${org.id }">${org.name }</option>
							</c:forEach>
						</select> -->
					</div>
				</c:if>
				<c:if test="${fn:length(orgs) == 1}">
					<input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" class="single-orgid default-select" org__id="${orgs[0].id}">
				</c:if>
				<c:if test="${not empty virAccountInfo}">
					<div class="part-wp">
						<span class="search-tips">企业</span>
						<input class="default-select" disabled name="companyId" id="companyId" autocomplete="off" value="${virAccountInfo.virName}" com__id="${virAccountInfo.virId}"/>
					</div>
				</c:if>
				<c:if test="${fn:length(virAccountInfo) == 0}">
					<div class=" part-wp">
						<span class="search-tips">企业</span>
						<input class="default-select" name="companyId" id="companyId"  autocomplete="off" placeholder="请输入企业名称"/>
						<span class="select_wrap _hide"></span>
					</div>
				</c:if>
				<div class=" part-wp">
					<span class="search-tips">部门</span>
					<input class="default-select" name="departmentId" id="departmentId"  autocomplete="off" placeholder="请输入部门名称"/>
	              	<span class="select_wrap _hide"></span>
					<!-- <select class="default-select" name="departmentId" id="departmentId">
						<option value="">请选择部门</option>
					</select> -->
				</div>

				<div class="part-wp">
					<span class="search-tips">手机号码</span>
					<input class="small-input loginName" type="text" placeholder="请输入手机号码" />
				</div>
				<div class="part-wp">
					<span class="search-tips">姓名</span>
					<input class="small-input userName" type="text" placeholder="请输入姓名" />
				</div>
				<div class="part-wp">
					<span class="search-tips">类型</span>
					<select class="default-select roleType">
						<option value="">全部</option>
						<option value="1">管理员</option>
						<option value="2">普通用户</option>
						<option value="3">可被代订</option>
					</select>
        </div>
        <div class="part-wp">
					<span class="search-tips">状态</span>
					<select class="default-select isEnabled">
						<option value="">全部</option>
						<option value="1">启用</option>
						<option value="0">禁用</option>
					</select>
				</div>
				<div class="part-wp">
					<button class="search-btn btn-red" type="button">查询</button>
					<button class="set-btn btn-white" type="button">重置</button>
				</div>

				<!-- 			<button class="import-btn btn-red" type="button">导入</button>
			<button class="export-btn btn-white" type="button">下载模板</button> -->
			</form:form>
			<div class="main-operate-wp">
				<button class="add-ele-btn btn-add-blue" type="button">新增</button>
				<!-- <button class=" btn-blue-110 auto-recharge" type="button">自动充值</button>
				<button class=" btn-blue-110 batch-recharge" type="button">批量充值</button> -->
				<c:if test="${fn:length(orgs) > 1}">
					<button class="btn-export-white export-wp export-btn" type="button">导入 </button>
				</c:if>
				<c:if test="${fn:length(orgs) == 1}">
					<button class="btn-export-white export-wp export-wp-no" type="button">导入
					 <input class="excelFile" type="file" id="excelFile" name="excelFile" />
					</button>
				</c:if>

				<button class="btn-download-white" id="importTemplate" type="button">下载模板</button>
				<c:if test="${fn:length(virAccountInfo) == 0}">
					<button class="btn-white" id='pushInfo' type="button">消息推送</button>
				</c:if>

				<perm:hasPermission permCode="pc:dinner:account:sysc">
					<button class="info-same-btn btn-white" type="button">信息同步</button>
					<input type="hidden" value="1" id="perm-sysc" />
				</perm:hasPermission>

				<!-- <button class="btn-white" id="setPermissions" type="button">设置通行权限</button> -->
			</div>
			<table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>
		</div>
	</div>
	<div class="alert-bo" onclick="closeAlert()">
		<div class="boost-bo">
			<img src="" alt="">
		</div>
	</div>
	<script type="text/html" id="indexTpl">
		{{d.LAY_TABLE_INDEX+1}}
	</script>
</body>

</html>
