<%@ page import="org.aspectj.weaver.ast.Var" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
  <title>详情</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <!-- bootstrap 3.0.2 -->
  <link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
  <link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
  <link href="<c:url value='/styles/AdminLTE.css?2018-12-28'/>" rel="stylesheet" type="text/css" />
  <link href="<c:url value='/styles/orderDinner/personnelDetails.css?2020-08-21'/>" rel="stylesheet" type="text/css" />
  <script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
  <script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
  <script type="text/javascript" src="<c:url value='/scripts/mobileBUGFix.mini.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/admin/lrz.bundle.js'/>"></script>
  <script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js"></script>
</head>
<body>
<input type="hidden" value="${ctx}" id="contextPath">
<input type="hidden" value="${billId}" id="billId">
<input type="hidden" value="${funcid}" id="funcid">
  <div class="row" style="height: 100%">
    <div class="box" style="height:100%;">
      <div class="details-Content">
        <div class="box-header" style="width:100%">
          <div align="absmiddle" class="back-btn">
            <a class="backbtn-size btn btn-white" href="<c:url value='/admin/dinner/jumpPersonnel?funcid=${funcid}' />">返回</a>
          </div>
          <br>
          <h3 class="box-title">&nbsp;&nbsp;&nbsp;&nbsp;用户信息详情 &nbsp;&nbsp; </h3>
          <div class="x-line"></div>
        </div>
        <div class="details-box">
          <div class="account-item">
            <div class="item-tip">
              <span class="choose-span">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;项目：</span>
              <input class="item-con" id="org-name" readonly="readonly"/>
            </div>
            <div class="item-tip">
              <span class="choose-span">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;企业：</span>
              <input class="item-con" id="vir-name" readonly="readonly"/>
            </div>
            <div class="item-tip">
              <span class="choose-span">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;部门：</span>
              <input class="item-con" id="dept-str" readonly="readonly"/>
            </div>
            <div class="item-tip">
              <span class="choose-span">手机号码：</span>
              <input class="item-con" id="mobile-deta" readonly="readonly"/>
            </div>
            <div class="item-tip">
              <span class="choose-span">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;姓名：</span>
              <input class="item-con" id="user-name" readonly="readonly"/>
            </div>
            <div class="item-tip">
              <span class="choose-span">送餐地址：</span>
              <input class="item-con" id="address-str" readonly="readonly"/>
            </div>
            <div class="item-tip">
              <span class="choose-span">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;类型：</span>
              <input class="item-con" id="role-type" readonly="readonly"/>
            </div>
            <div class="x-line"></div>
            <div class="choose-box">
              <div class="choose-wt">
                <span style="margin-left: 10px;font-size: 16px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;类型：</span>
                <select class="default-select" id="roleType">
                  <option value="">全部</option>
                  <option value="1">充值</option>
                  <option value="2">修改</option>
                  <option value="3">订餐</option>
                  <option value="4">转换到福利商城</option>
                  <option value="5">系统清理</option>
                </select>
              </div>
              <div class="time-choose-wt">
                <span class="choose-span" style="margin-left: 10px;font-size: 16px;">时间</span>
                <input type="text" class="small-input " id="beginTime" placeholder="开始时间" name="beginTime" readonly> ~
                <input type="text" placeholder="结束时间"  name="endTime" class="small-input" id="endTime" readonly>
              </div>
              <div class="action-btn part-wp">
                <button class="search-btn btn-red" id="search-data" type="button">查询</button>
                <button class="set-btn btn-white" id="set-data" type="button">重置</button>
              </div>
              <div class="excel-btn">
                <button class="btn-white" id="export-excel" type="button">导出Excel</button>
              </div>
            </div>
            <div class="account-item">
              <div class="integral-tip">
                <p>
                  <span>积分余额</span>
                  <input id="integrale-deta" readonly="readonly"/>
                </p>
              </div>
            </div>
          </div>
        </div>
        <div class="tables-list">
          <table id="LAY_table_user" lay-filter="user"></table>
        </div>
      </div>
    </div>
  </div>
<section type="text/html" id="indexTpl" >
  {{d.LAY_TABLE_INDEX+1}}
</section>
</body>
<script type="text/javascript" src="${ctx }/scripts/admin/orderDinner/personnelDetails.js?2020-08-21"></script>
</html>
