<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
	<title>订餐人员管理</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<!-- bootstrap 3.0.2 -->

	<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/AdminLTE.css?2018-12-28'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/orderDinner/personnelManagement.css?2020-08-24'/>" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
	<script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
	<script type="text/javascript" src="<c:url value='/scripts/mobileBUGFix.mini.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/lrz.bundle.js'/>"></script>
	<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js"></script>
</head>

<body>
    <input type="hidden" id="funcid" value="${funcid}">
	<input type="hidden" value="${ctx}" id="contextPath" />
	<div class="bread-wp">
		订餐管理 > 订餐人员管理
	</div>
	<div class="right-content">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
			<form:form id="conditionform" class="clearfloat">

				<c:if test="${fn:length(orgs) > 1}">
					<div class=" part-wp">
						<span class="search-tips">项目</span>
						<input class="default-select" name="orgId" id="orgId" placeholder="请选择项目" autocomplete="off" />
		              	<span class="select_wrap _hide"></span>
<!-- 						<select class="default-select" name="orgId" id="orgId">
							<c:forEach items="${orgs }" var="org">
								<option value="${org.id }">${org.name }</option>
							</c:forEach>
						</select> -->
					</div>
				</c:if>
				<c:if test="${fn:length(orgs) == 1}">
					<input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" org__id="${orgs[0].id}" class="single-orgid default-select">
				</c:if>
				<div class=" part-wp">
					<span class="search-tips">企业</span>
					<input class="default-select" name="companyId" id="companyId" placeholder="请选择企业" autocomplete="off" />
		            <span class="select_wrap _hide"></span>
				</div>
				<div class=" part-wp">
					<span class="search-tips">部门</span>
					<input class="default-select" name="departmentId" id="departmentId" placeholder="请选择部门" autocomplete="off" />
		            <span class="select_wrap _hide"></span>
				</div>
				<div class="part-wp">
					<span class="search-tips">手机号码</span>
					<input class="small-input loginName" type="text" placeholder="请输入手机号码" />
				</div>
				<div class="part-wp">
					<span class="search-tips">姓名</span>
					<input class="small-input userName" type="text" placeholder="请输入姓名" />
				</div>
				<div class="part-wp">
					<span class="search-tips">类型</span>
					<select class="default-select roleType">
						<option value="">全部</option>
						<option value="1">管理员</option>
						<option value="2">普通用户</option>
						<option value="3">可被代订</option>
					</select>
				</div>
                <div class="part-wp">
                  <span class="search-tips">订餐提醒</span>
                  <select class="default-select pushState">
                    <option value="">全部</option>
                    <option value="1">开启</option>
                    <option value="0">关闭</option>
                  </select>
                </div>
				<div class="part-wp">
					<button class="search-btn btn-red" type="button">查询</button>
					<button class="set-btn btn-white" type="button">重置</button>
				</div>

				<!-- 			<button class="import-btn btn-red" type="button">导入</button>
			<button class="export-btn btn-white" type="button">下载模板</button> -->
			</form:form>
			<div class="main-operate-wp">
				<!-- <button class="add-ele-btn btn-add-blue" type="button">新增</button> -->
				<button class=" btn-blue-110 auto-recharge" type="button">自动充值</button>
				<button class=" btn-blue-110 batch-recharge" type="button">批量充值</button>
				<button class="btn-white export-excel" type="button">导出Excel</button>
				<%-- <c:if test="${fn:length(orgs) > 1}">
					<button class="btn-export-white export-wp export-btn" type="button">导入 </button>
				</c:if>
				<c:if test="${fn:length(orgs) == 1}">
					<button class="btn-export-white export-wp export-wp-no" type="button">导入
						<!-- <input class="excelFile" type="file" id="excelFile" name="excelFile" /> -->
					</button>
				</c:if>

				<button class="btn-download-white" id="importTemplate" type="button">下载模板</button> --%>
				<!-- <button class="btn-white" id="setPermissions" type="button">设置通行权限</button> -->
			</div>
			<table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>
		</div>
	</div>
	<div class="alert-bo" onclick="closeAlert()">
		<div class="boost-bo">
			<img src="" alt="">
		</div>
	</div>
	<script type="text/html" id="indexTpl">
		{{d.LAY_TABLE_INDEX+1}}
	</script>
</body>
<script type="text/javascript" src="${ctx }/scripts/admin/orderDinner/personnelManagement.js?2022-06-08"></script>
</html>
