<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>项目信息</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- bootstrap 3.0.2 -->

<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/AdminLTE.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/propertyList/propertyList.js?2019-7-18"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js"></script>
<script type="text/javascript">

</script>
</head>
<body>
	<input type="hidden" id="funcid" value="${funcid}">
	<input type="hidden" value="${ctx}" id="contextPath" />
	<input type="hidden" value="${updateAct}" id="updateAct" />
	<input type="hidden" value="${deleteAct}" id="deleteAct" />
	<input type="hidden" value="${isAdmin}" id="isAdmin" />

	<%-- 因为js中无法直接调用自定义的权限校验标签 --%>
	<%-- 判断当前用户是否有相应权限,如果有权限则在JSP页面新增隐藏input标签,方便js代码调用 --%>

	<%-- 是否有新增权限 该权限包括 新增/导入等 如果需要细分权限可去配置 --%>
	<perm:hasPermission permCode="pc:organization:project:add">
		<input type="hidden" value="1" id="perm-add" />
	</perm:hasPermission>
	<%-- 是否有删除权限 --%>
	<perm:hasPermission permCode="pc:organization:project:delete">
		<input type="hidden" value="1" id="perm-delete" />
	</perm:hasPermission>
	<%-- 是否有编辑权限 --%>
	<perm:hasPermission permCode="pc:organization:project:edit">
		<input type="hidden" value="1" id="perm-edit" />
	</perm:hasPermission>
	<%-- 是否有审核权限 --%>
	<perm:hasPermission permCode="pc:organization:project:approve">
		<input type="hidden" value="1" id="perm-approve" />
	</perm:hasPermission>
	
	<%-- 是否有关于我们权限 --%>
	<perm:hasPermission permCode="pc:organization:project:aboutUs">
		<input type="hidden" value="1" id="perm-aboutus" />
	</perm:hasPermission>
	<div class="bread-wp">
		组织架构  > 项目组织信息管理
	</div>
	<div class="right-content">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
		<form:form  id="conditionform"  class="clearfloat">
			<div class="part-wp">
				<span class="search-tips">项目名称</span>
				<input class="small-input name" name="orgId" id="orgId"  autocomplete="off"  placeholder="请输入项目名称"/>
		        <span class="select_wrap _hide"></span>
				<!-- <input class="small-input name" type="text" placeholder="请输入项目名称"/> -->
			</div>
			<div class="part-wp">
				<span class="search-tips">服务热线</span>
				<input class="small-input telephone" type="text" placeholder="请输入服务热线"/>
			</div>
			<div class="part-wp">
				<span class="search-tips">地址</span>
				<input class="small-input address" type="text" placeholder="请输入地址"/>
			</div>
			<div class="part-wp">
				<span class="search-tips">审核状态</span>
				<select class="default-select reviewStatus" >
					<option value="">--全部--</option>				
					<c:forEach items="${reviewStatusGroup }" var="obj">
						<c:choose>
							<c:when test="${obj.itemcode==reviewStatus }">
							<option value="${obj.itemcode }" selected="selected">${obj.itemname }</option>
							</c:when>
							<c:otherwise>
							<option value="${obj.itemcode }">${obj.itemname }</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</div>
			<button class="search-btn btn-red" type="button">查询</button>
			<button class="set-btn btn-white" type="button">重置</button>
		</form:form>
		 <div class="main-operate-wp">
			 <perm:hasPermission permCode="pc:organization:project:add">
				 <button class="btn-add-blue add-ele-btn" type="button">新增</button>
				 <%--<button class="btn-export-white export-ele-btn" title="批量导入企业">批量导入项目信息</button>--%>
			 </perm:hasPermission>
		 </div>
	 	 <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>  
		</div>
	</div>
	<script type="text/html" id="indexTpl">
    {{d.LAY_TABLE_INDEX+1}}
	</script>
</body>
</html>