<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title> 放行审批  </title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>

<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/lib/bootstrap-grid.min.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/lib/zoomify/zoomify.css'/>" rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/release/releaseApprove.css'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/zoomify/zoomify.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js'/>"></script>

<style>
	.del-select-btn{
		border-radius: 5px;
		padding: 5px;
	}
	.del-select-btn:hover{
		background: #E8EFF4;
		cursor: pointer;
	}
	.del{
		display: inline-block;
		padding-left: 5px;
		color: #fff;
		border-radius: 5px;
		margin-left: 5px;
		height: 10px;
		width: 10px;
		background: url(../images/fx.png) no-repeat center center!important;
	}
	.layui-layer-close1{
		position: relative;
		top: 1px;
		cursor: pointer;
		float: right;
		width: 38px;
		height: 38px;
		background: url(../images/icons/delete_white_icon.png) no-repeat center center!important;
	}
	.layui-layer-title {
		cursor: move;
		background: #34A0FE!important;
		color: #fff!important;
		font-size: 21px!important;
	}
	.layui-layer-setwin{
		top: 5px;
	}
</style>
</head>
<body>

<%-- 因为js中无法直接调用自定义的权限校验标签 --%>
<%-- 判断当前用户是否有相应权限,如果有权限则在JSP页面新增隐藏input标签,方便js代码调用 --%>

<%-- 是否有审核权限 --%>
<perm:hasPermission permCode="pc:release:approval:approve">
	<input type="hidden" value="1" id="perm-approve" />
</perm:hasPermission>

<div class="bread-wp">
			物品放行  > 放行审批
</div>
	<div class="right-content">
	    <input type="hidden" value="${ctx}" id="contextPath">

		<div style="margin: 10px 40px;text-align: right;">
			<button id="operate" class="search-btn btn-red" style="background: #34A0FE!important;border:none;" type="button">配置流程</button>
		</div>
		<div class="main-content-mode-wp">
	      <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>
		</div>
	</div>

<div id="block_1" style="display:none;">
	<div style="margin: 10px;">
		<div style="margin: 10px;">
			<c:if test="${fn:length(org) > 1}">
				<div class=" part-wp">
					<span class="search-tips">设置审核角色：</span>
						<%--							<input class="default-select" name="orgId" id="orgId"  autocomplete="off" placeholder="请输入项目名称" />--%>
					<!-- <span class="select_wrap _hide"></span> -->
					<!-- <select class="default-select" name="orgId" id="orgId">
						<c:forEach items="${org }" var="orgq">
							<option value="${orgq.id }">${orgq.name }</option>
						</c:forEach>
          </select> -->
          <input class="default-select" name="orgId" id="orgId" org__id="${org[0].id}" autocomplete="off" value="${org[0].name}"/>
          <span class="select_wrap _hide"></span>
				</div>
			</c:if>
			<c:if test="${fn:length(org) == 1}">
				<span class="search-tips">设置审核角色：</span>
				<input type="hidden" disabled name="orgId" id="orgId" value="${org[0].id}" class="single-orgid default-select" org__id="${org[0].id}">
				<input disabled name="orgId" value="${org[0].name}" class="single-orgid default-select">
			</c:if>
		</div>
		<table border="1" cellspacing="0" width="100%" style="border: 1px solid #DDDDDD;border-radius: 4px;">
			<tr style="height: 60px;">
				<th style="height: 40px;"></th>
				<th style="height: 40px;">审核角色</th>
			</tr>
			<tr style="height: 60px;">
				<td rowspan="2" style="width: 150px;padding: 10px;">
					<label class="checkbox-con">公司审核</label>
				</td>
				<td style="padding: 10px;">
					<select class="default-select" id="virPerm">
					</select>
					<button style="background: #158DF6!important;border: 1px solid #158DF6;" class="search-btn btn-red" type="button" id="addVirPerm">添加</button>
				</td>
			</tr>
			<tr style="height: 60px;">
				<td style="padding: 10px;">
					<div id="showVirPerm" style="line-height: 30px;">

					</div>
				</td>
			</tr>
			<tr style="height: 60px;">
				<td  rowspan="2" style="width: 150px;padding: 10px;">
					<label class="checkbox-con">物业审核</label>
				</td>
				<td style="padding: 10px;">
					<select class="default-select" id="role">
					</select>
					<button style="background: #158DF6!important;border: 1px solid #158DF6;" class="search-btn btn-red" type="button" id="addRole">添加</button>
				</td>
			</tr>
			<tr style="height: 60px;">
				<td style="padding: 10px;">
					<div id="showRole" style="line-height: 30px;">
					</div>
				</td>
			</tr>
		</table>
		<div class="part-wp" style="width: 100%;margin-top: 30px;padding-top: 21px;border-top: 1px solid #EEEEEE;text-align: center;">
			<button class="cancel-btn btn-white" style="margin-right: 20px;">取消</button>
			<button class="search-btn btn-red" type="button" style="background: #34A0FE!important;border:none;" id="sure">确定</button>
		</div>
	</div>
</div>
<script type="text/html" id="indexTpl">
	{{d.LAY_TABLE_INDEX+1}}
</script>
<script type="text/javascript" src="<c:url value='/scripts/admin/release/releaseApprove.js?2021-02-24'/>"></script>
</body>
</html>
