<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
    <%@ include file="/common/taglibs.jsp"%>
        <!DOCTYPE html>
        <html>

        <head>
            <title>模块菜单配置</title>
            <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
            <!-- bootstrap 3.0.2 -->
            <link href="<c:url value='/styles/lib/bootstrap.min.css'/>" rel="stylesheet" type="text/css" />
            <!-- font Awesome -->
            <link href="<c:url value='/styles/lib/font-awesome.min.css'/>" rel="stylesheet" type="text/css" />
            <!-- Ionicons -->
            <link href="<c:url value='/styles/lib/ionicons.min.css' />" rel="stylesheet" type="text/css" />
            <!-- DATA TABLES -->
            <link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />" rel="stylesheet" type="text/css" />
            <!-- Theme style -->
            <link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
            <link href="<c:url value='/scripts/zTree/css/zTreeStyle/zTreeStyle.css'/>" rel="stylesheet" type="text/css" />

            <script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
            <script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.core-3.5.js'/>"></script>
            <script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.excheck-3.5.js'/>"></script>
            <script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.exedit-3.5.js'/>"></script>
            <script type="text/javascript" src="<c:url value='/scripts/admin/serverPage.js?2019-10-09'/>"></script>
            <style type="text/css">
            ul,li {list-style: none;}
            .content { margin-top: 32px;}
            .content div.box-body{width: 100%;padding-left: 0;border: 1px solid #DDDDDD;height: 749px;padding-top: 0; overflow-y: auto;}
            .content li>i {width: 12px; height: 12px;float: right;display: inline-block; background: url(../../images/admin/Triangle5.png) no-repeat; margin-top: 14px;}
            .content div ul.list {width: 100%;padding-left: 0;padding-top: 0;}
            .content div ul>li {width: 100%;line-height: 40px; font-size: 14px; color: #555555; text-align: left; padding-left: 16px; padding-right: 8px; cursor: pointer;}
            .content li.active,.content li.focus {background: #158DF6;color: #FFFFFF;}
            .content li.active>i,.content li.focus>i { background: url(../../images/admin/Triangle6.png) no-repeat; }
            .ztree li span.button.ico_docu { display: none }
            .ztree li span.button.ico_open{display: none}
            .ztree li span.button.ico_close{display: none}
            .ztree *{font-size: 14px;}
            .buttons button{width:110px;height: 40px;line-height: 40px;text-align: center; border-radius: 4px;font-size: 16px;color: #FFFFFF;border: 0;margin-top: 40px;margin-left: 12px;}
            .buttons .btn1{background: #158DF6;}
            .buttons .btn2{background: #FF9400;margin-left: 30px;}
            .alert{background: rgba(0, 0, 0, 0.5);color: #fff;font-size: 16px;position: fixed;left: 30%;top: 50%;display: none}
            .ztree li span.button.remove{display:none;}
            .ztree li span.button.edit{display:none;}
            .ztree li span.button.add{display:none}
            .ztree li a.curSelectedNode{background:none; border: 1px transparent solid;}
            </style>
        </head>

        <body>
            <input type="hidden" value="${ctx}" id="contextPath">
            <input type="hidden" value="${totalcount}" id="totalcount">
            <section class="content">
                <div class="row">
                    <div class="col-md-1" style="float:left;width:190px;">
                        <div class="box-body">
                            <ul id="list1" class="list">

                            </ul>
                        </div>
                    </div>
                    <div class="col-md-1" style="float:left;width:190px;">
                        <div class="box-body">
                            <ul class="list2 list">
                                <li class="focus" onclick="item2Click(1)">app配置
                                    <i></i>
                                </li>
                                <li onclick="item2Click(0)">web配置
                                    <i></i>
                                </li>
                            </ul>
                        </div>
                    </div>

                    <div class="col-md-2" style="float:left;width: 298px;">
                        <div class="box-body">
                            <ul id="menutree" class="ztree list"></ul>
                        </div>
                    </div>
                    <div class="col-md-2" style="float:left;width:298px;">
                        <div class="box-body">
                            <ul id="functiontree" class="ztree list">
                            </ul>
                        </div>
                    </div>
                </div>
            </section>
            <div class="buttons">
                <button class="btn1">取消</button>
                <button class="btn2">确认</button>
            </div>
            <div class="alert">保存成功</div>
        </body>

        </html>