<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>服务管理</title>
<meta
	content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no'
	name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />'
	rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link
	href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />"
	rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/zTree/css/zTreeStyle/zTreeStyle.css'/>" rel="stylesheet" 
	type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.core-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.excheck-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/My97DatePicker/WdatePicker.js'/>" ></script>
<script type="text/javascript" src="<c:url value='/scripts/loading/jquery.blockUI.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/loading/loading.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/service/serviceProjectTypeManage.js?v=2.0'/>"></script>
</head>
<style>.row{height:auto;overflow: hidden;}.box .box-header{padding-bottom: 0px;}</style>
<body>
	<input type="hidden" value="${ctx}" id="contextPath">
	<section class="content">
		<div class="row">
			<div class="col-md-6" style="float:left;width:50%;">
				<!-- general form elements disabled -->
				<div class="box box-info" >
					<div class="box-header" style="width:90%">
						<h3 class="box-title">${tbOrganization.name }批量上线下线服务 &nbsp;&nbsp; <strong font-color="red">${errormsg}</strong></h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						<form action="${ctx}/service/type/saveUpdateServiceProjectTypeManage" style="padding:0;margin:0;" modelAttribute="user" method="post" id="conditionform" >
							<input type="hidden" name="funcid" value="${funcid}">
							<input type="hidden" name="organizationId" id="organizationId" value="${tbOrganization.id }">
							<input type="hidden" name="organizationIds" id="organizationIds" value="">
							<div class="form-group">
								<label>模板名称</label> 
								<input class="form-control" name="serviceName" value="${tbOrganization.name}" readonly="readonly" >
							</div>
						</form>
					</div>
					<div align="absmiddle" style="margin-left:10px;margin-top:10px;">
						<a class="btn btn-primary" href="#" id='btn-save'>保存</a> 
						<a class="btn btn-back" href="<c:url value='/service/allocation/serviceProjectAllocationPage?funcid=${funcid}' />">返回</a>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
			
			<div class="col-md-6"  style="float:left;width:45%;">
				<div class="box box-info">
					<div class="box-header">
						<h3 class="box-title"><span style="color: red">*</span>选择项目</h3>
					</div>
					<div class="box-body" style="height:480px;overflow:auto;">
						<ul id="organizationTree" class="ztree">
						</ul>
					</div>
				</div>
			</div>
		</div>
	</section>
</body>
</html>
