<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>系统用户管理</title>
<meta
	content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no'
	name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />'
	rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link
	href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />"
	rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/zTree/css/zTreeStyle/zTreeStyle.css'/>" rel="stylesheet" 
	type="text/css" />

<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.core-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.excheck-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/usersform.js'/>"></script>
</head>
<body>
	<input type="hidden" value="${ctx}" id="contextPath">
	<section class="content">
		<div class="row">
			<div class="col-md-6" style="float:left;width:50%;">
				<!-- general form elements disabled -->
				<div class="box box-warning" style="height:580px;">
					<div class="box-header" style="width:90%">
						<h3 class="box-title">编辑用户基本信息 &nbsp;&nbsp; <strong font-color="red">${errormsg}</strong></h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						<form:form  modelAttribute="user" method="post" id="conditionform" style="padding:0;margin:0;" >
							<form:hidden path="id" name="id" id="userid" style="padding:0;margin:0;"/>
							<div class="form-group">
								<label>用户名*</label>
								<form:input path="username" style="padding:0;margin:0;" cssClass="form-control" id="username" readonly="true" />
							</div>
							<div class="form-group">
								<label>电话</label> 
								<form:input path="telephone" style="padding:0;margin:0;" cssClass="form-control" readonly="true" />
							</div>
							<div class="form-group">
								<label>真实姓名</label> 
								<form:input path="fullName" style="padding:0;margin:0;" cssClass="form-control" readonly="true" />
							</div>
							<!-- 
							<div class="form-group">
								<label>所属公司</label>
								<c:forEach items="${user.companys}" var="model1">
									<input type="text" value="${model1.compName}" class="form-control" readonly="true" />
								</c:forEach> 
							</div>
							<div class="form-group">
								<label>部门</label> 
								<c:forEach items="${user.depts}" var="model2">
									<input type="text" value="${model2.deptName}" class="form-control" readonly="true" />
								</c:forEach> 
							</div>
							 -->
						</form:form>
						
						<div align="absmiddle" style="margin-left:10px;margin-top:20px;">
							<a class="btn btn-back" href="<c:url value='/admin/users/list?funcid=${funcid}' />">返回</a>
						</div>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
			
			<div class="col-md-6" style="float:left;width:45%;">
				<div class="box box-warning">
					<div class="box-header" style="width:90%">
						<h3 class="box-title">管辖范围</h3>
					</div>
					<div class="box-body" style="height:480px;overflow:auto;">
						<ul id="organizationTree" class="ztree">
						</ul>
					</div>
				</div>
				
				<div class="box box-warning" >
					<div class="box-header" style="width:90%">
						<h3 class="box-title">角色</h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body" style="height:380px;overflow:auto;">
						<ul id="tree" class="ztree">
						</ul>
					</div>
				</div>
			</div>
		</div>
	</section>
</body>
</html>
