<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<!DOCTYPE html>
<html>
<head>
<title>系统用户管理</title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no'
	name='viewport'>
<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js'/>"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/userList/userList.js"></script>
</head>
<body>
	<input type="hidden" id="funcid" value="${funcid}">
	<input type="hidden" value="${ctx}" id="contextPath" />
	<div class="bread-wp">
		系统设置  > 管理用户配置
	</div>
	<div class="right-content">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
		<form:form  id="conditionform"  class="clearfloat">
        <c:if test="${fn:length(orgs) > 1}">
          <div class=" part-wp">
            <span class="search-tips">项目</span>
            <input class="default-select" name="orgId" id="orgId" autocomplete="off"  placeholder="请选择项目"/>
            <span class="select_wrap _hide"></span>
          </div>
        </c:if>
        <c:if test="${fn:length(orgs) == 1}">
          <input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" org__id="${orgs[0].id}" class="single-orgid">
        </c:if>
			<!-- <c:if test="${fn:length(orgs) > 1}">
				<div class="part-wp">
					<span class="search-tips">项目</span>
					<select name="orgId" id="orgId" class="default-select">
						<option value="">请选择项目</option>
						<c:forEach items="${orgs }" var="org">
						<c:choose>
							<c:when test="${org.id==orgId }">
							   <option value="${org.id }" selected="selected">${org.name }</option>
							</c:when>
							<c:otherwise>
								<option value="${org.id }">${org.name }</option>
							</c:otherwise>
							</c:choose>
						</c:forEach>
					</select>
				</div>		
			</c:if>
			<c:if test="${fn:length(orgs) == 1}">
				<input type="hidden" id="orgId" name="orgId" value="${orgs[0].id}">
			</c:if> -->
			<div class="part-wp">
				<span class="search-tips">关键字</span>
				<input class="large-input username" type="text" placeholder="请输入登录名、真实姓名、电话"/>
			</div>
			
			<div class="part-wp">
				<span class="search-tips">角色</span>
				<select class="default-select roleId" >
					<option value="">请选择角色</option>
					<c:forEach items="${roleList }" var="role">
						<c:choose>
							<c:when test="${role.id==roleId }">
								<option value="${role.id }" selected="selected">${role.name }</option>
							</c:when>
							<c:otherwise>
								<option value="${role.id }">${role.name }</option>
							</c:otherwise>
						</c:choose>
					</c:forEach>
				</select>
			</div>
			<button class="search-btn btn-red" type="button">查询</button>
			<button class="set-btn btn-white" type="button">重置</button>
		</form:form>
		 <div class="main-operate-wp">
		 	<perm:hasPermission permCode="pc:system:user:add">
		 		<button class="btn-add-blue add-ele-btn" type="button">新增</button>
			</perm:hasPermission>
			 <perm:hasPermission permCode="pc:system:user:edit">
				 <input type="hidden" value="1" id="updateAct" />
			 </perm:hasPermission>
			 <perm:hasPermission permCode="pc:system:user:delete">
				 <input type="hidden" value="1" id="deleteAct" />
			 </perm:hasPermission>
		 </div>

	 	 <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>  
		</div>
	</div>
	<script type="text/html" id="indexTpl">
    {{d.LAY_TABLE_INDEX+1}}
	</script>
</body>
</html>