<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width,height=device-height, user-scalable=no,initial-scale=1, minimum-scale=1, maximum-scale=1,target-densitydpi=device-dpi "> 
    <title>账号登录</title>
    <link rel="stylesheet" href="${ctx }/styles/common/reset.css?ver=5.2" type="text/css">
    <link rel="stylesheet" type="text/css" href="${ctx }/styles/wechat/changeAccountLogin.css" />
    <link rel="stylesheet" href="${ctx }/styles/visitor/layer.css" type="text/css">
</head>

<body>
    <input type="hidden" value="${ctx}" id="contextPath" />
    <input type="hidden" value="${oldUrl}" id="oldUrl" />
    <input type="hidden" value="${wechatUrl}" id="wechatUrl" />
    <input type="hidden" id="openId" value="${openId }" />
    <input type="hidden" id="organizationId" value="${organizationId}" />
    <input type="hidden" id="developId" value="${developId }" />
    <div class="bind-phone">
        <div class="tips">当前手机号码<span class="red">权限不足</span>，请更换有权限的手机号码或联系管理员开通账号。</div>
        <div class="phone-item">
            <label>已登录号码</label>
            <span class="phone-text oldPhone" id="phoneBefore"></span>
        </div>
        <div class="title">更换账号</div>
        <div class="phone-item" style="border-bottom: 1px solid #e6e6e6;">
            <label>手机号码</label>
            <input type="text" class="phone-text" id="phone" placeholder="请输入手机号码"/>
        </div>
        <div class="phone-item">
            <label>验证码</label>
            <input type="message-code" class="phone-code" id="code" placeholder="请输入验证码"/>
            <button id="getCode">点击获取验证码</button>
        </div>
        <button class="bind-btn">确定</button>
    </div>
    <script type="text/javascript" src="${ctx}/scripts/common/jquery-1.11.3.min.js"></script>
    <script type="text/javascript" src="${ctx }/plugin/layer/mobile/layer.js?v=4.0"></script>
    <script type="text/javascript" src="${ctx }/scripts/wechat/changeAccountLogin.js?v=2.8"></script>
</body>

</html>