<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,height=device-height, user-scalable=no,initial-scale=1, minimum-scale=1, maximum-scale=1,target-densitydpi=device-dpi "> 
	<title>签约确认</title>
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <link rel="stylesheet" type="text/css" href="${ctx }/plugin/light7/light7.css" />
    <link rel="stylesheet" type="text/css" href="${ctx }/styles/signcontract/style.css" />
    <link href="${ctx }/plugin/layer/mobile/need/layer.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="${ctx }/scripts/common/jquery-1.11.3.min.js"></script>
	<script type="text/javascript" src="${ctx}/scripts/lib/jquery-ui.min.js"></script>
	<script type="text/javascript" src="${ctx }/plugin/light7/light7.js"></script>
	<script type="text/javascript" src="${ctx }/plugin/layer/layer.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/visitor/controlOptionMenu.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/wechat/ordersevice.js"></script>
</head>
<body>
<!-- <div class="page"> -->
<div>
<input id="contextPath" value="${ctx}" type="hidden" />
<input id="organizationId" value="${organizationId}" type="hidden" name="organizationId" />
<input id="virtualArchitectureId" value="${virtualArchitectureId}" type="hidden" name="virtualArchitectureId" />
<input id="paymentType" value="${paymentType}" type="hidden" name="paymentType" />
<input id="serviceId" value="${serviceId}" type="hidden" name="serviceId" />
<input id="startTime" value="${startTime}" type="hidden" name="startTime" />
<input id="endTime" value="${endTime}" type="hidden" name="endTime" />
<input id="remarks" value="${remarks}" type="hidden" name="remarks" />
<input id="dataIdarr" value="${dataIdarr}" type="hidden" name="dataIdarr" />
<input id="code" value="${code}" type="hidden" name="code" />
<input id="deposititem" value="${deposititem}" type="hidden" name="deposititem" />
<input id="deposititemId" value="${deposititemId}" type="hidden" name="deposititemId" />
<input id="userId" value="${userId}" type="hidden" name="userId" />
<input id="typeCode" value="${typeCode}" type="hidden" name="typeCode" />
<input id="visitPrefix" value="${visitPrefix}" type="hidden" name="visitPrefix" />
<input id="signContractId" value="${signContractId}" type="hidden" name="signContractId" />
<input id="name" value="${name}" type="hidden" name="name" />
<input id="serviceIcon" value="${serviceIcon}" type="hidden" name="serviceIcon" />
<input id="renewalContractId" value="${renewalContractId}" type="hidden" name="renewalContractId" />
            <!-- page 容器 -->
        <div class="page">
            <!-- 标题栏 -->
            <header class="bar bar-nav rebarnav" style="z-index: 11001;">
                <a class="button button-link button-nav pull-left" style="color: #333; line-height: 2.5rem;" id="back">
                    <span class="navarrow-right">
                        <i></i>
                    </span> 返回
                </a>
                <button class="button button-link button-nav opensevice pull-right" style="line-height: 2.5rem; margin-right: 0.2rem" id="addOrdersevice">添加</button>
                <h1 class="title retile"><img src="${ctx}/images/common/fuwu.png" alt="" /><span>订购服务</span></h1>
            </header>
            <!-- 这里是页面内容区 -->
            <div class="content">
                <div class="content-block recontent-block">
                    <div class="sevicecontent" style="display: none">
                        <h3 class="sevicecontit">
                            <i>
                                <img src="${visitPrefix}${serviceIcon}" alt="" />
                            </i>
                            <span>${name}</span>
                            <a href="javascript: void(0);" class="delete"><em></em></a>
                        </h3>
                        <a href="javascript: void(0);" id="aback">
                        <div class="orderpay">
                            <span>支付方式</span>
                            <span class="label-checkbox orderpayradio">
                            <c:if test="${paymentType == 0}">现付</c:if>
                            <c:if test="${paymentType == 1}">月结</c:if>
                            </span>
                        </div>
                        <div class="sevicetime">
                            <span>服务期限</span>
                            <div class="timeinputs">${startTime}至${endTime}</div>
                        </div>
                         </a>
                    </div>
                    <!-- 按钮 -->
                    <div class="rebtns">
                        <div class="row">
                          <div class="col-100"><a href="javascript:void()" id="addSignContract" class="button button-big button-fill" external>保存并确认</a></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
          <!-- 选择服务 1 -->
        <div class="popover popoveritem">
            <!-- Popover's angle arrow -->
            <div class="popover-angle" ></div>
            <div class="popover-inner" id="popover-inner">
            	
            </div>
        </div>
</body>
</html>