<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta name="author" content="" />
<meta name="viewport"
	content="width=device-width,height=device-height, user-scalable=no,initial-scale=1, minimum-scale=1, maximum-scale=1,target-densitydpi=device-dpi ">
<meta name="robots" content="" />
<title>签约信息</title>
<link rel="stylesheet" type="text/css"
	href="${ctx }/plugin/light7/light7.css" />
<link rel="stylesheet" type="text/css"
	href="${ctx }/styles/signcontract/style.css?ver=7.0" />
<link rel="stylesheet" type="text/css"
	href="${ctx }/styles/signcontract/myenter.css" />
<link rel="stylesheet" href="${ctx }/styles/visitor/layer.css"
	type="text/css">
<script type="text/javascript"
	src="${ctx }/scripts/jquery/jquery-1.9.1.min.js"></script>
<script type="text/javascript"
	src="${ctx }/scripts/visitor/controlOptionMenu.js?v=4.0"></script>
<script type="text/javascript"
	src="${ctx }/scripts/visitor/layer.js?v=4.0"></script>
<script type="text/javascript"
	src="${ctx }/plugin/light7/light7.js"></script>
<script type="text/javascript"
	src="${ctx }/scripts/wechat/enterpriseContractInquiry.js?v=5.2"></script>

</head>
<body>
	<div class="page">
		<div class="content">
			<input type="hidden" id="contextPath" value="${ctx }" />

			<div>
				<!-- 标题栏 -->
				<header class="bar bar-nav rebarnav">
					<h1 class="title retile reshowitem">
						<span>选择企业名称</span>
					</h1>
				</header>
				<div class="input_search">
					<form:form id="conditionform"
						action="${ctx}/wechat/signContract/enterpriseContractInquiry"
						method="POST">
						<input type="text" placeholder='搜索企业编号或企业名称' name="paramValue"
							value="${paramValue }" />
						<input type="hidden" id="userId" name="userId" value="${userId }" />
						<img src="${ctx }/images/common/search.png" alt=""
							onclick="searchEnterpriseContractInquiry()">
					</form:form>
				</div>

				<c:forEach items="${staffByOrganztionList }" var="model">
					<div class="name_item">
						<div class="inensection">
							<div class="compyName">
								<div class="companyAddress">
									<span>${model.name }</span>
								</div>
								<i class="arrow"></i>
							</div>

							<div class="list-block relist-block list_relist">
								<ul>
									<c:forEach items="${model.virtualArchitectureList }" var="obj">
										<a href="javaScript:void(0);"
											onclick="searchVirtualArchitetrue('${obj.id}','${userId }')">
											<li class="item-content">
												<div class="item-inner">
													<div class="item-title">${obj.customerNumber }</div>
													<div class="item-after">${obj.name }</div>
												</div>
										</li>
										</a>
									</c:forEach>
								</ul>
							</div>
						</div>
					</div>
				</c:forEach>
			</div>

		</div>
</body>

</html>