<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0"> 
<title>公司认证</title>
<link rel="stylesheet" type="text/css" href="${ctx }/styles/common/reset.css?v=1.0" />
<link rel="stylesheet" type="text/css" href="${ctx }/styles/userset/authentication.css?v=1.5" />
<script type="text/javascript" src="${ctx }/scripts/common/jquery-1.11.3.min.js"></script>
<script type="text/javascript" src="${ctx }/scripts/common/common.js"></script>
<script type="text/javascript" src="${ctx }/scripts/wechat/controlOptionMenu.js"></script>
</head>
<body>
	<input type="hidden" id="contextPath" value="${ctx}" />
	<input type="hidden" id="virtualArchId_" value="${appUser.virtualArchId}" />
	<input type="hidden" id="userId" value="${appUser.id}" />
	<input type="hidden" id="developId" value="${developId}" />
	<input type="hidden" id="openId" value="${openId}" />
	<input type="hidden" id="organizationId" value="${organizationId}" />
	
	<div class="pagetoplogo"></div>
      <div class="pagebottomlogo"></div>
      <div class="wrapper clearfix">
        <!-- 信息编辑 -->
        <form action="information.html" class="auth-form">
            <fieldset>
                <div class="auth-entry">
                  <label>楼宇</label>
                  <span class="righttext">
                    <em>航空大厦</em>
                    <i class="iconarrow"></i>
                  </span>
                </div>
                <div class="auth-entry js_company">
                  <label>公司</label>
                  <span class="righttext">
                    <em class="placeholder">
                      <strong>请选择公司</strong>
                    </em>
                    <i class="iconarrow"></i>
                  </span>
                </div>
                <div class="auth-entry" style="border-bottom: 0;">
                  <label>姓名</label>
                  <input type="text" placeholder="请输入您的真实姓名"/>
                </div>
              
                <!-- 上传头像 -->
                <div class="auth-img clearfix">
                  <div class="authimgtit">
                      <label>个人照片</label>
                      <span class="righttext">
                          <em>请上传真实照片，方便公司管理员审核</em>
                          <i class="iconwhat"></i>
                      </span>
                  </div>
                  <div class="uploadDiv clearfix">
                    <div class="addButton"> 
                      <img src="../../../images/userlogin/addimg.png" class="js_prevImg">
                      <i class="prev-del" style="display: none;"></i>
                      <input type="file" accept="image/*" capture="camera" class="entryImgInput" />
                    </div>
                  </div>
                </div>
                <!-- 上传证件照片 -->
                <div class="auth-img clearfix">
                  <div class="authimgtit">
                      <label>个人照片</label>
                      <span class="righttext">
                          <em style="float:right;">工牌，工作证、身份证等(最多上传3张)</em>
                      </span>
                  </div>
                  <div class="uploadDiv clearfix">
                    <div class="addButton" style="display: none;">
                      <img src="../../../images/userlogin/addimg.png">
                      <i class="prev-del"></i>
                    </div>
                    <div class="addButton" style="display: none;">
                      <img src="../../../images/userlogin/addimg.png">
                      <i class="prev-del"></i>
                    </div>
                    <div class="addButton" style="display: none;">
                      <img src="../../../images/userlogin/addimg.png">
                      <i class="prev-del"></i>
                    </div>
                    <div class="addButton"> 
                      <img src="../../../images/userlogin/addimg.png" class="js_prevImg">
                      <input type="file" accept="image/*" capture="camera" class="entryImgInput" />
                    </div>
                  </div>
                </div>
            </fieldset>
            <input type="submit" value="提交" class="superbtn"/>
        </form>
        <!-- 提示信息 -->
        <div class="tips-mask" style="display: none;">
          <div class="tip">
            <img src="../../../images/userlogin/facespecification.jpg"  alt="" />
            <p class="tip-btn"><a href="javascript: void(0);">返回</a></p>
          </div>
        </div>
        <!-- 选择公司 -->
        <div class="companymask">
            
          <div class="selectcompany">
            <!-- 搜索栏 -->
            <div class="searchbar">
              <a href="javascript: void(0);" title="搜索" class="searchicon"><i></i></a>
              <h3 class="companyname">选择公司名称</h3>
              <a href="javascript: void(0);" title="关闭" class="closeicon"><i></i></a>
            </div>
            <div class="searchbarentry">
              <div class="seachentry">
                  <input type="text" class="js_searchinput"/>
                  <i class="iconclear"></i>
              </div>
            </div>
            <!-- 搜索信息 -->
            <div class="outercompanylist">
              <div class="companylistwrap">
                <ul class="companylist">
                  <li>A公司（深圳分部）</li>
                  <li>A公司（深圳分部）</li>
                  <li>A公司（深圳分部）</li>
                  <li>A公司（深圳分部）</li>
                  <li>A公司（深圳分部）A公司（深圳分部）A公司（深圳分部）A公司（深圳分部）A公司（深圳分部）</li>
                </ul>
                <!-- 申请入驻公司 -->
                <a href="" class="application">
                  <img src="../../../images/userlogin/company.jpg" alt="" />
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- 提示弹窗 -->
      <div class="popupmask">
            <div class="popup">
                <i class="popupicon"></i>
                <span>申请已提交</span>
                <em>2个工作日内<br>会有专人与您联系</em>
                <a href="javascript: void(0);" title="ok" class="okbtn">确定</a>
            </div>
      </div>
</body>
</html>