/*
Navicat MySQL Data Transfer

Source Server         : 楼宇之窗测试
Source Server Version : 50720
Source Host           : rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com:3306
Source Database       : louyu_service_test

Target Server Type    : MYSQL
Target Server Version : 50720
File Encoding         : 65001

Date: 2019-06-10 17:58:57
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for tb_repair_service
-- ----------------------------
DROP TABLE IF EXISTS `tb_repair_service`;
CREATE TABLE `tb_repair_service` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `s_no` varchar(50) NOT NULL COMMENT '维修单编号',
  `status` tinyint(2) NOT NULL COMMENT '维修单状态(1,已处理 0待处理)',
  `repair_username` varchar(20) DEFAULT NULL COMMENT '报修人',
  `repair_user_id` bigint(20) DEFAULT NULL COMMENT '下单人ID',
  `repair_phone` varchar(20) DEFAULT NULL COMMENT '联系方式',
  `company_name` varchar(100) DEFAULT NULL COMMENT '公司',
  `remarks` varchar(1000) DEFAULT NULL COMMENT '报修描述',
  `build_name` varchar(20) DEFAULT NULL COMMENT '楼栋名称',
  `build_floor` varchar(20) DEFAULT NULL COMMENT '楼层',
  `build_room` varchar(10) DEFAULT NULL COMMENT '房间号',
  `build_id` bigint(20) DEFAULT NULL COMMENT '楼栋ID',
  `pic_url` varchar(2000) DEFAULT NULL COMMENT '上传图片地址多个以;分割',
  `source_type` tinyint(2) DEFAULT NULL COMMENT '下单源(1，PC；2，微信；3，Android；4，iOS)',
  `repair_amount` decimal(11,2) NOT NULL DEFAULT '0.00' COMMENT '维修费用',
  `status_date` datetime DEFAULT NULL COMMENT '单完结时间完成或者审核拒绝',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建者',
  `created_at` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` bigint(20) DEFAULT NULL COMMENT '修改者',
  `updated_at` datetime DEFAULT NULL COMMENT '修改时间',
  `org_id` bigint(20) DEFAULT NULL,
  `room_id` bigint(20) DEFAULT NULL,
  `floor_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=286 DEFAULT CHARSET=utf8 COMMENT='维修单';
