CREATE TABLE `tb_lingling_developer` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `isNew` tinyint(1) DEFAULT '1' COMMENT '是否为新的：1-是；0-否；',
  `isDefault` tinyint(1) DEFAULT '0' COMMENT '是否默认 0-否 1-是',
  `orgId` int(11) DEFAULT NULL COMMENT '所属项目 id',
  `signature` varchar(100) DEFAULT NULL COMMENT '开发者信息：signature',
  `token` varchar(100) DEFAULT NULL COMMENT '开发者信息：token',
  `openToken` varchar(200) DEFAULT NULL COMMENT '开发者信息：openToken',
  `url` varchar(200) DEFAULT NULL COMMENT '开发者信息：url',
  `strKey` varchar(100) DEFAULT NULL COMMENT '开发者信息：strKey',
  `createTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '添加时间',
  `creator` int(20) DEFAULT NULL COMMENT '添加人',
  `modifyTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `modify` int(20) DEFAULT NULL COMMENT '修改人',
  `isEnable` tinyint(1) DEFAULT '1' COMMENT '设备禁用状态 0-禁用 1-可用',
  PRIMARY KEY (`id`),
  KEY `index_lingling_orgId` (`orgId`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='令令开发者信息维护表';

