package com.palmnest.application.dto;

import com.palmnest.model.RoomInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author xc
 * @since 2023/8/9 10:06
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ConditionerAddTimeOrderFeeVO {
    private String priceDisplay;// 单价
    private BigDecimal useLengthTime;// 使用时长
    private String feeDetail;// 费用明细
    private BigDecimal feeTotal;// 费用总计
    private BigDecimal monthlyFee;// 月结费用
    private String applyArea;// 申请面积
    private String useDisplayTime;// 使用时间段
    private List<RoomInfo> roomInfos;// 房间信息
}
