package com.palmnest.dao;

import com.palmnest.model.UserDateActiveCount;

import java.util.List;
import java.util.Map;

public interface UserDateActiveDao extends GenericDao<UserDateActiveCount, Long> {
	/**
	 * 获取用户活跃度数据
	 *
	 * @param date
	 * @param orgId
	 * @param userId
	 * @return
	 */
	UserDateActiveCount getUserDateActive(String date, String orgId, String userId);

	/**
	 * 平台概括报表中获取用户活跃度
	 *
	 * @param orgId
	 * @param dateType
	 * @param date
	 * @param endDate
	 * @return
	 */
	List<Map<String, Object>> getUserDateActive(String orgId, int dateType, String date, String endDate);
}
