package com.palmnest.dao.dinner;

import java.util.List;
import java.util.Map;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.dinner.IntegralRecodeInfo;

public interface IntegralRecodeInfoDao extends GenericDao<IntegralRecodeInfo, Long> {

	/**
	 * 根据项目手机号查找该用户下相关的操作记录
	 *
	 * @param mobile
	 * @param orgId
	 * @return
	 */
	List<IntegralRecodeInfo> getRecodeInfo(String mobile, String orgId);
	
	
	/**
	 * 根据项目手机号查找该用户下相关的操作记录
	 *
	 * @param mobile
	 * @param orgId
	 * @return
	 */
	List<IntegralRecodeInfo> getRecodeInfoExcelList(Map<String, Object> paramets);
	
	/**
	 * 根据项目手机号查找该用户下相关的操作记录
	 *
	 * @param mobile
	 * @param orgId
	 * @return
	 */
	Page getPageRecodeInfo(Map<String, Object> map, int pageSize, int pageNo);

	/**
	 * 获取消费日志
	 *
	 * @param map
	 * @param pageSize
	 * @param pageNo
	 * @return
	 */
	Page findList(Map<String, Object> map, int pageSize, int pageNo);
}
