package com.palmnest.dao.dorm;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.dorm.DormReleaseInfo;

/**
 * 放行 退宿申请单DAO接口类
 *
 * @author longmeizhen
 */
public interface DormReleaseInfoDao extends GenericDao<DormReleaseInfo, Long> {
	/**
	 * 根据退宿申请单获取放行操作
	 *
	 * @param checkId
	 * @return
	 */
	public DormReleaseInfo getReleaseInfoByCheckId(Long checkId);
}
