package com.palmnest.dao.estateserve;

import java.util.List;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.estateserve.DepositItemInformationForm;

/**
 * 服务押金细项配置DAO层
 *
 * @author 金牙
 */
public interface DepositItemInformationFormDao extends GenericDao<DepositItemInformationForm, Integer> {

	/**
	 * 根据服务ID查询押金配置项
	 *
	 * @param serviceTypeInfoId
	 * @return
	 */
	public List<DepositItemInformationForm> getDepositItemInformationFormList(Integer serviceTypeInfoId) throws Exception;

}
