package com.palmnest.dao.estateserve;

import java.util.List;
import java.util.Map;

import com.palmnest.application.dto.CommonDto;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.EnterpriseInfo;
import com.palmnest.model.emig.EmigrationSettle;
import com.palmnest.model.property.VirtualArchitecture;

public interface EmigrationDao extends GenericDao<EnterpriseInfo, Integer> {

	public List<CommonDto> getFloorVirList(String floorIds) throws Exception;

	public EmigrationSettle getEmigrationSettle(int emigId) throws Exception;

}
