package com.palmnest.dao.estateserve;

import java.util.Date;
import java.util.List;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.estateserve.WxReceiverecord;

/**
 * 事件记录
 *
 * @author xlguo
 */
public interface ScReceiverecordDao extends GenericDao<WxReceiverecord, Integer> {
	public WxReceiverecord saveReceiverecord(WxReceiverecord scReceiverecord);

	/**
	 * 查询用户最近一次事件记录
	 *
	 * @param developId
	 * @param openId
	 * @param infoType
	 * @param eventType
	 * @return
	 */
	public List<WxReceiverecord> getLastReceivercord(String developId, String openId, String infoType, String eventType);

	/**
	 * 查询之前的记录
	 *
	 * @param developId
	 * @param openId
	 * @param infoType
	 * @param date
	 * @return
	 */
	public List<WxReceiverecord> getLastReceivercordByTime(String developId, String openId, String infoType, Date date);
}
