package com.palmnest.dao.notice;

import java.util.List;
import java.util.Map;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.notice.ApprovalRoleModel;

public interface ApprovalRoleDao extends GenericDao<ApprovalRoleModel, Integer>{
	
	/**
	 * 获取多级审核-审核类型下的角色
	 * @param orgId
	 * @param type
	 * @param sourceId
	 * @return
	 */
	List<ApprovalRoleModel> getRoleListBySourceId(Integer orgId,Integer type,Integer sourceId);
	/**
	 * 根据几审获取对应的角色id
	 * @param orgId
	 * @param type
	 * @param sourceId
	 * @param orderno 当前审核角色的序号+1  就是下一级审核人的角色id
	 * @return
	 */
	Map<String, Object> getRoleIdByOrderno(Integer orgId,Integer type,Integer sourceId,Integer orderno);

}
