package com.palmnest.dao.notice;

import java.util.List;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.notice.NoticeSubGroupModel;

public interface NoticeSubGroupDao extends GenericDao<NoticeSubGroupModel, Integer>{
	/**
	 * 删除已经存在的关系
	 * @param type
	 * @param sourceId
	 */
	void delBySourceId(Integer type,Integer sourceId,Integer modify);
	/**
	 * 根据源id获取订单的分组部门信息
	 * @param type
	 * @param sourceId
	 * @return
	 */
	List<NoticeSubGroupModel> findBySourceId(Integer type,Integer sourceId);
}
