package com.palmnest.dao.repair;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.repair.RepairOperateRecord;

import java.util.List;

/**
 * @author wangxz
 * <p>
 * 2018年5月2日
 */
public interface RepairOperateRecordDao extends GenericDao<RepairOperateRecord, Long> {

	RepairOperateRecord findBy(Long billId, Integer operateType);

	/**
	 * 查找维修单对应的操作记录
	 *
	 * @param billId
	 * @return
	 */
	List<RepairOperateRecord> findBy(Long billId);

}
