package com.palmnest.service;

import com.palmnest.model.UserDateActiveCount;

import java.util.List;
import java.util.Map;


public interface UserDateActiveManager extends GenericManager<UserDateActiveCount, Long> {
	/**
	 * 保存用户活跃度
	 */
	void saveUserToLocal();

	/**
	 * 平台概括报表中获取用户活跃度
	 *
	 * @param orgId
	 * @param dateType
	 * @param date
	 * @param endDate
	 * @return
	 */
	List<Map<String, Object>> getUserDateActive(String orgId, int dateType, String date, String endDate);
}
