package com.palmnest.service.dorm.manager.impl;

import com.palmnest.dao.dorm.DormReleaseInfoDao;
import com.palmnest.model.dorm.DormReleaseInfo;
import com.palmnest.service.dorm.manager.DormReleaseInfoManager;
import com.palmnest.service.impl.GenericManagerImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 放行退宿申请manager实现类
 *
 * @author longmeizhen
 */
@Slf4j
@Service("dormReleaseInfoManager")
public class DormReleaseInfoManagerImpl extends GenericManagerImpl<DormReleaseInfo, Long> implements DormReleaseInfoManager {


	private DormReleaseInfoDao dormReleaseInfoDao;

	@Autowired
	public void setDormReleaseInfoDao(DormReleaseInfoDao dormReleaseInfoDao) {
		this.dormReleaseInfoDao = dormReleaseInfoDao;
		this.dao = dormReleaseInfoDao;
	}

	@Override
	public DormReleaseInfo getReleaseInfoByCheckId(Long checkId) {
		return dormReleaseInfoDao.getReleaseInfoByCheckId(checkId);
	}


}
