package com.palmnest.service.estateserve;

import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Component;

import com.palmnest.application.bean.AppResultDto;
import com.palmnest.application.dto.OrgKoalaInfoVo;
import com.palmnest.service.GenericManager;

/**
 * 员工管理
 */
@Component
public interface MemberManager extends GenericManager<Object, Integer>{
	
	/**
	 * 上传koala图片
	 */
	public String uploadKoalaPhoto(HttpServletRequest request);
	
	
	/**
	 * 同步用户
	 * 同步底库
	 */
	public AppResultDto updateKoalaImg(Integer userId, String imgId, String imgUrl);
	
	public  OrgKoalaInfoVo getOrgKoalaInfoVoByOrgId(Integer orgId);
	

}
