package com.palmnest.service.estateserve;

import com.palmnest.model.MethodLog;
import com.palmnest.service.GenericManager;

/**
 * Created by hxt on 2018/12/27.
 */
public interface MethodExecuteLogManager extends GenericManager<MethodLog, Long> {


	/**
	 * 查询操作记录
	 *
	 * @param methodName 方法名称
	 * @param orgId      项目id
	 * @param minute     间隔时间（比如15分钟邮箱，此值为15；如果不验证时效性，填0）
	 * @return
	 */
	public MethodLog getMethodLog(Integer orgId, String methodName, int minute);
}
