package com.palmnest.service.estateserve.airconditioner;

import com.palmnest.model.airconditioner.AirConditionerAddTimeOrderExtend;
import com.palmnest.model.airconditioner.AirConditionerAddTimeOrderHistory;
import com.palmnest.service.GenericManager;

import java.util.List;

/**
 * @author xc
 * @since 2023/8/8 16:21
 */
public interface ConditionerAddTimeOrderExtendManager extends GenericManager<AirConditionerAddTimeOrderExtend, Long> {
    AirConditionerAddTimeOrderExtend getByOrderNo(String orderNo);

    void saveHistory(AirConditionerAddTimeOrderHistory build);

    List<AirConditionerAddTimeOrderHistory> getHistoryListByOrderNo(String code);
}
