package com.palmnest.service.estateserve.impl;

import com.palmnest.dao.estateserve.MethodExecuteLogDao;
import com.palmnest.model.MethodLog;
import com.palmnest.service.estateserve.MethodExecuteLogManager;
import com.palmnest.service.impl.GenericManagerImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author HIAPAD
 * @Description TODO
 * @Date 2018/12/27 17:39
 **/
@Service("methodExecuteLog")
public class MethodExecuteLogManagerImpl extends GenericManagerImpl<MethodLog, Long> implements MethodExecuteLogManager {

	private MethodExecuteLogDao methodExecuteLogDao;

	@Autowired
	public void setMethodExecuteLogDao(MethodExecuteLogDao methodExecuteLogDao) {
		this.methodExecuteLogDao = methodExecuteLogDao;
		this.dao = methodExecuteLogDao;
	}


	@Override
	public MethodLog getMethodLog(Integer orgId, String methodName, int minute) {
		return methodExecuteLogDao.getMethodLog(orgId, methodName, minute);
	}
}
