package com.palmnest.service.lingling.manager.impl;

import com.palmnest.dao.lingling.LingLingCurrentsetDao;
import com.palmnest.model.lingling.LingLingCurrentset;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.lingling.manager.LingLingCurrentsetManager;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @description:
 * @author: lmz
 * @create: 2022/2/14 14:14
 **/
@Slf4j
@Service(value = "lingLingCurrentsetManager")
public class LingLingCurrentsetManagerImpl  extends GenericManagerImpl<LingLingCurrentset, Integer> implements LingLingCurrentsetManager {
    private LingLingCurrentsetDao lingLingCurrentsetDao;

    @Autowired
    public void setLingLingCurrentsetDao(LingLingCurrentsetDao lingLingCurrentsetDao) {
        this.lingLingCurrentsetDao = lingLingCurrentsetDao;
        dao = lingLingCurrentsetDao;
    }

    @Override
    public LingLingCurrentset getByOrgId(Integer orgId) {
        return lingLingCurrentsetDao.getByOrgId(orgId);
    }
}
