package com.palmnest.service.notice;

import com.palmnest.application.bean.Page;
import com.palmnest.model.notice.WxtemplateMessageTypeModel;
import com.palmnest.service.GenericManager;

import java.util.List;
import java.util.Map;

public interface WxtemplateMessageTypeManager extends GenericManager<WxtemplateMessageTypeModel, Integer> {

	public Page getTemplateMessageTypeList(String orgIds, int wechatAccountId, int pageSize, int pageNo) throws Exception;

	public Map<String, Object> saveOrUpdate(WxtemplateMessageTypeModel wxtemplateMessageTypeModel) throws Exception;

	WxtemplateMessageTypeModel findBy(String templateid);

	/**
	 * 获取该项目该公众号下所有的用户
	 *
	 * @param orgId
	 * @param developId
	 * @return
	 */
	List<Map<String, Object>> findByOrgIdAndDevelopId(Integer orgId, String developId);
}

