package com.palmnest.service.notice.impl;

import com.palmnest.dao.notice.AppNoticeContentDao;
import com.palmnest.model.notice.AppNoticeContentModel;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.notice.AppNoticeContentManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("appNoticeContentManager")
public class AppNoticeContentManagerImpl extends GenericManagerImpl<AppNoticeContentModel, Integer> implements AppNoticeContentManager {

	private AppNoticeContentDao appNoticeContentDao;

	@Autowired
	public void setAppNoticeContentDao(AppNoticeContentDao appNoticeContentDao) {
		this.appNoticeContentDao = appNoticeContentDao;
		this.dao = appNoticeContentDao;
	}

	@Override
	public AppNoticeContentModel findByIdAndImage(Integer id, String image,
												  int type, int source) {
		return appNoticeContentDao.findByIdAndImage(id, image, type, source);
	}


}
