package com.palmnest.service.notice.impl;

import com.palmnest.dao.notice.WxUploadMaterialDao;
import com.palmnest.model.notice.WxUploadMaterialModel;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.notice.WxUploadMaterialManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("wxUploadMaterialManager")
public class WxUploadMaterialManagerImpl extends GenericManagerImpl<WxUploadMaterialModel, Integer> implements WxUploadMaterialManager {

	private WxUploadMaterialDao wxUploadMaterialDao;

	@Autowired
	public void setWxUploadMaterialDao(WxUploadMaterialDao wxUploadMaterialDao) {
		this.wxUploadMaterialDao = wxUploadMaterialDao;
		this.dao = wxUploadMaterialDao;
	}

	@Override
	public WxUploadMaterialModel findBySourceId(Integer sourceId, String type, Integer orgId) {
		return wxUploadMaterialDao.findBySourceId(sourceId, type, orgId);
	}
}
