package com.palmnest.service.repair;

import com.palmnest.application.dto.input.RepairQrInputDto;
import com.palmnest.model.repair.RepairConfig;
import com.palmnest.model.repair.RepairMaterial;
import com.palmnest.service.GenericManager;

import java.util.List;

/**
 * 服务之窗1L- RepairMaterialManager
 *
 * @Description TODO
 * @author: jiangyong
 * @since: 2020/8/13 11:23
 */
public interface RepairMaterialManager extends GenericManager<RepairMaterial, Long> {


    List<RepairMaterial> getMaterialListByOrgId(Integer orgId);

    String getRepairUrl(RepairQrInputDto repairQrInputDto);
}
