package com.palmnest.service.repair;

import com.palmnest.model.repair.RepairOperateRecord;
import com.palmnest.service.GenericManager;

import java.util.List;

public interface RepairOperateRecordManager extends GenericManager<RepairOperateRecord, Long> {

	RepairOperateRecord findBy(Long billId, Integer operateType);

	/**
	 * 查找维修单对应的操作记录
	 *
	 * @param billId
	 * @return
	 */
	List<RepairOperateRecord> findBy(Long billId);


}
