package com.palmnest.service.repair.impl;

import com.palmnest.dao.repair.RepairBillCommentDao;
import com.palmnest.model.repair.RepairBillComment;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.repair.RepairBillCommentManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("repairBillCommentManager")
public class RepairBillCommentManagerImpl extends GenericManagerImpl<RepairBillComment, Long> implements RepairBillCommentManager {

	private RepairBillCommentDao repairBillCommentDao;

	@Autowired
	public void setRepairBillCommentDao(RepairBillCommentDao repairBillCommentDao) {
		this.repairBillCommentDao = repairBillCommentDao;
		this.dao = repairBillCommentDao;
	}

	@Override
	public RepairBillComment findBy(Long billId) {
		return repairBillCommentDao.findBy(billId);
	}

}
