package com.palmnest.service.repair.impl;

import com.palmnest.dao.repair.RepairBillMaterialDao;
import com.palmnest.model.repair.RepairBillMaterial;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.repair.RepairBillMaterialManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("repairBillMaterialManager")
public class RepairBillMaterialManagerImpl extends GenericManagerImpl<RepairBillMaterial, Long> implements RepairBillMaterialManager {

	private RepairBillMaterialDao repairBillMaterialDao;

	@Autowired
	public void setRepairBillMaterialDao(RepairBillMaterialDao repairBillMaterialDao) {
		this.repairBillMaterialDao = repairBillMaterialDao;
		this.dao = repairBillMaterialDao;
	}

	@Override
	public List<RepairBillMaterial> findBy(Long billId) {
		return repairBillMaterialDao.findBy(billId);
	}

}
