package com.palmnest.service.repair.impl;

import com.palmnest.application.dto.input.RepairQrInputDto;
import com.palmnest.dao.repair.RepairMaterialDao;
import com.palmnest.dao.repair.RepairOperateRecordDao;
import com.palmnest.model.repair.RepairMaterial;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.repair.RepairMaterialManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 服务之窗1L- RepairMaterialManagerImpl
 *
 * @Description TODO
 * @author: jiangyong
 * @since: 2020/8/13 11:23
 */
@Service("repairMaterialManager")
public class RepairMaterialManagerImpl extends GenericManagerImpl<RepairMaterial, Long> implements RepairMaterialManager {

    private RepairMaterialDao repairMaterialDao;

    @Autowired
    public void setRepairMaterialDao(RepairMaterialDao repairMaterialDao) {
        this.repairMaterialDao = repairMaterialDao;
        this.dao =repairMaterialDao;
    }


    @Override
    public List<RepairMaterial> getMaterialListByOrgId(Integer orgId) {
        return repairMaterialDao.findByOrgId(orgId);
    }

    @Override
    public String getRepairUrl(RepairQrInputDto repairQrInputDto) {
        return null;
    }
}
