package com.palmnest.service.virtfood.impl;

import com.palmnest.dao.virtfood.VirtFoodConfigDao;
import com.palmnest.model.virtfood.VirtFoodConfig;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.virtfood.VirtFoodConfigManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("virtFoodConfigManager")
public class VirtFoodConfigManagerImpl extends GenericManagerImpl<VirtFoodConfig, Long> implements VirtFoodConfigManager {
	private VirtFoodConfigDao virtFoodConfigDao;

	@Autowired
	public void VirtFoodConfigDao(VirtFoodConfigDao virtFoodConfigDao) {
		this.virtFoodConfigDao = virtFoodConfigDao;
		this.dao = virtFoodConfigDao;
	}

	@Override
	public VirtFoodConfig getByFoodId(Long food_id) {

		return virtFoodConfigDao.getByFoodId(food_id);
	}


}
