package com.palmnest.service.virtfood.impl;

import com.palmnest.dao.virtfood.VirtFoodPersonDao;
import com.palmnest.model.virtfood.VirtFoodPerson;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.virtfood.VirtFoodPersonManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("virtFoodPersonManager")
public class VirtFoodPersonManagerImpl extends GenericManagerImpl<VirtFoodPerson, Long> implements VirtFoodPersonManager {

	private VirtFoodPersonDao virtFoodPersonDao;

	@Autowired
	public void VirtFoodConfigDao(VirtFoodPersonDao virtFoodPersonDao) {
		this.virtFoodPersonDao = virtFoodPersonDao;
		this.dao = virtFoodPersonDao;
	}

	@Override
	public VirtFoodPerson getByopenid(String openId) {

		return virtFoodPersonDao.getByopenid(openId);
	}


}
