package com.palmnest.service.washcar.manager.impl;

import com.palmnest.dao.washcar.UserEvaluateDao;
import com.palmnest.model.washcar.UserEvaluate;
import com.palmnest.service.impl.GenericManagerImpl;
import com.palmnest.service.washcar.manager.UserEvaluateManager;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service("userEvaluateManager")
public class UserEvaluateManagerImpl extends GenericManagerImpl<UserEvaluate, Long> implements UserEvaluateManager {


	private UserEvaluateDao userEvaluateDao;

	@Autowired
	public void setUserEvaluateDao(UserEvaluateDao userEvaluateDao) {
		this.userEvaluateDao = userEvaluateDao;
		this.dao = userEvaluateDao;
	}

	@Override
	public UserEvaluate findByOrderId(Long orderId, String type) throws Exception {
		return userEvaluateDao.findByOrderId(orderId, type);
	}

	@Override
	public UserEvaluate save(UserEvaluate object) {
		return userEvaluateDao.save(object);
	}


}
