package com.palmnest.service.washcar.service.impl;

import com.palmnest.model.washcar.ProjectSet;
import com.palmnest.service.washcar.manager.ProjectSetManager;
import com.palmnest.service.washcar.service.ProjectSetService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 项目设置(设置名额)
 *
 * @author longmeizhen
 */
@Slf4j
@SuppressWarnings("unused")
@Service("projectSetService")
public class ProjectSetServiceImpl implements ProjectSetService {


	@Autowired
	private ProjectSetManager projectSetManager;

	@Override
	public ProjectSet saveQuota(String orgId, Long id, Integer quota, String userId) throws Exception {
		return projectSetManager.saveQuota(orgId, id, quota, userId);
	}

	@Override
	public ProjectSet fingByProjectId(String projectId) throws Exception {
		return projectSetManager.fingByProjectId(projectId);
	}

}
