package com.palmnest.webapp.controller.third;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("/api/superdesk-app-auth/auth/*")
public class SuperdeskAppAuthController {


	/**
	 * javascript - Basic auth for iframe
	 * http://localhost:8080/api/superdesk-app-auth/auth/ping
	 * http://externaluser:pass@localhost:8080/app/api/superdesk-app-auth/auth/ping
	 * <p>
	 * http://externaluser:pass@localhost:8080/admin/dorm/jumpDormitoryInfor?funcid=252
	 * <p>
	 * https://wx.palmnest.com/super_service/api/superdesk-app-auth/auth/ping
	 * http://externaluser:pass@localhost:8080/repairBill/evaluationManagement
	 * <p>
	 * https://externaluser:pass@wx.palmnest.com/super_service/admin/dorm/jumpDormitoryInfor?funcid=252
	 * <p>
	 * https://externaluser:pass@wx.palmnest.com/super_service/app/api/superdesk-app-auth/auth/ping
	 *
	 * @return
	 */
	@RequestMapping(value = "/ping", method = RequestMethod.GET)
	@ResponseBody
	public String getPing() {
		return "OK";
	}
}
