package com.palmnest.webapp.quartz;

import com.palmnest.service.dinner.service.PlaceAnOrderService;
import com.palmnest.service.estateserve.DateTypeInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 每个月1号0点10分自动将所有用户的剩余积分转到商城中
 *
 * @author longmeizhen
 */
@Slf4j
@Component("dinnerTransferAccountsTimerTask")
public class DinnerTransferAccountsTimerTask {


	@Autowired
	private PlaceAnOrderService placeAnOrderService;
	@Autowired
	private DateTypeInfoService dateTypeInfoService;

	private void run() {
		log.info("quartz into DinnerTransferAccountsTimerTask start ...");
		log.info("--------dateTypeInfoService.saveDateType start ...");
//		dateTypeInfoService.saveDateType("", "");
//		dateTypeInfoService.saveDateTypeAddOne("", "");
		log.info("quartz into DinnerTransferAccountsTimerTask end ...");
	}
}
