<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
	<title>通行统计</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<!-- bootstrap 3.0.2 -->

	<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/AdminLTE.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/release/releaseApprove.css?v=1.0'/>" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
	<script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/admin/applyRelease/statistics.js?v=1.2"></script>
	<script type="text/javascript" src="<c:url value='/scripts/mobileBUGFix.mini.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/lrz.bundle.js'/>"></script>
	<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js?2019-3-1"></script>
</head>

<body>
	<input type="hidden" value="${virAccountInfo}" id="virAccountInfo">
	<input type="hidden" value="${ctx}" id="contextPath" />

	<div class="bread-wp">
		 电子通行证 > 通行统计
	</div>
	<div class="right-content">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
			<div class="statis-list">
				<div class="static-item">
					<div class="tip">累计通行人数</div>
					<div class="num" id="totalPersonNum">0</div>
				</div>
				<div class="static-item">
					<div class="tip">累计通行次数</div>
					<div class="num" id="totalPassNum">0</div>
				</div>
				<div class="static-item">
					<div class="tip">累计拒绝通行次数</div>
					<div class="num red" id="refusePersonNum">0</div>
				</div>
				<div class="static-item">
					<div class="tip">今日通行人数</div>
					<div class="num" id="todayPersonNum">0</div>
				</div>
				<div class="static-item">
					<div class="tip">今日通行次数</div>
					<div class="num" id="todayPassNum">0</div>
				</div>
			</div>
			<form:form id="conditionform" class="clearfloat">

				<c:if test="${fn:length(orgs) > 1}">
					<div class=" part-wp">
						<span class="search-tips">校区</span>
						<input class="default-select" name="orgId" id="orgId"  autocomplete="off" placeholder="请输入校区名称" />
		        		<span class="select_wrap _hide"></span>
					</div>
				</c:if>
				<c:if test="${fn:length(orgs) == 1}">
					<input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" class="single-orgid default-select" org__id="${orgs[0].id}">
				</c:if>
				<%-- <c:if test="${not empty virAccountInfo}">
					<div class="part-wp">
						<span class="search-tips">企业</span>
						<input class="default-select" disabled name="companyId" id="companyId" autocomplete="off" value="${virAccountInfo.virName}" com__id="${virAccountInfo.virId}"/>
					</div>
				</c:if>	
				<c:if test="${fn:length(virAccountInfo) == 0}">
					<div class=" part-wp">
						<span class="search-tips">企业</span>
						<input class="default-select" name="companyId" id="companyId"  autocomplete="off" placeholder="请输入企业名称"/>
						<span class="select_wrap _hide"></span>
					</div>
				</c:if>		 --%>
				
				
			<!-- 	<div class="part-wp">
					<span class="search-tips">申请人</span>
					<input class="small-input loginName" type="text" placeholder="请输入申请人" />
				</div> -->
				<div class="part-wp">
					<span class="search-tips">放行时间</span>
					<input type="text" name="date1" id="date1" autocomplete="off" class="date-input small-input" placeholder="开始时间">
					<span style="display: inline-block;margin-left: 5px;">~</span>
					<input type="text" name="date2" id="date2" autocomplete="off" class="date-input small-input" placeholder="结束时间">
	      		</div>
				<div class="part-wp">
					<button class="search-btn btn-red" type="button">查询</button>
					<button class="set-btn btn-white" type="button">重置</button>
				</div>
			</form:form>
			<div class="main-operate-wp">
				<button class="btn-download-white" id="importTemplate" type="button">导出</button>
			</div> 
			<table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>
		</div>
	</div>
	
	<script type="text/html" id="indexTpl">
		{{d.LAY_TABLE_INDEX+1}}
	</script>
</body>

</html>