<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>账单推送</title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<!-- bootstrap 3.0.2 -->

<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/billPush/billPush.css'/>" rel="stylesheet" type="text/css" />  
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
<%-- <script type="text/javascript" src="<c:url value='/scripts/lib/layDate/laydate.dev.js'/>"></script> --%>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
</head>
<body>
	<div class="bread-wp">
			账单推送  >  账单推送
	</div>
	<div class="right-content">
	<input type="hidden" value="${ctx}" id="contextPath">
		<div class="main-content-mode-wp" >
			 <div class="export-bill-wp">
	          <span >导入菜单</span>
	          <div class="export-btn-wp">
	          	<div class="export-file-name">
	          		<input class="export-file" id="excelFile" name="excelFile" type="file" />
	          		<input class="export-file-text"  type="text" value="" placeholder="请先选择文件" readonly/>
	          	</div>
	            
	            <input type="button" id="fileUpload" name="fileUpload" class="export-file-wp" value="上传" value="上传" />
	          </div>
	          <button class="down-btn btn-white">模板下载</button>
	        </div>
	         <div  id="conditionform"  class="clearfloat">
	         <c:if test="${fn:length(orgs) > 1}">
			<div class="part-wp">
			<span class="search-tips">请选择校区</span>
			<select class="orgId default-select"  id="orgId"  name="orgId" >
				<option value="">请选择校区</option>
				<c:forEach items="${orgs }" var="org">
				<option value="${org.id }">${org.name }</option>
				</c:forEach>
			</select>
			</div>
		</c:if>
			<c:if test="${fn:length(orgs) == 1}">
				<input type="hidden" id="orgId" name="orgId" value="${orgs[0].id}">
			</c:if>
		          <div class="bill-wp-type part-wp">
		            <span class="type">账单类型</span>
		           	<div class="radio-wp" >
						<span class="radio-input">
							<input type="radio" id="indate" data-type="0" class="radio-item" name="date" checked/>
							<span class="radio-inner"></span>
						</span>		
						<label class="radio-con" for="indate">账单日账单</label>
					</div>
					<div class="radio-wp" >
						<span class="radio-input">
							<input type="radio" id="outdate" data-type="1" class="radio-item" name="date" />
							<span class="radio-inner"></span>
						</span>		
						<label class="radio-con" for="outdate">逾期账单</label>
					</div>
		          </div>
		         <div class="bill-date part-wp">
		         	<span class="type">账单月份</span>
		         	<select class="bill-month default-select">
		         		<option value="">请选择月份</option>
		         		<option value="1">1月</option>
		         		<option value="2">2月</option>
		         		<option value="3">3月</option>
		         		<option value="4">4月</option>
		         		<option value="5">5月</option>
		         		<option value="6">6月</option>
		         		<option value="7">7月</option>
		         		<option value="8">8月</option>
		         		<option value="9">9月</option>
		         		<option value="10">10月</option>
		         		<option value="11">11月</option>
		         		<option value="12">12月</option>
		         	</select>
		         </div>
				<div class="bill-date part-wp">
		         	<span class="type">计费区间</span>
		         	<input type="text" class="small-input" id="startTime" value="" placeholder="开始时间" readonly/> ~
		         	<input type="text" class="small-input" id="endTime" value="" placeholder="结束时间" readonly/>
		         </div>
		          <button class="send-btn btn-red">发送</button>
	        </div>
	        <div class="table-wrapper">
				<table class="table table-hover">
					<thead>
						<tr>
							<!-- <th>
								<span class="checkbox-input">
									<input type="checkbox" id="checkAll" class="check-all" />
									<span class="checkbox-inner"></span>
								</span>	
							</th> -->
							<th style="width:10%">
								<div >编号</div>
							</th>
							<th style="width:15%">
								<div >楼宇</div>
							</th>
							<!-- <th style="width:10%">
								<div >楼层</div>
							</th> -->
							<th style="width:15%">
								<div >房间号</div>
							</th>
							<th style="width:20%">
								<div>企业名称</div>
							</th>
							<th style="width:10%">
								<div >账单接收人姓名</div>
							</th>
						<!-- 	<th>
								<div >是否微信接受账单</div>
							</th>
							<th>
								<div>是否短信接收账单</div>
							</th>
							<th>
								<div>是否邮件接受账单</div>
							</th> -->
							<th style="width:10%"><div >账单接收人手机号码</div></th>
							<th style="width:10%"><div >账单接受人邮箱</div></th>
							<th style="width:10%">
								<div>账单金额</div>
							</th>
							
						</tr>
					</thead>
					<tbody>
						<%-- <c:forEach items="${list}" var="item">
						
							<tr>
								<!-- <td>
								    <span class="checkbox-input">
									    <input type="checkbox" name="chkBtn"
										value="" class="check-item">
										<span class="checkbox-inner"></span>
								    </span>		
								</td> -->
								
							</tr>
						</c:forEach> --%>
						
					</tbody>
				</table>
			</div>
		</div>
	</div> 

<script type="text/javascript" src="<c:url value='/scripts/admin/billPush/billPush.js'/>"></script>  
</body>
</html>