<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
  <title> 宿舍信息管理 </title>
  <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
  <link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
  <link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />

  <link href="<c:url value='/styles/dormitoryManage/dormitoryInfor.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
  <script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
  <script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
  <script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js'/>"></script>
  
</head>

<body>
  <input type="hidden" value="${ctx}" id="contextPath">
  <input type="hidden" id="orgId" name="orgId" value="${orgs[0].id}">
  <div class="content">
    <div class="layui-tab layui-tab-card">
      <div class="form_content">
        <div class="layui-form-item">
          <!-- 选择校区 -->
          <c:if test="${fn:length(orgs) > 1}">
            <div class="wrap">
              <div class="part-wp">
                <span class="search-tips txt_brown">请选择校区</span>
                <input class="default-select orgId" name="orgId" id="orgId"  autocomplete="off"/>
                <span class="select_wrap _hide"></span>
  <!--               <select class="orgId default-select" name="orgId">
                  <c:forEach items="${orgs }" var="org">
                    <option value="${org.id }">${org.name }</option>
                  </c:forEach>
                </select> -->
              </div>
            </div>

          </c:if>
          <c:if test="${fn:length(orgs) == 1}">
            <select class="orgId default-select" name="orgId" style="display: none;">
              <option value="${orgs[0].id }" selected="selected">${orgs[0].name }</option>
            </select>
          </c:if>
          <!-- 姓名 -->
          <div class="layui-inline">
            <label class="layui-form-label txt_brown fs14">姓名</label>
            <div class="layui-input-inline">
              <input type="text" name="user" lay-verify="userName" autocomplete="off" class="layui-input" placeholder="请输入姓名">
            </div>
          </div>
          <!-- 手机 -->
          <div class="layui-inline">
            <label class="layui-form-label txt_brown fs14">手机</label>
            <div class="layui-input-inline">
              <input type="tel" name="phone" lay-verify="required|phone" autocomplete="off" class="layui-input"
                placeholder="请输入4位及以上位数手机号码">
            </div>
          </div>
          <!-- 公寓 -->
          <div class="layui-inline">
            <label class="layui-form-label txt_brown fs14">公寓</label>
            <div class="layui-input-inline">
              <input type="text" name="apartment" autocomplete="off" class="layui-input" placeholder="请输入公寓">
            </div>
          </div>

          <!-- 楼宇 -->
          <div class="layui-inline">
            <label class="layui-form-label txt_brown fs14">楼宇</label>
            <div class="layui-input-inline">
              <input type="text" name="build" autocomplete="off" class="layui-input" placeholder="请输入楼宇">
            </div>
          </div>

          <!-- 楼层  -->
          <div class="layui-inline">
            <label class="layui-form-label txt_brown fs14">楼层</label>
            <div class="layui-input-inline">
              <input type="text" name="floor" autocomplete="off" class="layui-input" placeholder="请输入楼层">
            </div>
          </div>

          <!-- 房号 -->
          <div class="layui-inline">
            <label class="layui-form-label txt_brown fs14">房号</label>
            <div class="layui-input-inline">
              <input type="text" name="room" autocomplete="off" class="layui-input" placeholder="请输入房号">
            </div>
          </div>

          <div class="layui-inline changeBtn">
            <button class="bl_yellow fs16" id="searchUser">查询</button>
            <button class="bt_blue fs16" id="resetSearch">重置</button>
          </div>
        </div>

        <div class="tables">
          <div class="btnList">
            <ul>
              <li class="btn2 bt_blue_middles">导入 <input class="excelFile" type="file" id="excelFile" name="excelFile"></li>
              <li class="bt_blue_middle" id="importTemplate">下载模板</li>
            </ul>
          </div>
          <table class="layui-hide" id="table_user_info" lay-filter="user"></table>
        </div>
      </div>
    </div>
  </div>
  <script type="text/html" id="indexTpl">
    {{d.LAY_TABLE_INDEX+1}}
</script>
  <script type="text/javascript" src="<c:url value='/scripts/admin/dormitoryManage/dormitoryInfor.js?2019-1-1'/>"></script>
</body>

</html>