<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title> 发起维修</title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>

<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />

<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/engineeringRepair/evaluationManagement.css'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script> 
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<%-- <script type="text/javascript" src="<c:url value='/scripts/lib/layDate/laydate.dev.js'/>"></script> --%>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js"></script>
</head>
<body>
<div class="bread-wp">
			工程维修   >  评价管理
</div>
	<div class="right-content engineering-repair-wp">
	    <input type="hidden" value="${ctx}" id="contextPath">
		<div class="main-content-mode-wp">
		  <form:form  id="conditionform"  class="clearfloat" onsubmit="return false;">
			  <c:if test="${fn:length(orgs) > 1}">
						<div class=" part-wp">
							<span class="search-tips">校区</span>
							<input class="default-select" name="orgId" id="orgId" placeholder="请选择校区" autocomplete="off" />
			              	<span class="select_wrap _hide"></span>
						</div>
				</c:if>
				<c:if test="${fn:length(orgs) == 1}">
					<input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" org__id="${orgs[0].id}" class="single-orgid default-select">
				</c:if>
		  	  <div class="part-wp">
		  	  	 <span class="search-tips">报修时间</span>
			   	  <input type="text" class="small-input " id="c_startTime"  placeholder="开始时间"  readonly> ~
			   	  <input type="text" placeholder="结束时间"  class="small-input" id="c_endTime" readonly>
		  	  </div>
		  	  <div class="part-wp">
		  	  	<span class="search-tips">选择报修方式</span>
		  	  	<select class="default-select select-repair-way">
		  	  		<option value="">全部</option>
		  	  		<c:forEach items="${repairWayGroup}" var="item">
						<option value="${item.id }">${item.itemname}</option>
					</c:forEach> 
		  	  	</select>
		  	  </div> 
		   	 <div class="part-wp">
		  	  	<span class="search-tips">选择维修区域</span>
		  	  	<select class="default-select select-repair-place">
		  	  		<option value="">全部</option>
		  	  		<c:forEach items="${repairAreaGroup}" var="item1">
						<option value="${item1.id }">${item1.itemname}</option>
					</c:forEach> 
		  	  	</select>
		  	 </div> 
		  	  <div class="part-wp">
		  	  	<span class="search-tips">选择维修类型</span>
		  	  	<select class="default-select select-repair-type">
		  	  		<option value="">全部</option>
		  	  		<option value="">选择维修类型</option>
			  	  		<c:forEach items="${repairTypeGroup}" var="item2">
						<option value="${item2.id }">${item2.itemname}</option>
					</c:forEach> 
		  	  	</select>
		  	 </div> 
		  	 <div class="part-wp">
		  	  	<span class="search-tips">选择评价星级</span>
		  	  	<select class="default-select select-evaluation-star">
		  	  		<option value="">全部</option>
		  	  		<option value="1">一星</option>
		  	  		<option value="2">二星</option>
		  	  		<option value="3">三星</option>
		  	  		<option value="4">四星</option>
		  	  		<option value="5">五星</option>
		  	  	</select>
		  	 </div> 
		  	 <div class="part-wp">
		  	  	<span class="search-tips">客户评价</span>
		  	  	<select class="default-select select-evaluation">
		  	  		<option value="">全部</option>
		  	  		<option value="2">有评价</option>
		  	  		<option value="1">无评价</option>
		  	  	</select>
		  	 </div> 
		  	 <div class="part-wp">
		  	  	<span class="search-tips">客服记录</span>
		  	  	<select class="default-select select-record">
		  	  		<option value="">全部</option>
		  	  		<option value="2">有记录</option>
		  	  		<option value="1">无记录</option>
		  	  	</select>
		  	 </div> 
		  	  <div class="part-wp" style="line-height: 40px;">
		  	  	<span class="search-tips">选择工程人员：</span>
		  	  	<span class="choose-person-btn">选择</span>
		  	 </div>
		  	 <div class="part-wp">
		  	  	<span class="search-tips">维修单编号</span>
		  	  	<input type="text" class="input-black-width420 repair-code" placeholder="请输入维修单编号"/>
		  	 </div> 
		   	  <button class="search-btn btn-red" type="button">查询</button>
		      <button class="set-btn btn-white" type="button">重置</button>
	      </form:form>
	        <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>  
		</div>	
	</div>
<script type="text/html" id="indexTpl">
	{{d.LAY_TABLE_INDEX+1}}
</script>
<script type="text/javascript" src="<c:url value='/scripts/admin/engineeringRepair/evaluationManagement.js'/>"></script>
</body>
</html>