<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title> 发起维修</title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>

<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />

<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/engineeringRepair/launchRepair.css'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script> 
<script type="text/javascript" src="<c:url value='/scripts/visitor/exif.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
<%-- <script type="text/javascript" src="<c:url value='/scripts/lib/layDate/laydate.dev.js'/>"></script> --%>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js"></script>

</head>
<body>
<div class="bread-wp">
			工程维修   >  发起维修
</div>
	<div class="right-content engineering-repair-wp">
	    <input type="hidden" value="${ctx}" id="contextPath">
	     <form:form  id="conditionform"  method="POST">
		<div class="main-content-mode-wp">
		 		<c:if test="${fn:length(orgs) > 1}">
					<div class=" part-wp" >
						<!-- <span class="search-tips">校区</span> -->
						<input class="default-select" name="orgId" id="orgId" style="margin-right: 0" placeholder="请选择校区" autocomplete="off" />
		              	<span class="select_wrap _hide"></span>
					</div>
				</c:if>
				<c:if test="${fn:length(orgs) == 1}">
					<input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" org__id="${orgs[0].id}" class="single-orgid default-select">
				</c:if>
			<select class="default-select repair-way">
				<option value="">选择报修方式</option>
				<c:forEach items="${repairWayGroup}" var="item">
					<option value="${item.id }">${item.itemname}</option>
				</c:forEach> 
			</select>
			<select class="default-select repair-place" >
				<option value="">选择维修区域</option>
				<c:forEach items="${repairAreaGroup}" var="item1">
					<option value="${item1.id }" >${item1.itemname}</option>
				</c:forEach> 
			</select>
			<select class="default-select repair-type">
				<option value="">选择维修大类</option>
				<c:forEach items="${repairTypeGroup}" var="item2">
					<option value="${item2.id }">${item2.itemname}</option>
				</c:forEach> 
			</select>
			<select class="default-select repair-type-detail">
				<option value="">选择维修小类</option>
				<%-- <c:forEach items="${repairTypeaDetailGroup}" var="item3">
					<option value="${item3.id }">${item3.itemname}</option>
				</c:forEach>  --%>
			</select>
			<div class="repair-list">
				<div class="repair-item clearfloat">
					<span class="r-item-tips">报修人</span>
					<input type="text" class="repair-text repair-person" placeholder="请输入报修人"/>
				</div>
				<div class="repair-item clearfloat">
					<span class="r-item-tips">联系方式</span>
					<input type="text" class="repair-text repair-phone" placeholder="请输入联系方式"/>
				</div>
				<div class="repair-item clearfloat">
					<span class="r-item-tips">上门时间</span>
					<div  class="r-choose-wp clearfloat" >
						<div class="radio-wp" style="float: left">
						<span class="radio-input">
							<input type="radio" id="indate" data-type="0" class="radio-item" name="date" />
							<span class="radio-inner"></span>
						</span>		
						<label class="radio-con" for="indate">立即上门</label>
					</div>
					<div class="radio-wp"  style="float: left">
						<span class="radio-input">
							<input type="radio" id="outdate" data-type="1" class="radio-item" name="date" />
							<span class="radio-inner"></span>
						</span>		
						<label class="radio-con" for="outdate">预约上门</label>
					</div>
					</div>
					
					<input type="text" class="repair-text meetting-time" placeholder="请选择时间" readonly id="meeting_time"/>
				</div>
				<div class="repair-item clearfloat">
					<span class="r-item-tips">地址</span>
					<input type="text" class="repair-text repair-address" placeholder="请输入地址"/>
				</div>
				<div class="repair-item clearfloat repair-descript-wp">
					<span class="r-item-tips">报修描述</span>
					<textarea class="repair-textarea repair-descript" placeholder="请输入报修描述"></textarea>
				</div>
				<div class="repair-item clearfloat">
					<span class="r-item-tips">上传图片</span>
					<div class="r-item-img-list">
						
					</div>
					<div class="r-img-file-wp">
						<input class="r-img-file" type="file"/>
					</div>
				</div>
			</div>
			<div class="repair-btn-wp">
				<button type="button" class="repair-btn btn-big-red">发起维修</button>
			</div>
		</div>
	</form:form>
	</div>
<script type="text/javascript" src="<c:url value='/scripts/admin/engineeringRepair/launchRepair.js?v=2019-10-10'/>"></script>
</body>
</html>