<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title> 维修订单详情</title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>

<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/lib/bootstrap-grid.min.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/lib/zoomify/zoomify.css'/>" rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/engineeringRepair/repairDetail.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/engineeringRepair/addFome.css?2019-11-11'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script> 
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/zoomify/zoomify.js'/>"></script>
<%-- <script type="text/javascript" src="<c:url value='/scripts/lib/layDate/laydate.dev.js'/>"></script> --%>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js"></script>
</head>
<body>

<%-- 因为js中无法直接调用自定义的权限校验标签 --%>
<%-- 判断当前用户是否有相应权限,如果有权限则在JSP页面新增隐藏input标签,方便js代码调用 --%>

<%-- 是否有审核权限 --%>
<perm:hasPermission permCode="pc:repair:list:approve">
	<input type="hidden" value="1" id="perm-approve" />
</perm:hasPermission>

<div class="bread-wp">
			工程维修   >  维修订单详情
</div>
	<div class="right-content engineering-repair-wp">
	    <input type="hidden" value="${ctx}" id="contextPath" >
		<div class="main-content-mode-wp">
		  <form:form  id="conditionform"  class="clearfloat" onsubmit="return false;">
		   		<c:if test="${fn:length(orgs) > 1}">
						<div class=" part-wp">
							<span class="search-tips">校区</span>
							<input class="default-select" name="orgId" id="orgId" placeholder="请选择校区" autocomplete="off" />
			              	<span class="select_wrap _hide"></span>
						</div>
				</c:if>
				<c:if test="${fn:length(orgs) == 1}">
					<input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" org__id="${orgs[0].id}" class="single-orgid default-select">
				</c:if>
		  	  <div class="part-wp">
		  	  	 <span class="search-tips">报修时间</span>
			   	  <input type="text" class="small-input " id="c_startTime"  placeholder="开始时间"  readonly> ~
			   	  <input type="text" placeholder="结束时间"  class="small-input" id="c_endTime" readonly>
		  	  </div>
		  	  <div class="part-wp">
		  	  	<span class="search-tips">选择报修方式</span>
		  	  	<select class="default-select select-repair-way">
		  	  		<option value="">全部</option>
		  	  		<c:forEach items="${repairWayGroup}" var="item">
						<option value="${item.id }">${item.itemname}</option>
					</c:forEach> 
		  	  	</select>
		  	  </div> 
		   	 <div class="part-wp">
		  	  	<span class="search-tips">选择维修区域</span>
		  	  	<select class="default-select select-repair-place">
		  	  		<option value="">全部</option>
		  	  		<c:forEach items="${repairAreaGroup}" var="item1">
						<option value="${item1.id }">${item1.itemname}</option>
					</c:forEach> 
		  	  	</select>
		  	 </div> 
		  	  <div class="part-wp">
		  	  	<span class="search-tips">选择维修类型</span>
		  	  	<select class="default-select select-repair-type">
		  	  		<option value="">选择维修类型</option>
			  	  		<c:forEach items="${repairTypeGroup}" var="item2">
						<option value="${item2.id }">${item2.itemname}</option>
					</c:forEach> 
		  	  	</select>
		  	  	<%-- <select class="default-select select-repair-type">
		  	  		<option value="">维修小类</option>
		  	  		<c:forEach items="${repairTypeaDetailGroup}" var="item3">
						<option value="${item3.id }">${item3.itemname}</option>
					</c:forEach> 
		  	  	</select> --%>
		  	 </div> 
		  	 <div class="part-wp">
		  	  	<span class="search-tips">选择维修状态</span>
		  	  	<select class="default-select repair-status">
		  	  		<option value="">全部</option>
		  	  		<option value="1">待审核</option>
		  	  		<option value="22">待派单</option>
		  	  		<option value="2">可抢单</option>
		  	  		<option value="3">进行中</option>
		  	  		<option value="4">挂单中</option>
		  	  		<option value="5">转单中</option>
		  	  		<option value="8">已完成</option>
		  	  		<option value="10">已取消</option>
		  	  	</select>
		  	 </div>
		  	 <div class="part-wp">
		  	  	<span class="search-tips">维修单编号</span>
		  	  	<input type="text" class="input-black-width420 repair-code" placeholder="请输入维修单编号"/>
		  	 </div> 
		   	  <button class="search-btn btn-red" type="button">查询</button>
		      <button class="set-btn btn-white" type="button">重置</button>
	      </form:form>
	      <div class="head-line"></div>
	      <button class="function-btn btn-blue-big" type="button">功能配置</button>
	       <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>  
		</div>	
	</div>
	   <div class="alert">
      <div class="alert_con">
       <div class="title-wp">
        <h2>功能配置</h2>
        <span class="close-btn"></span>
        </div>
        <div class="form_alert">
          <form   class="layui-form" action="" lay-filter="exampleConfig" >
          <div class="layui-inline">
          <label class="layui-form-label txt_brown fs16 txt_orange">校区：</label>
          <div class="layui-input-inline">
            <c:if test="${fn:length(orgs) > 1}">
	              	<input class="default-select" name="organizationId" id="organizationId" org__id="${orgs[0].id}" autocomplete="off" value="${orgs[0].name}"/>
                    <span class="select_wrap _hide"></span>
			</c:if>
			<c:if test="${fn:length(orgs) == 1}">
					<input type='hidden' class="default-select single-orgid" name="organizationId" id="organizationId" org__id="${orgs[0].id}" autocomplete="off" value="${obj.id }" org__id='${obj.id }'/>
			        <input disabled name="organizationId" value="${orgs[0].name}" class="single-orgid default-select">
			</c:if>
          </div>
        </div>
         <div class="layui-form-item">
        <label class="layui-form-label">最大工单数：</label>
        <input type=button value="一" onClick="javascript:if(this.form.amount.value>1) this.form.amount.value--;" class="inputNum-jian">
    	<input type=text name=amount value=3 class="inputNum" placeholder="请输入数字"  id="amontNum"
    	 >
		<input type=button value="＋" onClick="javascript:this.form.amount.value++;" class="inputNum-jia">
		<div class="content-item-1">工程人员的进行中的订单不能超过该数量</div>
		</div>
          <div class="layui-form-item">
        <label class="layui-form-label">模式：</label>
    	<div class="layui-input-block" id="cardType">
	       <input type="radio" name="mode-type" value="1" checked="" title="抢单模式" >
	       <input type="radio" name="mode-type" value="0" title="派单模式" >      
    	</div>
    	<div class="content-item-1">抢单模式：工程人员可以自由抢单</div>
        <div class="content-item-1">派单模式：维修单只能派单，无抢单功能，管理有派单、挂单权限</div>
  		</div>
  		  <div class="layui-form-item onePersonType">
        <label class="layui-form-label">一单多人：</label>
    	<div class="layui-input-block" >
	      <input type="checkbox" name="openPersion" title="开启" id="TypePersion">
    	</div>
    	<div class="content-item-1">开启后一个维修单可以派给最多三人，三人均可完成维修单，维修人无转单、挂单权限，同时只有管理权限才能派单（转单）、挂单。</div>
        
  		</div>
  		  <div class="layui-form-item">
        <label class="layui-form-label">收款功能：</label>
    	<div class="layui-input-block" id="cardType">
	       <input type="radio" name="collention_type" value="1"title="开启" >
	       <input type="radio" name="collention_type" value="0" title="关闭"  checked=""  >      
    	</div>
    	<div class="content-item-1">可以开启或关闭工程人员凭收款码收款的功能</div>
       
  		</div>
  		
			
        </form>
      </div>
      <div class="changeBtn">
        <button class="bt_blue_big_b_slot fs16 dialogSaveBtn">保存</button>
        <button class="bt_blue_big_b fs16 ml30 dialogCancelBtn">取消</button>
      </div>
    </div>
  </div>
<script type="text/html" id="indexTpl">
	{{d.LAY_TABLE_INDEX+1}}
</script>
<script type="text/javascript" src="<c:url value='/scripts/admin/engineeringRepair/repairDetail.js?12444'/>"></script>
</body>
</html>