<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
    <title>权限管理</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- bootstrap 3.0.2 -->

    <link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
    <link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
    <link href="<c:url value='/styles/AdminLTE.css?2019-1-3'/>" rel="stylesheet" type="text/css" />
    <link href="<c:url value='/styles/orderDinner/accountManage.css'/>" rel="stylesheet" type="text/css" />
    <link href="<c:url value='/styles/lingling/deviceList.css?2019-8-23'/>" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
    <script type="text/javascript" src="${ctx}/scripts/jquery/ajaxfileupload.js"></script>
    <script type="text/javascript" src="${ctx }/scripts/admin/lingling/passPerm.js?2019-8-23"></script>
    <script type="text/javascript" src="<c:url value='/scripts/mobileBUGFix.mini.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/admin/lrz.bundle.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js'/>"></script>
</head>

<body>

    <input type="hidden" value="${ctx}" id="contextPath" />

    <div class="bread-wp">
        通行管理 > 通行权限
    </div>
    <div class="right-content device-list">
        <div class="main-content-mode-wp clearfloat email-publish-wp ">
            <form:form id="conditionform" class="clearfloat">
                <c:if test="${fn:length(organizationList) > 1}">
                    <div class=" part-wp">
                        <span class="search-tips">校区</span>
                        <input class="default-select" name="orgId" id="orgId" autocomplete="off" />
                        <span class="select_wrap _hide"></span>
                    </div>
                </c:if>
                <c:if test="${fn:length(organizationList) == 1}">
                    <input type="hidden" name="orgId" id="orgId" value="${organizationList[0].id}" org__id="${organizationList[0].id}" class="single-orgid">
                </c:if>
                <div class="part-wp">
                    <span class="search-tips">名称</span>
                    <input class="small-input groupName" type="text" placeholder="请输入名称" />
                </div>
                <div class="part-wp">
                    <span class="search-tips">类型</span>
                    <select class="default-select groupType">
                        <option value="">全部</option>
                        <option value="1">员工</option>
                        <option value="2">访客</option>
                    </select>
                </div>
                <div class="part-wp">
                    <span class="search-tips">设备ID</span>
                    <input class="small-input deviceId" type="text" placeholder="请输入设备ID" />
                </div>
                <div class="part-wp">
                    <button class="search-btn bl_yellow fs16" type="button">查询</button>
                    <button class="set-btn bt_blue fs16" type="button">重置</button>
                    <button style="margin-left: 15px;" class="add-ele-btn bt_blue fs16" type="button">+新增</button>
                    <button class="bt_blue fs16 fkj_btn" type="button">访客机设置</button>
                </div>
            </form:form>
            <table class="layui-hide" id="LAY_table_user" lay-filter="test"></table>
        </div>
    </div>
    <div class="alert-bo" onclick="closeAlert()">
        <div class="boost-bo">
            <img src="" alt="">
        </div>
    </div>
    <script type="text/html" id="indexTpl">
        {{d.LAY_TABLE_INDEX+1}}
	</script>
</body>

</html>