<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>企业配置管理</title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />

<link href="<c:url value='/styles/AdminLTE.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/manage/enterpriseSetting.css?2019-1-3'/>" rel="stylesheet" type="text/css" /> 
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js'/>"></script>
</head>
<body>
<div class="bread-wp">
		系统管理  >  企业配置管理
</div>

<%-- 因为js中无法直接调用自定义的权限校验标签 --%>
<%-- 判断当前用户是否有相应权限,如果有权限则在JSP页面新增隐藏input标签,方便js代码调用 --%>

<%-- 是否有修改权限 --%>
<perm:hasPermission permCode="pc:organization:enterprise-account:edit">
	<input type="hidden" value="1" id="perm-edit" />
</perm:hasPermission>

<div class="right-content">
		<div class="main-content-mode-wp">
			<input type="hidden" value="${ctx}" id="contextPath">
			<form:form class="clearfloat" id="conditionform"  onsubmit="return false;">
				<input id="pageNo" name="pageNo" type="hidden"/>
				<input id="pageNo" name="pageSize" value="10" type="hidden"/>
				<c:if test="${fn:length(orgs) > 1}">
				<div class="part-wp">
		  	  	  <span class="search-tips">校区</span>
		  	  	  <input class="default-select item-select" name="orgId" id="orgId" autocomplete="off" />
		          <span class="select_wrap _hide"></span>
<!-- 			   	  <select class="default-select item-select" >
					<option value="">选择校区</option>
				 </select> -->
		  	   </div>	
				</c:if>
				<!-- <div class="part-wp">
		  	  	  <span class="search-tips">在租状态</span>
			   	 <select class="default-select zu-status-select" name="isZuStatus">
					<option value="">选择在租状态</option>
					<option value="1" >在租</option>
					<option value="0">已迁出</option>
				 </select>
		  	   </div>	 -->
				<div class="part-wp">
		  	  	  <span class="search-tips">公司名</span>
			   	  <input name="virName" class="middle-black-input virname-text" type="text"  value="" placeholder="请输入公司名"/>
		  	   </div>	
				<button class="btn-red search-btn " type="button">查询</button>
				<button class="btn-white reset-btn" type="button">重置</button>
				<button style="margin-left: 15px;" class="btn-white" id="setPermissions" type="button">设置企业类型</button>
			</form:form>
			<table class="layui-hide" id="LAY_table_user" lay-filter="user"></table> 
	</div>
</div>				
<script type="text/html" id="indexTpl">
    {{d.LAY_TABLE_INDEX+1}}
</script>
<script type="text/javascript" src="<c:url value='/scripts/admin/manage/enterpriseSetting.js?2019-10-9'/>"></script>
</body>
</html>