<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>系统菜单管理</title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>" rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>" rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />' rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />" rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/zTree/css/zTreeStyle/zTreeStyle.css'/>" rel="stylesheet"  type="text/css" />

<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.core-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.excheck-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.exedit-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/menuform.js'/>"></script>
</head>
<body>
	<input type="hidden" value="${ctx}" id="contextPath">
	<input type="hidden" value="${totalcount}" id="totalcount">
	<section class="content">
		<div class="row">
			<div class="col-md-4" style="float:left;width:33.33333333333333%;*width:29%;">
				<div class="box box-warning" style="height:800px;overflow:auto;">
					<div class="box-header" style="width:92%;">
						<h3 class="box-title">菜单</h3>
					</div>
					<div class="box-body">
						<ul id="menutree" class="ztree">
						</ul>
					</div>
				</div>
			</div>
			
			<div class="col-md-4" style="float:left;width:33.33333333333333%;*width:29%;">
				<!-- general form elements disabled -->
				<div class="box box-warning" style="height:800px;overflow:auto;">
					<div class="box-header" style="width:100%;">
						<h3 class="box-title">编辑菜单基本信息 &nbsp;&nbsp; <strong font-color="red">${errormsg}</strong></h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						<form action="" id="conditionform" style="padding:0;magrin:0;" >
							<div class="form-group"  style="width:98%.padding:2%;height:auto;">
								<label>菜单名称</label>
								<input class="form-control" id="menuName"  />
							</div>
							<div class="form-group" style="width:98%.padding:2%;height:auto;">
								<label>URL</label>
								<input class="form-control" id="url" readonly="readonly" />
							</div>
							<div class="form-group" style="width:98%.padding:2%;height:auto;">
								<label>菜单描述</label>
								<input class="form-control" id="description" />
							</div>
							<div class="form-group" style="width:98%.padding:2%;height:auto;">
								<label>上传菜单图标</label>
								<input style="border: 0;padding-top: 5px;line-height: 24px;display: block;"  type="file" id="menuIcon" />
							</div>
							<div class="form-group" style="width:98%.padding:2%;height:auto;">
								<label>是否手机端功能</label> 
								<select id="isApp" class="form-control" >
									<option value="0">否</option>
									<option value="1">是</option>
								</select>
							</div>
							<div class="form-group" style="width:98%.padding:2%;height:auto;">
								<label>手机端菜单图标地址</label>
								<input class="form-control" id="iconUrl" />
							</div>
							<div class="form-group" style="width:98%.padding:2%;height:auto;">
								<label>菜单编码</label>
								<input class="form-control" id="menuCode" />
							</div>
							<div align="absmiddle" class="anniu" style="width:98%.padding:2%;height:auto;">
								<a class="btn btn-primary" href="#" id='btn-save'>保存</a> 
							</div>
						</form>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>
			
			<div class="col-md-4" style="float:left;width:33.33333333333333%;*width:29%;">
				<div class="box box-warning" style="height:800px;overflow:auto;">
					<div class="box-header" style="width:92%;">
						<h3 class="box-title">选择功能</h3>
					</div>
					
					<div class="box-body">
						<ul id="functiontree" class="ztree">
						</ul>
					</div>
					
					<div align="absmiddle" style="height:auto;dispaly:block">
						<a class="btn btn-primary" style="margin:5px 0 20px 20px ;"  href="#" id='btn-reload'>重置</a> 
					</div>
				</div>
			</div>
		</div>
	</section>
</body>
</html>
