<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	<%@ include file="/common/taglibs.jsp"%>
		<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
			<!DOCTYPE html>
			<html>

			<head>
				<title> 发布公告</title>
				<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>

				<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
				<link media="screen" type="text/css" href="<c:url value='/scripts/lib/ueditor/themes/default/css/ueditor.min.css'/>" rel="stylesheet"
				/>
				<!-- Theme style -->
				<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
				<link href="<c:url value='/styles/notice/noticeAppPublish.css?v=0.01'/>" rel="stylesheet" type="text/css" />
				<link href="<c:url value='/scripts/lib/plugins/noticePhotoClip/cropper.css'/>" rel="stylesheet" type="text/css" />
				<link href="<c:url value='/scripts/lib/plugins/noticePhotoClip/myCrop.css'/>" rel="stylesheet" type="text/css" />

				<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
				<script type="text/javascript" src="<c:url value='/scripts/lib/ueditor/ueditor.config.js?v=1.3'/>"></script>
				<script type="text/javascript" src="<c:url value='/scripts/lib/ueditor/ueditor.all.js'/>"></script>
				<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
				<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
				<style type="text/css">
					.docs-tooltip {
						width: 76px;
						height: 40px;
						border: 1px solid #34A0FE;
						border-radius: 4px;
						color: #ffffff;
						background: #34A0FE;
						box-sizing: border-box;
						line-height: 27px;
						font-size: 16px;
					}

					#photoBtn {
						background: #ffffff;
						border: 0;
						color: #34A0FE
					}

					.cropper-container.cropper-bg {
						margin-top: 18%;
					}
				</style>


			</head>

			<body>
				<div class="bread-wp">公告通知 > 发布公告消息 > 公告</div>
				<%-- 是否有发送公众号所有用户权限 --%>
		        <perm:hasPermission permCode="pc:notice:publish:newPublic">
		          <input type="hidden" value="1" id="perm-publish" />
		        </perm:hasPermission>
				<div class="right-content">
					<input type="hidden" value="${ctx}" id="contextPath">
					<input type="hidden" value="" id="noticeId">
					<input type="hidden" value="${editType}" id="editType">

					<ul class="third-tabs">
						<li class="third-tab active">
							<a href="noticeAppPublish">公告</a>
						</li>
						<li class="third-tab">
							<a href="wxPublish">微信模板消息</a>
						</li>
						<li class="third-tab">
							<a href="msgPublish">短信消息</a>
						</li>
						<li class="third-tab">
							<a href="emailPublish">邮件消息</a>
						</li>
					</ul>
					<div class="main-content-mode-wp">
						<form:form id="conditionform" class="clearfloat notice-form">
							<input type="hidden" class="state" name="state" />
							<div class="part-wp">
								<c:if test="${fn:length(orgs) > 1}">
									<span class="search-tips org_title">请选择校区</span>
									<input class="default-select" name="orgId" id="orgId" placeholder="请选择校区" readonly />
		              				<div class="sortOrg_wrap _hide">
		              					<div class="sortOrg_search_div">
		              						<input class="default-select sortOrg_search" type="text" autocomplete="off" id='sortOrg_search'/>
			              					<span class="sortOrg_search_btn">
			              						
			              					</span>
		              					</div>
		              					<div class="orgName_div">
		              						<span>已选校区:</span>	
		              					</div>	
		              					<div class="sortOrg_cheak_all_wrap">
		              						<span class="item_cheak item_cheak_all"></span>
		              						<span>所有校区</span>		
		              					</div>
		              					<ul class="org_list">
		              					</ul>
		              				</div>
								</c:if>
								<c:if test="${fn:length(orgs) == 1}">
									<input type="hidden" id="orgId" name="orgId" value="${orgs[0].id}" class="single-orgid">
								</c:if>
							</div>
							<div class="part-wp">
								<span class="search-tips margin-r-30">选择发布类型</span>
								<select name="city" class="small-input" id="state">
									<option value="">未选择</option>
									<option value="1">公告</option>
									<option value="2">banner</option>
									<option value="3">生成链接</option>
								</select>
							</div>
							<div id="part-wp" class="part-wp choose-publish-con">
								<span class="search-tips">选择发布内容</span>
								<select name="city" class="small-input" id="content">
									<option value="">未选择</option>
									<option value="1">图文消息</option>
									<option value="2">跳转链接</option>
								</select>
							</div>
						</form:form>
					</div>
					<div>
						
						<!-- 公告 -->
						<div id="announcement" class=" app-publish-wrapper clearfloat">
							<div class="announcement-left main-content-mode-wp">
								<div class="small-notice-list">
									<div class="small-notice-item current">
										<div class="s-notice-wp">
											<div class="s-notice-title">标题</div>
											<div class="s-notice-cover"></div>
										</div>
										<div class="notice-operate-wp">
											<span class="n-up-bnt"></span>
											<span class="n-down-bnt"></span>
											<span class="n-del-bnt"></span>
										</div>
									</div>
								</div>
								<div class="add-notice-wp">
									<span class="add-notice-btn"></span>
								</div>
							</div>
							<div class="announcement-right main-content-mode-wp">
								<div class="announcement-list">
									<div class="announcement-item">
										<div class="cover-wp clearfloat">
											<span class="tips">封面图片</span>
											<div class="cover-con">
												<div class="img-wrapper"></div>
												<div class="upload-btn-wp">
													<span class="upload-icon"></span>
													<input id="photoBtn" type="button" onclick="document.getElementById('inputImage').click()" value="选择照片">
													<!-- 可以增加自己的样式 -->
													<input id="inputImage" type="file" accept="image/*" style="display: none;" />
													<br/>
													<img id="showImg" style="display: none" data-type="1" />
													<!-- <span class="upload-tips">上传图片</span>
													<input type="file" class="upload-input" /> -->
												</div>
											</div>
										</div>
										<div class="titles-wp clearfloat">
											<span class="tips">主题</span>
											<input class="editot-input title-con" type="text" />
										</div>
										<div class="content-wp clearfloat">
											<span class="tips">正文</span>
											<div id="myeditor_a_1" class="u_editor"></div>
										</div>
										<div class="summary-wp clearfloat">
											<span class="tips">摘要</span>
											<textarea rows="" cols="" class="summary-con"></textarea>
										</div>
									</div>
								</div>
								<div class="announcement-port">
									<div class="port-wp clearfloat">
										<span class="tips">发布端口</span>
										<div class="port-con">
											<div class="checkbox-wp">
												<span class="checkbox-input">
													<input type="checkbox" id="app" class="check-item" data-type="1" name="app" />
													<span class="checkbox-inner"></span>
												</span>
												<label class="checkbox-con" for="app">app端</label>
											</div>
											<div class="checkbox-wp">
												<span class="checkbox-input">
													<input type="checkbox" id="wx" class="check-item" data-type="2" name="wx" />
													<span class="checkbox-inner"></span>
												</span>
												<label class="checkbox-con" for="wx">微信服务之窗</label>
											</div>
											<div class="checkbox-wp">
												<span class="checkbox-input">
													<input type="checkbox" id="public" class="check-item" data-type="3" name="public" />
													<span class="checkbox-inner"></span>
												</span>
												<label class="checkbox-con" for="public">公众号图文消息</label>
											</div>
										</div>
									</div>
									<div class="public-item-wp clearfloat public-extra-wp">
										<span class="tips">公众号发布对象</span>
										<div class="public-item-con">
											<div class="radio-wp radio-block radio-perm" >
												<span class="radio-input">
													<input type="radio" id="pb-all" data-type="1"  class="radio-item" name="public" >
													<span class="radio-inner"></span>
												</span>		
												<label class="radio-con" for="pb-all">公众号所有用户<span style="font-weight:normal">（公众号所有用户会受到公众号推送）</span></label>
											</div>
											<div class="radio-wp radio-block" >
												<span class="radio-input">
													<input type="radio" id="pb-item" data-type="2"  class="radio-item" name="public" >
													<span class="radio-inner"></span>
												</span>		
												<label class="radio-con" for="pb-item">校区所有用户<span style="font-weight:normal">（登录过楼宇之窗的用户才会受到公众号推送）</span></label>
											</div>
											<div class="radio-wp radio-block" >
												<span class="radio-input">
													<input type="radio" id="pb-some" data-type="3" class="radio-item" name="public" >
													<span class="radio-inner"></span>
												</span>		
												<label class="radio-con" for="pb-some">校区部分用户</label>
												
											</div>
											<div class="search-select-wp"></div>
										</div>
									</div>
									<div class="msg-list-wp clearfloat public-extra-wp">
										<span class="tips">加入消息列表</span>
										<div class="msg-list-con">
											<div class="msg-radio">
												<div class="radio-wp " style="margin-right: 15px;" >
													<span class="radio-input">
														<input type="radio" id="msg-yes" data-type="1" class="radio-item" name="msg" >
														<span class="radio-inner"></span>
													</span>		
													<label class="radio-con" for="msg-yes">是</label>
												</div>
												<div class="radio-wp " style="margin-right: 15px;">
													<span class="radio-input">
														<input type="radio" id="msg-no" data-type="0" class="radio-item" name="msg" >
														<span class="radio-inner"></span>
													</span>		
													<label class="radio-con" for="msg-no">否</label>
												</div>
											</div>
											<div class="msg-tip">注：加入消息列表后会在公众号消息列表展示，加入列表发送微信推送每日只能发送一次。</div>
										</div>
									</div>
									
								</div>
								<div class="btns-wp">
										<button class="btn-back-110 edit-back-btn">返回</button>
										<button class="btn-blue-110 preview-btn">预览</button>
										<button class="btn-yellow-110 submit-btn">提交发送</button>
									</div>
							</div>
						
							
						</div>
						<!-- 生成链接 -->
						<div id="line" class="main-content-mode-wp app-publish-wrapper">
							<div class="titles-wp clearfloat">
								<span class="tips">主题</span>
								<input class="editot-input title-con" type="text" />
							</div>
							<div class="content-wp clearfloat">
								<span class="tips">正文</span>
								<div id="myeditor_b"></div>
							</div>
							<div class="produce-link-wp clearfloat">
								<span class="tips">生成链接</span>
								<input class="editot-input produce-link-con" type="text" readonly/>
							</div>
							<div class="btns-wp">
							    <button class="btn-back-110 edit-back-btn">返回</button>
								<button class="btn-blue-110 preview-btn">预览</button>
								<button class="btn-yellow-110 submit-btn">生成链接</button>
							</div>
							<div class="use-tip">
								注：点击“生成链接”不会发送公告消息，会生成一个链接地址，粘贴到微信消息的“原文链接”处，用户在收到微信模板消息后，点击打开即能查看这篇公告消息。
							</div>
						</div>
						<!-- banner的跳转链接 -->
						<div id="link" class="main-content-mode-wp app-publish-wrapper">
							<div class="cover-wp clearfloat">
								<span class="tips">banner图片</span>
								<div class="cover-con">
									<div class="img-wrapper"></div>
									<div class="upload-btn-wp">
										<span class="upload-icon"></span>
										<input id="photoBtn" type="button" onclick="document.getElementById('inputImage').click()" value="选择照片">
										<!-- 可以增加自己的样式 -->
										<input id="inputImage" type="file" accept="image/*" style="display: none;" />
										<br/>
										<img id="showImg" style="display: none" />
										<!-- <span class="upload-tips">上传图片</span>
										<input type="file" class="upload-input" /> -->
									</div>
								</div>
							</div>
							<div class="titles-wp clearfloat">
								<span class="tips">跳转链接</span>
								<input class="editot-input link-con" type="text" />
							</div>

							<div class="port-wp clearfloat">
								<span class="tips">发布端口</span>
								<div class="port-con">
									<div class="checkbox-wp">
										<span class="checkbox-input">
											<input type="checkbox" id="app3" class="check-item" data-type="1" name="app3" />
											<span class="checkbox-inner"></span>
										</span>
										<label class="checkbox-con" for="app3">app端</label>
									</div>
									<div class="checkbox-wp">
										<span class="checkbox-input">
											<input type="checkbox" id="wx3" class="check-item" data-type="2" name="wx3" />
											<span class="checkbox-inner"></span>
										</span>
										<label class="checkbox-con" for="wx3">微信服务之窗</label>
									</div>
								</div>
							</div>
							<div class="btns-wp">
							   <button class="btn-back-110 edit-back-btn">返回</button>
								<button class="btn-blue-110 preview-btn">预览</button>
								<button class="btn-yellow-110 submit-btn">提交发送</button>
							</div>
						</div>

						<!-- banner的图文消息 -->
						<div id="graphic" class="main-content-mode-wp app-publish-wrapper">
							<div class="cover-wp clearfloat">
								<span class="tips">banner图片</span>
								<div class="cover-con">
									<div class="img-wrapper"></div>
									<div class="upload-btn-wp">
										<span class="upload-icon"></span>
										<input id="photoBtn" type="button" onclick="document.getElementById('inputImage').click()" value="选择照片">
										<!-- 可以增加自己的样式 -->
										<input id="inputImage" type="file" accept="image/*" style="display: none;" />
										<br/>
										<img id="showImg" style="display: none" />
										<!-- <span class="upload-tips">上传图片</span>
										<input type="file" class="upload-input" /> -->
									</div>
								</div>
							</div>
							<div class="titles-wp clearfloat">
								<span class="tips">主题</span>
								<input class="editot-input title-con" type="text" />
							</div>
							<div class="content-wp clearfloat">
								<span class="tips">正文</span>
								<div id="myeditor_c"></div>
							</div>
							<div class="port-wp clearfloat">
								<span class="tips">发布端口</span>
								<div class="port-con">
									<div class="checkbox-wp">
										<span class="checkbox-input">
											<input type="checkbox" id="app2" class="check-item" data-type="1" name="app2" />
											<span class="checkbox-inner"></span>
										</span>
										<label class="checkbox-con" for="app2">app端</label>
									</div>
									<div class="checkbox-wp">
										<span class="checkbox-input">
											<input type="checkbox" id="wx2" class="check-item" data-type="2" name="wx2" />
											<span class="checkbox-inner"></span>
										</span>
										<label class="checkbox-con" for="wx2">微信服务之窗</label>
									</div>
									 <!-- <div class="checkbox-wp">
										<span class="checkbox-input">
											<input type="checkbox" id="public2" class="check-item" data-type="3" name="public2" />
											<span class="checkbox-inner"></span>
										</span>
										<label class="checkbox-con" for="public2">公众号</label>
									</div> -->
								</div>
							</div>
							<!-- <div class="public-item-wp clearfloat public-extra-wp">
								<span class="tips">公众号发布对象</span>
								<div class="public-item-con">
									<div class="radio-wp radio-block" >
										<span class="radio-input">
											<input type="radio" id="pb-all1" data-type="1"  class="radio-item" name="public1" >
											<span class="radio-inner"></span>
										</span>		
										<label class="radio-con" for="pb-all1">公众号所有用户<span style="font-weight:normal">（公众号所有用户会受到公众号推送）</span></label>
									</div>
									<div class="radio-wp radio-block" >
										<span class="radio-input">
											<input type="radio" id="pb-item1" data-type="2"  class="radio-item" name="public1" >
											<span class="radio-inner"></span>
										</span>		
										<label class="radio-con" for="pb-item1">校区所有用户<span style="font-weight:normal">（登录过楼宇之窗的用户才会受到公众号推送）</span></label>
									</div>
									<div class="radio-wp radio-block" >
										<span class="radio-input">
											<input type="radio" id="pb-some1" data-type="3" class="radio-item" name="public1" >
											<span class="radio-inner"></span>
										</span>		
										<label class="radio-con" for="pb-some1">校区部分用户</label>
										
									</div>
									<div class="search-select-wp"></div>
								</div>
							</div>
							<div class="msg-list-wp clearfloat public-extra-wp">
								<span class="tips">加入消息列表</span>
								<div class="msg-list-con">
									<div class="msg-radio">
										<div class="radio-wp " style="margin-right: 15px;" >
											<span class="radio-input">
												<input type="radio" id="msg-yes" data-type="1" class="radio-item" name="msg1" >
												<span class="radio-inner"></span>
											</span>		
											<label class="radio-con" for="msg-yes">是</label>
										</div>
										<div class="radio-wp " style="margin-right: 15px;">
											<span class="radio-input">
												<input type="radio" id="msg-no" data-type="0" class="radio-item" name="msg1" >
												<span class="radio-inner"></span>
											</span>		
											<label class="radio-con" for="msg-no">否</label>
										</div>
									</div>
									<div class="msg-tip">注：加入消息列表后会在公众号消息列表展示，加入列表发送微信推送每日只能发送一次。</div>
								</div>
							</div> -->
							<div class="btns-wp">
								 <button class="btn-back-110 edit-back-btn">返回</button>
								<button class="btn-blue-110 preview-btn">预览</button>
								<button class="btn-yellow-110 submit-btn">提交发送</button>
							</div>
						</div>

						<!-- 裁剪 -->
						<div style="padding: 0;margin: 0;position:fixed;display: none;top: 0;left: 0;z-index: 10000;margin-left: 10%;" id="containerDiv">
							<div style="display: none;" id="imgEdit">
								<div class="img-container">
									<img src="" alt="Picture">
								</div>
							</div>
							<div class="row" id="actions" style="padding: 0;margin: 0;width: 100px;position: fixed;top: 56%;z-index: 1000;">
								<div class=" docs-buttons">
									<div class="btn-group btn-group-crop " style="float: right;">
										<button id="imgCutConfirm" data-method="getCroppedCanvas" data-option="{ &quot;width&quot;: 988, &quot;height&quot;: 438 }"
										  style="height: auto;margin-right: 17px;">
											<span class="docs-tooltip" data-toggle="tooltip" title="">确认</span>
										</button>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<script>
					Array.prototype.remove = function(val) {
						var index = this.indexOf(val);
						if (index > -1) {
							this.splice(index, 1);
						}
					};
				</script>
				<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js"></script>
				<script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/base64Tool.js?v=1.0.4'/>"></script>
				
				<script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/jquery.min.js'/>"></script>
				<script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/exif.js'/>"></script>
				<script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/bootstrap.min.js'/>"></script>
				<script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/cropper.js'/>"></script>
				<script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/myCrop.js?v=1.0.4'/>"></script>
				<script type="text/javascript" src="<c:url value='/scripts/admin/notice/noticeAppPublish.js?v=2019.8.14'/>"></script>
			</body>

			</html>