<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<!DOCTYPE html>
<html>

<head>
    <title> 商圈banner管理</title>
    <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>

    <link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
    <link media="screen" type="text/css" href="<c:url value='/scripts/lib/ueditor/themes/default/css/ueditor.min.css'/>" rel="stylesheet" />
    <!-- Theme style -->
    <link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
    <link href="<c:url value='/styles/notice/tradeAreaBanner.css'/>" rel="stylesheet" type="text/css" />
    <link href="<c:url value='/scripts/lib/plugins/noticePhotoClip/cropper.css'/>" rel="stylesheet" type="text/css" />
    <link href="<c:url value='/scripts/lib/plugins/noticePhotoClip/myCrop.css'/>" rel="stylesheet" type="text/css" />

    <script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/ueditor/ueditor.config.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/ueditor/ueditor.all.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>



    <style type="text/css">
        .docs-tooltip {
            width: 76px;
            height: 40px;
            border: 1px solid #34A0FE;
            border-radius: 4px;
            color: #ffffff;
            background: #34A0FE;
            box-sizing: border-box;
            line-height: 27px;
            font-size: 16px;
        }

        #photoBtn {
            background: #ffffff;
            border: 0;
            color: #34A0FE
        }

        .cropper-container.cropper-bg {
            margin-top: 18%;
        }
    </style>
</head>
<body>
    <div class="bread-wp">基础设置 > 商圈banner管理</div>
    <div class="right-content">
        <input type="hidden" value="${ctx}" id="contextPath">
        <input type="hidden" value="" id="noticeId">
        <div class="main-content-mode-wp">
            <form:form id="conditionform" class="clearfloat notice-form">
                <!-- <input type="hidden" class="state" name="state" /> -->
                <!-- <div class="part-wp">
                    <c:if test="${fn:length(orgs) > 1}">
                        <span class="search-tips">请选择校区</span>
                        <select name="orgId" id="orgId" class="small-input">
                            <option value="">请选择校区</option>
                            <c:forEach items="${orgs }" var="org">
                                <c:choose>
                                    <c:when test="${org.id==orgId }">
                                        <option value="${org.id }" selected="selected">${org.name }</option>
                                    </c:when>
                                    <c:otherwise>
                                        <option value="${org.id }">${org.name }</option>
                                    </c:otherwise>
                                </c:choose>
                            </c:forEach>
                        </select>
                    </c:if>
                    <c:if test="${fn:length(orgs) == 1}">
                        <input type="hidden" id="orgId" name="orgId" value="${orgs[0].id}">
                    </c:if>
                </div> -->
                 <select name="city" class="small-input" id="state" style="display:none">
                        <option value="2"></option>
                       
                    </select>
                <div id="part-wp" class="part-wp choose-publish-con">
                    <span class="search-tips">选择发布内容</span>
                    <select name="city" class="small-input" id="content">
                        <option value="">未选择</option>
                        <option value="1">图文消息</option>
                        <option value="2">跳转链接</option>
                    </select>
                </div>
            </form:form>
        </div>
        <div>
            <!-- banner的跳转链接 -->
            <div id="link" class="main-content-mode-wp app-publish-wrapper">
                <!-- 裁剪 -->
                <div class="cover-wp clearfloat">
                    <span class="tips">banner图片</span>
                    <div class="cover-con">
                        <div class="img-wrapper"></div>
                        <div class="upload-btn-wp">
                            <span class="upload-icon"></span>
                            <input id="photoBtn" type="button" onclick="document.getElementById('inputImage').click()"
                                value="选择照片">
                            <!-- 可以增加自己的样式 -->
                            <input id="inputImage" type="file" accept="image/*" style="display: none;" />
                            <br />
                            <img id="showImg" style="display: none" />
                        </div>
                    </div>
                </div>
                <div class="titles-wp clearfloat">
                    <span class="tips">跳转链接</span>
                    <input class="editot-input link-con" type="text" />
                </div>
                <div class="btns-wp">
                    <button class="btn-blue-110 preview-btn">预览</button>
                    <button class="btn-yellow-110 submit-btn">提交发送</button>
                </div>
            </div>

            <!-- banner的图文消息 -->
            <div id="graphic" class="main-content-mode-wp app-publish-wrapper">
                <!-- 裁剪 -->
                <div class="cover-wp clearfloat">
                    <span class="tips">banner图片</span>
                    <div class="cover-con">
                        <div class="img-wrapper"></div>
                        <div class="upload-btn-wp">
                            <span class="upload-icon"></span>
                            <input id="photoBtn" type="button" onclick="document.getElementById('inputImage').click()"
                                value="选择照片">
                            <!-- 可以增加自己的样式 -->
                            <input id="inputImage" type="file" accept="image/*" style="display: none;" />
                            <br />
                            <img id="showImg" style="display: none" />
                        </div>
                    </div>
                </div>
                <div class="content-wp clearfloat">
                    <span class="tips">正文</span>
                    <div id="myeditor_c"></div>
                </div>
                <div class="btns-wp">
                    <button class="btn-blue-110 preview-btn">预览</button>
                    <button class="btn-yellow-110 submit-btn">提交发送</button>
                </div>
            </div>

            <!-- 裁剪 -->
            <div style="padding: 0;margin: 0;position:fixed;display: none;top: 0;left: 0;z-index: 10000;margin-left: 10%;"
                id="containerDiv">
                <div style="display: none;" id="imgEdit">
                    <div class="img-container">
                        <img src="" alt="Picture">
                    </div>
                </div>
                <div class="row" id="actions" style="padding: 0;margin: 0;width: 100px;position: fixed;top: 56%;z-index: 1000;">
                    <div class=" docs-buttons">
                        <div class="btn-group btn-group-crop " style="float: right;">
                            <button id="imgCutConfirm" data-method="getCroppedCanvas" data-option="{ &quot;width&quot;: 988, &quot;height&quot;: 438 }"
                                style="height: auto;margin-right: 17px;">
                                <span class="docs-tooltip" data-toggle="tooltip" title="">确认</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/base64Tool.js?v=1.0.4'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/admin/notice/tradeAreaBanner.js?v=10-15'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/jquery.min.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/exif.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/bootstrap.min.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/cropper.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/myCrop.js?v=1.0.4'/>"></script>
</body>

</html>