<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
    <title> 用户信息 </title>
    <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
    <link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
    <link media="screen" type="text/css" href="<c:url value='/scripts/lib/ueditor/themes/default/css/ueditor.min.css'/>" rel="stylesheet"/>
    <link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
    <link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
    <link href="<c:url value='/styles/notice/tradeAreaBanner.css'/>" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/ueditor/ueditor.config.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/ueditor/ueditor.all.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
</head>

<body>
    <%-- 因为js中无法直接调用自定义的权限校验标签 --%>
    <%-- 判断当前用户是否有相应权限,如果有权限则在JSP页面新增隐藏input标签,方便js代码调用 --%>

    <%-- 是否有修改权限 --%>
    <perm:hasPermission permCode="pc:basics:tradearea:edit">
        <input type="hidden" value="1" id="perm-edit" />
    </perm:hasPermission>
    <%-- 是否有删除权限 --%>
    <perm:hasPermission permCode="pc:basics:tradearea:delete">
        <input type="hidden" value="1" id="perm-delete" />
    </perm:hasPermission>

    <input type="hidden" value="${ctx}" id="contextPath">
    <div class="content">
        <div class="layui-tab layui-tab-card">
            <div class="form_content">
                <div class="layui-form-item">
                    <div class="layui-inline">
                        <label class="layui-form-label txt_brown fs14" style="width: 80px;">提交时间</label>
                        <div class="layui-input-block">
                            <input type="text" name="date1" id="date1" autocomplete="off" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-inline changeBtn">
                        <button class="bl_yellow fs16" id="searchUser">查询</button>
                        <button class="bt_blue fs16" id="resetSearch">重置</button>
                    </div>
                </div>
                <div class="btnList">
                    <ul>
                        <perm:hasPermission permCode="pc:basics:tradearea:add">
                            <li class="btn1">+ 新增</li>
                        </perm:hasPermission>

                    </ul>
                </div>
                <div class="tables">
                    <table class="layui-hide" id="table_user_info" lay-filter="user"></table>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript" src="<c:url value='/scripts/admin/notice/tradeBannerManage.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/base64Tool.js?v=1.0.4'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/jquery.min.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/exif.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/bootstrap.min.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/cropper.js'/>"></script>
    <script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/myCrop.js?v=1.0.4'/>"></script>
</body>

</html>