<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>餐品管理</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- bootstrap 3.0.2 -->

<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/AdminLTE.css?2018-12-28'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/orderDinner/mealManage.css?2018-12-28'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
<script type="text/javascript" src="${ctx }/scripts/common/enlarge.js"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/orderDinner/mealManage.js?2019-1-17"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js?2019-1-17"></script>

</head>
<body>
	
	<input type="hidden" value="${ctx}" id="contextPath" />
	
	<div class="bread-wp">
		订餐管理  > 餐品管理
	</div>
	<div class="right-content">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
		<form:form  id="conditionform"  class="clearfloat">
			 
	            <c:if test="${fn:length(orgs) > 1}">
		            <div class=" part-wp">
		              <span class="search-tips">校区</span>
		              <input class="default-select" name="orgId" id="orgId"  autocomplete="off"/>
		              <span class="select_wrap _hide"></span>
		              <!-- <select class="default-select" name="orgId" id="orgId" > -->
<!-- 		              <select class="default-select" name="orgId" id="orgId" >
		                <option value="">请选择校区</option>
		                <c:forEach items="${orgs }"  var="org">
		                  <option value="${org.id }">${org.name }</option>
		                </c:forEach>
		              </select> -->
	              	</div>
	            </c:if>
	            <c:if test="${fn:length(orgs) == 1}">
	              <input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" org__id="${orgs[0].id}" class="single-orgid default-select">
	            </c:if>
            
			<div class="part-wp">
				<!-- <span class="search-tips">餐品名</span>
				<input class="small-input mealName" type="text" placeholder="请输入餐品名"/> -->
				<span class="search-tips">餐品名</span>
				<select class="default-select mealName" >
					<option value="">请选择餐品名</option>				
				</select>
			</div>
			<div class="part-wp">
				<span class="search-tips">状态</span>
				<select class="default-select status" >
					<option value="">全部</option>				
					<option value="1">上架</option>
					<option value="2">下架</option>
				</select>
			</div>
			<div class=" part-wp">
              <span class="search-tips">供应时间</span>
              <input type="text" class="small-input " id="beginTime" placeholder="开始时间" name="beginTime" readonly> ~
              <input type="text" placeholder="结束时间"  name="endTime" class="small-input" id="endTime" readonly>
            </div>
			<button class="search-btn btn-red" type="button">查询</button>
			<button class="set-btn btn-white" type="button">重置</button>
		</form:form>
		 <div class="main-operate-wp">
	 		<button class="btn-add-blue add-ele-btn" type="button">新增</button> 
	 		<c:if test="${fn:length(orgs) > 1}">
					<button class="btn-export-white export-wp export-btn" type="button">导入 </button>
			</c:if>
			<c:if test="${fn:length(orgs) == 1}">
				<button class="btn-export-white export-wp export-wp-no" type="button">导入 
					 <input class="excelFile" type="file" id="excelFile" name="excelFile" /> 
				</button>
			</c:if>

			<button class="btn-download-white" id="importTemplate" type="button">下载模板</button>
		 </div>
	 	 <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>  
		</div>
	</div>
	<script type="text/html" id="indexTpl">
    {{d.LAY_TABLE_INDEX+1}}
	</script>
</body>
</html>