<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>系统菜单管理</title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>" rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>" rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />' rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />" rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/zTree/css/zTreeStyle/zTreeStyle.css'/>" rel="stylesheet"  type="text/css" />

<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.core-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.excheck-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.exedit-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/permTest.js'/>"></script>
</head>
<body>
	<input type="hidden" value="${ctx}" id="contextPath">
	<input type="hidden" value="${totalcount}" id="totalcount">
	<section class="content">
		<div class="row">
			<div class="col-md-4" style="float:left;width:33.33333333333333%;*width:29%;">
				<div class="box box-warning" style="height:800px;overflow:auto;">
					<div class="box-header" style="width:92%;">
						<h3 class="box-title">PC权限功能树</h3>
					</div>
					<div class="box-body">
						<ul id="menutree" class="ztree">
						</ul>
					</div>
				</div>
			</div>


			<div class="col-md-4" style="float:left;width:33.33333333333333%;*width:29%;">
				<!-- general form elements disabled -->
				<div class="box box-warning" style="height:800px;overflow:auto;">
					<div class="box-header" style="width:100%;">
						<h3 class="box-title">编辑权限功能信息 &nbsp;&nbsp; <strong font-color="red">${errormsg}</strong></h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						<form action="" id="conditionform" style="padding:0;magrin:0;" >

							<input type="hidden" id="funcId"/>
							<div class="form-group"  style="width:98%.padding:2%;height:auto;">
								<label>功能名称</label>
								<input class="form-control" id="functionName"  />
							</div>
							<div class="form-group" style="width:98%.padding:2%;height:auto;">
								<label>URL</label>
								<input class="form-control" id="url" />
							</div>
							<div class="form-group" style="width:98%.padding:2%;height:auto;">
								<label>功能编码</label>
								<input class="form-control" id="systemcode" />
							</div>
							<div class="form-group" style="width:98%.padding:2%;height:auto;">
								<label>是否手机端功能</label> 
								<select id="isApp" class="form-control" >
									<option value="0">否</option>
									<option value="1">是</option>
								</select>
							</div>
							<div class="form-group" style="width:98%.padding:2%;height:auto;">
								<label>权限类型</label>
								<select id="rightType" class="form-control" >
									<option value="0">一级权限</option>
									<option value="1">二级权限</option>
									<option value="2">三级权限(按钮)</option>
								</select>
							</div>
							<div class="form-group" style="width:98%.padding:2%;height:auto;">
								<label>排序号</label>
								<input class="form-control" id="orderNumber" />
							</div>
							<div class="form-group" style="width:98%.padding:2%;height:auto;">
								<label>权限字符串</label>:
								<input type="button" onclick="concatPerm('add');" style="color: #00a0e9" value="新增"/>
								<input type="button" onclick="concatPerm('edit');" style="color: #00a0e9" value="修改"/>
								<input type="button" onclick="concatPerm('delete');" style="color: #00a0e9" value="删除"/>
								<input type="button" onclick="concatPerm('approve');" style="color: #00a0e9" value="审核"/>
								<input type="button" onclick="concatPerm('');" style="color:red" value="获取父级权限"/>
								<input class="form-control" id="perms" placeholder="例如: pc:system:role:add" />
							</div>
							<div align="absmiddle" class="anniu" style="width:98%.padding:2%;height:auto;">
								<a class="btn btn-primary" href="#" id='btn-save'>保存</a> 
							</div>
						</form>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>

			<div class="col-md-4" style="float:left;width:33.33333333333333%;*width:29%;">
				<div class="box box-warning" style="height:800px;overflow:auto;">
					<div class="box-header" style="width:92%;">
						<h3 class="box-title">APP权限功能树</h3>
					</div>
					<div class="box-body">
						<ul id="appmenutree" class="ztree">
						</ul>
					</div>
				</div>
			</div>

		</div>
	</section>
</body>
</html>
