<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>企业机构管理</title>
<meta
	content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no'
	name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />'
	rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />"
	rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/zTree/css/zTreeStyle/zTreeStyle.css'/>" rel="stylesheet"  type="text/css" />

<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.core-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.excheck-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.exedit-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/virtualarchform.js?v=1.2'/>"></script>
</head>
<body>
	<input type="hidden" value="${ctx}" id="contextPath">
	<input type="hidden" value="${totalcount}" id="totalcount">
	<input type="hidden" value="${organization.id}" id="organizationId">
	<input type="hidden" value="${organization.name}" id="organizationName">
	<input type="hidden" value="${organization.address }" id="organizationAddress">
	<section class="content">
		<div class="row">
			<div class="col-md-6" style="float:left;width:50%;">
				<div class="box box-warning" style="height:450px;overflow:auto;">
					<div class="box-header" style="width:92%;">
						<h3 class="box-title">企业机构信息管理</h3>
					</div>
					<div class="box-body">
						<ul id="tree" class="ztree">
						</ul>
					</div>
				</div>
			</div>
			<div class="col-md-6" style="float:left;width:50%;">
				<!-- general form elements disabled -->
				<div class="box box-warning" style="height:650px;">
					<div class="box-header" style="width:92%;">
						<h3 class="box-title">编辑基本信息 &nbsp;&nbsp; <strong font-color="red">${errormsg}</strong></h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						<form action="" id="conditionform" >
							<div class="form-group">
								<label>名称</label>
								<input class="form-control" id="vname" readonly="readonly" />
							</div>
							<div class="form-group">
								<label>类型</label>
								<select class="form-control" name="type" id="type" >
									<option value="">请选择类型</option>
									<c:forEach items="${virtualArcGroup}" var="obj">
									<option value="${obj.itemcode }">${obj.itemname}</option>
									</c:forEach>
								</select>
							</div>
							<div class="form-group">
								<label>唯一编码</label>
								<input class="form-control" id="codeNumber" />
							</div>
							<div class="form-group" id="customerDiv" style="display: none;">
								<label>企业编号</label>
								<input class="form-control" id="customerNumber" />
							</div>
							<div class="form-group" id="phoneDiv" style="display: none;">
								<label>企业电话</label>
								<input class="form-control" id="phone" />
							</div>
							<div class="form-group" id="addressDiv" style="display: none;">
								<label>地址</label>
								<input class="form-control" id="address" />
							</div>
							<div class="form-group">
								<label>备注信息</label>
								<input class="form-control" id="remark" />
							</div>
							<div align="absmiddle" class="anniu" style="padding-top:20px;">
								<a class="btn btn-primary" href="#" id='btn-save'>保存</a> 
								<a class="btn btn-back" href="javascript:window.close();">关闭</a>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</section>
</body>
</html>
