<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0"> 
	<title>办公地址</title>
    <link rel="stylesheet" type="text/css" href="${ctx }/styles/common/reset.css" />
	<link rel="stylesheet" type="text/css" href="${ctx }/styles/userset/address.css" />
	<script type="text/javascript" src="${ctx }/scripts/common/jquery-1.11.3.min.js"></script>
	<script type="text/javascript" src="<c:url value='/plugin/layer_mobile/layer.js?v=4.5'/>"></script>
	<script type="text/javascript" src="${ctx }/scripts/common/common.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/wechat/controlOptionMenu.js"></script>
	<script type="text/javascript"
	src="https://res.wx.qq.com/open/js/jweixin-1.0.0.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/servicehome/ordAddress.js?v=9.2"></script>
</head>
<body>
	<input type="hidden" value="${ctx}" id="contextPath" />
	<input type="hidden" value="${developId}" id="developId" />
	<input type="hidden" value="${openId}" id="openId" />
	<input type="hidden" value="${organizationId.id}" id="organizationId" />
	<input type="hidden" value="${userId}" id="userId" />
	
	<p class="address-text">定位到的位置</p>
	<div class="address">
		<i class="address-icon"></i>
		<a href="${ctx}/wechat/appUser/userInfo?openId=${openId}&developId=${developId}&userId=${userId}&organizationId=${organization.id}"> <span>${organization.cityName }</span><span>${organization.name}</span></a>
	</div>
	
	<p class="address-text">全部</p>
	<ul class="addcity-list">
		<c:forEach items="${resultMap }" var="item">
		<li class="addcity">
		<div class="add-city">
			<span>${item.key}</span> <i class="add-arrow"></i>
		</div>
		<ul class="addoffice-lists" style="display: none;">
			<c:forEach items="${item.value }" var="obj">
			<li class="addoffice">
			<a href="${ctx}/wechat/appUser/userInfo?openId=${openId}&developId=${developId}&userId=${userId}&organizationId=${obj.id}">${obj.name}</a>
			</li>
			</c:forEach>
		</ul>
		</li>
		</c:forEach>
	</ul>
</body>
</html>