<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta name="author" content="" />
<meta name="viewport"
	content="width=device-width,height=device-height, user-scalable=no,initial-scale=1, minimum-scale=1, maximum-scale=1,target-densitydpi=device-dpi ">
<meta name="robots" content="" />
<title>签约信息</title>
 <link rel="stylesheet" type="text/css" href="${ctx }/plugin/light7/light7.css" />
<link rel="stylesheet" type="text/css" href="${ctx }/styles/signcontract/style.css?ver=5.3" />
<link rel="stylesheet" type="text/css" href="${ctx }/styles/signcontract/myenter.css?ver=4.0" />
<link rel="stylesheet" href="${ctx }/styles/visitor/layer.css" type="text/css">
<script type="text/javascript" src="${ctx }/scripts/jquery/jquery-1.9.1.min.js"></script>
<script type="text/javascript" src="${ctx }/scripts/visitor/controlOptionMenu.js?v=4.0"></script>
<script type="text/javascript" src="${ctx }/scripts/visitor/layer.js?v=4.0"></script>
<script type="text/javascript" src="${ctx }/scripts/wechat/individualenterprise.js?v=5.9"></script>
<script type="text/javascript" src="${ctx }/plugin/light7/light7.js"></script>

</head>
<body>
		<input type="hidden" id="contextPath" value="${ctx }"/>
		<input type="hidden" id="virtualArchitectureId" value="${virtualArchitecture.id }"/>
		<input type="hidden" id="organizationId" value="${virtualArchitecture.organizationId }"/>
		<input type="hidden" id="userId" value="${userId}"/>
		
		 <div class="page" style="">
            <div class="content">
                <div class="inenpic">
                    <img src="${ctx }/images/common/10.jpg" alt="" class="inenimg" />
                    <em class="imgmask"></em>
                    <a href="javascript: void(0);" title="返回"  class="inenpicback" onclick="window.history.go(-1);"></a>
                    <div class="inentittext">
                        <span>${virtualArchitecture.customerNumber }</span>
                        <em>${virtualArchitecture.name }</em>
                    </div>
                </div>
                <div class="inensection">
                    <div class="inensectionname">
                        <div class="sectionname">
                            <img src="${ctx }/images/common/qiyexinxi.png" alt="" />
                            <span>企业信息</span>
                        </div>
                        <i class="arrow"></i>
                    </div>
                    <div class="list-block relist-block list_relist-block_net">
                        <ul>
                            <!-- Text inputs -->
                            <li class="item-content">
                                <div class="item-inner">
                                    <div class="item-title">企业规模</div>
                                    <div class="item-after">${virtualArchitecture.employees }人</div>
                                </div>
                            </li>
                            <li>
                                <div class="item-content">
                                     <div class="item-inner">
                                        <div class="item-title">联系人</div>
                                        <div class="item-after">${virtualArchitecture.contacts }</div>
                                    </div>
                                </div>
                            </li>
                            <li>
                                <div class="item-content">
                                     <div class="item-inner">
                                        <div class="item-title">联系电话</div>
                                        <div class="item-after">${virtualArchitecture.phone }</div>
                                    </div>
                                </div>
                            </li>
                            <li>
                                <div class="item-content">
                                    <div class="item-inner">
                                        <div class="item-title">企业地址</div>
                                        <div class="item-after">${virtualArchitecture.address }</div>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="inensection">
                    <div class="inensectionname">
                        <div class="sectionname">
                            <img src="${ctx }/images/common/fapiao.png" alt="" />
                            <span>发票信息</span>
                        </div>
                         <c:if test="${not empty signServiceInvoiceList}">
                        <i class="arrow"></i>
                        </c:if>
                        <c:if test="${empty signServiceInvoiceList}">
						<input type="button" style="colo:#FFFFFF; border: #0894ec 1px solid; text-align: center; font-weight: normal;width:4rem; font-size: 0.7rem;" value="添加发票" onclick="addSignServiceInvoice(1)">
						</c:if>
                        
                    </div>
                    <div class="list-block relist-block list_relist list_relist-block_net">
                        <ul>
                        	<c:if test="${not empty signServiceInvoiceList}">
	                            <c:forEach items="${signServiceInvoiceList }" var="model">
	                           		<c:if test="${model.type==1 }">
		                           		<li class="item-content">
			                                <div class="item-inner">
			                                    <div class="item-title" style="font-size: .8rem;color: 000;">开票类型</div>
			                                    <div class="item-after"><a href="javaScript:void(0);" onclick="addSignServiceInvoice('${model.type}')">普票</a></div>
			                                </div>
			                            </li>
			                              <li>
			                                <div class="item-content">
			                                     <div class="item-inner">
			                                        <div class="item-title">发票抬头</div>
			                                        <div class="item-after">${model.raise }</div>
			                                    </div>
			                                </div>
		                           		 </li>
		                           		 <li>
			                                <div class="item-content">
			                                     <div class="item-inner">
			                                        <div class="item-title">纳税人识别号</div>
			                                        <div class="item-after">${model.identificationNumber }</div>
			                                    </div>
			                                </div>
		                            	</li>
	                           		</c:if>
	                           		<c:if test="${model.type==2 }">
		                           		<li class="item-content">
			                                <div class="item-inner" >
			                                    <div class="item-title" style="font-size: .8rem;color: 000;">开票类型</div>
			                                    <div class="item-after"><a href="javaScript:void(0);" onclick="addSignServiceInvoice('${model.type}')">专票</a></div>
			                                </div>
			                            </li>
			                            <li>
		                                <div class="item-content">
		                                     <div class="item-inner">
		                                        <div class="item-title">发票抬头</div>
		                                        <div class="item-after">${model.raise }</div>
		                                    </div>
		                                </div>
		                            </li>
		                            <li>
		                                <div class="item-content">
		                                     <div class="item-inner">
		                                        <div class="item-title">纳税人识别号</div>
		                                        <div class="item-after">${model.identificationNumber }</div>
		                                    </div>
		                                </div>
		                            </li>
		                            <li>
		                                <div class="item-content">
		                                    <div class="item-inner">
		                                        <div class="item-title">地址</div>
		                                        <div class="item-after">${model.address }</div>
		                                    </div>
		                                </div>
		                            </li>
		                            <li>
		                                <div class="item-content">
		                                    <div class="item-inner">
		                                        <div class="item-title">电话</div>
		                                        <div class="item-after">${model.mobile }</div>
		                                    </div>
		                                </div>
		                            </li>
		                            <li>
		                                <div class="item-content">
		                                    <div class="item-inner">
		                                        <div class="item-title">开户银行</div>
		                                        <div class="item-after">${model.bank }</div>
		                                    </div>
		                                </div>
		                            </li>
		                            <li>
		                                <div class="item-content">
		                                    <div class="item-inner">
		                                        <div class="item-title">开户账户</div>
		                                        <div class="item-after">${model.bankCard }</div>
		                                    </div>
		                                </div>
		                            </li>
	                           		</c:if>
	                            </c:forEach>
                            </c:if>
                        </ul>
                    </div>
                </div>
                <div class="sevicecontent">
                	<c:if test="${not empty signContractList}">
                		<c:forEach items="${signContractList }" var="model">
	                        <h3 class="sevicecontit">
	                            <i>
	                                <img style="background-color:gray;" src="${visitPrefix }${model.serviceIcon}" alt="" />
	                            </i>
	                            <span>${model.serviceName }</span>
	                            <span class="sevicecontit_span">${model.createTime }</span>
	                            
	                            
	                        </h3>
	                        <div class="orderpay">
	                            <span>支付方式</span>
	                            <span class="label-checkbox orderpayradio">${model.paymentName }</span>
	                        </div>
	                        <div class="sevicetime">
	                            <span>服务期限</span>
	                            <div class="timeinputs">${model.startTime }至${model.endTime }</div>
	                        </div>
	                        <c:if test="${not empty model.intentionalGoodsLisy }">
	                        	<c:forEach items="${model.intentionalGoodsLisy }" var="obj">
			                        <div class="sevicetime">
			                            <span>${obj.name }</span>
			                            <div class="timeinputs">￥${obj.price }元</div>
			                        </div>
			                    </c:forEach>
	                        </c:if>
	                        <c:if test="${not empty model.signBasicsList }">
		                        <div class="orderpay orderpay_net">
		                            <span>押金子项</span>
		                            <img src="${ctx }/images/common/xiangxia.png" alt="" class="orderpay_left">
		                            <img src="${ctx }/images/common/xiangshang.png" alt="" class="orderpay_right">
		                        </div>
		                        <!-- 押金子项详细内容   -->
		                         <div class="list-block relist-block relist-block_net">
		                              <ul>
		                                <!-- Text inputs -->
		                                <c:forEach items="${model.signBasicsList  }" var="obj">
		                                <li class="item-content">
		                                    <div class="item-inner">
		                                        <div class="item-title">${obj.deposName}:${obj.number }</div>
		                                        <div class="item-after">￥${obj.totalAmount }元</div>
		                                    </div>
		                                </li>
		                                </c:forEach>
		                              </ul>
		                        </div>
	                        </c:if>
	                        </c:forEach>
                        </c:if>
                    </div>
                    <!-- 底部悬浮按钮 -->
                    <div class="sevice_btn">
                        <input type="button" value="失效服务" class="left_btn">
                        <input type="button" value="添加新服务" class="right_btn">
                    </div>
            </div>
         </div>
    </body>
	
</html>