<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width,user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
<title></title>
<link rel="stylesheet" type="text/css" href="${ctx}/styles/common/reset.css" />
<link rel="stylesheet" type="text/css" href="${ctx}/styles/userset/memberManage.css?v=3.0" />
<link rel="stylesheet" href="${ctx }/styles/visitor/layer.css" type="text/css">
<script type="text/javascript" src="${ctx}/scripts/common/jquery-1.11.3.min.js"></script>
<script type="text/javascript" src="https://res.wx.qq.com/open/js/jweixin-1.0.0.js"></script>
<script type="text/javascript" src="${ctx}/scripts/common/common.js"></script>
<script type="text/javascript" src="${ctx }/scripts/visitor/layer.js?v=4.0"></script>
<script type="text/javascript" src="${ctx }/scripts/common/shareAppMessage.js?ver=4.0"></script>
<script type="text/javascript" src="${ctx }/scripts/visitor/visitorsecurity.js?v=5.0"></script>
<script type="text/javascript" src="${ctx}/scripts/wechat/memberManage.js?v=2.0"></script>
</head>
<body>
	<input type="hidden" id="contextPath" value="${ctx }" />
	<input type="hidden" id="webUrl" value="${webUrl }" />
	<input type="hidden" id="visitPrefix" value="${imageServer }" />
	<input type="hidden" id="developId" value="${developId }" />
	<input type="hidden" id="userId" value="${appUser.id}" />
	<input type="hidden" id="virtualId" value="${appUser.virtualArchId}" />
	<input type="hidden" id="noticePower" value="${appUser.noticePower}" />
	
	<input type="hidden" id="userName" value="${appUser.userName}" />
	<input type="hidden" id="virtualName" value="${virtualName}" />
	
	<div class="pagetoplogo"></div>
    <div class="pagebottomlogo"></div>
	
	<img src="${ctx }/images/common/shareimg.png" class="sharetip" alt="" />
	<!-- 这是我的资料和头像 -->
	<div class="myself">
		<div class="acceptance">
			<span>接收审核通知</span>
			<!-- switchup switchoff-->
			<div class="switch">
				<strong class="box"></strong>
			</div>
		</div>
		<div class="info-item clearfix">
			<c:choose>
				<c:when test="${!empty wxUser.headimgUrl && wxUser.headimgUrl!=''}">
					<img src="${wxUser.headimgUrl}" alt="" class="headimg" />
				</c:when>
				<c:otherwise>
					<img src="${ctx }/images/common/default_head1.png" alt="" class="headimg" />
				</c:otherwise>
			</c:choose>
			<div class="infoname">
				<span>我</span><em>管理员</em>
			</div>
			<span class="infotel">${appUser.userMobile }</span>
		</div>
	</div>
	<!-- 老版本 -->
	<!-- 这里是显示有哪些企业，渲染的是企业的名字，点击打开后是显示公司内 的已审核的名字 待审核的名字 和管理员的名字
	<c:if test="${not empty virList}">
       
        <ul class="infolist">
            <c:forEach items="${virList }" var="obj">
            <li class="auth-entry">
                <label>公司名称</label>
                <span class="righttext">
                    <em class="ellipsis">${obj.name }</em>
                </span>
            </li>
            </c:forEach>
            
        </ul>
       </c:if>
	
	 -->
	 
	
	<!-- 待审核
	<div id="listloading">
		<div class="outDiv" id="wrapper">
			<ul id="ulcontainer" class="infolist">
			</ul>
		</div>
	</div>
	<p class="bottomtext">共53位同事</p>
	 -->
	
	<!-- 审核弹窗 -->
	<div class="examinemask">
		<input type="hidden" id="currentUserId" />
		<div class="examinecon">
			<div class="personal js_showimg">
				<div class="personalinfo">
					<div class="personalinfo-box">
						<div class="personalinfo-box-name">姓名：</div>
						<div class="personal-name-box"></div>
					</div>
					<div class="personalinfo-box">
						<div class="personalinfo-box-phone">手机号：</div>
						<div class="personal-phone-box"></div>
					</div>				
					<div class="personalinfo-box">
						<div class="personalinfo-box-remark">备注：</div>
						<div class="personal-remark-box"></div>
					</div>
				</div>
		</div>
			
			<!-- <div class="idphoto clearfix">
				<div class="idphotoimg js_showimg">
					<img src="" alt="" id="imageUrl01" />
				</div>
				<div class="idphotoimg js_showimg">
					<img src="" alt="" id="imageUrl02" />
				</div>
				<div class="idphotoimg js_showimg">
					<img src="" alt="" id="imageUrl03" />
				</div>
			</div> -->
			<div class="examineconbtn">
				<div id="i_ckstatus" style="display: none;">
					<a href="javascript: reviewAppUser('2');" title="不通过" class="outbtn">不通过</a> 
					<a href="javascript: reviewAppUser('1');;" title="通过" class="passbtn">通过</a>
				</div>
				<div id="i_ckRole" style="display: none;">
					<!-- 已经通过的按钮 -->
					<a href="javascript: reviewAppUser('2');" title="离职" class="outbtna">离职</a>
					<!-- <a href="javascript: setRoleAppUser();" title="设为管理员" class="passbtn">设为管理员</a> -->
				</div>
			</div>
		</div>
	</div>
	<div class="showimg">
		<img src="" alt="" /> <i class="closeimg"></i>
	</div>
	<!-- 老版本结束 -->
	<!-- 新的版本 -->
	 <c:if test="${not empty virList}">
		<div class="member-index-box">
    <!-- 这是一个公司 -->
    <c:forEach items="${virList }" var="obj">
    <div class="member-company-box">
        <div class="member-company-title" onclick="testasd(${obj.id })">
            <span class="member-company-title-lf">${obj.name }</span>
            <span class="member-company-title-rt">
            <img id="showicon" src="../../images/bottom_jt.png" style="display:none"/ >	
	           <img id="hiddenicon" src="../../images/top_jt.png" /></span>
        </div>
        <div class="member-company-index company-id-${obj.id }">
            <div id="listloading" >
				<div class="outDiv" id="wrapper">
					<ul id="ulcontainer" class="infolist">
					</ul>
				</div>
				<p class="bottomtext">共  位同事</p>
			</div>
			
        </div>
    </div>
    </c:forEach>
    <!-- 这是第三个公司 -->
   </div>
</c:if>
	<!-- 新版本结束 -->
</body>
</html>