<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,height=device-height, user-scalable=no,initial-scale=1, minimum-scale=1, maximum-scale=1,target-densitydpi=device-dpi ">
    <title>设置</title>
    <link rel="stylesheet" type="text/css" href="${ctx }/styles/common/reset.css" />
    <link rel="stylesheet" type="text/css" href="${ctx }/styles/wechat/newmine.css?v=4.98" />
    <link href="${ctx }/scripts/lib/layui/layui.css" rel="stylesheet" type="text/css" />
    <style>
        .vir-item{
            position: relative;
            padding: 0 20px;
            margin: 0;
        }
        .vir-item .arrow-icon{
            position: absolute;
            right: 10px;
        }
        .vir-item .tips{
            width: 100px;
        }
        .modifyPsd,.modifyInfo{
            display: none;
        }
        .back-login{
            width: 90%;
            margin: 0 auto;
            text-align: center;
            background: #FF9400;
            border-radius: 4px;
            height: 45px;
            line-height: 45px;
            font-size: 15px;
            color: #FFFFFF;
            margin-top: 50px;
        }
    </style>
</head>

<body>
    <input type="hidden" value="${ctx}" id="contextPath" />
    <div class="newmine-wp set-up modifyPsd">
        <div class="vir-item untie">
            <div class="tips ">修改密码</div>
            <div class="arrow-icon"></div>
        </div>
    </div>
    <div class="newmine-wp set-up modifyInfo">
        <div class="vir-item change-phone">
            <div class="tips">更换手机号码</div>
            <div class="arrow-icon"></div>
        </div>
        <div class="vir-item modify-info">
            <div class="tips">修改个人信息</div>
            <div class="arrow-icon"></div>
        </div>
    </div>
    <div class="back-login">退出登录</div>
    <script type="text/javascript" src="${ctx }/scripts/common/jquery-1.11.3.min.js"></script>
    <script type="text/javascript" src="${ctx }/plugin/layer/mobile/layer.js?v=4.0"></script>
    <script type="text/javascript" src="${ctx }/scripts/wechat/mySetUp.js?v=2019-6-4"></script>
</body>

</html>