<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0"> 
<title>新增公司</title>
<link rel="stylesheet" type="text/css" href="${ctx }/styles/common/reset.css?v=1.0" />
 <link rel="stylesheet" type="text/css" href="${ctx }/styles/userset/newcompany.css" />
<link rel="stylesheet" type="text/css" href="${ctx }/styles/userset/address.css?v=2.8" />
<script type="text/javascript" src="${ctx }/scripts/common/jquery-1.11.3.min.js"></script>
<script type="text/javascript" src="${ctx }/scripts/common/common.js"></script>
<script type="text/javascript" src="${ctx }/scripts/wechat/controlOptionMenu.js"></script>
<link rel="stylesheet" href="${ctx }/styles/visitor/layer.css" type="text/css">
<script type="text/javascript" src="${ctx }/scripts/visitor/layer.js?v=4.0"></script>
<script type="text/javascript" src="${ctx }/scripts/wechat/address.js?ver=6.2"></script>
<script type="text/javascript" src="${ctx }/scripts/wechat/newcompany.js?ver=1.0"></script> 
</head>
<body>
	<input type="hidden" id="contextPath" value="${ctx}" />
	<input type="hidden" id="userId" value="${appUser.id}" />
	<input type="hidden" id="developId" value="${developId}" />
	<input type="hidden" id="openId" value="${openId}" />
	<input type="hidden" id="organizationId" value="${tbOrganization.id }">

	 <img src="${ctx }/images/userlogin/companybanner.jpg" alt="欢迎加入超级前台" class="companybanner" />
        <form action="" class="addcompany">
            <div class="entrywrap">
                <div class="entryinfo">
                    <label>楼宇:</label>
                    <span class="ellipsis">${tbOrganization.name }</span>
                </div>
                <div class="entryinfo">
                    <label>地址/房号:</label>
                    <input type="text" placeholder="如A座32楼7-11" id="address"/>
                </div>
            </div>
            <div class="entrywrap">
                <div class="entryinfo">
                    <label>公司名称:</label>
                    <input type="text" placeholder="请填写公司全称" id="virtualArchitectureName"/>
                </div>
                <div class="entryinfo number">
                    <label>公司人数:</label>
                    <input type="number" placeholder="请填写人数" id="employees" onkeyup="this.value=this.value.replace(/\D/g,'')" onkeypress="this.value=this.value.replace(/\D/g,'')"/>
                    <em>人</em>
                </div>
            </div>
            <div class="entrywrap">
                <div class="entryinfo">
                    <label>联系人:</label>
                    <input type="text" placeholder="请输入真实姓名" id="contacts"/>
                </div>
                <div class="entryinfo">
                    <label>联系电话:</label>
                    <input type="text" placeholder="请输入手机号码" value="" id="phone"/>
                </div>
            </div>
            <input type="button" value="立即申请" class="btnclass"/>
        </form>

        <!-- 提示弹窗 -->
      <div class="popupmask">
            <div class="popup">
                <i class="popupicon"></i>
                <span>申请已提交</span>
                <em>2个工作日会为您审核开通</em>
                <a href="javascript: void(0);" title="ok" class="okbtn">确定</a>
            </div>
      </div>
</body>
</html>