<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,height=device-height, user-scalable=no,initial-scale=1, minimum-scale=1, maximum-scale=1,target-densitydpi=device-dpi "> 
	<title>充值详情</title>
    <link rel="stylesheet" type="text/css" href="${ctx }/styles/wechat/rechargeRecord.css?ver=4.2" />
    <link href="${ctx }/plugin/layer/skin/default/layer.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="${ctx }/scripts/common/jquery-1.11.3.min.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/visitor/controlOptionMenu.js?v=4.0"></script>
	<script type="text/javascript" src="${ctx }/plugin/layer/layer.js"></script>
</head>
<body>
<input id="contextPath" value="${ctx}" type="hidden" />
<input id="tradeType" value="${tradeType}" type="hidden" />
<input id="payWay" value="${payWay}" type="hidden" />
<input id="openId" value="${openId}" type="hidden" />
<input id="operationType"  value="${operationType }" type="hidden"/>
<input id="developId" value="${developId}" type="hidden" />
<input type="hidden" id="channelCode" value="${channelCode}"  />
 		<div class="infowrap">
             <c:if test="${resultMap.type=='1' || resultMap.type=='0' }">
 					<c:choose>
                		<c:when test="${resultMap.carrieroperator=='移动' }">
                			<img src="${ctx }/images/common/move.png" alt=""  class="carrieroperator"/>
                		</c:when>
                		<c:when test="${resultMap.carrieroperator=='联通' }">
                			<img src="${ctx }/images/common/unicom.png" alt=""  class="carrieroperator"/>
                		</c:when>
                		<c:when test="${resultMap.carrieroperator=='电信' }">
                			<img src="${ctx }/images/common/ctcc.png" alt="" class="carrieroperator" />
                		</c:when>
                		<c:otherwise>
                			
                		</c:otherwise>
                	</c:choose>
               </c:if>
               <c:if test="${resultMap.type!='1' && resultMap.type!='0' && resultMap.type!='SINOPEC' && resultMap.type!='CNPC' }">
				        <img src="${visitPrefix }${resultMap.iconUrl}" class="carrieroperator" alt="" />
			  </c:if>
			  <c:if test="${resultMap.type=='SINOPEC' }">
				         <img src="${ctx }/images/common/zhongshihua.png" class="carrieroperator" alt="" />
			  </c:if>
			  <c:if test="${resultMap.type=='CNPC' }">
				         <img src="${ctx }/images/common/zhongshiyou.png" class="carrieroperator" alt="" />
			 </c:if>
            <h3 class="telnum">${resultMap.price }</h3>
            <span class="rechargeRstate">${resultMap.statusName }</span>
            <div class="infoitem clearfix">
                <span>商品名称</span>
                <em>${resultMap.name }${resultMap.productName }</em>
            </div>
            <c:choose>
            	<c:when test="${resultMap.type=='SINOPEC' ||  resultMap.type=='CNPC'}">
            		<div class="infoitem clearfix">
	                <span>加油卡号</span>
	                <em>${resultMap.mobile }</em>
	            	</div>
            	</c:when>
            	<c:otherwise>
            		<div class="infoitem clearfix">
	                <span>手机号码</span>
	                <em>${resultMap.mobile }</em>
	            	</div>
            	</c:otherwise>
            </c:choose>
            <div class="infoitem clearfix">
	                <span>创建时间</span>
	                <em>${resultMap.createTime }</em>
	         </div>
	         <div class="infoitem clearfix">
                <span>订单号</span>
                <em>${resultMap.outTradeNo }</em>
            </div>
            <c:if test="${not empty resultMap.msg }">
	            <div class="infoitem clearfix">
	                <span>失败原因</span>
	                <em>${resultMap.msg }</em>
	            </div>
            </c:if>
            <c:if test="${not empty resultMap.refundStatus }">
            <div class="infoitem clearfix">
                <span>退款状态</span>
                <em>
                <c:if test="${resultMap.refundStatus=='1' }">
                	退款成功
                </c:if>
                 <c:if test="${resultMap.refundStatus=='2' }">
                	退款失败
                </c:if>
                </em>
            </div>
            </c:if>
        </div>
        <c:if test="${resultMap.type == '1'}">
        <footer class="footerexplain">话费一般2个工作日内到账，月底月初为充值高峰期，会有延迟到账情况</footer>
        </c:if>
</body>
</html>