<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
	<meta charset="utf-8">
	<meta name="author" content="" />
	<meta name="viewport" content="width=device-width,height=device-height, user-scalable=no,initial-scale=1, minimum-scale=1, maximum-scale=1,target-densitydpi=device-dpi ">
	<meta name="robots" content="" />
	<title>超级前台</title>
	<script type="text/javascript" src="${ctx }/scripts/jquery/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/visitor/controlOptionMenu.js?v=4.0"></script>
	<script type="text/javascript" src="https://res.wx.qq.com/open/js/jweixin-1.0.0.js"></script>
	<script type="text/javascript" src="<c:url value='/plugin/layer_mobile/layer.js?v=4.5'/>"></script>
	<script type="text/javascript" src="${ctx }/plugin/swiper/swiper_js/swiper-3.4.1.min.js"></script>
	<link rel="stylesheet" type="text/css" href="${ctx }/plugin/swiper/swiper_css/swiper-3.4.1.min.css" />
	<link rel="stylesheet" type="text/css" href="${ctx }/styles/userset/address_index.css?ver=2.0" />
	<script type="text/javascript" src="${ctx }/scripts/servicehome/ordAddress.js?v=9.2111111122222"></script>
	<script type="text/javascript" src="${ctx }/scripts/servicehome/superdesthome.js?v=9.5"></script>
	<link rel="stylesheet" href="${ctx }/styles/common/reset.css?ver=5.2" type="text/css">
	<link rel="stylesheet" type="text/css" href="${ctx }/styles/servicehome/superdesthome.css?v=4.5" />
</head>
<script type="text/javascript">
	$(function () {
		var mySwiper = new Swiper('.swiper-container', {
			loop: true,
			autoplay: 2000,
			// 如果需要分页器
			pagination: '.swiper-pagination',
		});
		wexConfig();
		var organizationId = $("#organizationId").val();
		var userStatus = $("#userStatus").val();
		if ((organizationId == "" || organizationId == null) && userStatus != 1) {
			loadProvincecityByCity();
			var buildingtimer = setTimeout(function () {
				$(".buildingmask").show().find(".selectbuilding").animate({
					bottom: 0
				}, 500);
			}, 500);
		}
	});

	/**
	 * 定位校区
	 */
	function initOrgSelect(lat, lng) {
		if (lat == null || lng == null || lat == "" || lng == "") {
			return;
		}
		var developId = $("#developId").val();
		$.ajax({
			url: $("#contextPath").val() + "/wechat/index/initOrgSelect",
			type: "POST",
			dataType: "json",
			data: {
				latitude: lat,
				longitude: lng,
				developId: developId
			},
			timeout: 100000,
			beforeSend: function (xhr) {

			},
			success: function (data) {
				if (data != null && data != "") {
					$("#locationiconName").html(data.name);
					$("#locationiconId").val(data.id);
					$("#cityCode").val(data.cityCode);
				}

			}

		});
	}

	function serviceHomeLoadPorject() {
		var userStatus = $("#userStatus").val();
		if (userStatus == 1) {
			return;
		}
		loadProvincecityByCity();
		$(".buildingmask").show().find(".selectbuilding").animate({
			bottom: 0
		}, 500);
	}

	/**
	 * 跳转申请新的校区
	 */
	function saveProject() {
		var params = "?developId=" + $("#developId").val() + "&userId=" + $("#userId").val() + "&openId=" + $("#openId").val();
		location.href = $("#contextPath").val() + "/wechat/property/organizationView" + params;
	}
</script>

<body>
	<input type="hidden" id="openId" value="${openId }" />
	<input type="hidden" id="developId" value="${developId }" />
	<input type="hidden" id="register" value="${register }" />
	<input type="hidden" id="userId" value="${userId }" />
	<input type="hidden" id="contextPath" value="${ctx }" />
	<input type="hidden" id="userStatus" value="${userStatus }" />
	<input type="hidden" id="organizationId" value="${wxUser.organizationId }" />
	<input type="hidden" id="cityCode" value="" />
	<!-- 头部 -->
	<header class="header">
		<h3 class="headertit">
			<a href="javascript: void(0);" class="address" onclick="serviceHomeLoadPorject()">
				<i class="addressicon"></i>
				<c:if test="${userStatus==1 }">
					<c:if test="${not empty virtualArchitecture.name}">
						<span onclick="getUserInfo('${organization.id}')">${virtualArchitecture.name }</span>
					</c:if>
					<c:if test="${empty virtualArchitecture.name}">
						<span>${organization.name }</span>
					</c:if>
				</c:if>
				<c:if test="${userStatus!=1 }">
					<span>${organization.name }</span>
				</c:if>
			</a>
			<c:if test="${empty wxUser.headimgUrl }">
				<img src="${ctx }/images/common/default_head.png" alt="" onclick="getUserInfo('${organization.id}')" />
			</c:if>
			<c:if test="${not empty wxUser.headimgUrl }">
				<img src="${wxUser.headimgUrl }" alt="" onclick="getUserInfo('${organization.id}')" />
			</c:if>
		</h3>
		<div class="headersevice clearfix">
			<c:forEach items="${serviceMaps.serviceMap1 }" var="obj" varStatus="status">
				<c:if test="${status.index <= 3 }">
					<a href="javaScript:void(0);" onclick="searchUrl('${userStatus}','${obj.registerStatus}','${obj.skipAddress }','${obj.serviceCode }','${obj.jumpAddress }','${obj.isSignContract }','${obj.serviceOpeningStatus }')">
						<img src="${visitPrefix}${obj.serviceIcon}" alt="" />
						<span>${obj.serviceName }</span>
					</a>
				</c:if>
			</c:forEach>
		</div>
	</header>
	<!-- 服务 -->

	<c:if test="${not empty serviceMaps.serviceMap0}">
		<section class="sevicepart clearfix">
			<c:forEach items="${serviceMaps.serviceMap0 }" var="obj">
				<a href="javaScript:void(0);" onclick="searchUrl('${userStatus}','${obj.registerStatus}','${obj.skipAddress }','${obj.serviceCode }','${obj.jumpAddress }','${obj.isSignContract }','${obj.serviceOpeningStatus }')">
					<div class="sevicepartimg">
						<img src="${visitPrefix}${obj.serviceIcon}" alt="" />
						<c:if test="${obj.serviceOpeningStatus==0 && userStatus==1 && obj.isSignContract==1}">
							<i class="maskicon"></i>
						</c:if>
					</div>
					<span>${obj.serviceName }</span>
				</a>
			</c:forEach>
		</section>
	</c:if>
	<!-- 公告 -->
	<div class="notice">
		<span class="logo">
			<i></i>
		</span>
		<div id="scrollDiv">
			<ul class="noticelist">
				<li>已有<em>
						<!--  ${companyCount }-->1128</em>家企业正在享受超级前台的服务</li>
			</ul>
		</div>
		<a href="javaScript:void(0)" class="noticemore">
			<span>更多</span>
		</a>
	</div>
	<!-- 管家 -->
	<div class="housekeeperwrap">
		<dl class="housekeeper">
			<dt><img src="${ctx}/images/servicehome/demo1.png" alt="" /></dt>
			<dd>
				<p>${organization.name }</p>
				<a href="tel:${organization.telephone }">${organization.telephone }</a>
				<em>${organization.address }</em>
			</dd>
			<a href="tel:${organization.telephone }" class="housekeepertel">
				<i></i>
			</a>
		</dl>
	</div>
	<!-- 轮播图 -->
	<c:if test="${not empty bannerStr }">
		<div class="banner">
			<div class="swiper-container">
				<div class="swiper-wrapper">
					<c:forEach items="${bannerStr }" var="model">
						<div class="swiper-slide"><img src="${visitPrefix }${model.path }" alt="" onclick="bannerUrl('${model.linkUrl}')" /></div>
					</c:forEach>
				</div>
				<!-- 如果需要分页器 -->
				<c:if test="${fn:length(bannerStr)>1}">
					<div class="swiper-pagination"></div>
				</c:if>
			</div>
		</div>
	</c:if>
	<!-- 中航特供 -->
	<c:if test="${not empty serviceMaps.serviceMap2 }">
		<div class="specialsupply">
			<h3>
				<span>中航特供</span>
				<a href="javaScript:void(0)" class="more" onclick="shoppingUrl()">全部</a>
			</h3>
			<div class="picturegroup clearfix">
				<c:forEach items="${serviceMaps.serviceMap2 }" var="model" varStatus="status">
					<c:if test="${status.index==0 && status.index<2}">
						<img src="${visitPrefix}${model.serviceIcon}" alt="" class="imgbig" onclick="searchUrl('${userStatus}','${model.registerStatus}','${model.skipAddress }','${model.serviceCode }','${model.jumpAddress }','${obj.isSignContract }','${model.serviceOpeningStatus }')" />
					</c:if>
					<c:if test="${status.index>0 && status.index<=2}">
						<img src="${visitPrefix}${model.serviceIcon}" alt="" class="imgsmall" onclick="searchUrl('${userStatus}','${model.registerStatus}','${model.skipAddress }','${model.serviceCode }','${model.jumpAddress }','${obj.isSignContract }','${model.serviceOpeningStatus }')" />
					</c:if>
				</c:forEach>
			</div>
			<c:if test="${fn:length(serviceMaps.serviceMap2)>2}">
				<div class="activitygroup">
					<ul class="activitylist">
						<c:forEach items="${serviceMaps.serviceMap2 }" var="model" varStatus="status">
							<c:if test="${status.index>2 }">
								<li class="activityitem">
									<a href="javaScript:void(0);" onclick="searchUrl('${userStatus}','${model.registerStatus}','${model.skipAddress }','${model.serviceCode }','${model.jumpAddress }','${model.isSignContract }','${model.serviceOpeningStatus }')">
										<dl>
											<dt>
												<img src="${visitPrefix}${model.serviceIcon}" onclick="searchUrl('${userStatus}','${model.registerStatus}','${model.skipAddress }','${model.serviceCode }','${model.jumpAddress }','${model.isSignContract }','${model.serviceOpeningStatus }')" />
											</dt>
											<dd>
												<em>${model.serviceName }</em>
											</dd>
										</dl>
									</a>
								</li>
							</c:if>
						</c:forEach>
					</ul>
				</div>
			</c:if>
		</div>
	</c:if>
	<div class="mask">
		<div class="background_view">
			<div class="head_image">
				<img src="${ctx}/images/servicehome/superdesklogo.png" alt="">
			</div>
			<div class="delete_btn">
				<input type="button">
			</div>
			<div class="title">超级前台&nbsp&nbsp您的智能后勤管家</div>
			<div class="line"></div>
			<div class="title_text">正在使用超级前台的企业有<span>1128</span>家</div>
			<div class="title_text_image">
				<img src="${ctx}/images/servicehome/demo12.png" alt="">
			</div>
			<div class="title_text_net">超级前台已开通的服务有<span>23</span>个</div>
			<div class="title_text_net_image">
				<img src="${ctx}/images/servicehome/demo13.png" alt="">
			</div>
			<!-- <div class="title_opinion"></div> -->
			<!--
	                <form class="proposal">
	                     <textarea name="" id="" placeholder="如果您有更好的建议，欢迎提出宝贵的意见！"></textarea>
	                    <input type="button" value="我要提建议">
	                </form>-->

		</div>
	</div>


	<div class="buildingmask">
		<div class="selectbuilding">
			<!-- 搜索栏 -->
			<div class="searchbar" id="opSearchbar">
				<a href="javascript: void(0);" title="搜索" class="searchbuild"><i></i></a>
				<h3 class="buildingname">选择楼宇</h3>
				<a href="javascript: void(0);" title="关闭" class="closebuild"><i></i></a>
			</div>
			<div class="searchbarentry" id="opSearchbarentry">
				<div class="seachentry">
					<input type="text" class="js_searchinput" id="opName" />
					<i class="iconclear" id="opIconclear"></i>
				</div>
			</div>

			<!-- 搜索信息 -->
			<div class="outerbuildinglist">
				<div class="buildinglistwrap">
					<div class="location" onclick="getLocationiconValue()">
						<strong class="locationicon"><i></i></strong>
						<em id="locationiconName"></em>
						<input type="hidden" value="" id="locationiconId" />
					</div>
					<ul class="buildinglist">
						<li>
							<div class="buildingcity">
								<span>深圳市</span>
								<strong class="arrowcity"><i></i></strong>
							</div>
							<ul class="projectlist">
								<li>深圳中航中心</li>
								<li>深圳中航中心</li>
							</ul>
						</li>
						<li>
							<div class="buildingcity">
								<span>北京市</span>
								<strong class="arrowcity"><i></i></strong>
							</div>
							<ul class="projectlist">
								<li>深圳中航中心</li>
								<li>深圳中航中心</li>
							</ul>
						</li>
						<li>
							<div class="buildingcity">
								<span>成都市</span>
								<strong class="arrowcity"><i></i></strong>
							</div>
							<ul class="projectlist">
								<li>深圳中航中心</li>
								<li>深圳中航中心</li>
							</ul>
						</li>
						<li>
							<div class="buildingcity">
								<span>成都市</span>
								<strong class="arrowcity"><i></i></strong>
							</div>
							<ul class="projectlist">
								<li>深圳中航中心</li>
								<li>深圳中航中心</li>
							</ul>
						</li>
					</ul>
					<!-- 申请入楼宇 -->
					<a href="javaScript:void(0)" class="application" onclick="saveProject()">
						<img src="${ctx }/images/userlogin/build.jpg" alt="" />
					</a>
				</div>
			</div>
		</div>
	</div>
</body>

</html>