<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<!DOCTYPE html>
<html>

<head>
	<title> 关于我们</title>
	<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>

	<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
	<link media="screen" type="text/css" href="<c:url value='/scripts/lib/ueditor/themes/default/css/ueditor.min.css'/>"
	 rel="stylesheet" />
	<!-- Theme style -->
	<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/notice/noticeAppPublish.css'/>" rel="stylesheet" type="text/css" />
  <link href="<c:url value='/styles/enter/enterSetting.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/ueditor/ueditor.config.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/ueditor/ueditor.all.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
  <script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js"></script>


  <style type="text/css">
  ._hide{
    left: 97px;
  }
		.docs-tooltip {
			width: 76px;
			height: 40px;
			border: 1px solid #34A0FE;
			border-radius: 4px;
			color: #ffffff;
			background: #34A0FE;
			box-sizing: border-box;
			line-height: 27px;
			font-size: 16px;
		}

		#graphic {
			display: block;
		}

		.cropper-container.cropper-bg {
			margin-top: 18%;
		}

		.cancel-btn {
			margin-right: 30px;
			color: #158DF6;
			background: #ffffff;
			border: 1px solid #158DF6;
		}

		.notice-detail-top {
			background: url(../../images/admin/about_preview.png) no-repeat center/contain;
		}
		.head-title {
			width: 100%;
			height: 64px;
			line-height: 80px;
			text-align: center;
			font-weight: 600;
			font-size: 15px;
		}
		.notice-detail-wp .notice-title-and-date{
			border: 0;
		}
    .source-file{
      display: none
    }
    img{
      max-width: 100% !important;
    }
	</style>
</head>

<body>
	<div class="bread-wp">组织架构 > 项目组织信息管理 > 便民服务 > 新增</div>

	<div class="right-content">
		<input type="hidden" value="${ctx}" id="contextPath">
		<div id="graphic" class="main-content-mode-wp app-publish-wrapper">
			<div class="clearfloat" style="margin-bottom: 24px;position: relative;">
				<c:if test="${fn:length(orgs) > 1}">
					<span class="tips" style="line-height: 34px;">请选择项目</span>
					<!-- <select name="orgId" id="orgId" class="small-input" style="height: 32px;width: 200px;">
						<option value="">请选择项目</option>
						<c:forEach items="${orgs }" var="org">
							<c:choose>
								<c:when test="${org.id==orgId }">
									<option value="${org.id }" selected="selected">${org.name }</option>
								</c:when>
								<c:otherwise>
									<option value="${org.id }">${org.name }</option>
								</c:otherwise>
							</c:choose>
						</c:forEach>
          </select> -->
          <input class="small-input name" name="orgId" id="orgId"  autocomplete="off"  placeholder="请输入项目名称" style="width: 200px"/>
          <span class="select_wrap _hide"></span>
				</c:if>
				<c:if test="${fn:length(orgs) == 1}">
          <input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" class="single-orgid default-select" org__id="${orgs[0].id}">
				</c:if>
      </div>
      <div class="port-wp clearfloat">
        <span class="tips">类型</span>
        <div class="port-con">
          <div class="radio-wp">
            <span class="radio-input">
              <input type="radio" id="type" class="radio-item type" data-status="1" name="type" checked/>
              <span class="radio-inner"></span>
            </span>		
            <label class="radio-con" for="type1" style="font-weight: 400">服务热线</label>
         </div>
         <div class="radio-wp" style="margin-left: 10px;">
            <span class="radio-input">
              <input type="radio" id="type" class="radio-item type" data-status="2" name="type" />
              <span class="radio-inner"></span>
            </span>		
            <label class="radio-con" for="type2" style="font-weight: 400">资料文件</label>
         </div>
        </div>
      </div>
      <div class="service-line">
        <div class="titles-wp clearfloat">
          <span class="tips">名称</span>
          <input class="editot-input hotLineName" type="text"  maxlength="20"/>
        </div>
        <div class="content-wp clearfloat">
          <span class="tips">服务热线</span>
          <input class="editot-input hotLine" type="text"  maxlength="20"/>
        </div>
      </div>
      <div class="source-file">
        <div class="titles-wp clearfloat">
          <span class="tips">标题</span>
          <input class="editot-input title-con" type="text"  maxlength="20"/>
        </div>
        <div class="content-wp clearfloat">
          <span class="tips">内容</span>
          <div id="myeditor_c"></div>
        </div>
        <div class="fileUpload clearfloat">
          <div class="layui-upload">
            <div class="layui-upload-list">
              <table class="layui-table">
                <thead>
                  <tr>
                    <th>文件名</th>
                    <th>状态</th>
                    <th>操作</th>
                  </tr>
                </thead>
                <tbody id="demoList">

                </tbody>
              </table>
            </div>
            <button type="button" class="layui-btn layui-btn-normal" id="testList">添加文件<i class="addFile"></i></button>
            <button type="button" class="layui-btn" id="testListAction">确认上传</button>
          </div>
        </div>
      </div>
			<div class="btns-wp">
				<button class="btn-blue-110 cancel-btn">取消</button>
				<button class="btn-blue-110 preview-btn">预览</button>
				<button class="btn-yellow-110 submit-btn">提交</button>
			</div>
		</div>
	</div>
	<script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/base64Tool.js?v=1.0.4'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/aboutUs/addUpdateAbout.js?v=7-23'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/jquery.min.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/plugins/noticePhotoClip/bootstrap.min.js'/>"></script>
</body>

</html>