<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>项目信息</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/AdminLTE.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/buildList/buildList.js?2019-10-10"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js"></script>

</head>
<body>
	<input type="hidden" id="funcid" value="${funcid}">
	<input type="hidden" value="${ctx}" id="contextPath" />
	<input type="hidden" value="${updateAct}" id="updateAct" />
	<input type="hidden" value="${deleteAct}" id="deleteAct" />

	<%-- 因为js中无法直接调用自定义的权限校验标签 --%>
	<%-- 判断当前用户是否有相应权限,如果有权限则在JSP页面新增隐藏input标签,方便js代码调用 --%>
	<%-- 是否有新增权限 该权限包括 新增/导入等 如果需要细分权限可去配置 --%>
	<perm:hasPermission permCode="pc:organization:build:add">
		<input type="hidden" value="1" id="perm-add" />
	</perm:hasPermission>
	<%-- 是否有删除权限 --%>
	<perm:hasPermission permCode="pc:organization:build:delete">
		<input type="hidden" value="1" id="perm-delete" />
	</perm:hasPermission>
	<%-- 是否有编辑权限 --%>
	<perm:hasPermission permCode="pc:organization:build:edit">
		<input type="hidden" value="1" id="perm-edit" />
	</perm:hasPermission>
	<%-- 是否有审核权限 --%>
	<perm:hasPermission permCode="pc:organization:build:approve">
		<input type="hidden" value="1" id="perm-approve" />
	</perm:hasPermission>

	<div class="bread-wp">
		组织架构  > 楼宇楼栋信息管理
	</div>
	<div class="right-content">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
		<form:form  id="conditionform"  class="clearfloat">
			<div class="part-wp">
				<span class="search-tips">项目名称</span>
				<input class="default-select" name="orgId" id="orgId"  autocomplete="off" />
		        <span class="select_wrap _hide"></span>
				<!-- <select name="orgId" id="orgId" class="default-select">
					<option value="">请选择项目</option> -->
					<!-- <c:forEach items="${organizationList }" var="obj">
						<c:choose>
							<c:when test="${obj.id==organizationId }">
							<option value="${obj.id }" selected="selected">${obj.name }</option>
							</c:when>
							<c:otherwise>
							<option value="${obj.id }">${obj.name }</option>
							</c:otherwise>
						</c:choose>
					</c:forEach> -->
				<!-- </select> -->
			</div>		
			<div class="part-wp">
				<span class="search-tips">楼栋名称</span>
				<input class="large-input name" type="text" placeholder="请输入楼栋名称"/>
			</div>
			<button class="search-btn btn-red" type="button">查询</button>
			<button class="set-btn btn-white" type="button">重置</button>
		</form:form>
		 <div class="main-operate-wp">
			 <perm:hasPermission permCode="pc:organization:build:add">
				 <button class="btn-add-blue add-ele-btn" type="button">新增</button>
			 </perm:hasPermission>
		 </div>
	 	 <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>  
		</div>
	</div>
	<script type="text/html" id="indexTpl">
    {{d.LAY_TABLE_INDEX+1}}
	</script>

</body>
</html>