<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>物业部门信息管理</title>
<meta
	content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no'
	name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />'
	rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link
	href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />"
	rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/zTree/css/zTreeStyle/zTreeStyle.css'/>" rel="stylesheet" 
	type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.core-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.excheck-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/My97DatePicker/WdatePicker.js'/>" ></script>
<script type="text/javascript" src="<c:url value='/scripts/loading/jquery.blockUI.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/loading/loading.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/admin/deptform.js'/>"></script>
<style>.row{height:auto;overflow: hidden;}.box .box-header{padding-bottom: 0px;}</style>
</head>
<body>
	<input type="hidden" value="${ctx}" id="contextPath">
	<div class="col-md-6" style="float:left;width:50%;">
		<!-- general form elements disabled -->
		<div class="box box-warning">
			<div class="box-header" style="width:90%;">
				<h3 class="box-title">部门信息编辑 &nbsp;&nbsp; <strong font-color="red">${errormsg}</strong></h3>
			</div>
			<!-- /.box-header -->
			<div class="box-body">
				<form:form action="${ctx}/admin/organization/deptForm" modelAttribute="dept"
					 method="post" id="conditionform" >
					<form:hidden path="id" id="deptId" />
					<form:hidden path="code"/>
					<form:hidden path="parentCode"/>
					<input type="hidden" name="actType" value="save">
					<input type="hidden" name="funcid" value="${funcid}">
					<input type="hidden" name="buildIds" id="buildIds">
					
					<div class="form-group">
						<label><span style="color: red">*</span>运营中心</label>
						<select class="form-control" name="compId" id="compId" onchange="initTree();">
							<c:forEach items="${companyList }" var="obj">
								<c:choose>
									<c:when test="${obj.id==dept.company.id }">
										<option value="${obj.id }" selected="selected">${obj.name }</option>
									</c:when>
									<c:otherwise>
										<option value="${obj.id }" >${obj.name }</option>
									</c:otherwise>
								</c:choose>
							</c:forEach>
						</select>
					</div>
					<div class="form-group">
						<label><span style="color: red">*</span>部门名称</label>
						<form:input path="name" id="name" cssClass="form-control" />
					</div>
					<div class="form-group">
						<label>部门负责人</label><form:input path="leaderName" cssClass="form-control" />
					</div>
					<div class="form-group">
						<label>联系电话</label><form:input path="leaderPhone" cssClass="form-control" />
					</div>
					<div class="form-group">
						<a class="btn btn-primary" href="#" id='btn-save'>保存</a>
						<a class="btn btn-back" href="<c:url value='/admin/organization/deptlist?funcid=${funcid}' />">返回</a>
					</div>
				</form:form>
			</div>
		</div>
	</div>
	<div class="col-md-6"  style="float:left;width:45%;">
		<div class="box box-info">
			<div class="box-header">
				<h3 class="box-title"><span style="color: red">*</span>选择管辖范围</h3>
			</div>
			<div class="box-body" style="height:500px;overflow:auto;">
				<ul id="tree" class="ztree">
				</ul>
			</div>
		</div>
	</div>
</body>
</html>