<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
  <title> 条约配置 </title>
  <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>

  <link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
  <link media="screen" type="text/css" href="<c:url value='/scripts/lib/ueditor/themes/default/css/ueditor.min.css'/>"
    rel="stylesheet" />
  <!-- Theme style -->
  <link href="<c:url value='/styles/AdminLTE.css?2019-1-1'/>" rel="stylesheet" type="text/css" />
  <link href="<c:url value='/styles/enter/enterSetting.css'/>" rel="stylesheet" type="text/css" />
  <script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/lib/ueditor/ueditor.config.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/lib/ueditor/ueditor.all.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/lib/layDate/laydate.dev.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js'/>"></script>

</head>

<body>
  <div class="bread-wp">
    宿舍管理 > 条约配置 >
    <span class="third-bread">入住条约 </span>
  </div>
  <div class="right-content">
    <input type="hidden" value="${ctx}" id="contextPath">

    <c:if test="${fn:length(orgs) > 1}">
      <div class="part-wp">
        <span class="search-tips">请选择项目</span>
        <input class="default-select orgId" name="orgId" id="orgId"  autocomplete="off" value="${orgs[0].name }" org__id="${orgs[0].id }"/>
        <span class="select_wrap _hide"></span>
        <!-- <select class="orgId default-select" name="orgId">
          <c:forEach items="${orgs }" var="org">
            <option value="${org.id }">${org.name }</option>
          </c:forEach>
        </select> -->
      </div>
    </c:if>
    <c:if test="${fn:length(orgs) == 1}">
      <input type="hidden" class="default-select orgId" name="orgId" id="orgId"  autocomplete="off" value="${orgs[0].id }" org__id="${orgs[0].id }"/>
      <!-- <select class="orgId default-select" name="orgId" style="display: none;">
        <option value="${orgs[0].id }" selected="selected">${orgs[0].name }</option>
      </select> -->
    </c:if>

    <ul class="third-tabs">
      <li class="third-tab active" data-name="入驻条约">
        <a href="javascript:void(0)">入住条约 </a>
      </li>
      <li class="third-tab" data-name="退宿须知">
        <a href="javascript:void(0)">退宿须知</a>
      </li>
    </ul>
    <div class="main-content-mode-wp">
      <div class="third-con active">
        <div id="myeditorA" class="myeditor"></div>
        <div class="btns-wp">
          <button class="btn-white cancel-btn" data-type="7">取消修改</button>
          <button class="btn-red submit-btn" data-type="7">确认修改</button>
        </div>
      </div>
      <div class="third-con">
        <div id="myeditorB" class="myeditor"></div>
        <div class="btns-wp">
          <button class="btn-white cancel-btn" data-type="8">取消修改</button>
          <button class="btn-red submit-btn" data-type="8">确认修改</button>
        </div>
      </div>
    </div>
  </div>
  <script type="text/javascript" src="<c:url value='/scripts/admin/dormitoryManage/treatyAllocation.js?2019-1-1'/>"></script>
</body>

</html>