<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>餐品管理</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- bootstrap 3.0.2 -->


<link href="<c:url value='/styles/AdminLTE.css?2018-12-28'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/orderDinner/dataStatistics.css?2018-12-28'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/orderDinner/dataStatistics.js?2022-05-23"></script>
<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js"></script>

</head>
<body>

	<input type="hidden" value="${ctx}" id="contextPath" />

	<div class="bread-wp">
		订餐管理  > 数据统计
	</div>
	<div class="right-content">
		<div class="main-content-mode-wp clearfloat email-publish-wp ">
		<form:form  id="conditionform"  class="clearfloat">

	            <c:if test="${fn:length(orgs) > 1}">
		            <div class=" part-wp">
		              <span class="search-tips">项目</span>
		              <input class="default-select" name="orgId" id="orgId" org__id="${orgs[0].id}" autocomplete="off" value="${orgs[0].name}"/>
		              <span class="select_wrap _hide"></span>
<!-- 		              <select class="default-select" name="orgId" id="orgId" >

		                <c:forEach items="${orgs }"  var="org">
		                  <option value="${org.id }" >${org.name }</option>
		                </c:forEach>
		              </select> -->
	              	</div>
	            </c:if>
	            <c:if test="${fn:length(orgs) == 1}">
	              <input type="hidden" name="orgId" id="orgId" value="${orgs[0].id}" org__id="${orgs[0].id}" class="single-orgid">
	            </c:if>

			<div class="part-wp">
				<span class="search-tips">统计类型</span>
				<select class="default-select type" >
					<option value="1">订餐统计</option>
					<option value="2">评价统计</option>
					<option value="3">部门统计</option>
					<option value="4">个人统计</option>
				</select>
			</div>
			<div class="part-wp">
				<span class="search-tips">统计周期</span>
				<select class="default-select dateType" >
					<option value="1">年</option>
					<option value="2">季度</option>
					<option value="3">月</option>
				</select>
			</div>
			<div class="part-wp">
				<span class="search-tips">统计时间</span>
				<select class="default-select year-and-time" >
					<option value="2018">选择时间</option>
				</select>
			</div>
			<button class="search-btn btn-red" type="button">统计</button>
			<button class="set-btn btn-white" type="button">导出Excel</button>
		</form:form>
	 	 <table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>
		</div>
	</div>
	<script type="text/html" id="indexTpl">
    {{d.LAY_TABLE_INDEX+1}}
	</script>
</body>
</html>
