<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>系统角色管理-功能列表</title>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no'name='viewport'>
<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>" rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>" rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />' rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />"	rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/zTree/css/zTreeStyle/zTreeStyle.css'/>" rel="stylesheet"	type="text/css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.core-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.excheck-3.5.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/zTree/js/jquery.ztree.exedit-3.5.js'/>"></script>

<link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="<c:url value='/styles/admin/roleForm.css'/>" type="text/css" />
<link href="<c:url value='/styles/notice/tradeAreaBanner.css'/>" rel="stylesheet" type="text/css" />
<style>
	.tables .layui-table-view{
		pointer-events: none
	}
</style>
</head>
<body>
	<input type="hidden" value="${ctx}" id="contextPath">
	<section class="content role-form app-func" style="margin-bottom:50px;">
		<div class="row">
			<div class="role-edit" style="float:left;">
				<!-- general form elements disabled -->
				<div class="box box-warning" style="height:320px;">
					<div class="box-header" style="width:90%">
						<h3 class="box-title">角色基本信息 &nbsp;&nbsp; </h3>
					</div>
					<!-- /.box-header -->
					<div class="box-body">
						<form:form action="${ctx}/admin/role/form" modelAttribute="role" method="post" id="conditionform" >
							<input type="hidden" value="${model.id}" id="roleid" />
							<div class="form-group">
								<label>名称：</label>
								<!-- <label>${model.name}</label> -->
								<input type="text" value="${model.name}" disabled>
							</div>
							<div class="form-group">
								<label>角色描述：</label>
								<!-- <label>${model.description}</label> -->
								<input type="text" value="${model.description}" disabled>
							</div>
							<div class="form-group">
								<label>角色状态：</label>
								<!-- <label>
									<c:if test="${model.statusFlag=='1' }">启用</c:if>
									<c:if test="${model.statusFlag=='0' }">禁用</c:if>
								</label>  -->
								<c:if test="${model.statusFlag=='1' }"><input type="text" value="启用" disabled/></c:if>
								<c:if test="${model.statusFlag=='0' }"><input type="text" value="禁用" disabled/></c:if>
							</div>
							<div class="form-group">
								<label>角色类型：</label> 
								<!-- <label>
									<c:if test="${model.statusFlag=='1' }">系统管理员</c:if>
									<c:if test="${model.statusFlag=='0' }">普通用户</c:if>
								</label>  -->
								<c:if test="${model.statusFlag=='1' }"><input type="text" value="系统管理员" disabled/></c:if>
								<c:if test="${model.statusFlag=='0' }"><input type="text" value="普通用户" disabled/></c:if>
							</div>
						</form:form>
					</div>
					<!-- /.box-body -->
				</div>
				<!-- /.box -->
			</div>

			<ul id="tree1" class="ztree" style="display: none"></ul>
			<ul id="tree2" class="ztree" style="display: none"></ul>
			<div class="role-power">
				<div class="title">web后台功能权限</div>
				<div class="web-power tables" id="tableWeb">
					<table class="layui-hide" id="table_role_web" lay-filter="testWeb"></table>
				</div>
				<div class="title">app功能权限</div>
				<div class="wx-power tables" id="tableWx">
					<table class="layui-hide" id="table_user_wx" lay-filter="testWx"></table>
				</div>
			</div>
			<div align="absmiddle" class="btns">
				<a class="btn btn-white" href="<c:url value='/admin/role/list?funcid=${funcid}' />">返回</a>
			</div>
		</div>
	</section>
	<script type="text/javascript" src="<c:url value='/scripts/admin/roleform.js'/>"></script>
</body>
</html>
