<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>新增服务项基础信息</title>
<meta
	content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no'
	name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>" rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>" rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />' rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />" rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/styles/jquery-ui-1.10.3.full.min.css'/>" rel="stylesheet" type="text/css" />
<link href="<c:url value='/scripts/uploadify/uploadify.css'/>" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="${ctx}/plugin/layer/mobile/need/layer.css" />
<style type="text/css">
.sl-box{border:1px solid #dedede;background:#f2f2f2;padding:15px;overflow:hidden}
.sl-box li{float:left;margin-right:15px;position:relative}
.input-entryadd {width: 80px!important; min-width: 80px!important;}
.query_frame .form-group {margin-bottom: 10px; margin-right: 5px; display: block;}
.query_frame .form-group label {width: 100px;}
#upload {width: 200px;}
.form-group input {margin-left: 0px;}
li {list-style:none;}
#d_property .form-group {float: left;}
#d_property input[type="radio"], #d_property input[type="checkbox"]{float: left;min-width: 18px!important; height: 18px; margin-right: 5px;}
#d_property label {line-height: 27px;}
.sl-close{display: block; width:16px;height:16px;background:url(<%=request.getContextPath()%>/scripts/uploadify/sl-close.png) no-repeat; position:absolute; left: 64px; top:0px; z-index:10;cursor:pointer;}
</style>
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="${ctx}/scripts/lib/jquery-ui.js"></script>
<script type="text/javascript" src="${ctx}/scripts/uploadify/jquery.uploadify.min.js"></script>
<script type="text/javascript" src="${ctx}/plugin/layer/layer.js"></script>
<script type="text/javascript" src="${ctx}/scripts/admin/servicePack/addServicePackBasics.js"></script>
<script type="text/javascript">
	var basePath = "<%=request.getContextPath()%>";
</script>
</head>
<body>
	<input type="hidden" id="h_isDeposit" value="${isDeposit}">
	<section class="content">
		<div class="row">
			<div class="col-xs-12">
				<div class="boxlist">
				<input type="hidden" name="servicePackBasicsId" id="servicePackBasicsId" value="${map.id}"/>
					<!-- /.box-header -->
						<h2 class="booking-tit">服务项信息</h2>
				        <form action="" class="query_frame clearfix form-inline booking-form">
				        <div class="form-group booking-box">
			                <label for="" class="control-label">选择服务项:</label>
			                <select name="servicePackId" id="servicePackId" onchange="queryServiceList()">
			                	<c:if test="${not empty map.servicePackName}"><option value='${map.id}'>${map.servicePackName}</option></c:if>
			                </select>
			            </div>
				        <div class="form-group editor-box">
		                <label for="" class="control-label">名称:</label>
		                <input type="text" name="name" id="name" value="${map.name}"/>
			            </div>
			            <div class="form-group editor-box">
			                <label for="" class="control-label">是否需要押金:</label>
				            <input type="radio" name="isDeposit" value="0" id="noDeposit" <c:if test="${map.isDeposit=='1'}">disabled="disabled"</c:if> onclick="showDeposit()"/>
				            <span>否</span>
				            <input type="radio" name="isDeposit" value="1" id="yesDeposit" <c:if test="${map.isDeposit=='1'}">disabled="disabled"</c:if> onclick="showDeposit()"/>
				            <span>是</span>
			            </div>
			            <div class="form-group editor-box" style="display: none" id="s_deposit">
			                <label for="" class="control-label">金额:</label>
				            <input type="text" name="deposit" id="deposit" value="${map.deposit}"/>
			            </div>
			           <!-- 按钮组 -->
			            <div class="btns" style="float: right;">
			                <input type="button" id="addServicePackBasics" style="min-width: 60px!important;" class="btn btn-primary" value="确定"/>
			                <input type="button" id="back" style="min-width: 60px!important;" class="btn btn-back" value="取消"/>
			            </div>
			            
				        </form>
					<!-- /.box-body -->
				</div>
			</div>
		</div>
	</section>
</body>
</html>