<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>服务项押金基础信息管理</title>
<meta
	content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no'
	name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>" rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>" rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />' rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />" rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="${ctx}/plugin/layer/mobile/need/layer.css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="<c:url value='/scripts/My97DatePicker/WdatePicker.js'/>" ></script>
<script type="text/javascript" src="${ctx}/plugin/layer/layer.js"></script>
<script type="text/javascript" src="${ctx}/scripts/admin/servicePack/servicePackBasics.js"></script>
</head>
<body>
	<section class="content">
		<div class="row">
			<div class="col-xs-12">
				<div class="boxlist">
					<!-- /.box-header -->
					<div class="box-body table-responsive">
						<!-- 查询条件 -->
						<form class="query_frame form-inline" role="form"
							id="conditionform" method="POST">
							<div class="form-group">
				                <label for="">选择服务项</label>
				                <select name="serviceId" id="serviceId" class="form-control">
				                </select>
				            </div> 
							<div class="form-group">
								<label for="">名称</label> <input type="text" id="name" width="20px"
									name="lostName" value="${name}" placeholder="请输入服务项详情名称查询" />
							</div>
							<div class="form-group">
								<label for="">开始时间</label> <input name="startTime"
									id="startTime" value="${startTime}" type="text"
									onfocus="WdatePicker({dateFmt:'yyyy-MM-dd HH:mm'})"
									class="Wdate2 {required:true}"
									style="width: 120px; height: 35px;" />
							</div>
							--
							<div class="form-group">
								<input name="endTime" id="endTime" value="${endTime}"
									type="text" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd HH:mm'})"
									class="Wdate2 {required:true}"
									style="width: 120px; height: 35px;" />
							</div>
						</form>
					</div>
					<!-- 按钮组 -->
					<div class="btns" style="float: right;">
						<a class="btn btn-success js_btn_reserve"
							href="${ctx}/admin/servicePackBasics/queryServicePackBasics" title="新增">新增</a>
						<input type="button" id="btn-search" class="btn btn-info"
							value="查询" />
					</div>
					<div id="servicePackBasicsListInfo"></div>
				</div>
				<!-- /.box-body -->
			</div>
		</div>
	</section>
</body>
</html>