<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<title>服务项基础信息管理</title>
<meta
	content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no'
	name='viewport'>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>" rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>" rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />' rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />" rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="${ctx}/plugin/layer/mobile/need/layer.css" />
<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
<script type="text/javascript" src="${ctx}/plugin/layer/layer.js"></script>
</head>
<body>
<table class="table table-bordered table-hover">
	<thead>
		<tr>
		<th>所属服务项</th>
		<th>名称</th>
		<th>时间</th>
		<th>是否需要押金</th>
		<th>押金</th>
		<th>操作</th>
	</tr>
</thead>
<tbody>
	<c:forEach items="${page.pageList}" var="list" varStatus="status">
		<tr>
			<td>${list.servicePackName}</td>
			<td nowrap="nowrap"><c:choose>
					<c:when test="${fn:length(list.name) >= 10}">
						<span class="spa2" title="${list.name}">${fn:substring(list.name,0,5)}…</span>
					</c:when>
					<c:otherwise>${list.name}</c:otherwise>
				</c:choose></td>
			<td nowrap="nowrap">${list.createTime}</td>
			<td nowrap="nowrap">
				<c:if test="${list.isDeposit == 0}">
					否
				</c:if>
				<c:if test="${list.isDeposit == 1}">
					是
				</c:if>
			</td>
			<td nowrap="nowrap">
				￥${list.deposit}
			</td>
			<td nowrap="nowrap">
				<a href="javascript:toAddServicePackDetails('${list.id}')" class="btn-table btn-red" title="编辑">编辑</a>
				<a href="javascript:deleteServicePackDetails('${list.id}')" class="btn-table btn-red" title="删除">删除</a>
			</td>
		</tr>
	</c:forEach>
</tbody>
</table>
<div class="pages clearfix" style="text-align: center;">
	<c:if test="${not empty page.pageList}">
 	<form method="post" id="servicePackDetailsListInfoForm" action="" style="display: none">  
           <input type="hidden" value="${pageNo}" id="pageNo" name="pageNo"/>
           <input type="hidden" value="${startTime}" id="startTime" name="startTime"/>
           <input type="hidden" value="${endTime}" id="endTime" name="endTime"/>
           <input type="hidden" value="${name}" id="name" name="name"/>
           <input type="hidden" value="${belongId}" id="belongId" name="belongId"/>
     </form>  
     </c:if>
</div>
<pages:pages curPage="${page.curPage}" pageSize="${page.pageSize}" theme="ajax" pageListShow="servicePackBasicsListInfo"
	 totalCount="${page.totalCount}" url="../servicePackBasics/listInfo" totalPage="${page.totalPage}" formID="conditionform"></pages:pages>
</div>
</body>
</html>