<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
  <title> 用户信息 </title>
  <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
  <link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
  <link href="<c:url value='/styles/vehicleClean/home.css?2019-1-1'/>" rel="stylesheet" type="text/css" />

  <script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
  <script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js'/>"></script>
</head>
<style>
  /*洗车管理*/
  .layui-inline>.layui-input{
    display: inline-block;
    width: 58%
  }
  .layui-inline>.layui-input{
    display: inline-block;
    width: 58%
  }
  .layui-inline>.select_wrap{
    width: 58%
  }
  .layui-inline>.select_wrap span{
    width: 
  }
  .layui-input-inline .select_wrap{
    width: 184px
  } 
  .layui-input-inline .select_wrap span{
    width: 184px
  } 
</style>
<body>
  <input type="hidden" value="${ctx}" id="contextPath">

  <%-- 因为js中无法直接调用自定义的权限校验标签 --%>
  <%-- 判断当前用户是否有相应权限,如果有权限则在JSP页面新增隐藏input标签,方便js代码调用 --%>

  <%-- 是否有修改权限 --%>
  <perm:hasPermission permCode="pc:washcar:list:edit">
    <input type="hidden" value="1" id="perm-edit" />
  </perm:hasPermission>
  <%-- 是否有删除权限 --%>
  <perm:hasPermission permCode="pc:washcar:list:delete">
    <input type="hidden" value="1" id="perm-delete" />
  </perm:hasPermission>


  <div class="content">
    <div class="layui-tab layui-tab-card">
      <ul class="layui-tab-title listMenu">
        <li class="layui-this">
          <a href="jumpCustomer">用户信息</a>
        </li>
        <li>
          <a href="jumpOrderManager">订单管理</a>
        </li>
        <li>
          <a href="jumpSetCenter">设置中心</a>
        </li>
      </ul>
      <div class="form_content">
        <div class="layui-form-item">
          <c:if test="${fn:length(orgs) > 1}">
            <div class="layui-inline">
              <label class="layui-form-label txt_brown fs14">项目</label>
              <div class="layui-input-inline">
                <input class="default-select orgId layui-input" name="orgId" id="orgId" placeholder="请选择项目" autocomplete="off" />
                <span class="select_wrap _hide"></span>
<!--                 <select class="orgId default-select layui-input" name="orgId" id="orgId">
                  <option value="">请选择项目</option>
                  <c:forEach items="${orgs }" var="org">
                    <option value="${org.id }">${org.name }</option>
                  </c:forEach>
                </select> -->
          <!--       <div class="people layui-form-select">
                  <i class="layui-edge"></i>
                </div> -->
              </div>
            </div>
          </c:if>
          <c:if test="${fn:length(orgs) == 1}">
            <input type="hidden" id="orgId" name="orgId" value="${orgs[0].id}" org__id="${orgs[0].id}">
          </c:if>
          <div class="layui-inline">
            <label class="layui-form-label txt_brown fs14">手机</label>
            <div class="layui-input-inline">
              <input type="tel" name="phone" lay-verify="required|phone" autocomplete="off" class="layui-input"
                placeholder="请输入手机号">
            </div>
          </div>
          <div class="layui-inline">
            <label class="layui-form-label txt_brown fs14">姓名</label>
            <div class="layui-input-inline">
              <input type="text" name="user" lay-verify="userName" autocomplete="off" class="layui-input" placeholder="请输入姓名">
            </div>
          </div>
          <div class="layui-inline">
            <label class="layui-form-label txt_brown fs14">车牌</label>
            <div class="layui-input-inline">
              <input type="text" name="number" lay-verify="required|carNumber" autocomplete="off" class="layui-input"
                placeholder="请输入车牌">
            </div>
          </div>
          <div class="layui-inline changeBtn">
            <button class="bl_yellow fs16" id="searchUser">查询</button>
            <button class="bt_blue fs16" id="resetSearch">重置</button>
          </div>
        </div>
        <div class="btnList">
          <ul>
            <perm:hasPermission permCode="pc:washcar:list:add">
              <li class="bt_blue btn1">+新增</li>
            </perm:hasPermission>
            <li class="btn2 txt_white bl_yellow">导入</li>
            <li class="bt_blue_big">下载模板</li>
          </ul>
        </div>
        <div class="tables">
          <table class="layui-hide" id="table_user_info" lay-filter="user"></table>
        </div>
      </div>
    </div>
    <div class="alert">
      <div class="alert_con">
        <h2>用户信息编辑</h2>
        <div class="form_alert">
          <form class="layui-form" action="" lay-filter="example">
            <c:if test="${fn:length(orgs) > 1}">
              <div class="layui-inline">
                <label class="layui-form-label txt_brown fs14">项目：</label>
                <input class="orgIds default-select layui-input" name="orgIds" id="orgIds" placeholder="请选择项目" autocomplete="off" />
                <span class="select_wrap _hide"></span>
<!--                 <select class="orgIds default-select" name="orgIds" id="orgIds">
                  <option value="">请选择项目</option>
                  <c:forEach items="${orgs }" var="org">
                    <option value="${org.id }" <c:if test="${orgId==org.id}">selected
                  </c:if>
                  >${org.name }</option>

                  </c:forEach>
                  </select> -->
              </div>
        </c:if>
        <c:if test="${fn:length(orgs) == 1}">
          <input type="hidden" id="orgIds" name="orgIds" value="">
        </c:if>
        <div class="layui-inline">
          <label class="layui-form-label txt_brown fs16 txt_orange">*姓 名：</label>
          <div class="layui-input-inline">
            <input type="text" name="username" lay-verify="required" autocomplete="off" class="layui-input" placeholder="请输入姓名"
              id="username">
          </div>
        </div>
        <div class="layui-inline">
          <label class="layui-form-label txt_brown fs16 txt_orange">*电 话：</label>
          <div class="layui-input-inline">
            <input type="tel" name="mobile" lay-verify="required" autocomplete="off" class="layui-input" placeholder="请输入电话号"
              id="mobile">
          </div>
        </div>
        <div class="layui-inline">
          <label class="layui-form-label txt_brown fs16 txt_orange">*车牌号：</label>
          <div class="layui-input-inline">
            <input type="text" name="carNumber" lay-verify="required" autocomplete="off" class="layui-input"
              placeholder="请输入车牌" id="carNumber">
          </div>
        </div>
        <div class="layui-inline">
          <label class="layui-form-label txt_brown fs16">部 门：</label>
          <div class="layui-input-inline">
            <input type="text" name="dept" lay-verify="dept" autocomplete="off" class="layui-input" placeholder="请输入部门"
              id="dept">
          </div>
        </div>
        <div class="layui-inline">
          <label class="layui-form-label txt_brown fs16">职位：</label>
          <div class="layui-input-inline">
            <input type="text" name="position" lay-verify="position" autocomplete="off" class="layui-input" placeholder="请输入职位"
              id="position">
          </div>
        </div>
        <div class="layui-inline">
          <label class="layui-form-label txt_brown fs16">车型：</label>
          <div class="layui-input-inline">
            <input type="text" name="carType" lay-verify="carType" autocomplete="off" class="layui-input" placeholder="请输入车型"
              id="carType">
          </div>
        </div>
        <div class="layui-inline">
          <label class="layui-form-label txt_brown fs16">车辆位置：</label>
          <div class="layui-input-inline">
            <input type="text" name="parkSpace" lay-verify="parkSpace" autocomplete="off" class="layui-input"
              placeholder="请输入车辆位置" id="parkSpace">
          </div>
        </div>
        <div class="layui-inline">
          <label class="layui-form-label txt_brown fs16">序号：</label>
          <div class="layui-input-inline">
            <input type="text" name="serialNumber" autocomplete="off" class="layui-input" placeholder="请输入序号" id="serialNumber">
          </div>
        </div>
        </form>
      </div>
      <div class="changeBtn">
        <button class="bt_blue_big_b_slot fs16 saveBtn">保存</button>
        <button class="bt_blue_big_b fs16 ml30 cancelBtn">取消</button>
      </div>
    </div>
  </div>
  <script type="text/javascript" src="<c:url value='/scripts/admin/vehicleClean/index.js?2019-1-1'/>"></script>
</body>

</html>