<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>身份类型配置页面</title>
	<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/vehicleClean/home.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/virPerm/virPerm.css'/>" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
  <script src="${ctx }/scripts/lib/jquery-1.8.2.min.js"></script>
</head>

<body>
	<input type="hidden" value="${virAccountInfo}" id="virAccountInfo">
	<input type="hidden" value="${ctx}" id="contextPath">
	<%-- 如果isAdmin为true,该用户为admin,对应多个项目,页面展示项目搜索框 --%>
	<input type="hidden" id="isAdmin" value="${isAdmin}">

	<%-- 如果isAdmin为false,该用户为项目管理员,对应一个项目,页面隐藏项目搜索框,后台返回该项目对象 --%>
	<input type="hidden" id="org" value="${org}">
	<input type="hidden" id="is_1000" value="0">

	<div class="content">
		<div class="layui-tab layui-tab-card">
			<div class="form_content">
				<div class="layui-form-item" id="conditionform">
					<c:if test="${isAdmin == true}">
						<div class="layui-inline">
							<label class="layui-form-label txt_brown fs14 width60">项目</label>
							<div class="layui-input-inline">
								<input class="default-select orgId layui-input" name="orgId" id="orgId" autocomplete="off" placeholder="请选择项目" />
								<span class="select_wrap _hide"></span>
							</div>
						</div>
					</c:if>
					<c:if test="${!isAdmin}">
						<input class="default-select orgId single-orgid" type="hidden" id="orgId" name="orgId" value="${org.name}" org__id="${org.id}">
          </c:if>
          <c:if test="${not empty virAccountInfo}">
            <div class="layui-inline">
              <label class="layui-form-label txt_brown fs14">企业名称</label>
              <div class="layui-input-inline">                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
                <input class="layui-input" disabled name="companyId" id="companyId" autocomplete="off" value="${virAccountInfo.virName}" com__id="${virAccountInfo.virId}"/>
              </div>             
            </div>
          </c:if>		
					<div class="layui-inline">
						<label class="layui-form-label txt_brown fs14">身份类型名称</label>
						<div class="layui-input-inline">
              <input type="text" class="layui-input" id="virPermName" placeholder="请输入身份类型名称" value="">
						</div>
					</div>
					<!-- <div class="layui-inline">
						<label class="layui-form-label txt_brown fs14">所有项目通用</label>
						<div class="layui-input-block">
                            <select name="modules" class="select-lay">
                                <option value="">全部</option>
                                <option value="1">是</option>
                                <option value="2">否</option>
                              </select>
						</div>
					</div> -->
					<div class="layui-inline changeBtn">
						<button class="bl_yellow fs16 search-btn">查询</button>
						<button class="bt_blue fs16 set-btn">重置</button>
					</div>
				</div>
				<div class="btnList">
					<button class="bt_blue btn1 add-ele-btn">+新增</button>
				</div>
				<div class="tables">
					<table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>
				</div>
			</div>
		</div>
	</div>
	<script type="text/html" id="indexTpl">
		{{d.LAY_TABLE_INDEX+1}}
    </script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/cjqt.js?y78989'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/admin/virPerm/identityList.js?y78989'/>"></script>

</body>

</html>