<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>

<head>
	<title>预约记录管理</title>
	<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
	<link href="<c:url value='/scripts/lib/layui/layui.css'/>" rel="stylesheet" type="text/css" />
	<!-- bootstrap 3.0.2 -->
	<link href="<c:url value='/styles/lib/bootstrap.min.css'/>" rel="stylesheet" type="text/css" />
	<!-- font Awesome -->
	<link href="<c:url value='/styles/lib/font-awesome.min.css'/>" rel="stylesheet" type="text/css" />
	<!-- Ionicons -->
	<link href='<c:url value=' /styles/lib/ionicons.min.css' />' rel="stylesheet" type="text/css" />
	<!-- DATA TABLES -->
	<link href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />" rel="stylesheet" type="text/css" />
	<!-- Theme style -->
	<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet" type="text/css" />
	<link href="<c:url value='/styles/visitor/visitorOrderInfoList.css?v=20220610'/>" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<c:url value='/scripts/lib/template-native.js'/>"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/jquery-1.8.2.min.js'/>"></script>
	<script type="text/javascript" src="${ctx }/scripts/lib/plugins/qrcode/jquery.qrcode.min.js"></script>
	<script type="text/javascript" src="<c:url value='/scripts/lib/layui/layui.js'/>"></script>
	<script type="text/javascript" src="${ctx }/scripts/admin/cjqt.js"></script>

	<style>
		.layui-table-view .layui-table[lay-size=lg] .layui-table-cell{
			height: 60px;
			line-height: normal;
			text-align: left;
		}
	</style>
</head>


<body>
	<input type="hidden" id="funcid" value="${funcid}">
	<input type="hidden" value="${ctx}" id="contextPath" />

	<div class="bread-wp">
		通行管理 > 访客通行
	</div>
	<div class="right-content engineering-repair-wp">
		<input type="hidden" value="${ctx}" id="contextPath">
		<div class="main-content-mode-wp">
			<form:form id="conditionform" class="clearfloat" onsubmit="return false;">
				<c:if test="${fn:length(orgs) > 1}">
					<div class=" part-wp">
						<span class="search-tips">项目</span>
						<input class="default-select" name="orgId" id="orgId" autocomplete="off"  org__id="${orgs[0].id}" value="${orgs[0].name}"/>
						<span class="select_wrap _hide"></span>
					</div>
				</c:if>
				<c:if test="${fn:length(orgs) == 1}">
					<input type="hidden" name="orgId" id="orgId" value="${orgs[0].name}" org__id="${orgs[0].id}"
						class="single-orgid default-select">
				</c:if>
				<div class="filter-name part-wp">
					<span class="search-tips">访客</span>
					<input class="large-input visitorInfo " name="visitorInfo"	placeholder="支持姓名、手机号、企业搜索"/>
				</div>
				<div class="filter-name part-wp">
					<span class="search-tips">被访人</span>
					<input class="large-input respondentsInfo " name="respondentsInfo" placeholder="支持姓名、手机号、企业搜索" />
				</div>
				<div class="filter-name part-wp">
					<span class="search-tips">到访目的</span>
					<input type="text" class="large-input objective" placeholder="请输入到访目的" name="objective" />
				</div>
				<div class="filter-name part-wp">
					<span class="search-tips">访客码</span>
					<input type="text" class="large-input visitorId" placeholder="请扫码输入访客码" name="visitorId" />
				</div>
				<div class="filter-name part-wp" style="height: 40px;line-height: 40px;">
					<span class="search-tips">状态</span>
					<select name="status" id="visitorOrderStatus" style="font-size: 16px;border-radius: 4px;border: 1px solid #dcdfe6;padding: 0 10px;height: 40px;">
						<option value="">全部</option>
						<option value="1">待审核</option>
						<option value="2">已授权</option>
						<option value="3">未通过</option>
					</select>
				</div>
				<div class="part-wp">
					<span class="search-tips">申请时间</span>
					<input type="text" class="small-input " id="createBeginTime" placeholder="选择时间" name="beginTime" readonly> ~ <input
						type="text" placeholder="选择时间" name="endTime" class="small-input" id="createEndTime" readonly>
				</div>
				<div class="part-wp">
					<span class="search-tips">访问时间</span>
					<input type="text" class="small-input " id="startTime" placeholder="选择时间" name="beginTime" readonly> ~ <input
						type="text" placeholder="选择时间" name="endTime" class="small-input" id="endTime" readonly>
				</div>
				<button class="search-btn btn-red" type="button" id='btn-search'>查询</button>
				<button class="set-btn btn-white" type="button">重置</button>
			</form:form>
			<div class="main-operate-wp" style="display: block;">
				<button class="btn-white visitor-register visitor-list" type="button">访客登记</button>
				<button class="btn-white through-plan" type="button">基础设置</button>
				<button class="btn-white export-excel-order" type="button">导出excel</button>
				<button class="btn-white reservation-code" type="button">访客预约码</button>

				<!--  <button class="btn-white scan-print" type="button" style="width: 85px;">扫码打印</button>  -->
			</div>
			<table class="layui-hide" id="LAY_table_user" lay-filter="user"></table>
		</div>
	</div>
</body>
<script type="text/html" id="indexTpl">
	{{d.LAY_TABLE_INDEX+1}}
</script>
<script type="text/javascript" src="<c:url value='/scripts/admin/visitor/visitorOrderInfoList.js?v=20231221'/>"></script>


</html>
