<%@ page language="java" errorPage="/error.jsp" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<!-- bootstrap 3.0.2 -->
<link href="<c:url value='/styles/lib/bootstrap.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- font Awesome -->
<link href="<c:url value='/styles/lib/font-awesome.min.css'/>"
	rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href='<c:url value='/styles/lib/ionicons.min.css' />'
	rel="stylesheet" type="text/css" />
<!-- DATA TABLES -->
<link
	href="<c:url value='/styles/lib/datatables/dataTables.bootstrap.css' />"
	rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="<c:url value='/styles/AdminLTE.css'/>" rel="stylesheet"
	type="text/css" />

<script src="${ctx }/scripts/lib/jquery-1.8.2.min.js"></script>
<style type="text/css">
.tb_tit {
	text-align: right;
	font-weight: bold;
	width: 20%;
}

.tb_con {
	text-align: left;
	width: 80%;
}

.tb_cen {
	text-align: center;
}
</style>
</head>
<body>
	<div class="row">
		<div class="col-xs-12">
			<div class="box">
				<table class="table table-bordered table-hover">
					<tr>
						<td class="tb_tit">微信头像</td>
						<td colspan="3"><img alt="" src="${obj.headimgUrl }"
							style="width: 120px; height: 120px;"></td>
					</tr>
					<tr>
						<td class="tb_tit">开发者帐号</td>
						<td>${obj.developId }</td>
						<td class="tb_tit">openId</td>
						<td>${obj.openId }</td>
					</tr>
					<tr>
						<td class="tb_tit">昵称</td>
						<td>${obj.nickName }</td>
						<td class="tb_tit">帐号类型</td>
						<td><c:choose>
								<c:when test="${obj.accountType eq '1'}">用户</c:when>
								<c:when test="${obj.accountType eq '2'}">员工</c:when>
								<c:when test="${obj.accountType eq '3'}">商户</c:when>
								<c:otherwise>未知</c:otherwise>
							</c:choose></td>
					</tr>
					<tr>
						<td class="tb_tit">城市</td>
						<td>${obj.city }</td>
						<td class="tb_tit">国家</td>
						<td>${obj.country }</td>
					</tr>
					<tr>
						<td class="tb_tit">省份</td>
						<td>${obj.province }</td>
						<td class="tb_tit">用户语言</td>
						<td>${obj.language}</td>
					</tr>
					<tr>
						<td class="tb_tit">关注时间</td>
						<td><fmt:formatDate value="${obj.subscribeTime}"
								pattern="yyyy-MM-dd HH:ss" /></td>
						<td class="tb_tit">是否绑定</td>
						<td><c:if test="${obj.isBinding eq '0'}">未绑定</c:if> <c:if
								test="${obj.isBinding eq '1'}">已绑定</c:if></td>
					</tr>
					<tr>
						<td colspan="4" class="tb_cen">
							<button type="button" class="btn btn-default"
								onclick="javascript:history.go(-1)">返回</button>
						</td>
					</tr>
				</table>
			</div>
		</div>
	</div>
</body>
</html>