<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width,user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
<title></title>
<link rel="stylesheet" type="text/css" href="${ctx}/styles/common/reset.css?version=1.222123123" />
<link rel="stylesheet" type="text/css" href="${ctx}/styles/userset/authentication.css?version=1.222123123" />
<link rel="stylesheet" type="text/css" href="${ctx}/styles/userset/joinCompany.css?version=1.222123123" />
<link rel="stylesheet" type="text/css" href="${ctx }/styles/visitor/layer.css" />

<script type="text/javascript" src="${ctx}/scripts/common/jquery-1.11.3.min.js"></script>
<script type="text/javascript" src="${ctx}/scripts/common/common.js?version=1.222123123"></script>
<script type="text/javascript" src="${ctx }/scripts/visitor/exif.js?v=1.0"></script>
<script type="text/javascript" src="${ctx }/scripts/mobileBUGFix.mini.js?v=1.0"></script>
<script type="text/javascript" src="${ctx }/scripts/visitor/layer.js?v=1.0"></script>
<script type="text/javascript" src="${ctx }/scripts/visitor/visitorsecurity.js?v=1.0"></script>
<script type="text/javascript" src="${ctx}/scripts/wechat/joinCompany.js"></script>
<script type="text/javascript" src="${ctx }/scripts/wechat/controlOptionMenu.js"></script>
</head>
<body>
	<input type="hidden" id="contextPath" value="${ctx }" />
	<input type="hidden" id="visitPrefix" value="${visitPrefix }" />
	<input type="hidden" id="openId" value="${openId}" />
	<input type="hidden" id="developId" value="${developId}" />
	
	<!-- 当前用户信息 -->
	<input type="hidden" id="userId" value="${appUser.id}" />
	<input type="hidden" id="status" value="${appUser.status}" />
	<input type="hidden" id="appUserVname" value="${appUserVname}" />
	
	<!-- 邀请者信息 -->
	<input type="hidden" id="manageUserId" value="${manageUser.id}" />
	<input type="hidden" id="virtualId" value="${virtual.id}" />
	
	<div class="pagetoplogo"></div>
	<div class="pagebottomlogo"></div>
	
	<div class="wrapper clearfix">
		<h3 class="tipstit">${manageUser.userName }邀请您加入</h3>
		<div class="joincompanyinfo">
			<span>${virtual.name }</span> <em>${virtual.address}</em>
		</div>
		<!-- 信息编辑 -->
		<form action="information.html" class="auth-form">
			<fieldset>
				<!-- 上传头像 -->
				<div class="auth-img clearfix">
					<div class="authimgtit">
						<label>个人照片</label> <span class="righttext"><em>请上传真实照片，方便公司管理员审核</em>
							<i class="iconwhat"></i>
						</span>
					</div>

					<div class="uploadDiv clearfix" id="uploadDiv">
						<div class="addButton" id="addButton">
							<c:if test="${empty list }">
								<img src="${ctx }/images/userlogin/addimg.png" class="js_prevImg" id="headImage_1">
								<input type="hidden" value="" class="headImage" id="faceImage">
								<input type="hidden" value="" id="imageFacePlusId">
								<i class="prev-del" style="display: none;"></i>
								<input id="headImage1" type="file" pictype='30010003' data-role="none"  accept="image/*" class="entryImgInput"
									onchange="selectFileImage(this,1,'uploadDiv')" />
							</c:if>
							<c:if test="${not empty list }">
								<c:forEach items="${list }" var="obj">
									<img src="${obj.imageFaceUrl}" class="js_prevImg" id="headImage_1">
									<input type="hidden" value="${obj.imageUrl }" class="headImage" id="faceImage">
									<input type="hidden" value="${obj.imageFaceUrl }" class="headImage" id="dataUrl">
									<input type="hidden" value="${obj.imageFacePlusId }" id="imageFacePlusId">
									<i class="prev-del" style="display: block;" onclick="delImage(0,'uploadDiv')"></i>
									<input id="headImage1" type="file" pictype='30010003' data-role="none"  accept="image/*" class="entryImgInput" onchange="selectFileImage(this,1,'uploadDiv')" />
								</c:forEach>
							</c:if>
						</div>
					</div>
				</div>
				<!-- 上传证件照片 -->
				<div class="auth-img clearfix">
					<div class="authimgtit">
						<label>证件照片</label> <span class="righttext"> <em
							style="float: right;">工牌，工作证、身份证等(最多上传3张)</em>
						</span>
					</div>
					<div class="uploadDiv clearfix" id="uploadDiv2">
						<c:if test="${!empty appUser.imageUrl01 }">
							<div class="addButtons" id="headUrl_2">
								<img src="${visitPrefix }${appUser.imageUrl01}"
									class="js_prevImg" id="js_prevImg_2">
								<i class="prev-del" style="display: block;"
										onclick="delImage(2,'uploadDiv2')"></i>
									<input type="hidden" id="heard_2"
										value="${appUser.imageUrl01 }" class="headImage">
									<input type="hidden" class="number" value="2" />
									<input type="file" id="file_2" pictype='30010003' data-role="none"  accept="image/*" class="entryImgInput"
										onchange="selectFileImage(this,2,'uploadDiv2')" />
							</div>
						</c:if>
						<c:if test="${!empty appUser.imageUrl02 }">
							<div class="addButtons" id="headUrl_3">
								<img src="${visitPrefix }${appUser.imageUrl02}"
									class="js_prevImg" id="js_prevImg_3">
								<i class="prev-del" style="display: block;"
										onclick="delImage(3,'uploadDiv2')"></i>
									<input type="hidden" id="heard_3"
										value="${appUser.imageUrl02 }" class="headImage">
									<input type="hidden" class="number" value="3" />
									<input type="file" id="file_3" pictype='30010003' data-role="none"  accept="image/*" class="entryImgInput"
										onchange="selectFileImage(this,3,'uploadDiv2')" />
							</div>
						</c:if>
						<c:if test="${!empty appUser.imageUrl03 }">
							<div class="addButtons" id="headUrl_4">
								<img src="${visitPrefix }${appUser.imageUrl03}"
									class="js_prevImg" id="js_prevImg_4">
								<i class="prev-del" style="display: block;"
										onclick="delImage(4,'uploadDiv2')"></i>
									<input type="hidden" id="heard_4"
										value="${appUser.imageUrl03 }" class="headImage">
									<input type="hidden" class="number" value="4" />
									<input type="file" id="file_4" pictype='30010003' data-role="none"  accept="image/*" class="entryImgInput"
										onchange="selectFileImage(this,4,'uploadDiv2')" />
							</div>
						</c:if>
						<c:choose >
							<c:when test="${empty appUser.imageUrl01 || empty appUser.imageUrl02 || empty appUser.imageUrl03 }">
							<div class="addButtons" id="headUrl_1">
								<input type="hidden" class="number" value="1" /> 
								<img src="${ctx }/images/userlogin/addimg.png" class="js_prevImg" id="js_prevImg_1"> 
								<input type="file" id="file_1" pictype='30010003' data-role="none"  accept="image/*" class="entryImgInput" onchange="selectFileImage(this,1,'uploadDiv2')" />
							</div>
							</c:when>
							<c:otherwise>
							<div class="addButtons" id="headUrl_1" style="display: none">
								<input type="hidden" class="number" value="1" /> 
								<img src="${ctx }/images/userlogin/addimg.png" class="js_prevImg" id="js_prevImg_1"> 
								<input type="file" id="file_1" pictype='30010003' data-role="none"  accept="image/*" class="entryImgInput" onchange="selectFileImage(this,1,'uploadDiv2')" />
							</div>
							</c:otherwise>
						</c:choose>
					</div>
				</div>
				<!-- 填写个人信息 -->
				<div class="fillinfo">
					<div class="auth-entry">
						<label>姓名:</label><input type="text" placeholder="请输入您的真实姓名" value="${appUser.userName }" id="userName" />
					</div>
					<c:choose>
						<c:when test="${empty appUser.userMobile || appUser.userMobile==''}">
							<div class="auth-entry telphone">
								<label>手机号:</label> <input type="text" placeholder="请输入您的手机号码" id="userMobile" value="" />
								<input type="button" class="vericode" value="发送验证码">
							</div>
							<div class="auth-entry">
								<label>验证码:</label> <input type="text" placeholder="请输入验证码" id="authCode" />
							</div>
						</c:when>
						<c:otherwise>
							<div class="auth-entry telphone">
			                	<label>手机号:</label> <input type="text" placeholder="请输入您的手机号码" id="userMobile" value="${appUser.userMobile }" readonly="readonly" />
			                </div>
						</c:otherwise>
					</c:choose>
				</div>
			</fieldset>
			<input type="button" value="立即加入" class="superbtn" />
		</form>
		<!-- 提示信息 -->
		<div class="tips-mask" style="display: none;">
			<div class="tip">
				<img src="${ctx}/images/userlogin/facespecification.jpg" alt="" />
				<p class="tip-btn">
					<a href="javascript: void(0);">返回</a>
				</p>
			</div>
		</div>
	</div>
	<!-- 提示弹窗 -->
	<div class="popupmask" id="sureMsg">
		<div class="popup">
			<i class="popupicon"></i> <span>申请已提交</span> <em><br>请耐心等待企业管理员审核
			</em> <a href="javascript: void(0);" title="ok" class="okbtn" id="sureBtn">确定</a>
		</div>
	</div>
	
	<div class="popupmask" id="alertMsg" style="display:none">
		<div class="popup">
			<i style="display: block; width: 51.1%; height: 5.36rem; margin: 0 auto; background: url('${ctx}/images/common/alert_icon.png') 0 0 no-repeat; background-size: 100% 100%;"></i>
			<span>注意事项</span><em></em> 
			<a href="javascript: void(0);" title="ok" class="okbtn" id="configBtn">确定</a>
		</div>
	</div>
</body>
</html>