<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,height=device-height, user-scalable=no,initial-scale=1, minimum-scale=1, maximum-scale=1,target-densitydpi=device-dpi "> 
	<title>新增签约信息</title>
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <link rel="stylesheet" type="text/css" href="${ctx }/plugin/light7/light7.css" />
    <link rel="stylesheet" type="text/css" href="${ctx }/styles/signcontract/style.css" />
    <link href="${ctx }/styles/jQueryUI/jquery-ui.min.css" rel="stylesheet" type="text/css" />
    <link href="${ctx }/plugin/layer/mobile/need/layer.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="${ctx }/scripts/common/jquery-1.11.3.min.js"></script>
	<script type="text/javascript" src="${ctx}/scripts/lib/jquery-ui.min.js"></script>
	<script type="text/javascript" src="${ctx }/plugin/light7/light7.js"></script>
	<script type="text/javascript" src="${ctx }/plugin/layer/layer.js"></script>
	<script type="text/javascript" src="https://res.wx.qq.com/open/js/jweixin-1.0.0.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/wechat/orderseviceitem.js"></script>
</head>
<body>
<div class="page">
<input id="contextPath" value="${ctx}" type="hidden" />
<input id="serviceIcon" value="${serviceIcon}" type="hidden" />
<input id="name" value="${name}" type="hidden" />
<input id="organizationId" value="${organizationId}" type="hidden" name="organizationId" />
<input id="virtualArchitectureId" value="${virtualArchitectureId}" type="hidden" name="virtualArchitectureId" />
<input id="paymentType" value="${paymentType}" type="hidden" name="paymentType" />
<input id="serviceId" value="${serviceId}" type="hidden" name="serviceId" />
<input id="code" value="${code}" type="hidden" name="code" />
<input id="userId" value="${userId}" type="hidden" name="userId" />
<input id="typeCode" value="${typeCode}" type="hidden" name="typeCode" />
<input id="visitPrefix" value="${visitPrefix}" type="hidden" name="visitPrefix" />
<input id="signContractId" value="${signContractId}" type="hidden" name="signContractId" />
<input id="renewalContractId" value="${renewalContractId}" type="hidden" name="renewalContractId" />
<input id="dataIdarr" value="${dataIdarr}" type="hidden" name="dataIdarr" />
            <!-- 标题栏 -->
            <header class="bar bar-nav rebarnav">
                <a class="button button-link back button-nav pull-right" style="line-height: 2.5rem; margin-right: 0.2rem">取消</a>
                <h1 class="title retile reshowitem" id="reshowitem">
                </h1>
            </header>
            <div class="content content-block recontent-block" style=" bottom:3.4rem;">
                <div class="sevicecontent">
                    <div class="orderpay" id="orderpay">
                        
                    </div>
                    <div class="sevicetime">
                        <span>服务期限</span>
                        <div class="timeinputs">
                            <label class="timeinputwrap">
                                <input type="date" placeholder="起始时间" value="${startTime}" id="startTime" name="startTime" />
                                <em>${startTime}</em>
                            </label>
                            <span>至</span>
                            <label class="timeinputwrap">
                                <input type="date" placeholder="结束时间" value="${endTime}" id="endTime" name="endTime" />
                                <em>${endTime}</em>
                            </label>
                        </div>
                    </div>
                    <div class="deposit" style="display:none">
                        <h3 class="deposittit">
                            <span>押金子项</span>
                            <!-- 收起  zhankaiplus-->
                            <a href="javascript: void(0);" class="plusopen"><i></i></a>
                        </h3>
                        <div class="deposititems js-deposit" style="display: none;" id="deposititem">
                        </div>
                    </div>
                </div>
                <div class="intention">
                    <div class="intentiontit">
                        <span class="textspan">意向商品</span>
                        <em>添加<span class="arrow-right"><i></i></span></em>
                    </div>
                    <div class="deposititems" id="commodity">
                    </div>
                </div>
                    <div class="memoinfo">
                        <h3>备注信息</h3>
                        <textarea name="remarks" id="remarks" placeholder="请输入备注信息">${remarks}</textarea>
                    </div>
                </div>
                <div class="rebtns">
                    <div class="row">
                      <div class="col-100"><a onclick="saveServicelectit()" class="button button-big button-fill" external>确认</a></div>
                    </div>
                </div>
                <div class="showsevicemask" id="showsevicemask">
            	</div>
        </div>
        <!-- 选择商品 切换页-->
        <div class="popup">
            <!-- 标题栏 -->
            <header class="bar bar-nav rebarnav">
                <h1 class="title retile reshowitem">
                    <span>添加商品</span>
                </h1>
            </header>
            <div class="content-block recontent-block" style="padding-top: 3rem;">
                <div class="goodsitems" id="goodsitems">
                </div>
                <div class="showgoods" id="showgoods">
                </div>
                <div class="rebtns">
                    <div class="row">
                      <div class="col-100"><a href="#" class="button button-big button-fill js-goods">添加</a></div>
                    </div>
                </div>
            </div>
        </div>
</body>
</html>