<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,height=device-height, user-scalable=no,initial-scale=1, minimum-scale=1, maximum-scale=1,target-densitydpi=device-dpi "> 
	<title>话费充值</title>
    <link rel="stylesheet" type="text/css" href="${ctx }/styles/wechat/mobilePhoneRecharge.css?ver=4.211111111" />
    <link href="${ctx }/plugin/layer/skin/default/layer.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="${ctx }/scripts/common/jquery-1.11.3.min.js"></script>
	<script type="text/javascript" src="https://res.wx.qq.com/open/js/jweixin-1.0.0.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/common/shareAppMessage.js?ver=4.0"></script>
	<script type="text/javascript" src="${ctx }/plugin/layer/layer.js"></script>
	<script type="text/javascript" src="${ctx }/scripts/wechat/phoneRecharge.js?ver=5.3"></script>
	<link rel="stylesheet" href="${ctx }/styles/visitor/layer.css" type="text/css">
	<script type="text/javascript" src="${ctx }/scripts/visitor/layer.js?v=4.0"></script>
	
	<script type="text/javascript">
		function redirectUrl(){
			var contextPath=$("#contextPath").val();
			var openId=$("#openId").val();
			var developId=$("#developId").val();
			var channelCode ="0000";
			if(""!=$("#channelCode").val()&&$("#channelCode").val()!=null){
				channelCode=$("#channelCode").val();
			}
			location.href=contextPath+"/wechat/recharge/toFlowRecharge?openId="+openId+"&developId="+developId+"&operationType=0"+"&channelCode="+channelCode;	
		}
		
		function rechargeRecord(){
			var contextPath=$("#contextPath").val();
			var openId=$("#openId").val();
			var developId=$("#developId").val();
			location.href=contextPath+"/wechat/recharge/getRechargeRecord?openId="+openId+"&developId="+developId+"&operationType=1";	
		}
	</script>
</head>
<body>
	<input id="contextPath" value="${ctx}" type="hidden" />
	<input id="tradeType" value="${tradeType}" type="hidden" />
	<input id="payWay" value="${payWay}" type="hidden" />
	<input id="openId" value="${openId}" type="hidden" />
	<input id="developId" value="${developId}" type="hidden" />
	<input id="operationType" value="${operationType }" type="hidden" />
	<input id="webUrl" value="${webUrl }" type="hidden">
	<input id="timeStamp" type="hidden" />
	<input id="channelCode" value="${channelCode }" type="hidden">

	<form action="">
		<div class="photoText_view">
			<input type="number" class="photo_input" placeholder="请输入手机号码"
				maxlength="11" id="mobile" pattern="\d*">
			<div class="photoText_view_name" name="photoText_view_name">中国移动</div>
		</div>
		<div class="btn_view clearfix">
			<a href="javascript:void(0)">
				<div class="left_net">
					<div class="left_num">50元</div>
					<div class="left_money">售价46.50元</div>
				</div>
			</a> <a href="javascript:void(0)">
				<div class="left_net">
					<div class="left_num">100元</div>
					<div class="left_money">售价93.00元</div>
				</div>
			</a> <a href="javascript:void(0)">
				<div class="left_net">
					<div class="left_num">150元</div>
					<div class="left_money">售价139.50元</div>
				</div>
			</a> <a href="javascript:void(0)">
				<div class="left_net">
					<div class="left_num">200元</div>
					<div class="left_money">售价186.00元</div>
				</div>
			</a> <a href="javascript:void(0)">
				<div class="left_net">
					<div class="left_num">300元</div>
					<div class="left_money">售价279.00元</div>
				</div>
			</a> <a href="javascript:void(0)">
				<div class="left_net">
					<div class="left_num">500元</div>
					<div class="left_money">售价455.00元</div>
				</div>
			</a>
		</div>
		<!-- 微信支付 -->
		<div class="weChatPayment">
			<input type="button" value="立即充值" id="recharge">
		</div>
		<div style="font-size: 12px; margin-top: 1rem; color: #666;">
			<ul style="text-align: left; margin: 0 auto; width: 90%;">
				<!--  <li style="margin-bottom: 0.1rem;color:red;"><span style="font-weight: bold;">1、暂停说明：</span>接广东移动通知，由于十九大运营商系统封网，10月10日起非深圳号码暂停人工优惠充值，深圳号码10月13日起暂停充值，不便之处敬请谅解；</li>-->
				<li style="margin-bottom: 0.1rem;color:red;"><span style="font-weight: bold;">1、充值方式：</span>人工特惠充值，非实时到账，话费类型为基本话费或赠送话费（以实际到账为准）；</li>
				<li style="margin-bottom: 0.1rem;color:red;"><span style="font-weight: bold;">2、到账时间：</span>工作日11:30点前付款，下个工作日12:00前到账；</li>
				<li style="margin-bottom: 0.1rem;"><span style="font-weight: bold;">3、优惠折扣：</span>9折~98折，不定期促销，敬请留意；</li>
				<li style="margin-bottom: 0.1rem;"><span style="font-weight: bold;">4、优惠对象：</span>限广东移动号码，每月1次优惠充值机会；（话费余额不低于10元才能充值成功）</li>
				<li style="margin-bottom: 0.1rem;"><span style="font-weight: bold;">5、办理时间：</span>仅限工作日办理充值。</li>
			</ul>
		</div>
		<div  class="bottom_head">下滑关注充值状态<span>
		<img src="${ctx }/images/bottom_icon.png" class="bottom_head_img"></span></div>
		<img src="${ctx }/images/recharge_ewm.png" alt="" class="image_bottom">
		<div class="jumowrap">
			<div class="jump clearfix">
				<a href="javaScript:void(0)" onclick="rechargeRecord()">充值记录</a>&nbsp;
				<a href="javaScript:void(0)" onclick="redirectUrl()">流量充值</a>
			</div>
		</div>
	</form>
</body>
</html>