<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ include file="/common/taglibs.jsp"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0"> 
<title>公司认证</title>
<link rel="stylesheet" type="text/css" href="${ctx }/styles/common/reset.css?v=2.1112221212" />
<link rel="stylesheet" type="text/css" href="${ctx }/styles/common/loadview.css" />
<link rel="stylesheet" type="text/css" href="${ctx }/styles/userset/authentication.css?v=2.1112221212" />
<link rel="stylesheet" type="text/css" href="${ctx }/styles/userset/address.css?v=2.8" />
<script type="text/javascript" src="${ctx }/scripts/common/jquery-1.11.3.min.js"></script>
<script type="text/javascript" src="${ctx }/scripts/common/common.js"></script>
<script type="text/javascript" src="${ctx }/scripts/wechat/controlOptionMenu.js"></script>
<script type="text/javascript" src="https://res.wx.qq.com/open/js/jweixin-1.0.0.js"></script>
<script type="text/javascript" src="${ctx }/scripts/visitor/exif.js?v=4.0"></script>
<script type="text/javascript" src="${ctx }/scripts/mobileBUGFix.mini.js?v=4.0"></script>
<link rel="stylesheet" href="${ctx }/styles/visitor/layer.css" type="text/css">
<script type="text/javascript" src="${ctx }/scripts/visitor/layer.js?v=4.0"></script>
<script type="text/javascript" src="${ctx }/scripts/wechat/authentication.js?ver=5.811111111111111"></script>
<script type="text/javascript" src="${ctx }/scripts/wechat/address.js?ver=6.7"></script> 
</head>
<body>
	<input type="hidden" id="contextPath" value="${ctx}" />
	<input type="hidden" id="userId" value="${appUser.id}" />
	<input type="hidden" id="developId" value="${developId}" />
	<input type="hidden" id="openId" value="${openId}" />
	<input type="hidden" id="organizationId" value="${organizationId}" />
	<input type="hidden" id="virtualArchId" value="${appUser.virtualArchId}" />
	<input type="hidden" id="imgServerIds" />
	<input type="hidden" id="headRelativeUrl" >
	<input type="hidden" id="appUserStatus" value="${appUser.status }">
	<input type="hidden" id="cityCode" value=""/>
	<div class="pagetoplogo"></div>
      <div class="pagebottomlogo"></div>
      <div class="wrapper clearfix">
        <!-- 信息编辑 -->
        <div action="information.html" class="auth-form">
            <fieldset>
            
                <div class="auth-entry js_build">
                  <label>楼宇</label>
                  <span class="righttext">
                    <em>${organization.name }</em>
                    <i class="iconarrow"></i>
                  </span>
                </div>
                
                <div class="auth-entry js_company">
                  <label>公司</label>
                  <span class="righttext">
                  <c:if test="${empty  virtualArch }">
	                    <em class="placeholder">
		                    	<strong>请选择公司</strong>
	                    </em>
                   </c:if>
                   <c:if test="${not empty  virtualArch }">
	                    <em>
		                    	<strong>${virtualArch.name }</strong>
	                    </em>
                   </c:if>
                    <i class="iconarrow"></i>
                  </span>
                </div>
                
                <div class="auth-entry" style="border-bottom: 0;">
                  <label>姓名</label>
                  <c:if test="${appUser.status!=1 }">
                  <input type="text" id="userName" placeholder="请输入您的真实姓名" value="${appUser.userName }"/>
                  </c:if>
                  <c:if test="${appUser.status==1 }">
                  <input type="text" id="userName" readonly="readonly" placeholder="请输入您的真实姓名" value="${appUser.userName }"/>
                  </c:if>
                </div>
              
              	<div class="auth-entry" style="border-bottom: 0;">
                  <label>备注</label>
                  <c:if test="${appUser.status!=1 }">
                  <input type="text" id="userRemark" placeholder="备注" value="${appUser.remark}"/>
                  </c:if>
                  <c:if test="${appUser.status==1 }">
                  <input type="text" id="userRemark" readonly="readonly" placeholder="备注" value="${appUser.remark}"/>
                  </c:if>
                </div>
                
                <!-- 上传头像 -->
               
                <!-- 上传证件照片 -->
                
            </fieldset>
             <c:if test="${appUser.status!=1 }">
            <input type="button" value="提交" class="superbtn" id="submitUserInfo"/>
            </c:if>
             <c:if test="${appUser.status==1 }">
             <input type="button" value="解绑" class="superbtn" id="unbundling"/>
             </c:if>
        </div>
        <!-- 提示信息 -->
        <div class="tips-mask" style="display: none;">
          <div class="tip">
            <img src="${ctx }/images/userlogin/facespecification.jpg"  alt="" />
            <p class="tip-btn"><a href="javascript: void(0);">返回</a></p>
          </div>
        </div>
        <!-- 选择公司 -->
        <div class="companymask">
            
          <div class="selectcompany">
            <!-- 搜索栏 -->
            <div class="searchbar" id="vpSearchbar">
              <a href="javascript: void(0);" title="搜索" class="searchicon"><i></i></a>
              <h3 class="companyname">选择公司</h3>
              <a href="javascript: void(0);" title="关闭" class="closeicon"><i></i></a>
            </div>
            <div class="searchbarentry" id="vpSearchbarentry">
              <div class="seachentry">
                  <input type="text" class="js_searchinput" id="vpName"/>
                  <i class="iconclear" id="vpIconclear"></i>
              </div>
            </div>
            <!-- 搜索信息 -->
            <div class="outercompanylist">
              <div class="companylistwrap">
                <ul class="companylist">
                 
                </ul>
                <!-- 申请入驻公司 -->
                <a href="javaScript:void(0)" class="application" onclick="saveCompany()">
                  <img src="${ctx }/images/userlogin/company.jpg" alt="" />
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- 提示弹窗 -->
      <div class="popupmask">
            <div class="popup">
                <i class="popupicon"></i>
                <span>申请已提交</span>
                <em><br>请耐心等待企业管理员审核</em>
                <a href="javascript: void(0);" title="ok" class="okbtn">确定</a>
            </div>
      </div>
      
      <div class="buildingmask">
          <div class="selectbuilding">
            <!-- 搜索栏 -->
            <div class="searchbar" id="opSearchbar">
              <a href="javascript: void(0);" title="搜索" class="searchbuild"><i></i></a>
              <h3 class="buildingname">选择楼宇</h3>
              <a href="javascript: void(0);" title="关闭" class="closebuild"><i></i></a>
            </div>
            <div class="searchbarentry" id="opSearchbarentry">
              <div class="seachentry">
                  <input type="text" class="js_searchinput" id="opName"/>
                  <i class="iconclear" id="opIconclear"></i>
              </div>
            </div>
            
            <!-- 搜索信息 -->
            <div class="outerbuildinglist">
              <div class="buildinglistwrap">
	              <div class="location" onclick="getLocationiconValue()">
	                <strong class="locationicon"><i></i></strong>
	                <em id="locationiconName"></em>
	                <input type="hidden" value="" id="locationiconId" />
	            </div>
                <ul class="buildinglist">
                  <li>
                      <div class="buildingcity">
                          <span>深圳市</span>
                          <strong class="arrowcity"><i></i></strong>
                      </div>
                      <ul class="projectlist">
                          <li>深圳中航中心</li>
                          <li>深圳中航中心</li>
                      </ul>
                  </li>
                  <li>
                      <div class="buildingcity">
                          <span>北京市</span>
                          <strong class="arrowcity"><i></i></strong>
                      </div>
                      <ul class="projectlist">
                          <li>深圳中航中心</li>
                          <li>深圳中航中心</li>
                      </ul>
                  </li>
                  <li>
                      <div class="buildingcity">
                          <span>成都市</span>
                          <strong class="arrowcity"><i></i></strong>
                      </div>
                      <ul class="projectlist">
                          <li>深圳中航中心</li>
                          <li>深圳中航中心</li>
                      </ul>
                  </li>
                  <li>
                      <div class="buildingcity">
                          <span>成都市</span>
                          <strong class="arrowcity"><i></i></strong>
                      </div>
                      <ul class="projectlist">
                          <li>深圳中航中心</li>
                          <li>深圳中航中心</li>
                      </ul>
                  </li>
                </ul>
                <!-- 申请入楼宇 -->
                <a href="javaScript:void(0)" class="application" onclick="saveProject()">
                  <img src="${ctx }/images/userlogin/build.jpg" alt="" />
                </a>
              </div>
            </div>
          </div>
        </div>
</body>
</html>