/**
 * 企业迁出待处理列表
 * 2018/4/20 by liufang
 */
$(function(){
	var layer;
	var table;
	var ERROR_OK = 200;
	layui.use('layer', function(){
		   layer = layui.layer;  
	});
	var tpl = {
			"detailTpl": '<div class="dialog-wp">\
				<div class="mask"></div>\
				<div class="dialog dialog-out-detail-con">\
					<div class="title-wp">\
						<span>迁出详情</span>\
						<span class="close-btn"></button>\
					</div>\
					<div class=" dialog-out-detail-wp ">\
						<div class="detail-list">\
							<div class="detail-item">\
								<div class="detail-item-left">订单发起方式：<%if(emigNewWay==1){%> 微信 <%}else if(emigNewWay==2){%> app<%}%></div>\
								<div class="detail-item-right">迁出类型：<%=emigType%></div>\
							</div>\
							<div class="detail-item">\
								<div class="detail-item-left">迁出原因：<%=emigReason%></div>\
								<div class="detail-item-right">其他说明：<%=otherExplain%></div>\
							</div>\
						</div>\
						<div class="detail-list">\
							<div class="detail-item">\
								<div class="detail-item-left">其他记录：<%=otherRecord%></div>\
								<% if(status==3){%>\
									<div class="detail-item-right">通过理由：<%=reason%></div>\
								<%}else if(status==4){%>\
									<div class="detail-item-right">拒绝理由：<%=reason%></div>\
								<%}%>\
							</div>\
						</div>\
				   </div>		\
				</div>\
			</div>	',
			"repairTpl":  '<div class="dialog-wp">\
				<div class="mask"></div>\
				<div class="dialog dialog-repair-detail-con">\
					<div class="title-wp">\
						<span>维修详情</span>\
						<span class="close-btn"></button>\
					</div>\
					<div class="dialog-repair-detail-wp ">\
						<%if(data.length>0){%>\
							<% for(var i=0;i<data.length;i++){%>\
								<div class="dialog-repair-item clearfloat">\
									<div class="repair-num">维修单编号：<%=data[i].repairCode%></div>\
									<div class="repair-type">维修类型：<%=data[i].itemname%></div>\
								</div>\
							<%} %>\
						<%}else{%>\
							<div class="no-data">暂无维修详情</div>\
						<%}%>	\
				   </div>		\
				</div>\
			</div>	',
			"freeTpl":  '<div class="dialog-wp">\
				<div class="mask"></div>\
				<div class="dialog dialog-free-detail-con">\
					<div class="title-wp">\
						<span>水电信息</span>\
						<span class="close-btn"></button>\
					</div>\
					<div class="dialog-free-detail-wp ">\
							<div class="free-room-list clearfloat">\
								<% for(var i=0;i<floorAndRoomArr.length;i++){%>\
									<a href="javascript:void(0)" class="room-item <%if(i==0){%>active<%}%>" title="<%=floorAndRoomArr[i]%>"><%=floorAndRoomArr[i]%></a>\
								<%}%>  	\
							</div>\
						<%if(wateList.length>0){%>\
							<% for(var j=0;j<wateList.length;j++){%>\
								<div class="free-detail-list <%if(j==0){%> active <%}%>">\
									<div class="free-detail-item">\
										<div class="free-water-top">\
											<span class="tips">电表</span>\
											<span class="nums">电表读数：<%=wateList[j].materReading%></span>\
										</div>\
										<div class="free-water-img" >\
											<img class="img" src="<%=wateList[j].materImageUrl%>">\
										</div>\
									</div>\
									<div class="free-detail-item">\
										<div class="free-water-top">\
											<span class="tips">水表</span>\
											<span class="nums">水表读数：<%=wateList[j].wateReading%></span>\
										</div>\
										<div class="free-water-img" >\
											<img class="img" src="<%=wateList[j].wateImageUrl%>">\
										</div>\
									</div>\
								</div>\
							<%}%>	\
						<%}else{ %>\
							<% for(var j=0;j<floorAndRoomArr.length;j++){%>\
								<div class="free-detail-list <%if(j==0){%> active <%}%>">\
									<div class="free-detail-item">\
										<div class="free-water-top">\
											<span class="tips">电表</span>\
											<span class="nums">电表读数：无</span>\
										</div>\
										\
									</div>\
									<div class="free-detail-item">\
										<div class="free-water-top">\
											<span class="tips">水表</span>\
											<span class="nums">水表读数：无</span>\
										</div>\
									</div>\
								</div>\
							<%}%>	\
					   <%} %>	\
				   </div>		\
				</div>\
			</div>	',
			"choosePersonTpl":  '<div class="dialog-wp">\
				<div class="mask"></div>\
				<div class="dialog dialog-choose-person-con">\
					<div class="title-wp">\
						<span>选择跟进客服</span>\
						<span class="close-btn"></button>\
					</div>\
					<div class="dialog-choose-person-wp ">\
						<div class="dialog-choose-person-header">\
							<h3 class="choose-person-title">客服</h3>\
							<div class="person-radio-list clearfloat">\
							<% for(var i=0;i<custlist.length;i++){%>\
								<div class="person-radio-item">\
									<div class="radio-wp" >\
										<span class="radio-input">\
											<input type="radio" id="person-<%=i%>" name="serviser" class="radio-item"  data-id="<%=custlist[i].id%>"/>\
											<span class="radio-inner"></span>\
										</span>		\
										<label class="radio-con" for="person-<%=i%>"><%=custlist[i].name%></label>\
									</div>\
								</div>\
							<%}%>	\
							</div>\
						</div>\
						<div class="choose-person-footer">\
							<button class="btn-red sure-choose-person">确认</button>\
						</div>\
				   </div>		\
				</div>\
			</div>	',
			"chooseEngineerTpl":  '<div class="dialog-wp">\
				<div class="mask"></div>\
				<div class="dialog dialog-choose-person-con">\
					<div class="title-wp">\
						<span>选择跟进工程人员</span>\
						<span class="close-btn"></button>\
					</div>\
					<div class="dialog-choose-person-wp ">\
						<div class="dialog-choose-person-header">\
							<h3 class="choose-person-title">工程人员</h3>\
							<div class="person-radio-list clearfloat">\
							<% for(var i=0;i<data.length;i++){%>\
								<div class="person-radio-item">\
									<div class="radio-wp" >\
										<span class="radio-input">\
											<input type="radio" id="indate_<%=i%>" name="engineer" class="radio-item" data-id="<%=data[i].id%>"/>\
											<span class="radio-inner"></span>\
										</span>		\
										<label class="radio-con" for="indate_<%=i%>"><%=data[i].name%></label>\
									</div>\
								</div>\
							<%}%>	\
							</div>\
						</div>\
						<div class="choose-person-footer">\
							<button class="btn-red sure-choose-engineer">确认</button>\
						</div>\
				   </div>		\
				</div>\
			</div>	',
			"checkTpl":  '<div class="dialog-wp">\
				<div class="mask"></div>\
				<div class="dialog dialog-check-con">\
					<div class="title-wp">\
						<span>提示</span>\
						<span class="close-btn"></button>\
					</div>\
					<div class="dialog-check-wp ">\
						<div class="dialog-choose-person-header">\
							<h2 class="check-title">\
								<% if(type ==1){%>\
									通过迁出申请！\
								<% }else{ %>	\
									拒绝迁出申请！\
								<%}%>\
							</h2>\
							<div class="check-reason-wp clearfloat">\
								<span class="tips">\
									<% if(type ==1){%>\
										通过意见\
									<% }else{ %>	\
										拒绝意见\
									<%}%>\
								</span>\
								<textarea class="check-reason" placeholder="请输入意见"></textarea>\
							</div>\
						</div>\
						<div class="dialog-choose-person-footer">\
							<button class="btn-red sure-operate" data-type="<%=type%>">\
								<% if(type ==1){%>\
									确认通过\
								<% }else{ %>	\
									确认拒绝\
								<%}%>\
							</button>\
						</div>\
				   </div>		\
				</div>\
			</div>	',
			"addSettledTpl": '<div class="dialog-wp">\
				<div class="mask"></div>\
				<div class="dialog dialog-settled-con">\
					<div class="title-wp">\
						<span>发送结算表</span>\
						<span class="close-btn"></button>\
					</div>\
					<div class="dialog-settled-wp ">\
						<div class="upload-settled-wp">\
							<input class="upload-img-btn" type="file" data-url="">\
							<div class="upload-tips">+上传结算表</div>\
							<div class="upload-img-wp"></div>\
						</div>\
						<div class="amount-wp clearfloat">\
							<span class="amount-tips">应补/退金额：</span>\
							<input class="amount-input" type="text"\ placeholder="请输入应补/退金额">\
						</div>\
						<div class="button-wp">\
							<button class="btn-red sure-send-settled">确定发送</button>\
						</div>\
				   </div>		\
				</div>\
			</div>	',
			"updateSettledTpl": '<div class="dialog-wp">\
				<div class="mask"></div>\
				<div class="dialog dialog-settled-con">\
					<div class="title-wp">\
						<span>发送结算表</span>\
						<span class="close-btn"></button>\
					</div>\
					<div class="dialog-settled-wp ">\
						<div class="upload-settled-wp">\
							<input class="upload-img-btn" type="file" data-url="<%=settlementUrl%>" data-file="">\
							<%if(!settlementUrl){%><div class="upload-tips">+上传结算表</div><%}%>\
							<div class="upload-img-wp"><img class="img" src="<%=settlementUrl%>"/></div>\
						</div>\
						<div class="amount-wp clearfloat">\
							<span class="amount-tips">应补/退金额：</span>\
							<input class="amount-input" type="text"\ placeholder="请输入应补/退金额" value="<%=amount%>">\
						</div>\
						<div class="button-wp">\
							<button class="btn-red sure-send-settled">确定发送</button>\
						</div>\
				   </div>		\
				</div>\
			</div>	',
			
	}
	var appPublish = {
			init: function(){
				this.render();
				this.bindEvent();
			},
			render: function(){
				var _this = this;
				_this.renderTable();
			},
			bindEvent: function(){
				var _this = this;
				//查询
				$("#conditionform input[type='text']").on("keydown",function(event){
					if(event.keyCode == 13){
						$("#conditionform .search-btn").click();
					}
				});
				//重置
				$(".set-btn").on("click",function(){
					$("#conditionform input").val("")
				})
//				$("body").append(template.render(tpl.checkTpl)({type: 2}))
			},
			renderTable: function(){
				var _this = this;
				layui.use('table', function(){
					  table = layui.table;
					  
					  //方法级渲染
					  table.render({
					    elem: '#LAY_table_user',
					    method: 'post'
					    ,url: $("#contextPath").val()+ "/admin/enter/getEnterpriseList"
					    ,skin: 'nob' //行边框风格
				    		  ,even: true //开启隔行背景
				    		  ,size: 'lg' //小尺寸的表格
					    ,cols: [[
					      {
				    		   field:'enterNumber', 
				    		   title: '迁出单编号', 
				    		   minWidth: 200
				    	  },{
				    		  field:'createTime',
				    		  title: '申请时间',
				    		  minWidth: 200
			    		  },{
			    			  field:'virName', 
			    			  title: '公司名', 
			    			  minWidth: 200
//		    			  },{
//		    				  field:'applyName', 
//		    				  title: '申请人',
//		    				  minWidth: 200
//		    				  
//		  				  },{
//		  					  field:'applyTel', 
//		  					  title: '申请人手机',
//		  					minWidth: 200
//		  					 				 
		  				  },{
		  					  field:'roomNames', 
		  					  title: '申请房号',
		  						 minWidth: 200
		  					 
						  },{
							  field:'cutServiceName', 
							  title: '跟进客服',
							  minWidth: 200,
							  templet: function(data){
								  if(!data.cutServiceName){
									  return "<span class='deep-blue-text choose-client'  data-id="+data.id+" data-type='1' data-havepower="+data.havePower+">选择</span>"
								  }else{
									  return "<span class='choose-client'  data-id="+data.id+" data-type='1' data-havepower="+data.havePower+">"+data.cutServiceName+"</span>"
								  }
								 
							  }
							
						  },{
							  field:'engPersonName', 
							  title: '跟进工程人员',
							  minWidth: 200,
							  templet: function(data){
								  if(!data.engPersonName){
									  return "<span class='deep-blue-text choose-engineers'  data-id="+data.id+" data-type='2' data-havepower="+data.havePower+">选择</span>"
								  }else{
									  return "<span class='choose-engineers'  data-id="+data.id+" data-type='2' data-havepower="+data.havePower+">"+data.engPersonName+"</span>"
								  }  
							  }
							  
							
						  },{
							  field:'repairTypeName', 
							  title: '水电信息',
							  templet: function(data){
								  return "<span class='deep-blue-text check-water' data-id="+data.id+" >查看</span>"
							  }
							  
							
						  },{
							  field:'repairTypeName', 
							  title: '维修详情',
							  minWidth: 200,
							  templet: function(data){
								  return "<span class='deep-blue-text check-repair-detail'  data-id="+data.id+" >查看</span>"
							  }
							
						  },{
							  field:'isSendSettle', 
							  title: '结算表',
							  minWidth: 200,
							  templet: function(data){
								  if(data.isSendSettle == 1){
									  return "<span class='deep-blue-text send-settle'  data-id="+data.id+" data-type='1' data-havepower="+data.havePower+">未发送</span>"
								  }else{
									  return "<span class='deep-blue-text send-settle'  data-id="+data.id+" data-type='2' data-havepower="+data.havePower+">已发送</span>"
								  }
								  
							  }
							
						  },{  field:'repairTypeName', 
							  title: '迁出详情',
							  minWidth: 200,
							  templet: function(data){
								  return "<span class='deep-blue-text check-enter-detail'  data-id="+data.id+" >查看详情</span>"
							  }
							
						  },{
							  field:'id', 
							  title: '操作', 
							  width: 120,
							  fixed: 'right', 
							  templet: function(data){
								  var str = '';
								    str += '<button class="t-btn t-red-btn t-publish-btn" data-id='+data.id+' data-type="1">通过</button>';
	  								str += '<button class="t-btn t-white-btn t-reject-btn" data-id='+data.id+' data-type="0">拒绝</button>';
	  								return str;
							  }
						  }
						  ]]
						    ,id: 'testReload'
						    ,page: true,
						    response: {
						    	  statusName: 'code' //数据状态的字段名称，默认：code
						    	  ,statusCode: 200 //成功的状态码，默认：0
						    	  ,countName: "count"//数据总数的字段名称，默认：count
						    	  ,dataName: "data" //数据列表的字段名称，默认：data
						    	}   ,
						    	where: {
									virName: $("#conditionform .virName").val(),
									type: 2,//1企业迁入2企业迁出
									isHisList: 1 //1待处理2历史
								} ,
						    done: function(res, curr, count){
						        //如果是异步请求数据方式，res即为你接口返回的信息。
//						    	$(".layui-laypage-btn")[0].click(); 
						       //选择跟进客服
						    	$(".choose-client").on("click",function(){
						    		var id = $(this).data("id");
						    		var type = $(this).data("type");
						    		var havePower = $(this).data("havepower");
						    		if(havePower!=7){
						    			_this.showChooseClientDialog(id,type,function(){
							    			$(".layui-laypage-btn")[0].click(); 
							    		})
						    		}else{
						    			layer.msg("对不起，您暂时没有权限")
						    		}
						    	
						    	});
						    	
						    	//选择跟进工程人员
						    	$(".choose-engineers").on("click",function(){
						    		var id = $(this).data("id");
						    		var type = $(this).data("type");
						    		var havePower = $(this).data("havepower")
						    		if(havePower!=5){
							    		_this.showEngineerDialog(id,type,function(){
							    			$(".layui-laypage-btn")[0].click(); 
							    		})
						    		}else{
						    			layer.msg("对不起，您暂时没有权限")
						    		}	
						    	});
						    	
						    	//查看水电信息
						    	$(".check-water").on("click",function(){
						    		var id = $(this).data("id");
						    		_this.showWaterDialog(id);
						    	});
						    	
						    	//查看维修详情
						    	$(".check-repair-detail").on("click",function(){
						    		var id = $(this).data("id");
						    		_this.showRepairDetailDialog(id);
						    	});
						    	//通过
						    	$(".t-publish-btn").on("click",function(){
						    		var id = $(this).data("id");
						    		var type = $(this).data("type");
						    		_this.showPassDialog(type,id)
						    	});
						    	//拒绝
						    	$(".t-reject-btn").on("click",function(){
						    		var id = $(this).data("id");
						    		var type = $(this).data("type");
						    		_this.showPassDialog(type,id)
						    	});
						    	//查看入驻详情
						    	$(".check-enter-detail").on("click",function(){
						    		var id = $(this).data("id");
						    		_this.showEnterDetailDialog(id)
						    	});
						    	//发送结算表
						    	$(".send-settle").on("click",function(){
						    		var type = $(this).data("type");
						    		var id = $(this).data("id");
						    		var havePower = $(this).data("havepower")
						    		if(havePower!=7 && havePower!=5){
							    		if(type==1){
							    			_this.showAddSettled(type,id,function(){
							    				$(".layui-laypage-btn")[0].click(); 
							    			})
							    			
							    		}else{
							    			_this.showUpdateSettled(type,id,function(){
							    				$(".layui-laypage-btn")[0].click(); 
							    			})
							    		}
						    		}else{
						    			layer.msg("对不起，您暂时没有权限")
						    		}
						    	})
						      }
					  });
					  //查询
					  $('#conditionform  .search-btn').on('click', function(){
						  _this.againRenderTable();
					  });
					});
			},
			/*重新渲染table*/
			againRenderTable: function(){
				table.reload('testReload', {
					where: {
						virName: $("#conditionform .virName").val()
					} ,
					  page: {
					    curr: 1 //重新从第 1 页开始
					  }
				}); 
			},
			/**
			 * 获取客服人员
			 * @param enterId 入驻单id
			 * @param type 1跟进客服2跟进工程人员
			 * @param callback
			 */
			showChooseClientDialog: function(enterId,type,callback){
				var _this = this;
				$.ajax({
					   type: "post",
					   url: $("#contextPath").val()+ "/admin/enter/getCustomerService", 
					   data: {
						   enterId: enterId,
						   type: 2
					   },
					   success: function(data){
						   if(data.code== ERROR_OK){
							   $("body").append(template.render(tpl.choosePersonTpl)(data.data));
							   $(".sure-choose-person").on("click",function(){
								   var length = $(".dialog-wp ").find(".radio-item:checked").length;
								   var pesonId = $(".dialog-wp ").find(".radio-item:checked").data("id");
								   var $dom =  $(this).closest(".dialog-wp");
								   if(length==0){
									   layer.msg("请选择跟进客服")
								   }else{
									   _this.ajaxChoosePerson($dom,enterId,type,pesonId,callback)
								   } 
							   });
							   $(".close-btn").on("click",function(){
								   $(this).closest(".dialog-wp").remove();
							   })
						   }else{
							   layer.msg(data.msg);
						   }
						  
					   },
					   error: function(){   
					   }
			   });
			},
			/**
			 * 确定选择客服人员或者工程人员
			 * @param $dom 弹窗dom
			 * @param enterId
			 * @param type
			 * @param pesonId 客服人员id
			 * @param callback
			 */
			ajaxChoosePerson($dom,enterId,type,pesonId,callback){
				var _this = this;
				$.ajax({
					   type: "post",
					   url: $("#contextPath").val()+ "/admin/enter/updateEnterPeson", 
					   data: {
						   enterId: enterId  ,
						   type: type,
						   pesonId: pesonId
					   },
					   success: function(data){
						   if(data.code== ERROR_OK){
							   $dom.remove();
							  
							   callback();
							   if(type==1){
								   layer.msg('选择跟进客服成功');
							   }else{
								   layer.msg('选择跟进工程人员成功');
							   }
							   
						   }else{
							   layer.msg(data.msg);
						   }
					   },
					   error: function(){   
					   }
			   });
			},
			/**
			 * 获取跟进维修人员
			 * @param enterId 入驻单id
			 * @param type 1跟进客服2跟进工程人员
			 * @param callback 
			 */
			showEngineerDialog: function(enterId,type,callback){
				var _this = this;
				$.ajax({
					   type: "post",
					   url: $("#contextPath").val()+ "/admin/enter/getRepairTypeUser", 
					   data: {
						   enterId: enterId  
					   },
					   success: function(data){
						   if(data.code== ERROR_OK){
							   $("body").append(template.render(tpl.chooseEngineerTpl)(data));
							   $(".sure-choose-engineer").on("click",function(){
								   var length = $(".dialog-wp ").find(".radio-item:checked").length;
								   var pesonId = $(".dialog-wp ").find(".radio-item:checked").data("id");
								   var $dom =  $(this).closest(".dialog-wp");
								   if(length==0){
									   layer.msg("请选择跟进工程人员")
								   }else{
									   _this.ajaxChoosePerson($dom,enterId,type,pesonId,callback)
								   } 
							   });
							   $(".close-btn").on("click",function(){
								   $(this).closest(".dialog-wp").remove();
							   })
						   }else{
							   layer.msg(data.msg);
						   }
					   },
					   error: function(){   
					   }
			   });
			},
			/**
			 * 获取水电信息
			 * @param enterId
			 */
			showWaterDialog: function(enterId){
				var _this = this;
				$.ajax({
					   type: "post",
					   url: $("#contextPath").val()+ "/admin/enter/getWaterList", 
					   data: {
						   enterId: enterId  
					   },
					   success: function(data){
						   if(data.code== ERROR_OK){
							   data.data.floorAndRoom = data.data.floorAndRoom.substring(0,data.data.floorAndRoom.length-1)
							   data.data.floorAndRoomArr = data.data.floorAndRoom.split("、")
							   $("body").append(template.render(tpl.freeTpl)(data.data));
							   $(".free-room-list .room-item").on("click",function(){
								   var index = $(this).index();
								   $(this).addClass("active").siblings().removeClass("active");
								   $(".free-detail-list").eq(index).addClass("active").siblings().removeClass("active");
							   })
							   $(".close-btn").on("click",function(){
								   $(this).closest(".dialog-wp").remove();
							   })
						   }else{
							   layer.msg(data.msg);
						   }
					   },
					   error: function(){   
					   }
			   });
			},
			/**
			 * 获取维修详情
			 * @param enterId
			 */
			showRepairDetailDialog: function(enterId){
				$.ajax({
					   type: "post",
					   url: $("#contextPath").val()+ "/admin/enter/getRepairNumberList", 
					   data: {
						   enterId: enterId  
					   },
					   success: function(data){
						   if(data.code== ERROR_OK){
							   $("body").append(template.render(tpl.repairTpl)(data));
							   $(".close-btn").on("click",function(){
								   $(this).closest(".dialog-wp").remove();
							   })
						   }else{
							   layer.msg(data.msg);
						   }   
					   },
					   error: function(){   
					   }
			   });
			},
			/**
			 * 是否显示通过和拒绝弹窗
			 * @param type 1通过0拒绝
			 * @param enterId
			 */
			showPassDialog: function(type,enterId){
				var _this = this;
				$.ajax({
					   type: "post",
					   url: $("#contextPath").val()+ "/admin/enter/isPowerButton", 
					   data: {
						   type: type,
						   enterId: enterId
					   },
					   success: function(data){
						   if(data.code== ERROR_OK){
							   if(data.data==2){
								   layer.alert(data.msg)
							   }else{
								   $("body").append(template.render(tpl.checkTpl)({type: type}));
								   $(".close-btn").on("click",function(){
									   $(this).closest(".dialog-wp").remove();
								   });
								   $(".sure-operate").on("click",function(){
									   var $dom = $(this).closest(".dialog-wp")
									   _this.ajaxEnterReason($dom,type,enterId);
								   })
							   }
						   }else{
							   layer.msg(data.msg);
						   }   
					   },
					   error: function(){   
					   }
			   });
			},
			/**
			 * 发送拒绝或者通过原因
			 * @param $dom
			 * @param type
			 * @param enterId
			 */
			ajaxEnterReason: function($dom,type,enterId){
				var _this = this;
				var reason = $dom.find(".check-reason").val();
				if(!reason && type!=1){
					layer.alert("请输入意见！");
					return false;
				}
				$.ajax({
					   type: "post",
					   url: $("#contextPath").val()+ "/admin/enter/setEnterReason", 
					   data: {
						   reason: reason,
						   enterId: enterId,
						   resonType: type
					   },
					   success: function(data){
						   if(data.code== ERROR_OK){
							   if(type==1){
								 layer.msg("通过成功！")  ;
							   }else{
								   layer.msg("拒绝成功！")
							   };
							   $dom.remove();
							   _this.againRenderTable();
						   }else{
							   layer.msg(data.msg);
						   }   
					   },
					   error: function(){   
					   }
			   });
			},
			/**
			 * 上传图片
			 * @param $dom 上传按钮
			 * @param $imgWp 图片容器
			 * @param $base64Wp 存放base64得input
			 * @param callback 回调
			 */
			uploadImg: function($dom,$imgWp,callback){
				var file = $dom[0].files[0];
				if (file) {
					console.log("正在上传,请稍后...");
					var rFilter = /^(image\/jpeg|image\/png)$/i; // 检查图片格式
					if (!rFilter.test(file.type)) {
						layer.msg('图片格式有误，请上传(jpeg,png)');
						return;
					}
					var oReader = new FileReader();
					oReader.onload = function(e) {
						var image = new Image();
						image.src = e.target.result;
						image.onload = function() {
							var expectWidth = this.naturalWidth;
							var expectHeight = this.naturalHeight;

							if (this.naturalWidth > this.naturalHeight
									&& this.naturalWidth > 800) {
								expectWidth = 800;
								expectHeight = expectWidth * this.naturalHeight
										/ this.naturalWidth;
							} else if (this.naturalHeight > this.naturalWidth
									&& this.naturalHeight > 1200) {
								expectHeight = 1200;
								expectWidth = expectHeight * this.naturalWidth
										/ this.naturalHeight;
							}
							var canvas = document.createElement("canvas");
							var ctx = canvas.getContext("2d");
							canvas.width = expectWidth;
							canvas.height = expectHeight;
							ctx.drawImage(this, 0, 0, expectWidth, expectHeight);
							var base64 = null;
							var clearBase64 = null;						
							base64 = canvas.toDataURL("image/png", 2);
							if (base64 != null) {
								clearBase64 = base64.substr(base64.indexOf(',') + 1)
							}
							$imgWp.html("<img class='img' src='"+base64+"' alt='' />");//图片容器
							
//							callback(file);
						};
					};
					oReader.readAsDataURL(file);
				}
			},
			/**
			 * 获取入驻详情
			 * @param id
			 */
			showEnterDetailDialog: function(enterId){
				$.ajax({
					   type: "post",
					   url: $("#contextPath").val()+ "/admin/emig/getEnterpriseInfo", 
					   data: {
						   emigId: enterId
					   },
					   success: function(data){
						   if(data.code== ERROR_OK){
							   $("body").append(template.render(tpl.detailTpl)(data.data));
							   $(".close-btn").on("click",function(){
								   $(this).closest(".dialog-wp").remove();
							   })
						   }else{
							   layer.msg(data.msg);
						   }   
					   },
					   error: function(){   
					   }
			   });
			},
			/**
			 * 显示新增结算弹窗
			 * @param type 1未发送 2已发送
			 * @param id 迁出id
			 */
			showAddSettled: function(type,emigId,callback){
				var _this = this;
				$("body").append(template.render(tpl.addSettledTpl));
				$(".close-btn").on("click",function(){
					   $(this).closest(".dialog-wp").remove();
			    });
				_this.settledBindEvent(type,emigId,callback);
			},
			/**
			 * 上传结算表绑定事件
			 * 
			 */
			settledBindEvent: function(type,emigId,callback){
				var _this = this;
				//点击上传图片
				$(".upload-img-btn").on("change",function(e){
					var $this = $(this);
					var $imgWp = $(this).closest(".dialog-wp").find(".upload-img-wp");
					_this.uploadImg($this,$imgWp);
					$this.data("file",$this[0].files[0]);
				});
				//确认发送
				$(".sure-send-settled").on("click",function(){
					var $this = $(this);
					var amount = $(".amount-input").val();
					var filedata = $(".upload-img-btn").data("file");
					var fileUrl = $(".upload-img-btn").data("url");
					_this.ajaxSettle(type,emigId,amount,filedata,fileUrl,function(){
						$this.closest(".dialog-wp").remove();
						callback();
					})
				})
			},
			/**
			 * 发送结算
			 * @param emigId 企业迁出id
			 * @param amount 结算金额
			 * @param filedata 结算表图片
			 * @param callback
			 */
			ajaxSettle: function(type,emigId,amount,filedata,fileUrl,callback){
				var formData = new FormData();
				if(type ==1){
					if(!filedata){
						layer.msg("请上传结算表");
						return false;
					};
				}
				formData.append("filedata",filedata);
				formData.append("fileUrl",fileUrl);
				if(!amount || isNaN(amount)){
					layer.msg("请输入正确的应补/退金额");
					return false;
				};
				formData.append("amount",amount);
				formData.append("emigId",emigId);
				$.ajax({
					   type: "post",
					   url: $("#contextPath").val()+ "/admin/emig/updateEmigBySettle", 
					   data: formData,
					   cache: false,                      // 不缓存
				        processData: false,                // 告诉jQuery不要去处理发送的数据
				        contentType: false,                // 告诉jQuery不要去设置Content-Type请求头
					   success: function(data){
						   if(data.code == ERROR_OK){
							 callback();
							 layer.msg("发送成功")
						   }else{
							   layer.msg(data.msg)
						   }   
					   },
					   error: function(){   
					   }
			   });
			},
			/**
			 * 显示修改结算表弹窗
			  * @param type 1未发送 2已发送
			 * @param id 迁出id
			 * @param callback 
			 */
			showUpdateSettled: function(type,emigId,callback){
				var _this = this;
				$.ajax({
					   type: "post",
					   url: $("#contextPath").val()+ "/admin/emig/getEmigEmigSettle", 
					   data: {
						   emigId: emigId
					   },
					   success: function(data){
						   if(data.code== ERROR_OK){
							   $("body").append(template.render(tpl.updateSettledTpl)(data.data));
								$(".close-btn").on("click",function(){
									   $(this).closest(".dialog-wp").remove();
							    });
								_this.settledBindEvent(type,emigId,callback);
						   }else{
							   layer.msg(data.msg);
						   }   
					   },
					   error: function(){   
					   }
			   });
			}
	};
	appPublish.init();
})